/*********************************************************************
*                SEGGER Microcontroller GmbH & Co. KG                *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2013  SEGGER Microcontroller GmbH & Co. KG       *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************

** emWin V5.22 - Graphical user interface for embedded applications **
All  Intellectual Property rights  in the Software belongs to  SEGGER.
emWin is protected by  international copyright laws.  Knowledge of the
source code may not be used to write a similar product.  This file may
only be used in accordance with the following terms:

The software has been licensed to  ARM LIMITED whose registered office
is situated at  110 Fulbourn Road,  Cambridge CB1 9NJ,  England solely
for  the  purposes  of  creating  libraries  for  ARM7, ARM9, Cortex-M
series,  and   Cortex-R4   processor-based  devices,  sublicensed  and
distributed as part of the  MDK-ARM  Professional  under the terms and
conditions  of  the   End  User  License  supplied  with  the  MDK-ARM
Professional. 
Full source code is available at: www.segger.com

We appreciate your understanding and fairness.
----------------------------------------------------------------------
File        : GUIDEMO_WashingMachine.c
Purpose     : Washing machine demo
---------------------------END-OF-HEADER------------------------------
*/

#include "GUIDEMO.h"

#if (SHOW_GUIDEMO_WASHINGMACHINE && GUI_WINSUPPORT && GUI_SUPPORT_MEMDEV)

#include <math.h>

/*********************************************************************
*
*       Fonts
*
**********************************************************************
*/
/*********************************************************************
*
*       GUI_Font60min
*/
/* Start of unicode area <Basic Latin> */
static GUI_CONST_STORAGE unsigned char _acGUI_Font60min_0069[360] = { /* code 0069, LATIN SMALL LETTER I */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x06, 0x77, 0x77, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x06, 0x77, 0x77, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font60min_006D[1380] = { /* code 006D, LATIN SMALL LETTER M */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x14, 0x77, 0x76, 0x30, 0x00, 0x00, 0x00, 0x00, 0x03, 0x67, 0x77, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xF4, 0x00, 0x29, 0xFF, 0xFF, 0xFF, 0xFD, 0x60, 0x00, 0x00, 0x06, 0xDF, 0xFF, 0xFF, 0xFF, 0x92, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xF4, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0x00, 0x01, 0xBF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x50, 0x00, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xF4, 0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x90, 0x1C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE3, 0x00, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xF9, 0xFF, 0xFF, 0xD8, 0x77, 0xCF, 0xFF, 0xFF, 0xF5, 0xCF, 0xFF, 0xEA, 0x77, 0xAE, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xD4, 0x00, 0x00, 0x04, 0xEF, 0xFF, 0xFE, 0xFF, 0xF7, 0x00, 0x00, 0x01, 0xAF, 0xFF, 0xFF, 0x20, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFF, 0xFC, 0x10, 0x00, 0x00, 0x00, 0x6F, 0xFF, 0xFF, 0xFE, 0x30, 0x00, 0x00, 0x00, 0x0C, 0xFF, 0xFF, 0x70, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFF, 0xF2, 0x00, 0x00, 0x00, 0x00, 0x0D, 0xFF, 0xFF, 0xF7, 0x00, 0x00, 0x00, 0x00, 0x06, 0xFF, 0xFF, 0x90, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFF, 0x90, 0x00, 0x00, 0x00, 0x00, 0x09, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x02, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFF, 0x50, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x90, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFF, 0x10, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font60min_006E[900] = { /* code 006E, LATIN SMALL LETTER N */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x67, 0x77, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xF7, 0x00, 0x17, 0xEF, 0xFF, 0xFF, 0xFF, 0xB4, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xF7, 0x04, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA1, 0x00, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xF7, 0x6F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFA, 0xEF, 0xFF, 0xEA, 0x77, 0x8D, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0xE7, 0x10, 0x00, 0x00, 0x6E, 0xFF, 0xFF, 0xE0, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0xFE, 0x30, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xF5, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9F, 0xFF, 0xF7, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5F, 0xFF, 0xFA, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE GUI_CHARINFO _aGUI_Font60min_CharInfo[3] = {
   {  12,  12,  6, _acGUI_Font60min_0069 } /* code 0069 */
  ,{  45,  45, 23, _acGUI_Font60min_006D } /* code 006D */
  ,{  30,  30, 15, _acGUI_Font60min_006E } /* code 006E */
};

static GUI_CONST_STORAGE GUI_FONT_PROP _GUI_Font60min_Prop2 = {
   0x006D /* first character */
  ,0x006E /* last character  */
  ,&_aGUI_Font60min_CharInfo[  1] /* address of first character */
  ,(GUI_CONST_STORAGE GUI_FONT_PROP *)0 /* pointer to next GUI_FONT_PROP */
};

static GUI_CONST_STORAGE GUI_FONT_PROP _GUI_Font60min_Prop1 = {
   0x0069 /* first character */
  ,0x0069 /* last character  */
  ,&_aGUI_Font60min_CharInfo[  0] /* address of first character */
  ,&_GUI_Font60min_Prop2 /* pointer to next GUI_FONT_PROP */
};

static GUI_CONST_STORAGE GUI_FONT _GUI_Font60min = {
   GUI_FONTTYPE_PROP_AA4 /* type of font    */
  ,60 /* height of font  */
  ,60 /* space of font y */
  ,1 /* magnification x */
  ,1 /* magnification y */
  ,{&_GUI_Font60min_Prop1}
  ,50 /* Baseline */
  ,30 /* Height of lowercase characters */
  ,0 /* Height of capital characters */
};

/*********************************************************************
*
*       GUI_Font60BD
*/
/* Start of unicode area <Basic Latin> */
static GUI_CONST_STORAGE unsigned char _acGUI_Font60BD_0030[900] = { /* code 0030, DIGIT ZERO */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0x44, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x05, 0xAE, 0xFF, 0xFF, 0xFD, 0x92, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x03, 0xBF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x81, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x3E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x10, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x03, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC1, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x0D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xFD, 0xBE, 0xFF, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0xEF, 0xFF, 0xFF, 0xFE, 0x40, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xA0, 0x00, 0x00,
  0x00, 0x06, 0xFF, 0xFF, 0xFF, 0xF5, 0x00, 0x00, 0x09, 0xFF, 0xFF, 0xFF, 0xF2, 0x00, 0x00,
  0x00, 0x0A, 0xFF, 0xFF, 0xFF, 0xD0, 0x00, 0x00, 0x02, 0xFF, 0xFF, 0xFF, 0xF7, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xCF, 0xFF, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x20, 0x00, 0x00, 0x00, 0x6F, 0xFF, 0xFF, 0xFF, 0x30, 0x00,
  0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x40, 0x00,
  0x00, 0xBF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x00, 0xBF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x00, 0xEF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x90, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xA0, 0x00,
  0x00, 0xBF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x00, 0xBF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x00, 0x9F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x50, 0x00,
  0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x10, 0x00, 0x00, 0x00, 0x5F, 0xFF, 0xFF, 0xFF, 0x40, 0x00,
  0x00, 0x5F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x2F, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x00, 0x00, 0xAF, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x0D, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF7, 0x00, 0x00,
  0x00, 0x08, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xF3, 0x00, 0x00,
  0x00, 0x02, 0xFF, 0xFF, 0xFF, 0xFC, 0x10, 0x00, 0x3E, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00,
  0x00, 0x00, 0xBF, 0xFF, 0xFF, 0xFF, 0xE9, 0x7A, 0xFF, 0xFF, 0xFF, 0xFF, 0x60, 0x00, 0x00,
  0x00, 0x00, 0x2E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x06, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE3, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x6F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x30, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x05, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD3, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x17, 0xDF, 0xFF, 0xFF, 0xFF, 0xD7, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x67, 0x77, 0x52, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font60BD_0031[900] = { /* code 0031, DIGIT ONE */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x44, 0x44, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xEF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x1C, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x03, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x7E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x2B, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x29, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xCF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xF6, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x07, 0xFF, 0xFF, 0xFC, 0x30, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x07, 0xFF, 0xFE, 0x70, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x07, 0xFE, 0x71, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x05, 0x61, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3B, 0xBB, 0xBB, 0xBB, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font60BD_0032[900] = { /* code 0032, DIGIT TWO */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x44, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x01, 0x6A, 0xEF, 0xFF, 0xFF, 0xFD, 0x95, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x7E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD4, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x1C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x00, 0x00,
  0x00, 0x01, 0xCF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF7, 0x00, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0xFF, 0xDB, 0xBF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD0, 0x00, 0x00,
  0x00, 0xBF, 0xFF, 0xFF, 0xFF, 0xB2, 0x00, 0x00, 0x6E, 0xFF, 0xFF, 0xFF, 0xF6, 0x00, 0x00,
  0x02, 0xFF, 0xFF, 0xFF, 0xFA, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xF9, 0x00, 0x00,
  0x06, 0xFF, 0xFF, 0xFF, 0xF2, 0x00, 0x00, 0x00, 0x00, 0x9F, 0xFF, 0xFF, 0xFD, 0x00, 0x00,
  0x08, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x6F, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x08, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x14, 0x47, 0x40, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFB, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCF, 0xFF, 0xFF, 0xF9, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0xFF, 0xFF, 0xFF, 0xF5, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1D, 0xFF, 0xFF, 0xFF, 0xD0, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xCF, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xFF, 0xFF, 0xFF, 0xFD, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9F, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1A, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xCF, 0xFF, 0xFF, 0xFF, 0xF9, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x1C, 0xFF, 0xFF, 0xFF, 0xFF, 0xC1, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x01, 0xCF, 0xFF, 0xFF, 0xFF, 0xFC, 0x10, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x3D, 0xFF, 0xFF, 0xFF, 0xFF, 0x90, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x03, 0xEF, 0xFF, 0xFF, 0xFF, 0xF9, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x1C, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x01, 0xCF, 0xFF, 0xFF, 0xFF, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x0C, 0xFF, 0xFF, 0xFF, 0xFF, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x9F, 0xFF, 0xFF, 0xFF, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x05, 0xFF, 0xFF, 0xFF, 0xFF, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x1E, 0xFF, 0xFF, 0xFF, 0xFA, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x8F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x0C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x2F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x5F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x6B, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font60BD_0033[900] = { /* code 0033, DIGIT THREE */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x44, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x6A, 0xFF, 0xFF, 0xFF, 0xD9, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x5D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0x10, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x08, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC3, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0x10, 0x00, 0x00, 0x00,
  0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB0, 0x00, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0xFF, 0xCB, 0xEF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x2F, 0xFF, 0xFF, 0xFF, 0xC2, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFA, 0x00, 0x00, 0x00,
  0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x10, 0x00, 0x00, 0x9F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00,
  0x00, 0xBF, 0xFF, 0xFF, 0xF5, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0xBD, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x04, 0x67, 0x80, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAF, 0xFF, 0xFF, 0xFA, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xF3, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x47, 0xBF, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0xFE, 0x60, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0xFF, 0xFF, 0xFF, 0xF7, 0x10, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x10, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC3, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x38, 0x64, 0x5A, 0xFF, 0xFF, 0xFF, 0xFE, 0x10, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6F, 0xFF, 0xFF, 0xFF, 0xA0, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xFF, 0xFF, 0xFF, 0xF3, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xDF, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x03, 0x10, 0x00, 0x00, 0x00, 0x00, 0xBF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x06, 0x7A, 0xBE, 0xFF, 0x60, 0x00, 0x00, 0x00, 0x00, 0xCF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x09, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
  0x07, 0xFF, 0xFF, 0xFF, 0xE1, 0x00, 0x00, 0x00, 0x06, 0xFF, 0xFF, 0xFF, 0xF9, 0x00, 0x00,
  0x02, 0xFF, 0xFF, 0xFF, 0xF7, 0x00, 0x00, 0x00, 0x1D, 0xFF, 0xFF, 0xFF, 0xF5, 0x00, 0x00,
  0x00, 0xBF, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x02, 0xCF, 0xFF, 0xFF, 0xFF, 0xD0, 0x00, 0x00,
  0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0xFD, 0x87, 0xAF, 0xFF, 0xFF, 0xFF, 0xFF, 0x60, 0x00, 0x00,
  0x00, 0x0A, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFA, 0x00, 0x00, 0x00,
  0x00, 0x01, 0xCF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC1, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x1C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x10, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x01, 0x8F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x02, 0x9E, 0xFF, 0xFF, 0xFF, 0xFE, 0x92, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x36, 0x77, 0x76, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font60BD_0034[900] = { /* code 0034, DIGIT FOUR */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5F, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xEF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5F, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xEF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x5F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x01, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x0A, 0xFF, 0xFF, 0xFC, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x5F, 0xFF, 0xFF, 0xF4, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x01, 0xEF, 0xFF, 0xFF, 0x80, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x0A, 0xFF, 0xFF, 0xFD, 0x10, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x5F, 0xFF, 0xFF, 0xF4, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x01, 0xEF, 0xFF, 0xFF, 0x80, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x0A, 0xFF, 0xFF, 0xFD, 0x10, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x5F, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x01, 0xEF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x0A, 0xFF, 0xFF, 0xFD, 0x10, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x5F, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x01, 0xEF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x0A, 0xFF, 0xFF, 0xFD, 0x10, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x04, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0xFF, 0xFF, 0xFF, 0xF7, 0x44, 0x44, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBB, 0xBB, 0xBB, 0xB3, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font60BD_0035[900] = { /* code 0035, DIGIT FIVE */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x67, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x72, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00,
  0x00, 0x00, 0x02, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00,
  0x00, 0x00, 0x05, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00,
  0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00,
  0x00, 0x00, 0x0A, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00,
  0x00, 0x00, 0x0D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00,
  0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xFB, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x41, 0x00, 0x00,
  0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xF7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x9F, 0xFF, 0xFF, 0xF1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0xCF, 0xFF, 0xFF, 0xD0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xB0, 0x15, 0x77, 0x75, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0xFF, 0xFF, 0xAB, 0xFF, 0xFF, 0xFF, 0xFC, 0x60, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x06, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x20, 0x00, 0x00, 0x00,
  0x00, 0x08, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE3, 0x00, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x30, 0x00, 0x00,
  0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00,
  0x00, 0x2F, 0xFF, 0xFF, 0xFF, 0xFD, 0x97, 0x7C, 0xFF, 0xFF, 0xFF, 0xFF, 0xF7, 0x00, 0x00,
  0x00, 0x5F, 0xFF, 0xFF, 0xFE, 0x70, 0x00, 0x00, 0x3C, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00,
  0x00, 0x47, 0xBC, 0xFF, 0xE3, 0x00, 0x00, 0x00, 0x01, 0xEF, 0xFF, 0xFF, 0xFF, 0x50, 0x00,
  0x00, 0x00, 0x00, 0x02, 0x20, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x80, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x00, 0x14, 0x47, 0x78, 0xB0, 0x00, 0x00, 0x00, 0x00, 0x0E, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x03, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00, 0x00, 0x2F, 0xFF, 0xFF, 0xFF, 0x90, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xF9, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x60, 0x00,
  0x00, 0xAF, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x03, 0xEF, 0xFF, 0xFF, 0xFE, 0x10, 0x00,
  0x00, 0x6F, 0xFF, 0xFF, 0xFF, 0xE5, 0x00, 0x00, 0x3E, 0xFF, 0xFF, 0xFF, 0xF7, 0x00, 0x00,
  0x00, 0x0D, 0xFF, 0xFF, 0xFF, 0xFF, 0xC7, 0x7A, 0xFF, 0xFF, 0xFF, 0xFF, 0xE1, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x50, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF7, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x5D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD5, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x01, 0x7C, 0xFF, 0xFF, 0xFF, 0xFF, 0xD7, 0x10, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0x77, 0x77, 0x42, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font60BD_0036[900] = { /* code 0036, DIGIT SIX */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x44, 0x42, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x5A, 0xEF, 0xFF, 0xFF, 0xE9, 0x40, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x4D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFA, 0x10, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x08, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD3, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x10, 0x00, 0x00,
  0x00, 0x00, 0x08, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00,
  0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0xFF, 0xBB, 0xEF, 0xFF, 0xFF, 0xFF, 0xF2, 0x00, 0x00,
  0x00, 0x00, 0xDF, 0xFF, 0xFF, 0xFF, 0x71, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, 0x00,
  0x00, 0x05, 0xFF, 0xFF, 0xFF, 0xF6, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFD, 0x00, 0x00,
  0x00, 0x0A, 0xFF, 0xFF, 0xFF, 0xB0, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0x20, 0x00,
  0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0x50, 0x00, 0x00, 0x00, 0x0C, 0xDB, 0xA7, 0x74, 0x10, 0x00,
  0x00, 0x5F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x7F, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xBF, 0xFF, 0xFF, 0xF7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xDF, 0xFF, 0xFF, 0xF7, 0x00, 0x27, 0xAB, 0xB9, 0x72, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xF4, 0x18, 0xFF, 0xFF, 0xFF, 0xFF, 0xB3, 0x00, 0x00, 0x00, 0x00,
  0x01, 0xFF, 0xFF, 0xFF, 0xF5, 0xCF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x00, 0x00,
  0x04, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0x00, 0x00, 0x00,
  0x04, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x60, 0x00, 0x00,
  0x04, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFA, 0x77, 0xCF, 0xFF, 0xFF, 0xFF, 0xF2, 0x00, 0x00,
  0x04, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x20, 0x00, 0x05, 0xEF, 0xFF, 0xFF, 0xF9, 0x00, 0x00,
  0x04, 0xFF, 0xFF, 0xFF, 0xFF, 0xD1, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x20, 0x00,
  0x04, 0xFF, 0xFF, 0xFF, 0xFF, 0x60, 0x00, 0x00, 0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x04, 0xFF, 0xFF, 0xFF, 0xFF, 0x10, 0x00, 0x00, 0x00, 0x06, 0xFF, 0xFF, 0xFF, 0xA0, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xD0, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x00, 0xCF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x00, 0xAF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xE0, 0x00,
  0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x50, 0x00, 0x00, 0x00, 0x04, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0x0E, 0xFF, 0xFF, 0xFF, 0xB0, 0x00, 0x00, 0x00, 0x08, 0xFF, 0xFF, 0xFF, 0x80, 0x00,
  0x00, 0x09, 0xFF, 0xFF, 0xFF, 0xF6, 0x00, 0x00, 0x00, 0x2E, 0xFF, 0xFF, 0xFF, 0x50, 0x00,
  0x00, 0x02, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x02, 0xCF, 0xFF, 0xFF, 0xFD, 0x00, 0x00,
  0x00, 0x00, 0x9F, 0xFF, 0xFF, 0xFF, 0xFD, 0x87, 0xAF, 0xFF, 0xFF, 0xFF, 0xF6, 0x00, 0x00,
  0x00, 0x00, 0x1E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00,
  0x00, 0x00, 0x03, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x20, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x3E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE3, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x02, 0xBF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFA, 0x10, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x05, 0xBF, 0xFF, 0xFF, 0xFF, 0xFA, 0x40, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x47, 0x77, 0x74, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font60BD_0037[900] = { /* code 0037, DIGIT SEVEN */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x40, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x10, 0x00,
  0x00, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x46, 0xFF, 0xFF, 0xFF, 0xC1, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0xFF, 0xFF, 0xFE, 0x30, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8F, 0xFF, 0xFF, 0xF5, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xFF, 0xFF, 0xFF, 0xA0, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1D, 0xFF, 0xFF, 0xFE, 0x10, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8F, 0xFF, 0xFF, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xB0, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5F, 0xFF, 0xFF, 0xF9, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xDF, 0xFF, 0xFF, 0xF2, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xFF, 0xFF, 0xFF, 0x90, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0xFF, 0xFF, 0xFF, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x9F, 0xFF, 0xFF, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0x90, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x0C, 0xFF, 0xFF, 0xFF, 0x50, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x2F, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xF9, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xBF, 0xFF, 0xFF, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x04, 0xFF, 0xFF, 0xFF, 0xD0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xA0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x0D, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x6B, 0xBB, 0xBB, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font60BD_0038[900] = { /* code 0038, DIGIT EIGHT */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x44, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x6A, 0xEF, 0xFF, 0xFF, 0xFD, 0x94, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x5D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB2, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x08, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x40, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x6F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE3, 0x00, 0x00, 0x00,
  0x00, 0x02, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0x00, 0x00, 0x00,
  0x00, 0x09, 0xFF, 0xFF, 0xFF, 0xFE, 0xA7, 0x7A, 0xFF, 0xFF, 0xFF, 0xFF, 0x60, 0x00, 0x00,
  0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xC1, 0x00, 0x00, 0x3E, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00,
  0x00, 0x4F, 0xFF, 0xFF, 0xFD, 0x10, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00,
  0x00, 0x7F, 0xFF, 0xFF, 0xF7, 0x00, 0x00, 0x00, 0x00, 0xAF, 0xFF, 0xFF, 0xF4, 0x00, 0x00,
  0x00, 0x7F, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xF4, 0x00, 0x00,
  0x00, 0x7F, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xF4, 0x00, 0x00,
  0x00, 0x4F, 0xFF, 0xFF, 0xF6, 0x00, 0x00, 0x00, 0x00, 0xAF, 0xFF, 0xFF, 0xF0, 0x00, 0x00,
  0x00, 0x1E, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00, 0x01, 0xEF, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x08, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x00, 0x1C, 0xFF, 0xFF, 0xFF, 0x50, 0x00, 0x00,
  0x00, 0x01, 0xEF, 0xFF, 0xFF, 0xFB, 0x64, 0x47, 0xDF, 0xFF, 0xFF, 0xFB, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x3E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC1, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x02, 0xBF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x10, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x09, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x90, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x03, 0xCF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0x40, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x6E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF6, 0x00, 0x00, 0x00,
  0x00, 0x03, 0xEF, 0xFF, 0xFF, 0xFF, 0xA7, 0x7A, 0xFF, 0xFF, 0xFF, 0xFF, 0x60, 0x00, 0x00,
  0x00, 0x0C, 0xFF, 0xFF, 0xFF, 0xC1, 0x00, 0x00, 0x2C, 0xFF, 0xFF, 0xFF, 0xE2, 0x00, 0x00,
  0x00, 0x6F, 0xFF, 0xFF, 0xFD, 0x10, 0x00, 0x00, 0x01, 0xDF, 0xFF, 0xFF, 0xF9, 0x00, 0x00,
  0x00, 0xAF, 0xFF, 0xFF, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x6F, 0xFF, 0xFF, 0xFF, 0x10, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00,
  0x03, 0xFF, 0xFF, 0xFF, 0xB0, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x04, 0xFF, 0xFF, 0xFF, 0xB0, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x04, 0xFF, 0xFF, 0xFF, 0xB0, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x04, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xF5, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x40, 0x00,
  0x00, 0xCF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, 0xBF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
  0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x91, 0x00, 0x00, 0x09, 0xFF, 0xFF, 0xFF, 0xF9, 0x00, 0x00,
  0x00, 0x1E, 0xFF, 0xFF, 0xFF, 0xFD, 0x74, 0x47, 0xDF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00, 0x00,
  0x00, 0x06, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00,
  0x00, 0x00, 0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x10, 0x00, 0x00,
  0x00, 0x00, 0x08, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC1, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x5D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x10, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0xFF, 0xFF, 0xFF, 0xE9, 0x20, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x14, 0x77, 0x77, 0x63, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font60BD_0039[900] = { /* code 0039, DIGIT NINE */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x44, 0x43, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x27, 0xCF, 0xFF, 0xFF, 0xFA, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0x40, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x01, 0xCF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF7, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x1C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF6, 0x00, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0xFF, 0xFF, 0xFF, 0xDB, 0xDF, 0xFF, 0xFF, 0xFF, 0xFE, 0x10, 0x00, 0x00,
  0x00, 0x0C, 0xFF, 0xFF, 0xFF, 0xE4, 0x00, 0x04, 0xDF, 0xFF, 0xFF, 0xFF, 0x90, 0x00, 0x00,
  0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0x30, 0x00, 0x00, 0x1E, 0xFF, 0xFF, 0xFF, 0xE1, 0x00, 0x00,
  0x00, 0x7F, 0xFF, 0xFF, 0xF9, 0x00, 0x00, 0x00, 0x04, 0xFF, 0xFF, 0xFF, 0xF6, 0x00, 0x00,
  0x00, 0xBF, 0xFF, 0xFF, 0xF5, 0x00, 0x00, 0x00, 0x00, 0xCF, 0xFF, 0xFF, 0xFA, 0x00, 0x00,
  0x00, 0xDF, 0xFF, 0xFF, 0xF2, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFE, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x5F, 0xFF, 0xFF, 0xFF, 0x20, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x40, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x00, 0xEF, 0xFF, 0xFF, 0xF2, 0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x00, 0xBF, 0xFF, 0xFF, 0xF4, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xA0, 0x00,
  0x00, 0x7F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xCF, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0x3F, 0xFF, 0xFF, 0xFE, 0x10, 0x00, 0x00, 0x04, 0xFF, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0x0D, 0xFF, 0xFF, 0xFF, 0xC1, 0x00, 0x00, 0x3E, 0xFF, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0x05, 0xFF, 0xFF, 0xFF, 0xFE, 0x74, 0x48, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0x00, 0xAF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0x00, 0x1C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0x00, 0x01, 0xCF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xCC, 0xFF, 0xFF, 0xFF, 0x90, 0x00,
  0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x0B, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x27, 0xBF, 0xFF, 0xC8, 0x20, 0x0C, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0x20, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6F, 0xFF, 0xFF, 0xFD, 0x00, 0x00,
  0x00, 0x00, 0x34, 0x67, 0x88, 0x00, 0x00, 0x00, 0x00, 0x9F, 0xFF, 0xFF, 0xF9, 0x00, 0x00,
  0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x01, 0xEF, 0xFF, 0xFF, 0xF5, 0x00, 0x00,
  0x00, 0x0E, 0xFF, 0xFF, 0xFF, 0x60, 0x00, 0x00, 0x09, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00,
  0x00, 0x0A, 0xFF, 0xFF, 0xFF, 0xE3, 0x00, 0x00, 0x9F, 0xFF, 0xFF, 0xFF, 0x70, 0x00, 0x00,
  0x00, 0x05, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0x8D, 0xFF, 0xFF, 0xFF, 0xFE, 0x10, 0x00, 0x00,
  0x00, 0x00, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF5, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x60, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x06, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x6E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0x40, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x02, 0x9E, 0xFF, 0xFF, 0xFF, 0xFC, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x47, 0x77, 0x75, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font60BD_003A[540] = { /* code 003A, COLON */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x0B, 0xBB, 0xBB, 0xBB, 0x30, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x07, 0x77, 0x77, 0x77, 0x20, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x07, 0x77, 0x77, 0x77, 0x20, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x0B, 0xBB, 0xBB, 0xBB, 0x30, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE GUI_CHARINFO _aGUI_Font60BD_CharInfo[11] = {
   {  30,  30, 15, _acGUI_Font60BD_0030 } /* code 0030 */
  ,{  30,  30, 15, _acGUI_Font60BD_0031 } /* code 0031 */
  ,{  30,  30, 15, _acGUI_Font60BD_0032 } /* code 0032 */
  ,{  30,  30, 15, _acGUI_Font60BD_0033 } /* code 0033 */
  ,{  30,  30, 15, _acGUI_Font60BD_0034 } /* code 0034 */
  ,{  30,  30, 15, _acGUI_Font60BD_0035 } /* code 0035 */
  ,{  30,  30, 15, _acGUI_Font60BD_0036 } /* code 0036 */
  ,{  30,  30, 15, _acGUI_Font60BD_0037 } /* code 0037 */
  ,{  30,  30, 15, _acGUI_Font60BD_0038 } /* code 0038 */
  ,{  30,  30, 15, _acGUI_Font60BD_0039 } /* code 0039 */
  ,{  18,  18,  9, _acGUI_Font60BD_003A } /* code 003A */
};

static GUI_CONST_STORAGE GUI_FONT_PROP _GUI_Font60BD_Prop1 = {
   0x0030 /* first character */
  ,0x003A /* last character  */
  ,&_aGUI_Font60BD_CharInfo[  0] /* address of first character */
  ,(GUI_CONST_STORAGE GUI_FONT_PROP *)0 /* pointer to next GUI_FONT_PROP */
};

static GUI_CONST_STORAGE GUI_FONT _GUI_Font60BD = {
   GUI_FONTTYPE_PROP_AA4 /* type of font    */
  ,60 /* height of font  */
  ,60 /* space of font y */
  ,1 /* magnification x */
  ,1 /* magnification y */
  ,{&_GUI_Font60BD_Prop1}
  ,0 /* Baseline */
  ,0 /* Height of lowercase characters */
  ,0 /* Height of capital characters */
};

/*********************************************************************
*
*       GUI_Font24
*/
/* Start of unicode area <Basic Latin> */
static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0020[ 72] = { /* code 0020, SPACE */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0021[ 72] = { /* code 0021, EXCLAMATION MARK */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0022[ 96] = { /* code 0022, QUOTATION MARK */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x0F, 0xF0,
  0x0F, 0xF0, 0x0F, 0xF0,
  0x0F, 0xF0, 0x0F, 0xF0,
  0x0E, 0xE0, 0x0E, 0xE0,
  0x0D, 0xD0, 0x0D, 0xD0,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0023[144] = { /* code 0023, NUMBER SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0x00, 0x2F, 0xF0,
  0x00, 0x06, 0xFE, 0x00, 0x8F, 0xE0,
  0x00, 0x0C, 0xFC, 0x00, 0xCF, 0xC0,
  0x00, 0x0E, 0xF8, 0x00, 0xEF, 0x80,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0x00, 0x8F, 0xE0, 0x08, 0xFE, 0x00,
  0x00, 0xCF, 0xB0, 0x0C, 0xFB, 0x00,
  0x00, 0xEF, 0x40, 0x0E, 0xF4, 0x00,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0x08, 0xFE, 0x00, 0x8F, 0xE0, 0x00,
  0x0C, 0xFC, 0x00, 0xCF, 0xC0, 0x00,
  0x0E, 0xF8, 0x00, 0xEF, 0x60, 0x00,
  0x0F, 0xF2, 0x00, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0024[144] = { /* code 0024, DOLLAR SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0x00, 0x00, 0x00,
  0x00, 0x4E, 0xFF, 0xFD, 0x20, 0x00,
  0x06, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x0E, 0xFD, 0x2F, 0x2E, 0xFD, 0x00,
  0x0F, 0xF0, 0x0F, 0x02, 0xFF, 0x00,
  0x0F, 0xF4, 0x0F, 0x00, 0x00, 0x00,
  0x0D, 0xFF, 0xCF, 0x00, 0x00, 0x00,
  0x00, 0xDF, 0xFF, 0xE8, 0x00, 0x00,
  0x00, 0x02, 0xDF, 0xFF, 0xE0, 0x00,
  0x00, 0x00, 0x0F, 0x4E, 0xFC, 0x00,
  0x00, 0x00, 0x0F, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x0F, 0x00, 0xFF, 0x00,
  0x0F, 0xF2, 0x0F, 0x02, 0xFF, 0x00,
  0x0E, 0xFE, 0x2F, 0x2E, 0xFD, 0x00,
  0x02, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x00, 0x4D, 0xFF, 0xFD, 0x20, 0x00,
  0x00, 0x00, 0x0F, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0025[240] = { /* code 0025, PERCENT SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xBF, 0xFF, 0x80, 0x00, 0x00, 0x4F, 0xF0, 0x00, 0x00,
  0x08, 0xFD, 0x0D, 0xF8, 0x00, 0x00, 0xEF, 0x60, 0x00, 0x00,
  0x0E, 0xF2, 0x02, 0xFE, 0x00, 0x08, 0xFE, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0xFF, 0x00, 0x0F, 0xF2, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0xFF, 0x00, 0xCF, 0xD0, 0x00, 0x00, 0x00,
  0x0E, 0xF2, 0x02, 0xFE, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x08, 0xFD, 0x0D, 0xF8, 0x0D, 0xFB, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x9F, 0xFF, 0x80, 0x4F, 0xF0, 0xBF, 0xFF, 0x80, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xEF, 0x68, 0xFD, 0x0D, 0xF8, 0x00,
  0x00, 0x00, 0x00, 0x09, 0xFE, 0x0E, 0xF2, 0x02, 0xFE, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xF2, 0x0F, 0xF0, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0xCF, 0xC0, 0x0F, 0xF0, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x02, 0xFF, 0x00, 0x0E, 0xF2, 0x02, 0xFE, 0x00,
  0x00, 0x00, 0x0D, 0xF9, 0x00, 0x08, 0xFD, 0x0D, 0xF8, 0x00,
  0x00, 0x00, 0x6F, 0xE0, 0x00, 0x00, 0x9F, 0xFF, 0x80, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0026[168] = { /* code 0026, AMPERSAND */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x6E, 0xFF, 0xE8, 0x00, 0x00,
  0x00, 0x09, 0xFF, 0xFF, 0xFF, 0x90, 0x00,
  0x00, 0x0F, 0xFB, 0x00, 0xDF, 0xF0, 0x00,
  0x00, 0x0F, 0xF0, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x0E, 0xF6, 0x00, 0xDF, 0xB0, 0x00,
  0x00, 0x04, 0xFF, 0xCF, 0xFB, 0x00, 0x00,
  0x00, 0x02, 0xEF, 0xFD, 0x20, 0x00, 0x00,
  0x00, 0x9F, 0xFE, 0xFD, 0x00, 0x00, 0x00,
  0x06, 0xFF, 0x40, 0xEF, 0xD0, 0x2E, 0xD0,
  0x0E, 0xF6, 0x00, 0x0F, 0xFD, 0xBF, 0xE0,
  0x0F, 0xF0, 0x00, 0x04, 0xFF, 0xFF, 0x40,
  0x0F, 0xF8, 0x00, 0x00, 0xBF, 0xF9, 0x00,
  0x0D, 0xFF, 0x60, 0x09, 0xFF, 0xFE, 0x20,
  0x00, 0xEF, 0xFF, 0xFF, 0xFD, 0x4F, 0xFC,
  0x00, 0x0C, 0xFF, 0xFE, 0x80, 0x00, 0xE9,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0027[ 48] = { /* code 0027, APOSTROPHE */
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0E, 0xE0,
  0x0D, 0xD0,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0028[ 96] = { /* code 0028, LEFT PARENTHESIS */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x9E, 0x00,
  0x00, 0x04, 0xF2, 0x00,
  0x00, 0x0E, 0xD0, 0x00,
  0x00, 0xBF, 0x20, 0x00,
  0x00, 0xFE, 0x00, 0x00,
  0x08, 0xFC, 0x00, 0x00,
  0x0D, 0xF6, 0x00, 0x00,
  0x0E, 0xF2, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00,
  0x0E, 0xF2, 0x00, 0x00,
  0x0D, 0xF8, 0x00, 0x00,
  0x08, 0xFD, 0x00, 0x00,
  0x00, 0xFE, 0x00, 0x00,
  0x00, 0x9F, 0x40, 0x00,
  0x00, 0x0E, 0xD0, 0x00,
  0x00, 0x04, 0xF2, 0x00,
  0x00, 0x00, 0x9E, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0029[ 96] = { /* code 0029, RIGHT PARENTHESIS */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x0E, 0x90, 0x00, 0x00,
  0x02, 0xF4, 0x00, 0x00,
  0x00, 0xDE, 0x00, 0x00,
  0x00, 0x2F, 0xB0, 0x00,
  0x00, 0x0E, 0xF0, 0x00,
  0x00, 0x0C, 0xF8, 0x00,
  0x00, 0x06, 0xFD, 0x00,
  0x00, 0x02, 0xFE, 0x00,
  0x00, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0xFF, 0x00,
  0x00, 0x02, 0xFE, 0x00,
  0x00, 0x08, 0xFD, 0x00,
  0x00, 0x0D, 0xF8, 0x00,
  0x00, 0x0E, 0xF0, 0x00,
  0x00, 0x4F, 0x90, 0x00,
  0x00, 0xDE, 0x00, 0x00,
  0x02, 0xF4, 0x00, 0x00,
  0x0E, 0x90, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_002A[ 96] = { /* code 002A, ASTERISK */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x0F, 0xF0, 0x00,
  0x42, 0x0F, 0xE0, 0x24,
  0xEF, 0xEF, 0xFE, 0xFE,
  0x26, 0xEF, 0xFE, 0x82,
  0x09, 0xFD, 0xDF, 0x90,
  0x0D, 0xE0, 0x0E, 0xD0,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_002B[144] = { /* code 002B, PLUS SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_002C[ 72] = { /* code 002C, COMMA */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0x0F, 0x00,
  0x00, 0xBE, 0x00,
  0x00, 0xE0, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_002D[ 96] = { /* code 002D, HYPHEN-MINUS */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0xFF, 0xFF, 0xFF, 0x00,
  0xFF, 0xFF, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_002E[ 72] = { /* code 002E, FULL STOP */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_002F[ 72] = { /* code 002F, SOLIDUS */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x02, 0xFF,
  0x00, 0x09, 0xFD,
  0x00, 0x0E, 0xF9,
  0x00, 0x0F, 0xF0,
  0x00, 0x4F, 0xE0,
  0x00, 0xBF, 0xD0,
  0x00, 0xEF, 0x80,
  0x00, 0xFF, 0x00,
  0x06, 0xFE, 0x00,
  0x0D, 0xFC, 0x00,
  0x0E, 0xF4, 0x00,
  0x0F, 0xF0, 0x00,
  0x8F, 0xE0, 0x00,
  0xDF, 0xB0, 0x00,
  0xFF, 0x20, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0030[144] = { /* code 0030, DIGIT ZERO */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0C, 0xFF, 0xFE, 0xC0, 0x00,
  0x00, 0xEF, 0xFF, 0xFF, 0xFE, 0x00,
  0x06, 0xFF, 0x90, 0x09, 0xFF, 0x40,
  0x0D, 0xFB, 0x00, 0x00, 0x9F, 0xC0,
  0x0E, 0xF6, 0x00, 0x00, 0x0F, 0xE0,
  0x0F, 0xF0, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x0F, 0xF0,
  0x0E, 0xF6, 0x00, 0x00, 0x6F, 0xE0,
  0x0D, 0xFC, 0x00, 0x00, 0xCF, 0xD0,
  0x04, 0xFF, 0x90, 0x09, 0xFF, 0x60,
  0x00, 0xEF, 0xFF, 0xFF, 0xFE, 0x00,
  0x00, 0x0B, 0xEF, 0xFF, 0xC0, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0031[144] = { /* code 0031, DIGIT ONE */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xDF, 0x00, 0x00,
  0x00, 0x00, 0x0B, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0xEF, 0xFF, 0x00, 0x00,
  0x00, 0xCF, 0xFE, 0xFF, 0x00, 0x00,
  0x00, 0xFF, 0x90, 0xFF, 0x00, 0x00,
  0x00, 0x90, 0x00, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0032[144] = { /* code 0032, DIGIT TWO */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0C, 0xEF, 0xFF, 0xD0, 0x00,
  0x00, 0xEF, 0xFF, 0xFF, 0xFE, 0x00,
  0x0D, 0xFE, 0x40, 0x08, 0xFF, 0xD0,
  0x0F, 0xF0, 0x00, 0x00, 0x6F, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x4F, 0xE0,
  0x00, 0x00, 0x00, 0x00, 0xEF, 0x80,
  0x00, 0x00, 0x00, 0x09, 0xFD, 0x00,
  0x00, 0x00, 0x00, 0x9F, 0xD0, 0x00,
  0x00, 0x00, 0x0D, 0xFD, 0x00, 0x00,
  0x00, 0x00, 0xEF, 0xC0, 0x00, 0x00,
  0x00, 0x4F, 0xF8, 0x00, 0x00, 0x00,
  0x02, 0xFF, 0x40, 0x00, 0x00, 0x00,
  0x0E, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0033[144] = { /* code 0033, DIGIT THREE */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0D, 0xFF, 0xFD, 0x20, 0x00,
  0x00, 0xEF, 0xFF, 0xFF, 0xF4, 0x00,
  0x0C, 0xFE, 0x40, 0x2E, 0xFE, 0x00,
  0x0F, 0xF2, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x4E, 0xFC, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xD0, 0x00,
  0x00, 0x00, 0x6E, 0xEF, 0xFD, 0x00,
  0x00, 0x00, 0x00, 0x02, 0xEF, 0xC0,
  0x00, 0x00, 0x00, 0x00, 0x2F, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF2, 0x00, 0x00, 0x6F, 0xF0,
  0x0D, 0xFE, 0x20, 0x06, 0xEF, 0xC0,
  0x00, 0xEF, 0xFF, 0xFF, 0xFD, 0x00,
  0x00, 0x0C, 0xFF, 0xFE, 0x90, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0034[144] = { /* code 0034, DIGIT FOUR */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x09, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x4F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0xF0, 0x00,
  0x00, 0x00, 0x0E, 0xFF, 0xF0, 0x00,
  0x00, 0x00, 0xCF, 0x9F, 0xF0, 0x00,
  0x00, 0x08, 0xFD, 0x0F, 0xF0, 0x00,
  0x00, 0x2F, 0xE0, 0x0F, 0xF0, 0x00,
  0x00, 0xEF, 0x40, 0x0F, 0xF0, 0x00,
  0x0D, 0xFB, 0x00, 0x0F, 0xF0, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0035[144] = { /* code 0035, DIGIT FIVE */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x2F, 0xFF, 0xFF, 0xFF, 0x00,
  0x00, 0x9F, 0xFF, 0xFF, 0xFF, 0x00,
  0x00, 0xDF, 0xB0, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x40, 0x00, 0x00, 0x00,
  0x02, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x09, 0xFE, 0xCF, 0xFF, 0xC0, 0x00,
  0x0D, 0xFF, 0xFF, 0xFF, 0xFE, 0x00,
  0x0F, 0xF8, 0x00, 0x04, 0xEF, 0xC0,
  0x00, 0x00, 0x00, 0x00, 0x4F, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF2, 0x00, 0x00, 0x8F, 0xE0,
  0x0D, 0xFE, 0x20, 0x04, 0xEF, 0x80,
  0x00, 0xEF, 0xFF, 0xFF, 0xFD, 0x00,
  0x00, 0x0C, 0xFF, 0xFE, 0x80, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0036[144] = { /* code 0036, DIGIT SIX */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x02, 0xDF, 0xFF, 0xD0, 0x00,
  0x00, 0x4F, 0xFF, 0xFF, 0xFF, 0x00,
  0x00, 0xFF, 0xB0, 0x04, 0xEF, 0xD0,
  0x09, 0xFE, 0x00, 0x00, 0x2F, 0xF0,
  0x0E, 0xF8, 0x00, 0x00, 0x00, 0x00,
  0x0E, 0xF0, 0xCF, 0xFF, 0xD0, 0x00,
  0x0F, 0xFD, 0xFF, 0xFF, 0xFE, 0x00,
  0x0F, 0xFF, 0x90, 0x04, 0xEF, 0xC0,
  0x0F, 0xF9, 0x00, 0x00, 0x6F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x0F, 0xF0,
  0x0E, 0xF0, 0x00, 0x00, 0x0F, 0xF0,
  0x0D, 0xFC, 0x00, 0x00, 0x8F, 0xE0,
  0x02, 0xFF, 0x80, 0x04, 0xEF, 0x90,
  0x00, 0x9F, 0xFF, 0xFF, 0xFD, 0x00,
  0x00, 0x06, 0xEF, 0xFF, 0xC0, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0037[144] = { /* code 0037, DIGIT SEVEN */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0xEF, 0x40,
  0x00, 0x00, 0x00, 0x0C, 0xFB, 0x00,
  0x00, 0x00, 0x00, 0x4F, 0xE0, 0x00,
  0x00, 0x00, 0x00, 0xEF, 0x20, 0x00,
  0x00, 0x00, 0x09, 0xFD, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF2, 0x00, 0x00,
  0x00, 0x00, 0x9F, 0xD0, 0x00, 0x00,
  0x00, 0x00, 0xEF, 0x40, 0x00, 0x00,
  0x00, 0x02, 0xFF, 0x00, 0x00, 0x00,
  0x00, 0x0B, 0xFD, 0x00, 0x00, 0x00,
  0x00, 0x0E, 0xF8, 0x00, 0x00, 0x00,
  0x00, 0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0038[144] = { /* code 0038, DIGIT EIGHT */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x06, 0xEF, 0xFE, 0x40, 0x00,
  0x00, 0x6F, 0xFF, 0xFF, 0xF4, 0x00,
  0x00, 0xEF, 0xC0, 0x0C, 0xFE, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0xDF, 0xC0, 0x0C, 0xFD, 0x00,
  0x00, 0x0D, 0xFF, 0xFF, 0xD0, 0x00,
  0x00, 0x8F, 0xFF, 0xFF, 0xE6, 0x00,
  0x08, 0xFE, 0x40, 0x04, 0xEF, 0x80,
  0x0F, 0xF2, 0x00, 0x00, 0x2F, 0xE0,
  0x0F, 0xF0, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x2F, 0xF0,
  0x0D, 0xFE, 0x60, 0x04, 0xEF, 0xD0,
  0x00, 0xEF, 0xFF, 0xFF, 0xFF, 0x20,
  0x00, 0x0D, 0xFF, 0xFF, 0xD4, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0039[144] = { /* code 0039, DIGIT NINE */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0C, 0xFF, 0xFE, 0x60, 0x00,
  0x00, 0xDF, 0xFF, 0xFF, 0xF9, 0x00,
  0x09, 0xFF, 0x80, 0x04, 0xEF, 0x20,
  0x0E, 0xF8, 0x00, 0x00, 0x8F, 0xD0,
  0x0F, 0xF0, 0x00, 0x00, 0x0F, 0xE0,
  0x0F, 0xF0, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF6, 0x00, 0x00, 0x9F, 0xF0,
  0x0C, 0xFE, 0x40, 0x09, 0xFF, 0xF0,
  0x00, 0xEF, 0xFF, 0xFF, 0xDF, 0xF0,
  0x00, 0x0C, 0xFF, 0xFC, 0x0F, 0xE0,
  0x00, 0x00, 0x00, 0x00, 0x8F, 0xE0,
  0x0F, 0xF2, 0x00, 0x00, 0xDF, 0x90,
  0x0D, 0xFE, 0x20, 0x29, 0xFF, 0x00,
  0x02, 0xFF, 0xFF, 0xFF, 0xF4, 0x00,
  0x00, 0x2D, 0xFF, 0xFD, 0x20, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_003A[ 72] = { /* code 003A, COLON */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_003B[ 72] = { /* code 003B, SEMICOLON */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0x0F, 0x00,
  0x00, 0xBE, 0x00,
  0x00, 0xE0, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_003C[144] = { /* code 003C, LESS-THAN SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x06, 0xE0,
  0x00, 0x00, 0x00, 0x06, 0xEF, 0xF0,
  0x00, 0x00, 0x06, 0xEF, 0xFD, 0x60,
  0x00, 0x06, 0xEF, 0xFC, 0x20, 0x00,
  0x06, 0xEF, 0xF9, 0x00, 0x00, 0x00,
  0x0F, 0xFC, 0x00, 0x00, 0x00, 0x00,
  0x06, 0xEF, 0xF9, 0x00, 0x00, 0x00,
  0x00, 0x06, 0xEF, 0xFC, 0x20, 0x00,
  0x00, 0x00, 0x06, 0xEF, 0xFD, 0x60,
  0x00, 0x00, 0x00, 0x06, 0xEF, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x06, 0xE0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_003D[144] = { /* code 003D, EQUALS SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_003E[144] = { /* code 003E, GREATER-THAN SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0E, 0x60, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFE, 0x60, 0x00, 0x00, 0x00,
  0x06, 0xDF, 0xFE, 0x60, 0x00, 0x00,
  0x00, 0x02, 0xCF, 0xFE, 0x60, 0x00,
  0x00, 0x00, 0x00, 0x9F, 0xFE, 0x60,
  0x00, 0x00, 0x00, 0x00, 0xCF, 0xF0,
  0x00, 0x00, 0x00, 0x9F, 0xFE, 0x60,
  0x00, 0x02, 0xCF, 0xFE, 0x60, 0x00,
  0x06, 0xDF, 0xFE, 0x60, 0x00, 0x00,
  0x0F, 0xFE, 0x60, 0x00, 0x00, 0x00,
  0x0E, 0x60, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_003F[144] = { /* code 003F, QUESTION MARK */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0C, 0xEF, 0xFF, 0xD0, 0x00,
  0x00, 0xEF, 0xFF, 0xFF, 0xFF, 0x40,
  0x0D, 0xFE, 0x80, 0x08, 0xEF, 0xE0,
  0x0F, 0xF4, 0x00, 0x00, 0x2F, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x2F, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0xEF, 0xC0,
  0x00, 0x00, 0x00, 0x4F, 0xFD, 0x00,
  0x00, 0x00, 0x02, 0xFF, 0xD0, 0x00,
  0x00, 0x00, 0x0D, 0xFD, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF2, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0040[264] = { /* code 0040, COMMERCIAL AT */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x0B, 0xEF, 0xFF, 0xFE, 0xC2, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x0C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD0, 0x00, 0x00,
  0x00, 0x00, 0xEF, 0xFE, 0x92, 0x00, 0x28, 0xEF, 0xFE, 0x00, 0x00,
  0x00, 0x0E, 0xFF, 0x60, 0x00, 0x00, 0x00, 0x06, 0xFF, 0xE0, 0x00,
  0x00, 0xBF, 0xF4, 0x00, 0xCF, 0xFF, 0x80, 0xFF, 0x4F, 0xF6, 0x00,
  0x00, 0xFF, 0x60, 0x0E, 0xFF, 0xFF, 0xFD, 0xFD, 0x0C, 0xFD, 0x00,
  0x09, 0xFE, 0x00, 0xEF, 0xE6, 0x02, 0xEF, 0xF9, 0x04, 0xFF, 0x00,
  0x0E, 0xF9, 0x06, 0xFF, 0x00, 0x00, 0x2F, 0xF2, 0x00, 0xFF, 0x00,
  0x0F, 0xF2, 0x0E, 0xFB, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x0F, 0xF2, 0x00, 0x00, 0x2F, 0xD0, 0x06, 0xFE, 0x00,
  0x0F, 0xF0, 0x0F, 0xF0, 0x00, 0x00, 0xCF, 0xB0, 0x0D, 0xFC, 0x00,
  0x0F, 0xF2, 0x0F, 0xF2, 0x00, 0x04, 0xFF, 0x40, 0x6F, 0xF0, 0x00,
  0x0E, 0xF9, 0x0D, 0xFE, 0x20, 0x9F, 0xFF, 0x09, 0xFF, 0x90, 0x00,
  0x09, 0xFF, 0x02, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xF9, 0x00, 0x00,
  0x00, 0xFF, 0xD0, 0x4E, 0xFF, 0xC0, 0xCF, 0xFE, 0x69, 0xFE, 0x00,
  0x00, 0x8F, 0xFD, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCF, 0xF2, 0x00,
  0x00, 0x09, 0xFF, 0xFD, 0x82, 0x00, 0x06, 0xBF, 0xFF, 0x40, 0x00,
  0x00, 0x00, 0x6F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x6D, 0xEF, 0xFF, 0xFE, 0xD4, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0041[168] = { /* code 0041, LATIN CAPITAL LETTER A */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x9F, 0xFF, 0x90, 0x00, 0x00,
  0x00, 0x00, 0xEF, 0xDF, 0xE0, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x0B, 0xFD, 0x0D, 0xFB, 0x00, 0x00,
  0x00, 0x0E, 0xF8, 0x08, 0xFE, 0x00, 0x00,
  0x00, 0x2F, 0xF0, 0x00, 0xFF, 0x20, 0x00,
  0x00, 0xBF, 0xD0, 0x00, 0xDF, 0xB0, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x04, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00,
  0x0D, 0xF8, 0x00, 0x00, 0x08, 0xFD, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x6F, 0xD0, 0x00, 0x00, 0x00, 0xDF, 0x60,
  0xDF, 0x80, 0x00, 0x00, 0x00, 0x8F, 0xD0,
  0xFF, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0042[168] = { /* code 0042, LATIN CAPITAL LETTER B */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFE, 0x40, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x2D, 0xFE, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x2D, 0xFC, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xD0, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE6, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x0B, 0xFF, 0x80,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x6F, 0xE0,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x4F, 0xF0,
  0x00, 0xFF, 0x00, 0x00, 0x06, 0xEF, 0xD0,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFE, 0xD0, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0043[192] = { /* code 0043, LATIN CAPITAL LETTER C */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x2D, 0xEF, 0xFE, 0xC0, 0x00, 0x00,
  0x00, 0x0C, 0xFF, 0xFF, 0xFF, 0xFF, 0x40, 0x00,
  0x00, 0xCF, 0xFC, 0x40, 0x04, 0xEF, 0xF2, 0x00,
  0x02, 0xFF, 0x40, 0x00, 0x00, 0x0E, 0xFD, 0x00,
  0x0D, 0xFD, 0x00, 0x00, 0x00, 0x02, 0xEC, 0x00,
  0x0E, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0E, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x92, 0x00,
  0x0D, 0xFD, 0x00, 0x00, 0x00, 0x08, 0xFF, 0x00,
  0x02, 0xFF, 0x40, 0x00, 0x00, 0x0F, 0xFC, 0x00,
  0x00, 0xDF, 0xFC, 0x20, 0x08, 0xFF, 0xF0, 0x00,
  0x00, 0x0D, 0xFF, 0xFF, 0xFF, 0xFF, 0x40, 0x00,
  0x00, 0x00, 0x6E, 0xFF, 0xFE, 0xC0, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0044[192] = { /* code 0044, LATIN CAPITAL LETTER D */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFE, 0xB0, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x08, 0xFF, 0xE0, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF6, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x0C, 0xFD, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x04, 0xFE, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x06, 0xFE, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x0C, 0xFD, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF6, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x09, 0xFF, 0xE0, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFE, 0x90, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0045[168] = { /* code 0045, LATIN CAPITAL LETTER E */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0046[168] = { /* code 0046, LATIN CAPITAL LETTER F */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0047[192] = { /* code 0047, LATIN CAPITAL LETTER G */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x2C, 0xEF, 0xFF, 0xEC, 0x00, 0x00,
  0x00, 0x09, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x00,
  0x00, 0x9F, 0xFE, 0x80, 0x00, 0x8E, 0xFF, 0x00,
  0x00, 0xFF, 0x90, 0x00, 0x00, 0x00, 0xEF, 0xC0,
  0x0B, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x4E, 0x80,
  0x0E, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF0,
  0x0E, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0B, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x00, 0xFF, 0x90, 0x00, 0x00, 0x00, 0x2F, 0xF0,
  0x00, 0x9F, 0xFE, 0x80, 0x00, 0x8D, 0xFF, 0xF0,
  0x00, 0x08, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00,
  0x00, 0x00, 0x0B, 0xEF, 0xFF, 0xED, 0x40, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0048[168] = { /* code 0048, LATIN CAPITAL LETTER H */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0049[ 72] = { /* code 0049, LATIN CAPITAL LETTER I */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_004A[144] = { /* code 004A, LATIN CAPITAL LETTER J */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x0E, 0xF0, 0x00, 0x0F, 0xF0, 0x00,
  0x0F, 0xF4, 0x00, 0x2F, 0xF0, 0x00,
  0x0E, 0xFE, 0x00, 0xDF, 0xE0, 0x00,
  0x06, 0xFF, 0xFF, 0xFF, 0x60, 0x00,
  0x00, 0x8E, 0xFF, 0xE6, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_004B[168] = { /* code 004B, LATIN CAPITAL LETTER K */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x0B, 0xFF, 0xD0,
  0x00, 0xFF, 0x00, 0x00, 0x6F, 0xFD, 0x00,
  0x00, 0xFF, 0x00, 0x04, 0xFF, 0xE0, 0x00,
  0x00, 0xFF, 0x00, 0x0E, 0xFE, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0xEF, 0xF0, 0x00, 0x00,
  0x00, 0xFF, 0x0D, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0xFF, 0x9F, 0xFE, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0xFF, 0xF9, 0xEF, 0xF4, 0x00, 0x00,
  0x00, 0xFF, 0x90, 0x0E, 0xFF, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x04, 0xFF, 0xE0, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x8F, 0xFB, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x0C, 0xFF, 0x40,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0xEF, 0xE0,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x0F, 0xFD,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_004C[144] = { /* code 004C, LATIN CAPITAL LETTER L */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_004D[216] = { /* code 004D, LATIN CAPITAL LETTER M */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xEC, 0x40, 0x00, 0x00, 0x00, 0x4C, 0xEF, 0x00,
  0x0F, 0xFF, 0xD0, 0x00, 0x00, 0x00, 0xDF, 0xFF, 0x00,
  0x0F, 0xFE, 0xF0, 0x00, 0x00, 0x00, 0xFE, 0xFF, 0x00,
  0x0F, 0xFB, 0xF8, 0x00, 0x00, 0x08, 0xFB, 0xFF, 0x00,
  0x0F, 0xF2, 0xFD, 0x00, 0x00, 0x0D, 0xF2, 0xFF, 0x00,
  0x0F, 0xF0, 0xEF, 0x00, 0x00, 0x0F, 0xE0, 0xFF, 0x00,
  0x0F, 0xF0, 0xBF, 0x90, 0x00, 0x9F, 0xB0, 0xFF, 0x00,
  0x0F, 0xF0, 0x2F, 0xE0, 0x00, 0xEF, 0x20, 0xFF, 0x00,
  0x0F, 0xF0, 0x0E, 0xF0, 0x00, 0xFE, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x0B, 0xF9, 0x09, 0xFB, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x02, 0xFE, 0x0E, 0xF2, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0xEF, 0x2F, 0xE0, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0xBF, 0xEF, 0xB0, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x2F, 0xFF, 0x20, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x0E, 0xFE, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_004E[168] = { /* code 004E, LATIN CAPITAL LETTER N */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFB, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xFF, 0x20, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xFD, 0xFB, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0xFF, 0x20, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x8F, 0xE0, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x0E, 0xF8, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0xFF, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x8F, 0xE0, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x0E, 0xF6, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x02, 0xFF, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0xBF, 0xDF, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x0E, 0xFF, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x02, 0xFF, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0xCF, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_004F[192] = { /* code 004F, LATIN CAPITAL LETTER O */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x2D, 0xFF, 0xFF, 0xD2, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0xFF, 0x90, 0x00,
  0x00, 0x9F, 0xFD, 0x40, 0x04, 0xDF, 0xF9, 0x00,
  0x02, 0xFF, 0x90, 0x00, 0x00, 0x09, 0xFF, 0x20,
  0x0D, 0xFD, 0x00, 0x00, 0x00, 0x00, 0xDF, 0xC0,
  0x0E, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x8F, 0xE0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0E, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x6F, 0xE0,
  0x0D, 0xFD, 0x00, 0x00, 0x00, 0x00, 0xDF, 0xD0,
  0x02, 0xFF, 0x90, 0x00, 0x00, 0x09, 0xFF, 0x20,
  0x00, 0x9F, 0xFD, 0x40, 0x04, 0xDF, 0xFB, 0x00,
  0x00, 0x09, 0xFF, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x00, 0x00, 0x2D, 0xFF, 0xFF, 0xD2, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0050[168] = { /* code 0050, LATIN CAPITAL LETTER P */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xD2, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x20,
  0x00, 0xFF, 0x00, 0x00, 0x04, 0xEF, 0xD0,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x2F, 0xF0,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x4F, 0xF0,
  0x00, 0xFF, 0x00, 0x00, 0x08, 0xEF, 0xD0,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFE, 0xD0, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0051[192] = { /* code 0051, LATIN CAPITAL LETTER Q */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x2D, 0xFF, 0xFF, 0xD2, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00,
  0x00, 0xBF, 0xFD, 0x40, 0x04, 0xDF, 0xFC, 0x00,
  0x02, 0xFF, 0x90, 0x00, 0x00, 0x09, 0xFF, 0x20,
  0x0C, 0xFD, 0x00, 0x00, 0x00, 0x00, 0xDF, 0xD0,
  0x0E, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x8F, 0xE0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0E, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x6F, 0xE0,
  0x0C, 0xFD, 0x00, 0x00, 0x66, 0x00, 0xDF, 0x90,
  0x02, 0xFF, 0x90, 0x00, 0xEF, 0xEB, 0xFF, 0x00,
  0x00, 0x9F, 0xFD, 0x40, 0x0D, 0xFF, 0xF4, 0x00,
  0x00, 0x09, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00,
  0x00, 0x00, 0x2D, 0xFF, 0xFF, 0xD9, 0xFF, 0xE0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xD0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0052[192] = { /* code 0052, LATIN CAPITAL LETTER R */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE6, 0x00, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x60, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x02, 0xEF, 0xE0, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x04, 0xEF, 0xE0, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x40, 0x00,
  0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE4, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x0B, 0xFE, 0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0xEF, 0xE0, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x4F, 0xFB, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x0D, 0xFF, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0xBF, 0xF2, 0x00,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x0F, 0xFD, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0053[168] = { /* code 0053, LATIN CAPITAL LETTER S */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0xCE, 0xFF, 0xFE, 0xB0, 0x00,
  0x00, 0x0E, 0xFF, 0xFF, 0xFF, 0xFE, 0x00,
  0x00, 0xDF, 0xE8, 0x00, 0x08, 0xEF, 0xD0,
  0x00, 0xFF, 0x20, 0x00, 0x00, 0x2F, 0xF0,
  0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xDF, 0xE8, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0E, 0xFF, 0xFE, 0xC6, 0x00, 0x00,
  0x00, 0x00, 0x8D, 0xFF, 0xFF, 0xF8, 0x00,
  0x00, 0x00, 0x00, 0x02, 0x9D, 0xFF, 0x80,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x6F, 0xE0,
  0x0F, 0xF2, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0E, 0xFC, 0x00, 0x00, 0x00, 0x4F, 0xF0,
  0x06, 0xFF, 0xE6, 0x00, 0x09, 0xFF, 0xC0,
  0x00, 0x9F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00,
  0x00, 0x02, 0xDE, 0xFF, 0xFE, 0x90, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0054[144] = { /* code 0054, LATIN CAPITAL LETTER T */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0055[168] = { /* code 0055, LATIN CAPITAL LETTER U */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF4, 0x00, 0x00, 0x00, 0x6F, 0xF0,
  0x0D, 0xFD, 0x00, 0x00, 0x00, 0xDF, 0xE0,
  0x04, 0xFF, 0xD4, 0x00, 0x4C, 0xFF, 0x60,
  0x00, 0x9F, 0xFF, 0xFF, 0xFF, 0xF9, 0x00,
  0x00, 0x02, 0xDF, 0xFF, 0xFE, 0x60, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0056[168] = { /* code 0056, LATIN CAPITAL LETTER V */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xFF, 0x40, 0x00, 0x00, 0x00, 0x4F, 0xF0,
  0xDF, 0xD0, 0x00, 0x00, 0x00, 0xDF, 0xD0,
  0x4F, 0xF0, 0x00, 0x00, 0x00, 0xFF, 0x40,
  0x0F, 0xF4, 0x00, 0x00, 0x04, 0xFF, 0x00,
  0x0D, 0xFD, 0x00, 0x00, 0x0D, 0xFD, 0x00,
  0x04, 0xFF, 0x00, 0x00, 0x0F, 0xF4, 0x00,
  0x00, 0xFF, 0x40, 0x00, 0x4F, 0xF0, 0x00,
  0x00, 0xDF, 0xD0, 0x00, 0xDF, 0xD0, 0x00,
  0x00, 0x4F, 0xF0, 0x00, 0xFF, 0x40, 0x00,
  0x00, 0x0F, 0xF4, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x0D, 0xFD, 0x0D, 0xFD, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x0F, 0xF4, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0x9F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0xDF, 0xFF, 0xD0, 0x00, 0x00,
  0x00, 0x00, 0x4F, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0057[264] = { /* code 0057, LATIN CAPITAL LETTER W */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xFF, 0x20, 0x00, 0x00, 0x2F, 0xFF, 0x20, 0x00, 0x00, 0x4F, 0xF0,
  0xDF, 0xB0, 0x00, 0x00, 0x9F, 0xFF, 0x90, 0x00, 0x00, 0xBF, 0xD0,
  0x8F, 0xE0, 0x00, 0x00, 0xEF, 0xDF, 0xD0, 0x00, 0x00, 0xEF, 0x80,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0E, 0xF6, 0x00, 0x04, 0xFE, 0x0E, 0xF4, 0x00, 0x06, 0xFE, 0x00,
  0x0C, 0xFC, 0x00, 0x0C, 0xFC, 0x0B, 0xFB, 0x00, 0x0C, 0xFC, 0x00,
  0x06, 0xFE, 0x00, 0x0E, 0xF6, 0x04, 0xFE, 0x00, 0x0E, 0xF6, 0x00,
  0x00, 0xFF, 0x00, 0x0F, 0xF0, 0x00, 0xFF, 0x00, 0x0F, 0xF0, 0x00,
  0x00, 0xEF, 0x80, 0x8F, 0xE0, 0x00, 0xDF, 0x80, 0x8F, 0xE0, 0x00,
  0x00, 0xBF, 0xD0, 0xDF, 0xB0, 0x00, 0x9F, 0xD0, 0xDF, 0xB0, 0x00,
  0x00, 0x4F, 0xF0, 0xEF, 0x20, 0x00, 0x2F, 0xE0, 0xFF, 0x40, 0x00,
  0x00, 0x0F, 0xF6, 0xFF, 0x00, 0x00, 0x0F, 0xF6, 0xFF, 0x00, 0x00,
  0x00, 0x0D, 0xFE, 0xFD, 0x00, 0x00, 0x0D, 0xFE, 0xFD, 0x00, 0x00,
  0x00, 0x09, 0xFF, 0xF8, 0x00, 0x00, 0x08, 0xFF, 0xF9, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0xFF, 0xF2, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0058[168] = { /* code 0058, LATIN CAPITAL LETTER X */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0D, 0xFE, 0x00, 0x00, 0x00, 0xEF, 0xD0,
  0x00, 0xFF, 0xC0, 0x00, 0x0C, 0xFF, 0x00,
  0x00, 0x4F, 0xF4, 0x00, 0x4F, 0xF4, 0x00,
  0x00, 0x0B, 0xFE, 0x00, 0xEF, 0xB0, 0x00,
  0x00, 0x00, 0xEF, 0x9B, 0xFE, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0xFF, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x06, 0xFF, 0x60, 0x00, 0x00,
  0x00, 0x00, 0x0C, 0xFF, 0xC0, 0x00, 0x00,
  0x00, 0x00, 0x6F, 0xEE, 0xF6, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xBB, 0xFF, 0x00, 0x00,
  0x00, 0x0E, 0xFE, 0x00, 0xEF, 0xE0, 0x00,
  0x00, 0xBF, 0xF2, 0x00, 0x2F, 0xFB, 0x00,
  0x04, 0xFF, 0x90, 0x00, 0x09, 0xFF, 0x40,
  0x0F, 0xFD, 0x00, 0x00, 0x00, 0xDF, 0xF0,
  0xDF, 0xE0, 0x00, 0x00, 0x00, 0x0E, 0xFD,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0059[168] = { /* code 0059, LATIN CAPITAL LETTER Y */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xEF, 0xE0, 0x00, 0x00, 0x00, 0x0E, 0xFE,
  0x0F, 0xFC, 0x00, 0x00, 0x00, 0xBF, 0xF0,
  0x06, 0xFF, 0x40, 0x00, 0x04, 0xFF, 0x60,
  0x00, 0xDF, 0xE0, 0x00, 0x0E, 0xFD, 0x00,
  0x00, 0x0E, 0xFD, 0x00, 0xCF, 0xE0, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0xFF, 0x40, 0x00,
  0x00, 0x00, 0xCF, 0xDD, 0xFC, 0x00, 0x00,
  0x00, 0x00, 0x0E, 0xFF, 0xE0, 0x00, 0x00,
  0x00, 0x00, 0x02, 0xFF, 0x20, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_005A[168] = { /* code 005A, LATIN CAPITAL LETTER Z */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x2F, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xEF, 0x40, 0x00,
  0x00, 0x00, 0x00, 0x0D, 0xF9, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xBF, 0xD0, 0x00, 0x00,
  0x00, 0x00, 0x06, 0xFE, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x2F, 0xF0, 0x00, 0x00, 0x00,
  0x00, 0x00, 0xEF, 0x40, 0x00, 0x00, 0x00,
  0x00, 0x0D, 0xF9, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xBF, 0xD0, 0x00, 0x00, 0x00, 0x00,
  0x06, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x2F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_005B[ 72] = { /* code 005B, LEFT SQUARE BRACKET */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xF0,
  0x0F, 0xFF, 0xF0,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xFF, 0xF0,
  0x0F, 0xFF, 0xF0,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_005C[ 72] = { /* code 005C, REVERSE SOLIDUS */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0xFF, 0x20, 0x00,
  0xDF, 0x90, 0x00,
  0x9F, 0xE0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0E, 0xF4, 0x00,
  0x0D, 0xFB, 0x00,
  0x08, 0xFE, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xEF, 0x60,
  0x00, 0xCF, 0xD0,
  0x00, 0x4F, 0xE0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0E, 0xF8,
  0x00, 0x0B, 0xFD,
  0x00, 0x02, 0xFF,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_005D[ 72] = { /* code 005D, RIGHT SQUARE BRACKET */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xF0,
  0x0F, 0xFF, 0xF0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0F, 0xF0,
  0x00, 0x0F, 0xF0,
  0x0F, 0xFF, 0xF0,
  0x0F, 0xFF, 0xF0,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_005E[ 96] = { /* code 005E, CIRCUMFLEX ACCENT */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x4F, 0xF4, 0x00,
  0x00, 0xDF, 0xFD, 0x00,
  0x00, 0xFF, 0xFF, 0x00,
  0x08, 0xFD, 0xDF, 0x80,
  0x0E, 0xF4, 0x4F, 0xE0,
  0x0F, 0xF0, 0x0F, 0xF0,
  0xBF, 0xD0, 0x0D, 0xFB,
  0xEF, 0x40, 0x04, 0xFE,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_005F[144] = { /* code 005F, LOW LINE */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0060[ 96] = { /* code 0060, GRAVE ACCENT */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x0E, 0xF4, 0x00, 0x00,
  0x00, 0xFD, 0x00, 0x00,
  0x00, 0x8F, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0061[144] = { /* code 0061, LATIN SMALL LETTER A */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x6E, 0xFF, 0xFF, 0xC0, 0x00,
  0x0D, 0xFF, 0xFF, 0xFF, 0xFD, 0x00,
  0x0F, 0xFB, 0x00, 0x0D, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0x02, 0xBE, 0xEF, 0xFF, 0x00,
  0x00, 0xEF, 0xFF, 0xFF, 0xFF, 0x00,
  0x0D, 0xFF, 0xDC, 0x82, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x06, 0xFF, 0x00,
  0x0F, 0xFB, 0x00, 0x9F, 0xFF, 0x00,
  0x0D, 0xFF, 0xFF, 0xFF, 0xFF, 0x80,
  0x00, 0xDF, 0xFF, 0xE8, 0x6F, 0xE0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0062[144] = { /* code 0062, LATIN SMALL LETTER B */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0xDF, 0xFD, 0x00, 0x00,
  0x0F, 0xFE, 0xFF, 0xFF, 0xE0, 0x00,
  0x0F, 0xFF, 0x60, 0x6F, 0xFB, 0x00,
  0x0F, 0xF9, 0x00, 0x09, 0xFE, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF8, 0x00, 0x09, 0xFE, 0x00,
  0x0F, 0xFF, 0x60, 0x6F, 0xF9, 0x00,
  0x0F, 0xFE, 0xFF, 0xFF, 0xE0, 0x00,
  0x0F, 0xF0, 0xDF, 0xFD, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0063[144] = { /* code 0063, LATIN SMALL LETTER C */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0C, 0xEF, 0xFE, 0x20, 0x00,
  0x00, 0xEF, 0xFF, 0xFF, 0xF0, 0x00,
  0x09, 0xFF, 0x80, 0x2E, 0xFD, 0x00,
  0x0E, 0xF9, 0x00, 0x02, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0E, 0xF9, 0x00, 0x02, 0xFF, 0x00,
  0x09, 0xFF, 0x60, 0x2E, 0xFD, 0x00,
  0x00, 0xEF, 0xFF, 0xFF, 0xE0, 0x00,
  0x00, 0x0C, 0xFF, 0xFD, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0064[144] = { /* code 0064, LATIN SMALL LETTER D */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0x0D, 0xFF, 0xD0, 0xFF, 0x00,
  0x00, 0xEF, 0xFF, 0xFE, 0xFF, 0x00,
  0x0B, 0xFF, 0x60, 0x6F, 0xFF, 0x00,
  0x0E, 0xF8, 0x00, 0x09, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0E, 0xF9, 0x00, 0x08, 0xFF, 0x00,
  0x09, 0xFF, 0x60, 0x6F, 0xFF, 0x00,
  0x00, 0xEF, 0xFF, 0xFE, 0xFF, 0x00,
  0x00, 0x0D, 0xFF, 0xD0, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0065[144] = { /* code 0065, LATIN SMALL LETTER E */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x09, 0xEF, 0xFE, 0x90, 0x00,
  0x00, 0xDF, 0xFF, 0xFF, 0xFD, 0x00,
  0x08, 0xFE, 0x80, 0x06, 0xEF, 0x90,
  0x0E, 0xF2, 0x00, 0x00, 0x2F, 0xE0,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0E, 0xFB, 0x00, 0x00, 0x00, 0x00,
  0x09, 0xFF, 0xB0, 0x02, 0xDF, 0xE0,
  0x00, 0xDF, 0xFF, 0xFF, 0xFF, 0x40,
  0x00, 0x09, 0xEF, 0xFF, 0xD2, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0066[ 72] = { /* code 0066, LATIN SMALL LETTER F */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x2E, 0xFF,
  0x00, 0xEF, 0xFF,
  0x00, 0xFF, 0x40,
  0x00, 0xFF, 0x00,
  0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0067[144] = { /* code 0067, LATIN SMALL LETTER G */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0D, 0xFF, 0xD0, 0xFF, 0x00,
  0x00, 0xEF, 0xFF, 0xFE, 0xFF, 0x00,
  0x09, 0xFF, 0x60, 0x6F, 0xFF, 0x00,
  0x0E, 0xF9, 0x00, 0x09, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0E, 0xF9, 0x00, 0x09, 0xFF, 0x00,
  0x09, 0xFF, 0x60, 0x6F, 0xFF, 0x00,
  0x00, 0xEF, 0xFF, 0xFF, 0xFF, 0x00,
  0x00, 0x0D, 0xFF, 0xE8, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xFE, 0x00,
  0x0F, 0xFB, 0x00, 0x2E, 0xFD, 0x00,
  0x0D, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x00, 0xCE, 0xFF, 0xFD, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0068[144] = { /* code 0068, LATIN SMALL LETTER H */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0xCF, 0xFF, 0xB0, 0x00,
  0x0F, 0xFE, 0xFF, 0xFF, 0xFC, 0x00,
  0x0F, 0xFF, 0x80, 0x0D, 0xFE, 0x00,
  0x0F, 0xF8, 0x00, 0x02, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0069[ 72] = { /* code 0069, LATIN SMALL LETTER I */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_006A[ 48] = { /* code 006A, LATIN SMALL LETTER J */
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x00, 0x00,
  0x00, 0x00,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x4F, 0xF0,
  0xFF, 0xE0,
  0xFE, 0x40,
  0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_006B[120] = { /* code 006B, LATIN SMALL LETTER K */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x0D, 0xF9,
  0x0F, 0xF0, 0x00, 0xDF, 0xD0,
  0x0F, 0xF0, 0x0D, 0xFD, 0x00,
  0x0F, 0xF0, 0xDF, 0xD0, 0x00,
  0x0F, 0xFD, 0xFF, 0x80, 0x00,
  0x0F, 0xFF, 0xFF, 0xF0, 0x00,
  0x0F, 0xF9, 0x2F, 0xFC, 0x00,
  0x0F, 0xF0, 0x0C, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0xEF, 0xD0,
  0x0F, 0xF0, 0x00, 0x6F, 0xF2,
  0x0F, 0xF0, 0x00, 0x0D, 0xFE,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_006C[ 48] = { /* code 006C, LATIN SMALL LETTER L */
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x0F, 0xF0,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_006D[192] = { /* code 006D, LATIN SMALL LETTER M */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0xDF, 0xFD, 0x00, 0xDF, 0xFD, 0x00,
  0x0F, 0xFD, 0xFF, 0xFF, 0x9E, 0xFF, 0xFF, 0xD0,
  0x0F, 0xFE, 0x20, 0xCF, 0xFE, 0x20, 0xCF, 0xF0,
  0x0F, 0xF8, 0x00, 0x0F, 0xF4, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x0F, 0xF0, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x0F, 0xF0, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x0F, 0xF0, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x0F, 0xF0, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x0F, 0xF0, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x0F, 0xF0, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x0F, 0xF0, 0x00, 0x0F, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_006E[144] = { /* code 006E, LATIN SMALL LETTER N */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0xDF, 0xFF, 0xC0, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFC, 0x00,
  0x0F, 0xFF, 0x80, 0x0D, 0xFF, 0x00,
  0x0F, 0xF8, 0x00, 0x02, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_006F[144] = { /* code 006F, LATIN SMALL LETTER O */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x09, 0xEF, 0xFE, 0x90, 0x00,
  0x00, 0xDF, 0xFF, 0xFF, 0xFD, 0x00,
  0x09, 0xFF, 0x90, 0x0B, 0xFF, 0x90,
  0x0E, 0xFB, 0x00, 0x00, 0xBF, 0xE0,
  0x0F, 0xF0, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x0F, 0xF0,
  0x0F, 0xF0, 0x00, 0x00, 0x0F, 0xF0,
  0x0E, 0xFB, 0x00, 0x00, 0xBF, 0xE0,
  0x09, 0xFF, 0xB0, 0x0B, 0xFF, 0x90,
  0x00, 0xDF, 0xFF, 0xFF, 0xFD, 0x00,
  0x00, 0x09, 0xEF, 0xFE, 0x90, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0070[144] = { /* code 0070, LATIN SMALL LETTER P */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0xDF, 0xFD, 0x00, 0x00,
  0x0F, 0xFD, 0xFF, 0xFF, 0xE0, 0x00,
  0x0F, 0xFF, 0x60, 0x6F, 0xFB, 0x00,
  0x0F, 0xF9, 0x00, 0x09, 0xFE, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF8, 0x00, 0x09, 0xFE, 0x00,
  0x0F, 0xFF, 0x60, 0x6F, 0xF9, 0x00,
  0x0F, 0xFE, 0xFF, 0xFF, 0xE0, 0x00,
  0x0F, 0xF0, 0xEF, 0xFC, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0071[144] = { /* code 0071, LATIN SMALL LETTER Q */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0D, 0xFF, 0xD0, 0xFF, 0x00,
  0x00, 0xEF, 0xFF, 0xFD, 0xFF, 0x00,
  0x0B, 0xFF, 0x60, 0x6F, 0xFF, 0x00,
  0x0E, 0xF9, 0x00, 0x09, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0E, 0xF9, 0x00, 0x08, 0xFF, 0x00,
  0x09, 0xFF, 0x60, 0x6F, 0xFF, 0x00,
  0x00, 0xDF, 0xFF, 0xFE, 0xFF, 0x00,
  0x00, 0x0C, 0xFF, 0xE0, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0072[ 96] = { /* code 0072, LATIN SMALL LETTER R */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF2, 0xFF, 0xE0,
  0x0F, 0xFE, 0xFF, 0xD0,
  0x0F, 0xFE, 0x20, 0x00,
  0x0F, 0xF8, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0073[144] = { /* code 0073, LATIN SMALL LETTER S */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x8E, 0xFF, 0xFE, 0x80, 0x00,
  0x09, 0xFF, 0xFF, 0xFF, 0xF9, 0x00,
  0x0F, 0xFB, 0x00, 0x0B, 0xFF, 0x00,
  0x0F, 0xFB, 0x00, 0x00, 0x00, 0x00,
  0x0D, 0xFF, 0xFD, 0xB6, 0x00, 0x00,
  0x00, 0xCF, 0xFF, 0xFF, 0xF4, 0x00,
  0x00, 0x00, 0x6C, 0xEF, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF8, 0x00, 0x0B, 0xFF, 0x00,
  0x08, 0xFF, 0xFF, 0xFF, 0xF8, 0x00,
  0x00, 0x8E, 0xFF, 0xFE, 0x60, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0074[ 72] = { /* code 0074, LATIN SMALL LETTER T */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0xC0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0xFF, 0xFF, 0xF0,
  0xFF, 0xFF, 0xF0,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF0, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xFF, 0xF0,
  0x08, 0xFF, 0xF0,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0075[144] = { /* code 0075, LATIN SMALL LETTER U */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00,
  0x0F, 0xF2, 0x00, 0x08, 0xFF, 0x00,
  0x0F, 0xFD, 0x00, 0x8F, 0xFF, 0x00,
  0x0C, 0xFF, 0xFF, 0xFD, 0xFF, 0x00,
  0x00, 0xBF, 0xFF, 0xD0, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0076[144] = { /* code 0076, LATIN SMALL LETTER V */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0,
  0xDF, 0x90, 0x00, 0x00, 0x9F, 0xD0,
  0x4F, 0xF0, 0x00, 0x00, 0xFF, 0x20,
  0x0E, 0xF8, 0x00, 0x06, 0xFE, 0x00,
  0x06, 0xFE, 0x00, 0x0E, 0xF6, 0x00,
  0x00, 0xEF, 0x60, 0x4F, 0xE0, 0x00,
  0x00, 0x9F, 0xE0, 0xDF, 0x60, 0x00,
  0x00, 0x0F, 0xF9, 0xFF, 0x00, 0x00,
  0x00, 0x09, 0xFF, 0xF9, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0xCF, 0x90, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0077[192] = { /* code 0077, LATIN SMALL LETTER W */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xFE, 0x00, 0x00, 0x8F, 0x90, 0x00, 0x0E, 0xF0,
  0xFF, 0x00, 0x00, 0xDF, 0xD0, 0x00, 0x0F, 0xF0,
  0xBF, 0xB0, 0x00, 0xFF, 0xF0, 0x00, 0xBF, 0xC0,
  0x0F, 0xE0, 0x04, 0xFE, 0xF6, 0x00, 0xEF, 0x20,
  0x0D, 0xF4, 0x0D, 0xF6, 0xFD, 0x04, 0xFD, 0x00,
  0x04, 0xFD, 0x0E, 0xF0, 0xFF, 0x0D, 0xF6, 0x00,
  0x00, 0xEF, 0x2F, 0xD0, 0xDF, 0x2F, 0xF0, 0x00,
  0x00, 0x9F, 0xDF, 0x80, 0x9F, 0xEF, 0xB0, 0x00,
  0x00, 0x0F, 0xFF, 0x00, 0x0F, 0xFF, 0x00, 0x00,
  0x00, 0x0D, 0xFE, 0x00, 0x0E, 0xFD, 0x00, 0x00,
  0x00, 0x02, 0xFD, 0x00, 0x0D, 0xF6, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0078[120] = { /* code 0078, LATIN SMALL LETTER X */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0xEF, 0xE0, 0x00, 0x0E, 0xFE,
  0x0F, 0xF9, 0x00, 0x9F, 0xF0,
  0x06, 0xFF, 0x22, 0xFF, 0x60,
  0x00, 0xDF, 0xBB, 0xFD, 0x00,
  0x00, 0x0E, 0xFF, 0xE0, 0x00,
  0x00, 0x0B, 0xFF, 0x90, 0x00,
  0x00, 0x2F, 0xFF, 0xF0, 0x00,
  0x00, 0xEF, 0x9B, 0xFE, 0x00,
  0x0C, 0xFF, 0x00, 0xEF, 0x80,
  0x6F, 0xF9, 0x00, 0x4F, 0xF0,
  0xFF, 0xF0, 0x00, 0x0D, 0xFE,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_0079[144] = { /* code 0079, LATIN SMALL LETTER Y */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x2F, 0xF0, 0x00, 0x02, 0xFF, 0x00,
  0x0E, 0xF8, 0x00, 0x09, 0xFD, 0x00,
  0x09, 0xFE, 0x00, 0x0E, 0xF9, 0x00,
  0x00, 0xFF, 0x20, 0x0F, 0xF0, 0x00,
  0x00, 0xCF, 0xD0, 0x4F, 0xE0, 0x00,
  0x00, 0x2F, 0xF0, 0xCF, 0xD0, 0x00,
  0x00, 0x0D, 0xF9, 0xEF, 0x60, 0x00,
  0x00, 0x06, 0xFE, 0xFF, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xFE, 0x00, 0x00,
  0x00, 0x00, 0x9F, 0xFB, 0x00, 0x00,
  0x00, 0x00, 0x2F, 0xF4, 0x00, 0x00,
  0x00, 0x00, 0xCF, 0xF0, 0x00, 0x00,
  0x00, 0x06, 0xFF, 0x80, 0x00, 0x00,
  0x0F, 0xFF, 0xFD, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xC0, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_007A[120] = { /* code 007A, LATIN SMALL LETTER Z */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xF0,
  0x0F, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0x00, 0x00, 0xEF, 0xF0,
  0x00, 0x00, 0x0E, 0xFF, 0x40,
  0x00, 0x00, 0xEF, 0xE4, 0x00,
  0x00, 0x4F, 0xFE, 0x00, 0x00,
  0x04, 0xFF, 0xE0, 0x00, 0x00,
  0x4F, 0xFD, 0x00, 0x00, 0x00,
  0xFF, 0xD0, 0x00, 0x00, 0x00,
  0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_007B[ 96] = { /* code 007B, LEFT CURLY BRACKET */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x0E, 0xFF, 0x00,
  0x00, 0xEF, 0xFF, 0x00,
  0x00, 0xFF, 0x80, 0x00,
  0x00, 0xFF, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00,
  0x02, 0xFF, 0x00, 0x00,
  0x0D, 0xFD, 0x00, 0x00,
  0xFF, 0xD0, 0x00, 0x00,
  0xFF, 0xD0, 0x00, 0x00,
  0x0E, 0xFC, 0x00, 0x00,
  0x04, 0xFE, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00,
  0x00, 0xFF, 0x00, 0x00,
  0x00, 0xFF, 0x80, 0x00,
  0x00, 0xDF, 0xFF, 0x00,
  0x00, 0x0D, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_007C[ 72] = { /* code 007C, VERTICAL LINE */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_007D[ 96] = { /* code 007D, RIGHT CURLY BRACKET */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFE, 0x00, 0x00,
  0x0F, 0xFF, 0xE0, 0x00,
  0x00, 0x6F, 0xF0, 0x00,
  0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x0F, 0xF2, 0x00,
  0x00, 0x0D, 0xFD, 0x00,
  0x00, 0x00, 0xDF, 0xF0,
  0x00, 0x00, 0xDF, 0xF0,
  0x00, 0x0D, 0xFE, 0x00,
  0x00, 0x0F, 0xF4, 0x00,
  0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x0F, 0xF0, 0x00,
  0x00, 0x8F, 0xF0, 0x00,
  0x0F, 0xFF, 0xD0, 0x00,
  0x0F, 0xFE, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font24_007E[144] = { /* code 007E, TILDE */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xDF, 0xFC, 0x00, 0x00, 0x90,
  0x0E, 0xFF, 0xFF, 0xF6, 0x0B, 0xF0,
  0x0F, 0x90, 0x6E, 0xFF, 0xFF, 0xE0,
  0x09, 0x00, 0x00, 0xBF, 0xFD, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE GUI_CHARINFO _aGUI_Font24_CharInfo[95] = {
   {   6,   6,  3, _acGUI_Font24_0020 } /* code 0020 */
  ,{   6,   6,  3, _acGUI_Font24_0021 } /* code 0021 */
  ,{   7,   7,  4, _acGUI_Font24_0022 } /* code 0022 */
  ,{  12,  12,  6, _acGUI_Font24_0023 } /* code 0023 */
  ,{  12,  12,  6, _acGUI_Font24_0024 } /* code 0024 */
  ,{  19,  19, 10, _acGUI_Font24_0025 } /* code 0025 */
  ,{  14,  14,  7, _acGUI_Font24_0026 } /* code 0026 */
  ,{   4,   4,  2, _acGUI_Font24_0027 } /* code 0027 */
  ,{   7,   7,  4, _acGUI_Font24_0028 } /* code 0028 */
  ,{   7,   7,  4, _acGUI_Font24_0029 } /* code 0029 */
  ,{   8,   8,  4, _acGUI_Font24_002A } /* code 002A */
  ,{  12,  12,  6, _acGUI_Font24_002B } /* code 002B */
  ,{   6,   6,  3, _acGUI_Font24_002C } /* code 002C */
  ,{   7,   7,  4, _acGUI_Font24_002D } /* code 002D */
  ,{   6,   6,  3, _acGUI_Font24_002E } /* code 002E */
  ,{   6,   6,  3, _acGUI_Font24_002F } /* code 002F */
  ,{  12,  12,  6, _acGUI_Font24_0030 } /* code 0030 */
  ,{  12,  12,  6, _acGUI_Font24_0031 } /* code 0031 */
  ,{  12,  12,  6, _acGUI_Font24_0032 } /* code 0032 */
  ,{  12,  12,  6, _acGUI_Font24_0033 } /* code 0033 */
  ,{  12,  12,  6, _acGUI_Font24_0034 } /* code 0034 */
  ,{  12,  12,  6, _acGUI_Font24_0035 } /* code 0035 */
  ,{  12,  12,  6, _acGUI_Font24_0036 } /* code 0036 */
  ,{  12,  12,  6, _acGUI_Font24_0037 } /* code 0037 */
  ,{  12,  12,  6, _acGUI_Font24_0038 } /* code 0038 */
  ,{  12,  12,  6, _acGUI_Font24_0039 } /* code 0039 */
  ,{   6,   6,  3, _acGUI_Font24_003A } /* code 003A */
  ,{   6,   6,  3, _acGUI_Font24_003B } /* code 003B */
  ,{  12,  12,  6, _acGUI_Font24_003C } /* code 003C */
  ,{  12,  12,  6, _acGUI_Font24_003D } /* code 003D */
  ,{  12,  12,  6, _acGUI_Font24_003E } /* code 003E */
  ,{  12,  12,  6, _acGUI_Font24_003F } /* code 003F */
  ,{  21,  21, 11, _acGUI_Font24_0040 } /* code 0040 */
  ,{  13,  13,  7, _acGUI_Font24_0041 } /* code 0041 */
  ,{  14,  14,  7, _acGUI_Font24_0042 } /* code 0042 */
  ,{  15,  15,  8, _acGUI_Font24_0043 } /* code 0043 */
  ,{  15,  15,  8, _acGUI_Font24_0044 } /* code 0044 */
  ,{  14,  14,  7, _acGUI_Font24_0045 } /* code 0045 */
  ,{  13,  13,  7, _acGUI_Font24_0046 } /* code 0046 */
  ,{  16,  16,  8, _acGUI_Font24_0047 } /* code 0047 */
  ,{  14,  14,  7, _acGUI_Font24_0048 } /* code 0048 */
  ,{   6,   6,  3, _acGUI_Font24_0049 } /* code 0049 */
  ,{  11,  11,  6, _acGUI_Font24_004A } /* code 004A */
  ,{  14,  14,  7, _acGUI_Font24_004B } /* code 004B */
  ,{  12,  12,  6, _acGUI_Font24_004C } /* code 004C */
  ,{  17,  17,  9, _acGUI_Font24_004D } /* code 004D */
  ,{  14,  14,  7, _acGUI_Font24_004E } /* code 004E */
  ,{  16,  16,  8, _acGUI_Font24_004F } /* code 004F */
  ,{  14,  14,  7, _acGUI_Font24_0050 } /* code 0050 */
  ,{  16,  16,  8, _acGUI_Font24_0051 } /* code 0051 */
  ,{  15,  15,  8, _acGUI_Font24_0052 } /* code 0052 */
  ,{  14,  14,  7, _acGUI_Font24_0053 } /* code 0053 */
  ,{  12,  12,  6, _acGUI_Font24_0054 } /* code 0054 */
  ,{  14,  14,  7, _acGUI_Font24_0055 } /* code 0055 */
  ,{  13,  13,  7, _acGUI_Font24_0056 } /* code 0056 */
  ,{  21,  21, 11, _acGUI_Font24_0057 } /* code 0057 */
  ,{  14,  14,  7, _acGUI_Font24_0058 } /* code 0058 */
  ,{  14,  14,  7, _acGUI_Font24_0059 } /* code 0059 */
  ,{  13,  13,  7, _acGUI_Font24_005A } /* code 005A */
  ,{   6,   6,  3, _acGUI_Font24_005B } /* code 005B */
  ,{   6,   6,  3, _acGUI_Font24_005C } /* code 005C */
  ,{   6,   6,  3, _acGUI_Font24_005D } /* code 005D */
  ,{   8,   8,  4, _acGUI_Font24_005E } /* code 005E */
  ,{  12,  12,  6, _acGUI_Font24_005F } /* code 005F */
  ,{   7,   7,  4, _acGUI_Font24_0060 } /* code 0060 */
  ,{  12,  12,  6, _acGUI_Font24_0061 } /* code 0061 */
  ,{  11,  11,  6, _acGUI_Font24_0062 } /* code 0062 */
  ,{  11,  11,  6, _acGUI_Font24_0063 } /* code 0063 */
  ,{  11,  11,  6, _acGUI_Font24_0064 } /* code 0064 */
  ,{  12,  12,  6, _acGUI_Font24_0065 } /* code 0065 */
  ,{   6,   6,  3, _acGUI_Font24_0066 } /* code 0066 */
  ,{  11,  11,  6, _acGUI_Font24_0067 } /* code 0067 */
  ,{  11,  11,  6, _acGUI_Font24_0068 } /* code 0068 */
  ,{   5,   5,  3, _acGUI_Font24_0069 } /* code 0069 */
  ,{   4,   4,  2, _acGUI_Font24_006A } /* code 006A */
  ,{  10,  10,  5, _acGUI_Font24_006B } /* code 006B */
  ,{   4,   4,  2, _acGUI_Font24_006C } /* code 006C */
  ,{  16,  16,  8, _acGUI_Font24_006D } /* code 006D */
  ,{  11,  11,  6, _acGUI_Font24_006E } /* code 006E */
  ,{  12,  12,  6, _acGUI_Font24_006F } /* code 006F */
  ,{  11,  11,  6, _acGUI_Font24_0070 } /* code 0070 */
  ,{  11,  11,  6, _acGUI_Font24_0071 } /* code 0071 */
  ,{   7,   7,  4, _acGUI_Font24_0072 } /* code 0072 */
  ,{  11,  11,  6, _acGUI_Font24_0073 } /* code 0073 */
  ,{   6,   6,  3, _acGUI_Font24_0074 } /* code 0074 */
  ,{  11,  11,  6, _acGUI_Font24_0075 } /* code 0075 */
  ,{  11,  11,  6, _acGUI_Font24_0076 } /* code 0076 */
  ,{  15,  15,  8, _acGUI_Font24_0077 } /* code 0077 */
  ,{  10,  10,  5, _acGUI_Font24_0078 } /* code 0078 */
  ,{  11,  11,  6, _acGUI_Font24_0079 } /* code 0079 */
  ,{   9,   9,  5, _acGUI_Font24_007A } /* code 007A */
  ,{   7,   7,  4, _acGUI_Font24_007B } /* code 007B */
  ,{   6,   6,  3, _acGUI_Font24_007C } /* code 007C */
  ,{   7,   7,  4, _acGUI_Font24_007D } /* code 007D */
  ,{  12,  12,  6, _acGUI_Font24_007E } /* code 007E */
};

static GUI_CONST_STORAGE GUI_FONT_PROP _GUI_Font24_Prop1 = {
   0x0020 /* first character */
  ,0x007E /* last character  */
  ,&_aGUI_Font24_CharInfo[  0] /* address of first character */
  ,(GUI_CONST_STORAGE GUI_FONT_PROP *)0 /* pointer to next GUI_FONT_PROP */
};

static GUI_CONST_STORAGE GUI_FONT _GUI_Font24 = {
   GUI_FONTTYPE_PROP_AA4 /* type of font    */
  ,24 /* height of font  */
  ,24 /* space of font y */
  ,1 /* magnification x */
  ,1 /* magnification y */
  ,{&_GUI_Font24_Prop1}
  ,19 /* Baseline */
  ,11 /* Height of lowercase characters */
  ,15 /* Height of capital characters */
};

/*********************************************************************
*
*       GUI_Font18
*/
/* Start of unicode area <Basic Latin> */
static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0020[ 54] = { /* code 0020, SPACE */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0021[ 54] = { /* code 0021, EXCLAMATION MARK */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x04, 0xF4, 0x00,
  0x04, 0xF4, 0x00,
  0x04, 0xF4, 0x00,
  0x04, 0xF4, 0x00,
  0x04, 0xF4, 0x00,
  0x03, 0xF3, 0x00,
  0x00, 0xF0, 0x00,
  0x00, 0xF0, 0x00,
  0x00, 0xB0, 0x00,
  0x00, 0x00, 0x00,
  0x04, 0xF4, 0x00,
  0x02, 0x72, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0022[ 54] = { /* code 0022, QUOTATION MARK */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x4F, 0x47, 0xF0,
  0x4F, 0x47, 0xF0,
  0x2F, 0x36, 0xD0,
  0x0F, 0x04, 0xB0,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0023[ 90] = { /* code 0023, NUMBER SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x9E, 0x06, 0xF2, 0x00,
  0x00, 0xCA, 0x09, 0xE0, 0x00,
  0x01, 0xF7, 0x0C, 0xA0, 0x00,
  0xBF, 0xFF, 0xFF, 0xFF, 0x00,
  0x6B, 0xF7, 0x9F, 0x97, 0x00,
  0x0A, 0xC0, 0x7F, 0x10, 0x00,
  0x0E, 0x90, 0xAC, 0x00, 0x00,
  0xBF, 0xFF, 0xFF, 0xFF, 0x00,
  0x8F, 0x89, 0xFA, 0x77, 0x00,
  0x8F, 0x05, 0xF3, 0x00, 0x00,
  0xBB, 0x08, 0xF0, 0x00, 0x00,
  0x64, 0x06, 0x60, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0024[ 90] = { /* code 0024, DOLLAR SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x60, 0x00, 0x00,
  0x01, 0x9E, 0xFD, 0x60, 0x00,
  0x0C, 0xE6, 0xC9, 0xF5, 0x00,
  0x3F, 0x50, 0xB0, 0xD7, 0x00,
  0x4F, 0x50, 0xB0, 0x00, 0x00,
  0x0D, 0xD6, 0xB0, 0x00, 0x00,
  0x03, 0xBF, 0xFB, 0x50, 0x00,
  0x00, 0x03, 0xDD, 0xF7, 0x00,
  0x00, 0x00, 0xB0, 0xBD, 0x00,
  0x6E, 0x10, 0xB0, 0x7F, 0x00,
  0x3F, 0x70, 0xB0, 0xBC, 0x00,
  0x09, 0xF9, 0xDB, 0xF5, 0x00,
  0x00, 0x6A, 0xE9, 0x40, 0x00,
  0x00, 0x00, 0xB0, 0x00, 0x00,
  0x00, 0x00, 0x30, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0025[144] = { /* code 0025, PERCENT SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x14, 0x10, 0x00, 0x02, 0x40, 0x00, 0x00,
  0x04, 0xEB, 0xE3, 0x00, 0x0B, 0x90, 0x00, 0x00,
  0x0C, 0x70, 0x7C, 0x00, 0x4F, 0x20, 0x00, 0x00,
  0x0F, 0x40, 0x4F, 0x00, 0xB8, 0x00, 0x00, 0x00,
  0x0F, 0x40, 0x4F, 0x05, 0xE1, 0x00, 0x00, 0x00,
  0x0A, 0xA0, 0xAA, 0x0D, 0x70, 0x00, 0x00, 0x00,
  0x01, 0xBF, 0xB1, 0x6E, 0x12, 0x76, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xD7, 0x3F, 0x8C, 0x90, 0x00,
  0x00, 0x00, 0x06, 0xE1, 0x99, 0x02, 0xF2, 0x00,
  0x00, 0x00, 0x0D, 0x70, 0xB7, 0x00, 0xF4, 0x00,
  0x00, 0x00, 0x6E, 0x10, 0xA8, 0x01, 0xF3, 0x00,
  0x00, 0x00, 0xD7, 0x00, 0x5E, 0x59, 0xC0, 0x00,
  0x00, 0x04, 0xB1, 0x00, 0x05, 0xB9, 0x10, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0026[108] = { /* code 0026, AMPERSAND */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x44, 0x00, 0x00, 0x00,
  0x00, 0x3D, 0xFF, 0xC1, 0x00, 0x00,
  0x00, 0xDC, 0x13, 0xE9, 0x00, 0x00,
  0x00, 0xF7, 0x00, 0xBB, 0x00, 0x00,
  0x00, 0xBE, 0x17, 0xF5, 0x00, 0x00,
  0x00, 0x3E, 0xEE, 0x50, 0x00, 0x00,
  0x01, 0xBE, 0xF7, 0x00, 0x00, 0x00,
  0x0C, 0xC2, 0x8F, 0x52, 0xB5, 0x00,
  0x6F, 0x30, 0x0B, 0xEB, 0xF3, 0x00,
  0x7F, 0x00, 0x01, 0xDF, 0xB0, 0x00,
  0x5F, 0x70, 0x01, 0xCF, 0xD1, 0x00,
  0x09, 0xF8, 0x8E, 0xD6, 0xED, 0x10,
  0x00, 0x6B, 0xB7, 0x10, 0x36, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0027[ 36] = { /* code 0027, APOSTROPHE */
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x4F, 0x40,
  0x4F, 0x40,
  0x3F, 0x30,
  0x0F, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0028[ 54] = { /* code 0028, LEFT PARENTHESIS */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x3C, 0x10,
  0x00, 0xC5, 0x00,
  0x07, 0xC0, 0x00,
  0x0E, 0x60, 0x00,
  0x5F, 0x20, 0x00,
  0x8E, 0x00, 0x00,
  0xBB, 0x00, 0x00,
  0xBB, 0x00, 0x00,
  0xBB, 0x00, 0x00,
  0x7F, 0x00, 0x00,
  0x3F, 0x30, 0x00,
  0x0D, 0x80, 0x00,
  0x05, 0xE1, 0x00,
  0x00, 0xA7, 0x00,
  0x00, 0x19, 0x10
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0029[ 54] = { /* code 0029, RIGHT PARENTHESIS */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x96, 0x00, 0x00,
  0x2D, 0x20, 0x00,
  0x08, 0xB0, 0x00,
  0x02, 0xF3, 0x00,
  0x00, 0xD8, 0x00,
  0x00, 0xAC, 0x00,
  0x00, 0x7F, 0x00,
  0x00, 0x7F, 0x00,
  0x00, 0x7F, 0x00,
  0x00, 0xBB, 0x00,
  0x00, 0xE7, 0x00,
  0x05, 0xF1, 0x00,
  0x0B, 0x80, 0x00,
  0x4D, 0x10, 0x00,
  0x73, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_002A[ 72] = { /* code 002A, ASTERISK */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0xF4, 0x00, 0x00,
  0x86, 0xD6, 0xA1, 0x00,
  0x59, 0xFC, 0x71, 0x00,
  0x1C, 0x8E, 0x30, 0x00,
  0x18, 0x06, 0x40, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_002B[ 90] = { /* code 002B, PLUS SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0xF4, 0x00, 0x00,
  0x00, 0x00, 0xF4, 0x00, 0x00,
  0x00, 0x00, 0xF4, 0x00, 0x00,
  0x3B, 0xBB, 0xFC, 0xBB, 0x60,
  0x27, 0x77, 0xF9, 0x77, 0x40,
  0x00, 0x00, 0xF4, 0x00, 0x00,
  0x00, 0x00, 0xF4, 0x00, 0x00,
  0x00, 0x00, 0xB3, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_002C[ 54] = { /* code 002C, COMMA */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x07, 0xF0, 0x00,
  0x04, 0xD0, 0x00,
  0x00, 0xB0, 0x00,
  0x04, 0x30, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_002D[ 54] = { /* code 002D, HYPHEN-MINUS */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x34, 0x44, 0x00,
  0xBF, 0xFF, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_002E[ 54] = { /* code 002E, FULL STOP */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x07, 0xF0, 0x00,
  0x04, 0x70, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_002F[ 54] = { /* code 002F, SOLIDUS */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x99, 0x00,
  0x00, 0xE6, 0x00,
  0x03, 0xF1, 0x00,
  0x07, 0xC0, 0x00,
  0x0C, 0x70, 0x00,
  0x1F, 0x30, 0x00,
  0x5E, 0x00, 0x00,
  0x9A, 0x00, 0x00,
  0xB6, 0x00, 0x00,
  0xB2, 0x00, 0x00,
  0x80, 0x00, 0x00,
  0x30, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0030[ 90] = { /* code 0030, DIGIT ZERO */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x01, 0x8E, 0xFC, 0x40, 0x00,
  0x08, 0xE6, 0x4A, 0xF2, 0x00,
  0x1F, 0x70, 0x01, 0xE8, 0x00,
  0x4F, 0x30, 0x00, 0xAC, 0x00,
  0x7F, 0x00, 0x00, 0x7F, 0x00,
  0x7F, 0x00, 0x00, 0x7F, 0x00,
  0x7F, 0x00, 0x00, 0x7F, 0x00,
  0x7F, 0x00, 0x00, 0x7F, 0x00,
  0x4F, 0x40, 0x00, 0xBB, 0x00,
  0x0E, 0x90, 0x02, 0xF7, 0x00,
  0x07, 0xF9, 0x7E, 0xD1, 0x00,
  0x00, 0x6A, 0xB8, 0x10, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0031[ 90] = { /* code 0031, DIGIT ONE */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x4F, 0x00, 0x00,
  0x00, 0x03, 0xEF, 0x00, 0x00,
  0x01, 0x7F, 0xDF, 0x00, 0x00,
  0x04, 0xD5, 0x7F, 0x00, 0x00,
  0x01, 0x00, 0x7F, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0x00, 0x00,
  0x00, 0x00, 0x47, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0032[ 90] = { /* code 0032, DIGIT TWO */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x01, 0x8E, 0xFD, 0x70, 0x00,
  0x0B, 0xE6, 0x47, 0xF7, 0x00,
  0x2F, 0x70, 0x00, 0x9E, 0x00,
  0x16, 0x20, 0x00, 0x8F, 0x00,
  0x00, 0x00, 0x01, 0xEA, 0x00,
  0x00, 0x00, 0x1C, 0xE2, 0x00,
  0x00, 0x01, 0xCE, 0x30, 0x00,
  0x00, 0x3D, 0xE3, 0x00, 0x00,
  0x03, 0xEC, 0x10, 0x00, 0x00,
  0x0D, 0xC1, 0x00, 0x00, 0x00,
  0x6F, 0xFF, 0xFF, 0xFF, 0x00,
  0x47, 0x77, 0x77, 0x77, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0033[ 90] = { /* code 0033, DIGIT THREE */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x01, 0x8E, 0xFC, 0x50, 0x00,
  0x0A, 0xE6, 0x4A, 0xF5, 0x00,
  0x2F, 0x70, 0x00, 0xCB, 0x00,
  0x02, 0x10, 0x00, 0xCA, 0x00,
  0x00, 0x01, 0x4A, 0xE3, 0x00,
  0x00, 0x05, 0xCF, 0xB3, 0x00,
  0x00, 0x00, 0x01, 0xCD, 0x00,
  0x00, 0x00, 0x00, 0x5F, 0x40,
  0x29, 0x40, 0x00, 0x4F, 0x40,
  0x1E, 0xA0, 0x00, 0xAE, 0x00,
  0x06, 0xFB, 0x7B, 0xF6, 0x00,
  0x00, 0x4A, 0xB9, 0x30, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0034[ 90] = { /* code 0034, DIGIT FOUR */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x3B, 0x00, 0x00,
  0x00, 0x01, 0xEF, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0x00, 0x00,
  0x00, 0x8F, 0xCF, 0x00, 0x00,
  0x06, 0xF7, 0x7F, 0x00, 0x00,
  0x3E, 0xA0, 0x7F, 0x00, 0x00,
  0xAD, 0x10, 0x7F, 0x00, 0x00,
  0xBD, 0xBB, 0xDF, 0xB6, 0x00,
  0x8B, 0xBB, 0xDF, 0xB6, 0x00,
  0x00, 0x00, 0x7F, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0x00, 0x00,
  0x00, 0x00, 0x47, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0035[ 90] = { /* code 0035, DIGIT FIVE */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x01, 0xBB, 0xBB, 0xB6, 0x00,
  0x04, 0xFC, 0xBB, 0xB6, 0x00,
  0x07, 0xF1, 0x00, 0x00, 0x00,
  0x0A, 0xD0, 0x00, 0x00, 0x00,
  0x0D, 0xDB, 0xFD, 0x70, 0x00,
  0x1F, 0xE6, 0x47, 0xF5, 0x00,
  0x16, 0x30, 0x00, 0xBD, 0x00,
  0x00, 0x00, 0x00, 0x7F, 0x00,
  0x47, 0x00, 0x00, 0x8E, 0x00,
  0x5F, 0x60, 0x01, 0xD9, 0x00,
  0x09, 0xE8, 0x7D, 0xE1, 0x00,
  0x00, 0x7B, 0xB8, 0x10, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0036[ 90] = { /* code 0036, DIGIT SIX */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x7E, 0xFD, 0x50, 0x00,
  0x09, 0xE6, 0x4A, 0xF4, 0x00,
  0x3F, 0x60, 0x00, 0xDA, 0x00,
  0x7F, 0x00, 0x00, 0x00, 0x00,
  0xAB, 0x5C, 0xFD, 0x50, 0x00,
  0xBE, 0xC5, 0x4A, 0xF5, 0x00,
  0xBE, 0x10, 0x00, 0xBC, 0x00,
  0xBB, 0x00, 0x00, 0x7F, 0x00,
  0x7D, 0x00, 0x00, 0x8E, 0x00,
  0x3F, 0x40, 0x01, 0xD9, 0x00,
  0x08, 0xF9, 0x7D, 0xE2, 0x00,
  0x00, 0x5A, 0xB8, 0x20, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0037[ 90] = { /* code 0037, DIGIT SEVEN */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x3B, 0xBB, 0xBB, 0xBB, 0x30,
  0x3B, 0xBB, 0xBB, 0xCF, 0x20,
  0x00, 0x00, 0x01, 0xC7, 0x00,
  0x00, 0x00, 0x0A, 0xB0, 0x00,
  0x00, 0x00, 0x4F, 0x20, 0x00,
  0x00, 0x00, 0xD9, 0x00, 0x00,
  0x00, 0x05, 0xF3, 0x00, 0x00,
  0x00, 0x0A, 0xC0, 0x00, 0x00,
  0x00, 0x0F, 0x70, 0x00, 0x00,
  0x00, 0x4F, 0x40, 0x00, 0x00,
  0x00, 0x7F, 0x10, 0x00, 0x00,
  0x00, 0x47, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0038[ 90] = { /* code 0038, DIGIT EIGHT */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x02, 0xAF, 0xFA, 0x10, 0x00,
  0x0C, 0xC5, 0x5C, 0xC0, 0x00,
  0x4F, 0x50, 0x05, 0xF3, 0x00,
  0x3F, 0x50, 0x05, 0xF3, 0x00,
  0x0A, 0xC5, 0x5C, 0xB0, 0x00,
  0x04, 0xEF, 0xFE, 0x30, 0x00,
  0x4F, 0x70, 0x18, 0xF4, 0x00,
  0xAD, 0x00, 0x00, 0xDA, 0x00,
  0xBB, 0x00, 0x00, 0xBB, 0x00,
  0x7F, 0x10, 0x02, 0xF8, 0x00,
  0x1C, 0xE8, 0x7D, 0xC1, 0x00,
  0x01, 0x7B, 0xB7, 0x10, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0039[ 90] = { /* code 0039, DIGIT NINE */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x7E, 0xFC, 0x50, 0x00,
  0x08, 0xF7, 0x47, 0xF5, 0x00,
  0x1F, 0x90, 0x00, 0x8D, 0x00,
  0x4F, 0x40, 0x00, 0x4F, 0x10,
  0x4F, 0x40, 0x00, 0x4F, 0x40,
  0x0E, 0xA0, 0x00, 0xAF, 0x40,
  0x06, 0xFB, 0x7B, 0xCF, 0x40,
  0x00, 0x5A, 0xB6, 0x4F, 0x20,
  0x04, 0x20, 0x00, 0x8E, 0x00,
  0x0D, 0xB0, 0x01, 0xD9, 0x00,
  0x05, 0xFA, 0x7D, 0xC1, 0x00,
  0x00, 0x5A, 0xB7, 0x10, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_003A[ 54] = { /* code 003A, COLON */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x07, 0xF0, 0x00,
  0x04, 0x70, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x07, 0xF0, 0x00,
  0x04, 0x70, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_003B[ 54] = { /* code 003B, SEMICOLON */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x07, 0xF0, 0x00,
  0x04, 0x70, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x07, 0xF0, 0x00,
  0x04, 0xD0, 0x00,
  0x01, 0xB0, 0x00,
  0x05, 0x30, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_003C[ 90] = { /* code 003C, LESS-THAN SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x6B, 0x00,
  0x00, 0x01, 0x7D, 0xFA, 0x00,
  0x02, 0x7E, 0xE8, 0x20, 0x00,
  0x3F, 0xB6, 0x00, 0x00, 0x00,
  0x2D, 0xE9, 0x30, 0x00, 0x00,
  0x00, 0x4B, 0xFC, 0x60, 0x00,
  0x00, 0x00, 0x39, 0xFE, 0x00,
  0x00, 0x00, 0x00, 0x27, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_003D[ 90] = { /* code 003D, EQUALS SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x47, 0x77, 0x77, 0x77, 0x00,
  0x7F, 0xFF, 0xFF, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x24, 0x44, 0x44, 0x44, 0x00,
  0x7F, 0xFF, 0xFF, 0xFF, 0x00,
  0x24, 0x44, 0x44, 0x44, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_003E[ 90] = { /* code 003E, GREATER-THAN SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0B, 0x60, 0x00, 0x00, 0x00,
  0x0A, 0xFD, 0x71, 0x00, 0x00,
  0x00, 0x28, 0xEE, 0x72, 0x00,
  0x00, 0x00, 0x06, 0xBF, 0x30,
  0x00, 0x00, 0x39, 0xED, 0x20,
  0x00, 0x6C, 0xFB, 0x40, 0x00,
  0x0E, 0xF9, 0x30, 0x00, 0x00,
  0x07, 0x20, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_003F[ 90] = { /* code 003F, QUESTION MARK */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x03, 0x43, 0x00, 0x00,
  0x01, 0xBF, 0xFF, 0xC3, 0x00,
  0x0B, 0xE4, 0x04, 0xED, 0x00,
  0x3F, 0x70, 0x00, 0x5F, 0x40,
  0x02, 0x10, 0x00, 0x5F, 0x30,
  0x00, 0x00, 0x03, 0xEB, 0x00,
  0x00, 0x00, 0x3E, 0xC1, 0x00,
  0x00, 0x02, 0xEA, 0x10, 0x00,
  0x00, 0x07, 0xF2, 0x00, 0x00,
  0x00, 0x06, 0xB0, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x07, 0xF0, 0x00, 0x00,
  0x00, 0x04, 0x70, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0040[162] = { /* code 0040, COMMERCIAL AT */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x04, 0x44, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x4A, 0xFF, 0xFF, 0xFA, 0x30, 0x00, 0x00,
  0x00, 0x08, 0xFD, 0x84, 0x45, 0x8E, 0xF6, 0x00, 0x00,
  0x00, 0x7F, 0x70, 0x03, 0x30, 0x01, 0x9F, 0x40, 0x00,
  0x02, 0xF6, 0x03, 0xCF, 0xF9, 0x9D, 0x0B, 0xB0, 0x00,
  0x09, 0xB0, 0x1D, 0xE6, 0x5E, 0xFA, 0x05, 0xF2, 0x00,
  0x0E, 0x50, 0x7F, 0x30, 0x06, 0xF7, 0x00, 0xF4, 0x00,
  0x3F, 0x10, 0xCB, 0x00, 0x04, 0xF3, 0x00, 0xF4, 0x00,
  0x4F, 0x00, 0xF7, 0x00, 0x07, 0xF0, 0x05, 0xF0, 0x00,
  0x4F, 0x00, 0xF8, 0x00, 0x0D, 0xB0, 0x0A, 0x90, 0x00,
  0x1F, 0x50, 0xAE, 0x31, 0x9F, 0x70, 0x9E, 0x10, 0x00,
  0x0B, 0xB0, 0x3E, 0xFF, 0x9E, 0xED, 0xD3, 0x00, 0x00,
  0x04, 0xF6, 0x02, 0x76, 0x04, 0x76, 0x06, 0xF4, 0x00,
  0x00, 0x8F, 0xB5, 0x00, 0x00, 0x03, 0xAF, 0x60, 0x00,
  0x00, 0x06, 0xEF, 0xFB, 0xBB, 0xEF, 0xD5, 0x00, 0x00,
  0x00, 0x00, 0x05, 0x8B, 0xBB, 0x86, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0041[108] = { /* code 0041, LATIN CAPITAL LETTER A */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x06, 0xF9, 0x00, 0x00, 0x00,
  0x00, 0x0C, 0xCF, 0x10, 0x00, 0x00,
  0x00, 0x3F, 0x2D, 0x70, 0x00, 0x00,
  0x00, 0x9C, 0x08, 0xD0, 0x00, 0x00,
  0x01, 0xE6, 0x02, 0xF4, 0x00, 0x00,
  0x06, 0xE1, 0x00, 0xB9, 0x00, 0x00,
  0x0D, 0xB4, 0x44, 0x8F, 0x20, 0x00,
  0x4F, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x9D, 0x00, 0x00, 0x09, 0xD0, 0x00,
  0xB7, 0x00, 0x00, 0x04, 0xF5, 0x00,
  0xB2, 0x00, 0x00, 0x00, 0xDA, 0x00,
  0x50, 0x00, 0x00, 0x00, 0x57, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0042[108] = { /* code 0042, LATIN CAPITAL LETTER B */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xE9, 0x10, 0x00,
  0x0F, 0x94, 0x44, 0x6E, 0xC0, 0x00,
  0x0F, 0x70, 0x00, 0x06, 0xF3, 0x00,
  0x0F, 0x70, 0x00, 0x04, 0xF3, 0x00,
  0x0F, 0x70, 0x00, 0x2C, 0xC0, 0x00,
  0x0F, 0xFF, 0xFF, 0xFE, 0x30, 0x00,
  0x0F, 0x94, 0x44, 0x5B, 0xE3, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0xDA, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0xBB, 0x00,
  0x0F, 0x70, 0x00, 0x03, 0xF7, 0x00,
  0x0F, 0xDB, 0xBB, 0xCF, 0xC1, 0x00,
  0x07, 0x77, 0x77, 0x74, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0043[108] = { /* code 0043, LATIN CAPITAL LETTER C */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x34, 0x30, 0x00, 0x00,
  0x00, 0x5D, 0xFF, 0xFD, 0x50, 0x00,
  0x06, 0xF7, 0x20, 0x2A, 0xF4, 0x00,
  0x2E, 0x70, 0x00, 0x00, 0xDC, 0x00,
  0x7F, 0x10, 0x00, 0x00, 0x33, 0x00,
  0xAC, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xBB, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xBB, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x8E, 0x00, 0x00, 0x00, 0x25, 0x10,
  0x4F, 0x40, 0x00, 0x00, 0x8F, 0x10,
  0x0B, 0xC2, 0x00, 0x03, 0xF9, 0x00,
  0x02, 0xCE, 0x97, 0x9F, 0xC1, 0x00,
  0x00, 0x17, 0xAB, 0xA6, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0044[108] = { /* code 0044, LATIN CAPITAL LETTER D */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xEA, 0x30, 0x00,
  0x0F, 0x94, 0x44, 0x6C, 0xE3, 0x00,
  0x0F, 0x70, 0x00, 0x01, 0xCD, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x5F, 0x30,
  0x0F, 0x70, 0x00, 0x00, 0x1F, 0x70,
  0x0F, 0x70, 0x00, 0x00, 0x0F, 0x70,
  0x0F, 0x70, 0x00, 0x00, 0x0F, 0x70,
  0x0F, 0x70, 0x00, 0x00, 0x3F, 0x50,
  0x0F, 0x70, 0x00, 0x00, 0x7E, 0x10,
  0x0F, 0x70, 0x00, 0x05, 0xF7, 0x00,
  0x0F, 0xDB, 0xBB, 0xDF, 0x80, 0x00,
  0x07, 0x77, 0x77, 0x72, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0045[108] = { /* code 0045, LATIN CAPITAL LETTER E */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xF7, 0x00,
  0x0F, 0x94, 0x44, 0x44, 0x42, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x0F, 0x94, 0x44, 0x44, 0x40, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xDB, 0xBB, 0xBB, 0xB8, 0x00,
  0x07, 0x77, 0x77, 0x77, 0x76, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0046[ 90] = { /* code 0046, LATIN CAPITAL LETTER F */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xB0,
  0x0F, 0x94, 0x44, 0x44, 0x30,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFB, 0x00,
  0x0F, 0x94, 0x44, 0x43, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x07, 0x40, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0047[126] = { /* code 0047, LATIN CAPITAL LETTER G */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0x42, 0x00, 0x00, 0x00,
  0x00, 0x4B, 0xFF, 0xFF, 0xB3, 0x00, 0x00,
  0x05, 0xFA, 0x30, 0x05, 0xCE, 0x20, 0x00,
  0x1E, 0xA0, 0x00, 0x00, 0x1E, 0x90, 0x00,
  0x6F, 0x20, 0x00, 0x00, 0x06, 0x40, 0x00,
  0x9D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xBB, 0x00, 0x00, 0x44, 0x44, 0x40, 0x00,
  0xBB, 0x00, 0x00, 0xFF, 0xFF, 0xF0, 0x00,
  0x8E, 0x00, 0x00, 0x00, 0x07, 0xF0, 0x00,
  0x3F, 0x60, 0x00, 0x00, 0x07, 0xF0, 0x00,
  0x0A, 0xE4, 0x00, 0x00, 0x2C, 0xF0, 0x00,
  0x01, 0xAF, 0xC7, 0x7A, 0xFD, 0x50, 0x00,
  0x00, 0x03, 0x8B, 0xB9, 0x60, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0048[108] = { /* code 0048, LATIN CAPITAL LETTER H */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x94, 0x44, 0x44, 0x9F, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x07, 0x40, 0x00, 0x00, 0x47, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0049[ 54] = { /* code 0049, LATIN CAPITAL LETTER I */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x04, 0x70, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_004A[ 72] = { /* code 004A, LATIN CAPITAL LETTER J */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x0F, 0x70,
  0x00, 0x00, 0x0F, 0x70,
  0x00, 0x00, 0x0F, 0x70,
  0x00, 0x00, 0x0F, 0x70,
  0x00, 0x00, 0x0F, 0x70,
  0x00, 0x00, 0x0F, 0x70,
  0x00, 0x00, 0x0F, 0x70,
  0x00, 0x00, 0x0F, 0x70,
  0x9B, 0x00, 0x0F, 0x70,
  0x9E, 0x10, 0x2F, 0x60,
  0x4F, 0xB7, 0xDD, 0x10,
  0x04, 0xAB, 0x82, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_004B[108] = { /* code 004B, LATIN CAPITAL LETTER K */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0B, 0xB0, 0x00, 0x03, 0xEC, 0x10,
  0x0B, 0xB0, 0x00, 0x3E, 0xC1, 0x00,
  0x0B, 0xB0, 0x03, 0xEC, 0x10, 0x00,
  0x0B, 0xB0, 0x3E, 0xC1, 0x00, 0x00,
  0x0B, 0xB3, 0xED, 0x10, 0x00, 0x00,
  0x0B, 0xDE, 0xEF, 0x40, 0x00, 0x00,
  0x0B, 0xFC, 0x1C, 0xE1, 0x00, 0x00,
  0x0B, 0xD1, 0x02, 0xEB, 0x00, 0x00,
  0x0B, 0xB0, 0x00, 0x5F, 0x70, 0x00,
  0x0B, 0xB0, 0x00, 0x08, 0xF4, 0x00,
  0x0B, 0xB0, 0x00, 0x00, 0xCE, 0x10,
  0x06, 0x60, 0x00, 0x00, 0x27, 0x50,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_004C[ 90] = { /* code 004C, LATIN CAPITAL LETTER L */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0xDB, 0xBB, 0xBB, 0x30,
  0x07, 0x77, 0x77, 0x77, 0x20,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_004D[126] = { /* code 004D, LATIN CAPITAL LETTER M */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0B, 0xFA, 0x00, 0x00, 0x07, 0xFF, 0x00,
  0x0B, 0xFF, 0x10, 0x00, 0x0C, 0xFF, 0x00,
  0x0B, 0xBE, 0x60, 0x00, 0x2F, 0xAF, 0x00,
  0x0B, 0xB9, 0xA0, 0x00, 0x7D, 0x7F, 0x00,
  0x0B, 0xB5, 0xE0, 0x00, 0xA8, 0x7F, 0x00,
  0x0B, 0xB1, 0xF5, 0x01, 0xF5, 0x7F, 0x00,
  0x0B, 0xB0, 0xA9, 0x06, 0xE0, 0x7F, 0x00,
  0x0B, 0xB0, 0x6E, 0x0A, 0x90, 0x7F, 0x00,
  0x0B, 0xB0, 0x1F, 0x3E, 0x50, 0x7F, 0x00,
  0x0B, 0xB0, 0x0C, 0xCF, 0x10, 0x7F, 0x00,
  0x0B, 0xB0, 0x07, 0xFA, 0x00, 0x7F, 0x00,
  0x06, 0x60, 0x02, 0x74, 0x00, 0x47, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_004E[108] = { /* code 004E, LATIN CAPITAL LETTER N */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xD1, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0xF8, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0xEF, 0x40, 0x00, 0x7F, 0x00,
  0x0F, 0x7C, 0xD1, 0x00, 0x7F, 0x00,
  0x0F, 0x73, 0xF8, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x7F, 0x40, 0x7F, 0x00,
  0x0F, 0x70, 0x1D, 0xC0, 0x7F, 0x00,
  0x0F, 0x70, 0x04, 0xF7, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x8F, 0xAF, 0x00,
  0x0F, 0x70, 0x00, 0x1D, 0xFF, 0x00,
  0x0F, 0x70, 0x00, 0x04, 0xFF, 0x00,
  0x07, 0x40, 0x00, 0x00, 0x67, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_004F[126] = { /* code 004F, LATIN CAPITAL LETTER O */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x04, 0x42, 0x00, 0x00, 0x00,
  0x00, 0x18, 0xEF, 0xFF, 0xC4, 0x00, 0x00,
  0x00, 0xCE, 0x61, 0x03, 0xAF, 0x50, 0x00,
  0x07, 0xE3, 0x00, 0x00, 0x0A, 0xE1, 0x00,
  0x0E, 0x90, 0x00, 0x00, 0x02, 0xF7, 0x00,
  0x3F, 0x50, 0x00, 0x00, 0x00, 0xDA, 0x00,
  0x4F, 0x40, 0x00, 0x00, 0x00, 0xBB, 0x00,
  0x4F, 0x40, 0x00, 0x00, 0x00, 0xBB, 0x00,
  0x1F, 0x70, 0x00, 0x00, 0x00, 0xE8, 0x00,
  0x0A, 0xD0, 0x00, 0x00, 0x06, 0xF4, 0x00,
  0x03, 0xF9, 0x00, 0x00, 0x3E, 0xA0, 0x00,
  0x00, 0x6E, 0xD8, 0x7A, 0xFB, 0x10, 0x00,
  0x00, 0x01, 0x7B, 0xB9, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0050[108] = { /* code 0050, LATIN CAPITAL LETTER P */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFC, 0x50, 0x00,
  0x0F, 0x94, 0x44, 0x4A, 0xF4, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0xDA, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0xBB, 0x00,
  0x0F, 0x70, 0x00, 0x01, 0xE8, 0x00,
  0x0F, 0xB7, 0x77, 0x8E, 0xE1, 0x00,
  0x0F, 0xDB, 0xBB, 0xB7, 0x10, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00, 0x00,
  0x07, 0x40, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0051[126] = { /* code 0051, LATIN CAPITAL LETTER Q */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0x40, 0x00, 0x00, 0x00,
  0x00, 0x3B, 0xFF, 0xFF, 0x81, 0x00, 0x00,
  0x03, 0xEC, 0x40, 0x06, 0xEC, 0x10, 0x00,
  0x0B, 0xC1, 0x00, 0x00, 0x3F, 0x70, 0x00,
  0x3F, 0x60, 0x00, 0x00, 0x09, 0xE0, 0x00,
  0x7F, 0x10, 0x00, 0x00, 0x05, 0xF3, 0x00,
  0x7F, 0x00, 0x00, 0x00, 0x04, 0xF4, 0x00,
  0x7F, 0x00, 0x00, 0x00, 0x04, 0xF4, 0x00,
  0x5F, 0x30, 0x00, 0x00, 0x07, 0xF1, 0x00,
  0x1E, 0x90, 0x00, 0x62, 0x0D, 0xC0, 0x00,
  0x07, 0xF6, 0x00, 0xAF, 0xBF, 0x40, 0x00,
  0x00, 0x8F, 0xB7, 0x8E, 0xFC, 0x20, 0x00,
  0x00, 0x04, 0x8B, 0xB8, 0x4B, 0xF5, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x41, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0052[108] = { /* code 0052, LATIN CAPITAL LETTER R */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFD, 0x80, 0x00,
  0x0F, 0x94, 0x44, 0x48, 0xF7, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x9E, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x02, 0xDB, 0x00,
  0x0F, 0xDB, 0xBB, 0xBF, 0xE3, 0x00,
  0x0F, 0xB7, 0x7B, 0xF7, 0x10, 0x00,
  0x0F, 0x70, 0x00, 0x9E, 0x30, 0x00,
  0x0F, 0x70, 0x00, 0x1D, 0xC0, 0x00,
  0x0F, 0x70, 0x00, 0x04, 0xF7, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x8F, 0x30,
  0x07, 0x40, 0x00, 0x00, 0x17, 0x50,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0053[108] = { /* code 0053, LATIN CAPITAL LETTER S */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x44, 0x30, 0x00, 0x00,
  0x00, 0x7E, 0xFF, 0xFD, 0x50, 0x00,
  0x05, 0xF7, 0x10, 0x29, 0xF4, 0x00,
  0x0B, 0xC0, 0x00, 0x00, 0xD9, 0x00,
  0x0A, 0xD1, 0x00, 0x00, 0x33, 0x00,
  0x04, 0xFE, 0x85, 0x10, 0x00, 0x00,
  0x00, 0x4A, 0xFF, 0xFC, 0x50, 0x00,
  0x00, 0x00, 0x15, 0x8D, 0xF6, 0x00,
  0x14, 0x10, 0x00, 0x01, 0xBE, 0x00,
  0x3F, 0x60, 0x00, 0x00, 0x7F, 0x00,
  0x0C, 0xD2, 0x00, 0x01, 0xCB, 0x00,
  0x03, 0xEE, 0x97, 0x8D, 0xE3, 0x00,
  0x00, 0x17, 0xAB, 0xB7, 0x10, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0054[ 90] = { /* code 0054, LATIN CAPITAL LETTER T */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0xBF, 0xFF, 0xFF, 0xFF, 0xB0,
  0x34, 0x49, 0xF4, 0x44, 0x30,
  0x00, 0x07, 0xF0, 0x00, 0x00,
  0x00, 0x07, 0xF0, 0x00, 0x00,
  0x00, 0x07, 0xF0, 0x00, 0x00,
  0x00, 0x07, 0xF0, 0x00, 0x00,
  0x00, 0x07, 0xF0, 0x00, 0x00,
  0x00, 0x07, 0xF0, 0x00, 0x00,
  0x00, 0x07, 0xF0, 0x00, 0x00,
  0x00, 0x07, 0xF0, 0x00, 0x00,
  0x00, 0x07, 0xF0, 0x00, 0x00,
  0x00, 0x04, 0x70, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0055[108] = { /* code 0055, LATIN CAPITAL LETTER U */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x7F, 0x00,
  0x0D, 0xA0, 0x00, 0x00, 0xAD, 0x00,
  0x09, 0xF6, 0x00, 0x04, 0xF9, 0x00,
  0x01, 0xCF, 0xCB, 0xDF, 0xC1, 0x00,
  0x00, 0x17, 0xAB, 0xA7, 0x10, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0056[108] = { /* code 0056, LATIN CAPITAL LETTER V */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xB3, 0x00, 0x00, 0x00, 0x7F, 0x20,
  0xB9, 0x00, 0x00, 0x00, 0xDB, 0x00,
  0x9E, 0x00, 0x00, 0x03, 0xF6, 0x00,
  0x3F, 0x60, 0x00, 0x09, 0xE0, 0x00,
  0x0B, 0xB0, 0x00, 0x1E, 0x70, 0x00,
  0x06, 0xF2, 0x00, 0x6F, 0x20, 0x00,
  0x00, 0xE8, 0x00, 0xCA, 0x00, 0x00,
  0x00, 0x8E, 0x03, 0xF5, 0x00, 0x00,
  0x00, 0x2F, 0x58, 0xD0, 0x00, 0x00,
  0x00, 0x0B, 0xAE, 0x70, 0x00, 0x00,
  0x00, 0x05, 0xFF, 0x10, 0x00, 0x00,
  0x00, 0x00, 0x76, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0057[144] = { /* code 0057, LATIN CAPITAL LETTER W */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x5F, 0x30, 0x00, 0x09, 0xF6, 0x00, 0x00, 0x7F,
  0x3D, 0x60, 0x00, 0x0E, 0xDA, 0x00, 0x00, 0x9D,
  0x0B, 0x90, 0x00, 0x5F, 0x6F, 0x10, 0x00, 0xD9,
  0x09, 0xD0, 0x00, 0x9A, 0x0E, 0x60, 0x02, 0xF6,
  0x05, 0xF2, 0x00, 0xE6, 0x09, 0x90, 0x06, 0xF1,
  0x01, 0xF5, 0x03, 0xF1, 0x05, 0xE0, 0x08, 0xC0,
  0x00, 0xC8, 0x08, 0xC0, 0x00, 0xF5, 0x0C, 0x80,
  0x00, 0x8C, 0x0D, 0x70, 0x00, 0xA9, 0x1F, 0x50,
  0x00, 0x5F, 0x4F, 0x20, 0x00, 0x6E, 0x5F, 0x10,
  0x00, 0x1F, 0xBC, 0x00, 0x00, 0x1F, 0xBC, 0x00,
  0x00, 0x0C, 0xF7, 0x00, 0x00, 0x0A, 0xF8, 0x00,
  0x00, 0x05, 0x72, 0x00, 0x00, 0x04, 0x73, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0058[108] = { /* code 0058, LATIN CAPITAL LETTER X */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xBC, 0x00, 0x00, 0x3F, 0xA0, 0x00,
  0x3F, 0x70, 0x00, 0xCE, 0x10, 0x00,
  0x07, 0xF4, 0x08, 0xF4, 0x00, 0x00,
  0x00, 0xCD, 0x5F, 0x80, 0x00, 0x00,
  0x00, 0x3E, 0xFD, 0x10, 0x00, 0x00,
  0x00, 0x0A, 0xF7, 0x00, 0x00, 0x00,
  0x00, 0x5F, 0xEE, 0x10, 0x00, 0x00,
  0x01, 0xEC, 0x1E, 0xB0, 0x00, 0x00,
  0x0A, 0xF3, 0x05, 0xF7, 0x00, 0x00,
  0x6F, 0x70, 0x00, 0xAE, 0x20, 0x00,
  0xBB, 0x00, 0x00, 0x1D, 0xC0, 0x00,
  0x62, 0x00, 0x00, 0x03, 0x73, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0059[108] = { /* code 0059, LATIN CAPITAL LETTER Y */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x9E, 0x20, 0x00, 0x00, 0x8F, 0x30,
  0x1E, 0xB0, 0x00, 0x04, 0xF7, 0x00,
  0x05, 0xF7, 0x00, 0x1D, 0xC0, 0x00,
  0x00, 0x9F, 0x30, 0x9E, 0x30, 0x00,
  0x00, 0x1D, 0xC5, 0xF7, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0xB0, 0x00, 0x00,
  0x00, 0x00, 0x9F, 0x20, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x47, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_005A[ 90] = { /* code 005A, LATIN CAPITAL LETTER Z */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xF0,
  0x04, 0x44, 0x44, 0x5F, 0xC0,
  0x00, 0x00, 0x00, 0xCE, 0x20,
  0x00, 0x00, 0x08, 0xF4, 0x00,
  0x00, 0x00, 0x6F, 0x70, 0x00,
  0x00, 0x03, 0xEA, 0x00, 0x00,
  0x00, 0x1C, 0xD1, 0x00, 0x00,
  0x00, 0x9F, 0x30, 0x00, 0x00,
  0x07, 0xF6, 0x00, 0x00, 0x00,
  0x3F, 0x90, 0x00, 0x00, 0x00,
  0xBF, 0xCB, 0xBB, 0xBB, 0xB3,
  0x67, 0x77, 0x77, 0x77, 0x72,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_005B[ 54] = { /* code 005B, LEFT SQUARE BRACKET */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xFF, 0x00,
  0x0F, 0x94, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0xB7, 0x00,
  0x0B, 0xBB, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_005C[ 54] = { /* code 005C, REVERSE SOLIDUS */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x60, 0x00, 0x00,
  0xA0, 0x00, 0x00,
  0xB3, 0x00, 0x00,
  0xB7, 0x00, 0x00,
  0x7C, 0x00, 0x00,
  0x3F, 0x10, 0x00,
  0x0E, 0x50, 0x00,
  0x0A, 0x90, 0x00,
  0x06, 0xD0, 0x00,
  0x02, 0xF3, 0x00,
  0x00, 0xC7, 0x00,
  0x00, 0x56, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_005D[ 54] = { /* code 005D, RIGHT SQUARE BRACKET */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0xBF, 0xF0, 0x00,
  0x39, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x6B, 0xF0, 0x00,
  0x8B, 0xB0, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_005E[ 72] = { /* code 005E, CIRCUMFLEX ACCENT */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x14, 0x00, 0x00,
  0x00, 0x8F, 0x50, 0x00,
  0x00, 0xEC, 0xA0, 0x00,
  0x06, 0xE3, 0xF2, 0x00,
  0x0B, 0x90, 0xD7, 0x00,
  0x2F, 0x50, 0x8D, 0x00,
  0x8E, 0x00, 0x3F, 0x50,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_005F[ 90] = { /* code 005F, LOW LINE */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x67, 0x77, 0x77, 0x77, 0x20,
  0x8B, 0xBB, 0xBB, 0xBB, 0x30
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0060[ 54] = { /* code 0060, GRAVE ACCENT */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x1C, 0xB0, 0x00,
  0x03, 0xE2, 0x00,
  0x00, 0x22, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0061[ 90] = { /* code 0061, LATIN SMALL LETTER A */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x24, 0x41, 0x00, 0x00,
  0x1B, 0xFF, 0xFE, 0x60, 0x00,
  0x7F, 0x40, 0x2C, 0xE0, 0x00,
  0x36, 0x00, 0x07, 0xF0, 0x00,
  0x02, 0x67, 0xBF, 0xF0, 0x00,
  0x6F, 0xEB, 0x8A, 0xF0, 0x00,
  0xBB, 0x00, 0x07, 0xF0, 0x00,
  0xB8, 0x00, 0x1D, 0xF0, 0x00,
  0xAF, 0x87, 0xDD, 0xF2, 0x00,
  0x18, 0xBA, 0x51, 0x73, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0062[ 90] = { /* code 0062, LATIN SMALL LETTER B */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x43, 0x00, 0x00,
  0x0F, 0xAD, 0xFF, 0xB1, 0x00,
  0x0F, 0xF7, 0x04, 0xE9, 0x00,
  0x0F, 0xC0, 0x00, 0x8F, 0x10,
  0x0F, 0x70, 0x00, 0x4F, 0x40,
  0x0F, 0x70, 0x00, 0x4F, 0x40,
  0x0F, 0x80, 0x00, 0x6F, 0x20,
  0x0F, 0xE1, 0x00, 0xBD, 0x00,
  0x0F, 0xDD, 0x7B, 0xF4, 0x00,
  0x07, 0x46, 0xBA, 0x30, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0063[ 72] = { /* code 0063, LATIN SMALL LETTER C */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x03, 0x41, 0x00,
  0x03, 0xDF, 0xFF, 0x60,
  0x0D, 0xC2, 0x09, 0xF3,
  0x4F, 0x50, 0x01, 0xA4,
  0x7F, 0x00, 0x00, 0x00,
  0x7F, 0x00, 0x00, 0x00,
  0x7F, 0x20, 0x00, 0x63,
  0x2F, 0x70, 0x01, 0xF8,
  0x08, 0xF9, 0x7D, 0xE1,
  0x00, 0x5A, 0xB8, 0x10,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0064[ 90] = { /* code 0064, LATIN SMALL LETTER D */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x07, 0xF0, 0x00,
  0x00, 0x00, 0x07, 0xF0, 0x00,
  0x00, 0x34, 0x07, 0xF0, 0x00,
  0x1B, 0xFF, 0xDA, 0xF0, 0x00,
  0x9E, 0x40, 0x7F, 0xF0, 0x00,
  0xB8, 0x00, 0x0C, 0xF0, 0x00,
  0xB4, 0x00, 0x07, 0xF0, 0x00,
  0xB4, 0x00, 0x07, 0xF0, 0x00,
  0xB6, 0x00, 0x08, 0xF0, 0x00,
  0xBB, 0x00, 0x1E, 0xF0, 0x00,
  0x4F, 0xB7, 0xDD, 0xF0, 0x00,
  0x03, 0xAB, 0x64, 0x70, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0065[ 90] = { /* code 0065, LATIN SMALL LETTER E */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x24, 0x30, 0x00, 0x00,
  0x08, 0xFF, 0xFC, 0x30, 0x00,
  0x8E, 0x40, 0x2C, 0xD0, 0x00,
  0xB6, 0x00, 0x02, 0xF5, 0x00,
  0xBC, 0xBB, 0xBB, 0xF7, 0x00,
  0xB9, 0x77, 0x77, 0x74, 0x00,
  0xB6, 0x00, 0x00, 0x00, 0x00,
  0xBD, 0x10, 0x04, 0xE4, 0x00,
  0x4E, 0xD7, 0x9E, 0xC0, 0x00,
  0x02, 0x8B, 0xB7, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0066[ 54] = { /* code 0066, LATIN SMALL LETTER F */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x24, 0x00,
  0x08, 0xFF, 0x00,
  0x0F, 0xA0, 0x00,
  0x0F, 0x70, 0x00,
  0xBF, 0xFF, 0x00,
  0x3F, 0x94, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x07, 0x40, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0067[ 90] = { /* code 0067, LATIN SMALL LETTER G */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x34, 0x00, 0x00, 0x00,
  0x1B, 0xFF, 0xDA, 0xF0, 0x00,
  0x9E, 0x40, 0x7F, 0xF0, 0x00,
  0xB7, 0x00, 0x0C, 0xF0, 0x00,
  0xB4, 0x00, 0x07, 0xF0, 0x00,
  0xB4, 0x00, 0x07, 0xF0, 0x00,
  0xB6, 0x00, 0x09, 0xF0, 0x00,
  0xAD, 0x10, 0x3F, 0xF0, 0x00,
  0x3E, 0xEB, 0xFD, 0xF0, 0x00,
  0x01, 0x77, 0x47, 0xF0, 0x00,
  0x74, 0x00, 0x09, 0xC0, 0x00,
  0xAE, 0x64, 0x7F, 0x70, 0x00,
  0x19, 0xFF, 0xD7, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0068[ 90] = { /* code 0068, LATIN SMALL LETTER H */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x44, 0x00, 0x00,
  0x0F, 0xAD, 0xFF, 0xE3, 0x00,
  0x0F, 0xF7, 0x02, 0xDC, 0x00,
  0x0F, 0x90, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x07, 0x40, 0x00, 0x47, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0069[ 36] = { /* code 0069, LATIN SMALL LETTER I */
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x0F, 0x70,
  0x07, 0x40,
  0x00, 0x00,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x07, 0x40,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_006A[ 36] = { /* code 006A, LATIN SMALL LETTER J */
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x7F, 0x00,
  0x47, 0x00,
  0x00, 0x00,
  0x7F, 0x00,
  0x7F, 0x00,
  0x7F, 0x00,
  0x7F, 0x00,
  0x7F, 0x00,
  0x7F, 0x00,
  0x7F, 0x00,
  0x7F, 0x00,
  0x7F, 0x00,
  0x7F, 0x00,
  0xAD, 0x00,
  0xA6, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_006B[ 90] = { /* code 006B, LATIN SMALL LETTER K */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x1C, 0xE3, 0x00,
  0x0F, 0x71, 0xCE, 0x30, 0x00,
  0x0F, 0x8C, 0xE3, 0x00, 0x00,
  0x0F, 0xFF, 0xA0, 0x00, 0x00,
  0x0F, 0xE8, 0xF5, 0x00, 0x00,
  0x0F, 0x70, 0xBE, 0x10, 0x00,
  0x0F, 0x70, 0x2E, 0xA0, 0x00,
  0x0F, 0x70, 0x07, 0xF5, 0x00,
  0x07, 0x40, 0x00, 0x77, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_006C[ 36] = { /* code 006C, LATIN SMALL LETTER L */
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x0F, 0x70,
  0x07, 0x40,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_006D[126] = { /* code 006D, LATIN SMALL LETTER M */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x44, 0x00, 0x04, 0x30, 0x00,
  0x0F, 0x8C, 0xFF, 0xC3, 0xDF, 0xFC, 0x10,
  0x0F, 0xF4, 0x07, 0xFE, 0x40, 0x7F, 0x60,
  0x0F, 0x90, 0x00, 0xF9, 0x00, 0x0F, 0x70,
  0x0F, 0x70, 0x00, 0xF7, 0x00, 0x0F, 0x70,
  0x0F, 0x70, 0x00, 0xF7, 0x00, 0x0F, 0x70,
  0x0F, 0x70, 0x00, 0xF7, 0x00, 0x0F, 0x70,
  0x0F, 0x70, 0x00, 0xF7, 0x00, 0x0F, 0x70,
  0x0F, 0x70, 0x00, 0xF7, 0x00, 0x0F, 0x70,
  0x07, 0x40, 0x00, 0x74, 0x00, 0x07, 0x40,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_006E[ 90] = { /* code 006E, LATIN SMALL LETTER N */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x34, 0x00, 0x00,
  0x0F, 0x8C, 0xFF, 0xE4, 0x00,
  0x0F, 0xF6, 0x02, 0xDC, 0x00,
  0x0F, 0x90, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x07, 0x40, 0x00, 0x47, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_006F[ 90] = { /* code 006F, LATIN SMALL LETTER O */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x04, 0x40, 0x00, 0x00,
  0x05, 0xEF, 0xFE, 0x50, 0x00,
  0x2F, 0x91, 0x19, 0xF2, 0x00,
  0x8F, 0x10, 0x01, 0xF8, 0x00,
  0xBB, 0x00, 0x00, 0xBB, 0x00,
  0xBB, 0x00, 0x00, 0xBB, 0x00,
  0xAD, 0x00, 0x00, 0xDA, 0x00,
  0x6F, 0x40, 0x04, 0xF6, 0x00,
  0x0C, 0xE8, 0x8E, 0xC0, 0x00,
  0x00, 0x7B, 0xB7, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0070[ 90] = { /* code 0070, LATIN SMALL LETTER P */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x43, 0x00, 0x00,
  0x0F, 0x8C, 0xFF, 0xB1, 0x00,
  0x0F, 0xF7, 0x04, 0xE9, 0x00,
  0x0F, 0xC0, 0x00, 0x8F, 0x10,
  0x0F, 0x70, 0x00, 0x4F, 0x40,
  0x0F, 0x70, 0x00, 0x4F, 0x40,
  0x0F, 0x90, 0x00, 0x6F, 0x20,
  0x0F, 0xE1, 0x00, 0xBC, 0x00,
  0x0F, 0xED, 0x7B, 0xF4, 0x00,
  0x0F, 0x77, 0xB9, 0x30, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x00, 0x00,
  0x0B, 0x60, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0071[ 90] = { /* code 0071, LATIN SMALL LETTER Q */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x34, 0x00, 0x00, 0x00,
  0x1B, 0xFF, 0xC8, 0xF0, 0x00,
  0x9E, 0x40, 0x7F, 0xF0, 0x00,
  0xB8, 0x00, 0x0C, 0xF0, 0x00,
  0xB4, 0x00, 0x07, 0xF0, 0x00,
  0xB4, 0x00, 0x07, 0xF0, 0x00,
  0xB6, 0x00, 0x08, 0xF0, 0x00,
  0xBB, 0x00, 0x1E, 0xF0, 0x00,
  0x3E, 0xB7, 0xDE, 0xF0, 0x00,
  0x03, 0x9B, 0x77, 0xF0, 0x00,
  0x00, 0x00, 0x07, 0xF0, 0x00,
  0x00, 0x00, 0x07, 0xF0, 0x00,
  0x00, 0x00, 0x06, 0xB0, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0072[ 54] = { /* code 0072, LATIN SMALL LETTER R */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x02, 0x30,
  0x0F, 0x9F, 0xF4,
  0x0F, 0xE3, 0x31,
  0x0F, 0x90, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x07, 0x40, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0073[ 72] = { /* code 0073, LATIN SMALL LETTER S */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x34, 0x10, 0x00,
  0x2D, 0xFF, 0xF6, 0x00,
  0x9D, 0x20, 0xAF, 0x10,
  0xBD, 0x10, 0x26, 0x10,
  0x5F, 0xE9, 0x50, 0x00,
  0x04, 0x9E, 0xFD, 0x30,
  0x12, 0x00, 0x5E, 0xA0,
  0xBB, 0x00, 0x0C, 0xA0,
  0x7F, 0xB7, 0xBF, 0x40,
  0x05, 0xAB, 0x94, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0074[ 54] = { /* code 0074, LATIN SMALL LETTER T */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x06, 0x60, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0xBF, 0xFB, 0x00,
  0x3F, 0x93, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0E, 0xC6, 0x00,
  0x05, 0xBB, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0075[ 90] = { /* code 0075, LATIN SMALL LETTER U */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x0F, 0x70, 0x00, 0x7F, 0x00,
  0x0E, 0x90, 0x01, 0xDF, 0x00,
  0x08, 0xF9, 0x7D, 0xCF, 0x00,
  0x00, 0x7B, 0xA4, 0x47, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0076[ 90] = { /* code 0076, LATIN SMALL LETTER V */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0xB8, 0x00, 0x04, 0xF5, 0x00,
  0xAD, 0x00, 0x09, 0xE0, 0x00,
  0x6F, 0x30, 0x0E, 0x90, 0x00,
  0x1F, 0x80, 0x5F, 0x50, 0x00,
  0x0A, 0xD0, 0x9E, 0x00, 0x00,
  0x06, 0xF3, 0xE9, 0x00, 0x00,
  0x01, 0xFC, 0xF5, 0x00, 0x00,
  0x00, 0xAF, 0xE0, 0x00, 0x00,
  0x00, 0x47, 0x60, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0077[108] = { /* code 0077, LATIN SMALL LETTER W */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x80, 0x00, 0x9D, 0x00, 0x09, 0xE0,
  0xB2, 0x00, 0xDF, 0x30, 0x0D, 0x90,
  0xB7, 0x03, 0xEB, 0x70, 0x3F, 0x60,
  0xBA, 0x07, 0xA7, 0xC0, 0x7F, 0x10,
  0x7F, 0x1C, 0x63, 0xF1, 0xCA, 0x00,
  0x3F, 0x6F, 0x20, 0xD7, 0xF6, 0x00,
  0x0D, 0xDD, 0x00, 0x9D, 0xF2, 0x00,
  0x08, 0xF8, 0x00, 0x5F, 0xC0, 0x00,
  0x02, 0x73, 0x00, 0x17, 0x40, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0078[ 72] = { /* code 0078, LATIN SMALL LETTER X */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0xBC, 0x00, 0x0C, 0xD1,
  0x4F, 0x70, 0x8F, 0x40,
  0x08, 0xF7, 0xF7, 0x00,
  0x01, 0xDF, 0xC0, 0x00,
  0x00, 0xAF, 0x80, 0x00,
  0x06, 0xFC, 0xF4, 0x00,
  0x2E, 0xA0, 0xCD, 0x10,
  0xAE, 0x10, 0x3F, 0x80,
  0x63, 0x00, 0x05, 0x71,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_0079[ 72] = { /* code 0079, LATIN SMALL LETTER Y */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0xBC, 0x00, 0x00, 0xE9,
  0x7F, 0x30, 0x05, 0xF5,
  0x1F, 0x80, 0x09, 0xE0,
  0x0A, 0xE0, 0x0E, 0x90,
  0x05, 0xF6, 0x6F, 0x30,
  0x00, 0xEA, 0xAD, 0x00,
  0x00, 0x8F, 0xF8, 0x00,
  0x00, 0x3F, 0xF3, 0x00,
  0x00, 0x0C, 0xD0, 0x00,
  0x00, 0x1F, 0x70, 0x00,
  0x14, 0x9E, 0x10, 0x00,
  0x1F, 0xE6, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_007A[ 72] = { /* code 007A, LATIN SMALL LETTER Z */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0xBF, 0xFF, 0xFF, 0xB0,
  0x34, 0x44, 0x9F, 0x60,
  0x00, 0x05, 0xF9, 0x00,
  0x00, 0x3E, 0xB0, 0x00,
  0x01, 0xDD, 0x10, 0x00,
  0x0B, 0xE3, 0x00, 0x00,
  0x8F, 0x50, 0x00, 0x00,
  0xBE, 0xBB, 0xBB, 0xB0,
  0x67, 0x77, 0x77, 0x70,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_007B[ 54] = { /* code 007B, LEFT CURLY BRACKET */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x34, 0x00,
  0x07, 0xFF, 0x00,
  0x0E, 0xC4, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x2F, 0x60, 0x00,
  0x8C, 0x10, 0x00,
  0xA4, 0x00, 0x00,
  0x7E, 0x20, 0x00,
  0x1F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0F, 0x70, 0x00,
  0x0C, 0xE7, 0x00,
  0x03, 0xDF, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_007C[ 54] = { /* code 007C, VERTICAL LINE */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0x40, 0x00,
  0x0F, 0x40, 0x00,
  0x0F, 0x40, 0x00,
  0x0F, 0x40, 0x00,
  0x0F, 0x40, 0x00,
  0x0F, 0x40, 0x00,
  0x0F, 0x40, 0x00,
  0x0F, 0x40, 0x00,
  0x0F, 0x40, 0x00,
  0x0F, 0x40, 0x00,
  0x0F, 0x40, 0x00,
  0x0F, 0x40, 0x00,
  0x0F, 0x40, 0x00,
  0x0F, 0x40, 0x00,
  0x0F, 0x40, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_007D[ 54] = { /* code 007D, RIGHT CURLY BRACKET */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x32, 0x00, 0x00,
  0xBF, 0x70, 0x00,
  0x3C, 0xD0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x06, 0xF2, 0x00,
  0x01, 0xCA, 0x20,
  0x00, 0x5E, 0x70,
  0x02, 0xF7, 0x00,
  0x07, 0xF1, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x07, 0xF0, 0x00,
  0x6E, 0xD0, 0x00,
  0xBD, 0x40, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18_007E[ 90] = { /* code 007E, TILDE */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x16, 0x73, 0x00, 0x01, 0x00,
  0xAF, 0xFF, 0xB5, 0x6D, 0x00,
  0x71, 0x17, 0xEF, 0xF8, 0x00,
  0x00, 0x00, 0x04, 0x20, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE GUI_CHARINFO _aGUI_Font18_CharInfo[95] = {
   {   5,   5,  3, _acGUI_Font18_0020 } /* code 0020 */
  ,{   5,   5,  3, _acGUI_Font18_0021 } /* code 0021 */
  ,{   6,   6,  3, _acGUI_Font18_0022 } /* code 0022 */
  ,{   9,   9,  5, _acGUI_Font18_0023 } /* code 0023 */
  ,{   9,   9,  5, _acGUI_Font18_0024 } /* code 0024 */
  ,{  15,  15,  8, _acGUI_Font18_0025 } /* code 0025 */
  ,{  11,  11,  6, _acGUI_Font18_0026 } /* code 0026 */
  ,{   3,   3,  2, _acGUI_Font18_0027 } /* code 0027 */
  ,{   6,   6,  3, _acGUI_Font18_0028 } /* code 0028 */
  ,{   6,   6,  3, _acGUI_Font18_0029 } /* code 0029 */
  ,{   7,   7,  4, _acGUI_Font18_002A } /* code 002A */
  ,{  10,  10,  5, _acGUI_Font18_002B } /* code 002B */
  ,{   5,   5,  3, _acGUI_Font18_002C } /* code 002C */
  ,{   6,   6,  3, _acGUI_Font18_002D } /* code 002D */
  ,{   5,   5,  3, _acGUI_Font18_002E } /* code 002E */
  ,{   5,   5,  3, _acGUI_Font18_002F } /* code 002F */
  ,{   9,   9,  5, _acGUI_Font18_0030 } /* code 0030 */
  ,{   9,   9,  5, _acGUI_Font18_0031 } /* code 0031 */
  ,{   9,   9,  5, _acGUI_Font18_0032 } /* code 0032 */
  ,{   9,   9,  5, _acGUI_Font18_0033 } /* code 0033 */
  ,{   9,   9,  5, _acGUI_Font18_0034 } /* code 0034 */
  ,{   9,   9,  5, _acGUI_Font18_0035 } /* code 0035 */
  ,{   9,   9,  5, _acGUI_Font18_0036 } /* code 0036 */
  ,{   9,   9,  5, _acGUI_Font18_0037 } /* code 0037 */
  ,{   9,   9,  5, _acGUI_Font18_0038 } /* code 0038 */
  ,{   9,   9,  5, _acGUI_Font18_0039 } /* code 0039 */
  ,{   5,   5,  3, _acGUI_Font18_003A } /* code 003A */
  ,{   5,   5,  3, _acGUI_Font18_003B } /* code 003B */
  ,{  10,  10,  5, _acGUI_Font18_003C } /* code 003C */
  ,{  10,  10,  5, _acGUI_Font18_003D } /* code 003D */
  ,{  10,  10,  5, _acGUI_Font18_003E } /* code 003E */
  ,{   9,   9,  5, _acGUI_Font18_003F } /* code 003F */
  ,{  17,  17,  9, _acGUI_Font18_0040 } /* code 0040 */
  ,{  11,  11,  6, _acGUI_Font18_0041 } /* code 0041 */
  ,{  11,  11,  6, _acGUI_Font18_0042 } /* code 0042 */
  ,{  12,  12,  6, _acGUI_Font18_0043 } /* code 0043 */
  ,{  12,  12,  6, _acGUI_Font18_0044 } /* code 0044 */
  ,{  11,  11,  6, _acGUI_Font18_0045 } /* code 0045 */
  ,{  10,  10,  5, _acGUI_Font18_0046 } /* code 0046 */
  ,{  13,  13,  7, _acGUI_Font18_0047 } /* code 0047 */
  ,{  12,  12,  6, _acGUI_Font18_0048 } /* code 0048 */
  ,{   5,   5,  3, _acGUI_Font18_0049 } /* code 0049 */
  ,{   8,   8,  4, _acGUI_Font18_004A } /* code 004A */
  ,{  11,  11,  6, _acGUI_Font18_004B } /* code 004B */
  ,{   9,   9,  5, _acGUI_Font18_004C } /* code 004C */
  ,{  14,  14,  7, _acGUI_Font18_004D } /* code 004D */
  ,{  12,  12,  6, _acGUI_Font18_004E } /* code 004E */
  ,{  13,  13,  7, _acGUI_Font18_004F } /* code 004F */
  ,{  11,  11,  6, _acGUI_Font18_0050 } /* code 0050 */
  ,{  13,  13,  7, _acGUI_Font18_0051 } /* code 0051 */
  ,{  12,  12,  6, _acGUI_Font18_0052 } /* code 0052 */
  ,{  11,  11,  6, _acGUI_Font18_0053 } /* code 0053 */
  ,{  10,  10,  5, _acGUI_Font18_0054 } /* code 0054 */
  ,{  12,  12,  6, _acGUI_Font18_0055 } /* code 0055 */
  ,{  11,  11,  6, _acGUI_Font18_0056 } /* code 0056 */
  ,{  16,  16,  8, _acGUI_Font18_0057 } /* code 0057 */
  ,{  11,  11,  6, _acGUI_Font18_0058 } /* code 0058 */
  ,{  11,  11,  6, _acGUI_Font18_0059 } /* code 0059 */
  ,{  10,  10,  5, _acGUI_Font18_005A } /* code 005A */
  ,{   5,   5,  3, _acGUI_Font18_005B } /* code 005B */
  ,{   5,   5,  3, _acGUI_Font18_005C } /* code 005C */
  ,{   5,   5,  3, _acGUI_Font18_005D } /* code 005D */
  ,{   7,   7,  4, _acGUI_Font18_005E } /* code 005E */
  ,{   9,   9,  5, _acGUI_Font18_005F } /* code 005F */
  ,{   6,   6,  3, _acGUI_Font18_0060 } /* code 0060 */
  ,{   9,   9,  5, _acGUI_Font18_0061 } /* code 0061 */
  ,{   9,   9,  5, _acGUI_Font18_0062 } /* code 0062 */
  ,{   8,   8,  4, _acGUI_Font18_0063 } /* code 0063 */
  ,{   9,   9,  5, _acGUI_Font18_0064 } /* code 0064 */
  ,{   9,   9,  5, _acGUI_Font18_0065 } /* code 0065 */
  ,{   5,   5,  3, _acGUI_Font18_0066 } /* code 0066 */
  ,{   9,   9,  5, _acGUI_Font18_0067 } /* code 0067 */
  ,{   9,   9,  5, _acGUI_Font18_0068 } /* code 0068 */
  ,{   4,   4,  2, _acGUI_Font18_0069 } /* code 0069 */
  ,{   4,   4,  2, _acGUI_Font18_006A } /* code 006A */
  ,{   9,   9,  5, _acGUI_Font18_006B } /* code 006B */
  ,{   4,   4,  2, _acGUI_Font18_006C } /* code 006C */
  ,{  14,  14,  7, _acGUI_Font18_006D } /* code 006D */
  ,{   9,   9,  5, _acGUI_Font18_006E } /* code 006E */
  ,{   9,   9,  5, _acGUI_Font18_006F } /* code 006F */
  ,{   9,   9,  5, _acGUI_Font18_0070 } /* code 0070 */
  ,{   9,   9,  5, _acGUI_Font18_0071 } /* code 0071 */
  ,{   6,   6,  3, _acGUI_Font18_0072 } /* code 0072 */
  ,{   8,   8,  4, _acGUI_Font18_0073 } /* code 0073 */
  ,{   5,   5,  3, _acGUI_Font18_0074 } /* code 0074 */
  ,{   9,   9,  5, _acGUI_Font18_0075 } /* code 0075 */
  ,{   9,   9,  5, _acGUI_Font18_0076 } /* code 0076 */
  ,{  12,  12,  6, _acGUI_Font18_0077 } /* code 0077 */
  ,{   8,   8,  4, _acGUI_Font18_0078 } /* code 0078 */
  ,{   8,   8,  4, _acGUI_Font18_0079 } /* code 0079 */
  ,{   8,   8,  4, _acGUI_Font18_007A } /* code 007A */
  ,{   6,   6,  3, _acGUI_Font18_007B } /* code 007B */
  ,{   5,   5,  3, _acGUI_Font18_007C } /* code 007C */
  ,{   6,   6,  3, _acGUI_Font18_007D } /* code 007D */
  ,{  10,  10,  5, _acGUI_Font18_007E } /* code 007E */
};

static GUI_CONST_STORAGE GUI_FONT_PROP _GUI_Font18_Prop1 = {
   0x0020 /* first character */
  ,0x007E /* last character  */
  ,&_aGUI_Font18_CharInfo[  0] /* address of first character */
  ,(GUI_CONST_STORAGE GUI_FONT_PROP *)0 /* pointer to next GUI_FONT_PROP */
};

static GUI_CONST_STORAGE GUI_FONT _GUI_Font18 = {
   GUI_FONTTYPE_PROP_AA4 /* type of font    */
  ,18 /* height of font  */
  ,18 /* space of font y */
  ,1 /* magnification x */
  ,1 /* magnification y */
  ,{&_GUI_Font18_Prop1}
  ,15 /* Baseline */
  ,10 /* Height of lowercase characters */
  ,12 /* Height of capital characters */
};

/*********************************************************************
*
*       GUI_Font18B
*/
/* Start of unicode area <Basic Latin> */
static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0020[ 54] = { /* code 0020, SPACE */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0021[ 54] = { /* code 0021, EXCLAMATION MARK */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0B, 0xF0, 0x00,
  0x0B, 0xF0, 0x00,
  0x09, 0xD0, 0x00,
  0x07, 0xB0, 0x00,
  0x02, 0x30, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x04, 0x41, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0022[ 72] = { /* code 0022, QUOTATION MARK */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x4F, 0xF0, 0xBF, 0x70,
  0x4F, 0xF0, 0xBF, 0x70,
  0x2F, 0xE0, 0x9F, 0x70,
  0x0F, 0xB0, 0x7F, 0x40,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0023[ 90] = { /* code 0023, NUMBER SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xDE, 0x0D, 0xE0, 0x00,
  0x01, 0xFB, 0x1F, 0xB0, 0x00,
  0x37, 0xF9, 0x7F, 0x92, 0x00,
  0xBF, 0xFF, 0xFF, 0xF7, 0x00,
  0x6D, 0xF7, 0xDF, 0x74, 0x00,
  0x0D, 0xE0, 0xDE, 0x00, 0x00,
  0x3F, 0xC4, 0xFC, 0x42, 0x00,
  0xBF, 0xFF, 0xFF, 0xF7, 0x00,
  0x9F, 0x9B, 0xF9, 0x74, 0x00,
  0x9F, 0x29, 0xF2, 0x00, 0x00,
  0xBE, 0x0C, 0xE0, 0x00, 0x00,
  0x33, 0x04, 0x30, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0024[ 90] = { /* code 0024, DOLLAR SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0B, 0x00, 0x00, 0x00,
  0x07, 0xEF, 0xE7, 0x00, 0x00,
  0x5F, 0xEF, 0xEF, 0x70, 0x00,
  0xBF, 0x5F, 0x3F, 0xA0, 0x00,
  0xBF, 0x5F, 0x00, 0x00, 0x00,
  0x7F, 0xEF, 0x30, 0x00, 0x00,
  0x09, 0xFF, 0xFD, 0x30, 0x00,
  0x00, 0x3F, 0xDF, 0xE0, 0x00,
  0x04, 0x0F, 0x1D, 0xF4, 0x00,
  0xBF, 0x3F, 0x0C, 0xF4, 0x00,
  0x9F, 0xCF, 0x9F, 0xD0, 0x00,
  0x1C, 0xFF, 0xFE, 0x30, 0x00,
  0x01, 0x6F, 0x61, 0x00, 0x00,
  0x00, 0x0F, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0025[126] = { /* code 0025, PERCENT SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x43, 0x00, 0x00, 0x04, 0x20, 0x00,
  0x0C, 0xFF, 0xC0, 0x00, 0x6F, 0x40, 0x00,
  0x6F, 0x77, 0xF6, 0x00, 0xDB, 0x00, 0x00,
  0x7F, 0x44, 0xF7, 0x06, 0xF4, 0x00, 0x00,
  0x7F, 0x44, 0xF7, 0x0D, 0xB0, 0x00, 0x00,
  0x2F, 0xCB, 0xF2, 0x6F, 0x40, 0x00, 0x00,
  0x05, 0xAB, 0x50, 0xDB, 0x02, 0x41, 0x00,
  0x00, 0x00, 0x06, 0xF4, 0x5F, 0xFF, 0x50,
  0x00, 0x00, 0x0D, 0xB0, 0xDD, 0x0D, 0xD0,
  0x00, 0x00, 0x6F, 0x40, 0xFB, 0x0B, 0xF0,
  0x00, 0x00, 0xDB, 0x00, 0xFB, 0x0B, 0xF0,
  0x00, 0x06, 0xF4, 0x00, 0x9F, 0x8F, 0x90,
  0x00, 0x09, 0x90, 0x00, 0x18, 0xB9, 0x10,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0026[108] = { /* code 0026, AMPERSAND */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x44, 0x10, 0x00, 0x00,
  0x00, 0x3E, 0xFF, 0xF6, 0x00, 0x00,
  0x00, 0xDF, 0xBA, 0xFF, 0x20, 0x00,
  0x00, 0xFF, 0x50, 0xFF, 0x40, 0x00,
  0x00, 0x9F, 0xC9, 0xFC, 0x00, 0x00,
  0x00, 0x1E, 0xFF, 0xB1, 0x00, 0x00,
  0x01, 0xBF, 0xFF, 0x70, 0x10, 0x00,
  0x0B, 0xFB, 0x7F, 0xF5, 0xED, 0x10,
  0x3F, 0xF1, 0x0A, 0xFF, 0xFB, 0x00,
  0x4F, 0xF1, 0x01, 0xFF, 0xF7, 0x00,
  0x0E, 0xFC, 0x7D, 0xFF, 0xFF, 0x80,
  0x05, 0xEF, 0xFF, 0xF7, 0xBF, 0x70,
  0x00, 0x16, 0x77, 0x20, 0x05, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0027[ 36] = { /* code 0027, APOSTROPHE */
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x4F, 0xF0,
  0x4F, 0xF0,
  0x2F, 0xE0,
  0x0F, 0xB0,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0028[ 54] = { /* code 0028, LEFT PARENTHESIS */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x2E, 0x50,
  0x00, 0xBE, 0x00,
  0x04, 0xF9, 0x00,
  0x09, 0xF6, 0x00,
  0x0E, 0xF4, 0x00,
  0x2F, 0xF0, 0x00,
  0x4F, 0xF0, 0x00,
  0x4F, 0xF0, 0x00,
  0x3F, 0xF0, 0x00,
  0x0E, 0xF3, 0x00,
  0x0A, 0xF5, 0x00,
  0x05, 0xF8, 0x00,
  0x00, 0xDD, 0x00,
  0x00, 0x4F, 0x30,
  0x00, 0x03, 0x20
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0029[ 54] = { /* code 0029, RIGHT PARENTHESIS */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x5E, 0x20, 0x00,
  0x0E, 0xB0, 0x00,
  0x09, 0xF4, 0x00,
  0x06, 0xF9, 0x00,
  0x04, 0xFE, 0x00,
  0x00, 0xFF, 0x20,
  0x00, 0xFF, 0x40,
  0x00, 0xFF, 0x40,
  0x00, 0xFF, 0x20,
  0x03, 0xFE, 0x00,
  0x05, 0xFA, 0x00,
  0x08, 0xF5, 0x00,
  0x0D, 0xD0, 0x00,
  0x3F, 0x40, 0x00,
  0x23, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_002A[ 54] = { /* code 002A, ASTERISK */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0xF4, 0x00,
  0x76, 0xE4, 0x90,
  0x7B, 0xFD, 0xA2,
  0x09, 0xDD, 0x10,
  0x4D, 0x2C, 0x70,
  0x01, 0x01, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_002B[ 90] = { /* code 002B, PLUS SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x04, 0x40, 0x00, 0x00,
  0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x34, 0x4F, 0xF4, 0x44, 0x00,
  0xBF, 0xFF, 0xFF, 0xFF, 0x00,
  0x8B, 0xBF, 0xFB, 0xBB, 0x00,
  0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x0F, 0xF0, 0x00, 0x00,
  0x00, 0x0B, 0xB0, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_002C[ 54] = { /* code 002C, COMMA */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x04, 0xD4, 0x00,
  0x17, 0xD0, 0x00,
  0x08, 0x20, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_002D[ 54] = { /* code 002D, HYPHEN-MINUS */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x3B, 0xBB, 0xB0,
  0x4F, 0xFF, 0xF0,
  0x14, 0x44, 0x40,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_002E[ 54] = { /* code 002E, FULL STOP */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x04, 0x41, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_002F[ 54] = { /* code 002F, SOLIDUS */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x9F, 0x20,
  0x00, 0xDE, 0x00,
  0x01, 0xFA, 0x00,
  0x05, 0xF7, 0x00,
  0x07, 0xF4, 0x00,
  0x0B, 0xF0, 0x00,
  0x0F, 0xC0, 0x00,
  0x3F, 0x80, 0x00,
  0x7F, 0x60, 0x00,
  0x9F, 0x20, 0x00,
  0xBE, 0x00, 0x00,
  0x33, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0030[ 90] = { /* code 0030, DIGIT ZERO */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x07, 0xDF, 0xC4, 0x00, 0x00,
  0x6F, 0xFF, 0xFF, 0x20, 0x00,
  0xBF, 0x70, 0xBF, 0x90, 0x00,
  0xBF, 0x20, 0x6F, 0xC0, 0x00,
  0xBF, 0x00, 0x4F, 0xF0, 0x00,
  0xBF, 0x00, 0x4F, 0xF0, 0x00,
  0xBF, 0x00, 0x4F, 0xF0, 0x00,
  0xBF, 0x00, 0x4F, 0xE0, 0x00,
  0xBF, 0x50, 0x8F, 0xA0, 0x00,
  0x9F, 0xC7, 0xEF, 0x60, 0x00,
  0x2D, 0xFF, 0xFC, 0x00, 0x00,
  0x01, 0x67, 0x50, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0031[ 90] = { /* code 0031, DIGIT ONE */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x01, 0xEF, 0x00, 0x00,
  0x00, 0x1C, 0xFF, 0x00, 0x00,
  0x07, 0xEF, 0xFF, 0x00, 0x00,
  0x0F, 0xF9, 0xFF, 0x00, 0x00,
  0x0B, 0x34, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x01, 0x44, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0032[ 90] = { /* code 0032, DIGIT TWO */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x07, 0xDF, 0xE8, 0x00, 0x00,
  0x6F, 0xFF, 0xFF, 0x80, 0x00,
  0xBF, 0xA0, 0x8F, 0xE0, 0x00,
  0x6B, 0x30, 0x4F, 0xF0, 0x00,
  0x00, 0x00, 0x7F, 0xA0, 0x00,
  0x00, 0x06, 0xFF, 0x30, 0x00,
  0x00, 0x6F, 0xF6, 0x00, 0x00,
  0x05, 0xFE, 0x40, 0x00, 0x00,
  0x3E, 0xF3, 0x00, 0x00, 0x00,
  0xAF, 0xFF, 0xFF, 0xF0, 0x00,
  0xBF, 0xFF, 0xFF, 0xF0, 0x00,
  0x34, 0x44, 0x44, 0x40, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0033[ 90] = { /* code 0033, DIGIT THREE */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x05, 0xDF, 0xD6, 0x00, 0x00,
  0x4F, 0xFF, 0xFF, 0x50, 0x00,
  0x9F, 0xB1, 0xAF, 0xB0, 0x00,
  0x35, 0x40, 0x8F, 0xA0, 0x00,
  0x00, 0x07, 0xEE, 0x30, 0x00,
  0x00, 0x0F, 0xF9, 0x10, 0x00,
  0x00, 0x04, 0x9F, 0xC0, 0x00,
  0x03, 0x10, 0x0F, 0xF3, 0x00,
  0xBF, 0x60, 0x2F, 0xF4, 0x00,
  0x9F, 0xE7, 0xCF, 0xD0, 0x00,
  0x1C, 0xFF, 0xFE, 0x30, 0x00,
  0x00, 0x67, 0x61, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0034[ 90] = { /* code 0034, DIGIT FOUR */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x02, 0xBB, 0x00, 0x00,
  0x00, 0x0B, 0xFF, 0x00, 0x00,
  0x00, 0x5F, 0xFF, 0x00, 0x00,
  0x01, 0xDF, 0xFF, 0x00, 0x00,
  0x08, 0xFA, 0xFF, 0x00, 0x00,
  0x3F, 0xC4, 0xFF, 0x00, 0x00,
  0xAF, 0x44, 0xFF, 0x00, 0x00,
  0xBE, 0xBC, 0xFF, 0xB6, 0x00,
  0xBF, 0xFF, 0xFF, 0xF7, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x01, 0x44, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0035[ 90] = { /* code 0035, DIGIT FIVE */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x06, 0xBB, 0xBB, 0x80, 0x00,
  0x0B, 0xFF, 0xFF, 0xB0, 0x00,
  0x0E, 0xF9, 0x77, 0x60, 0x00,
  0x2F, 0xF1, 0x00, 0x00, 0x00,
  0x5F, 0xFD, 0xF9, 0x10, 0x00,
  0x7F, 0xFF, 0xFF, 0xB0, 0x00,
  0x6A, 0x70, 0x6F, 0xF2, 0x00,
  0x04, 0x00, 0x0F, 0xF4, 0x00,
  0xBF, 0x40, 0x2F, 0xF3, 0x00,
  0x9F, 0xD7, 0xDF, 0xC0, 0x00,
  0x1C, 0xFF, 0xFE, 0x30, 0x00,
  0x00, 0x67, 0x61, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0036[ 90] = { /* code 0036, DIGIT SIX */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x05, 0xCF, 0xD6, 0x00, 0x00,
  0x4F, 0xFF, 0xFF, 0x40, 0x00,
  0xAF, 0x70, 0xBF, 0x90, 0x00,
  0xBF, 0x10, 0x23, 0x00, 0x00,
  0xBD, 0x5B, 0xA4, 0x00, 0x00,
  0xBE, 0xFF, 0xFF, 0x40, 0x00,
  0xBF, 0x94, 0xCF, 0xC0, 0x00,
  0xBF, 0x00, 0x4F, 0xF0, 0x00,
  0xBF, 0x20, 0x5F, 0xF0, 0x00,
  0x9F, 0xD7, 0xDF, 0xA0, 0x00,
  0x1C, 0xFF, 0xFD, 0x20, 0x00,
  0x00, 0x67, 0x61, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0037[ 90] = { /* code 0037, DIGIT SEVEN */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x8B, 0xBB, 0xBB, 0xB0, 0x00,
  0xBF, 0xFF, 0xFF, 0xF0, 0x00,
  0x67, 0x77, 0xCF, 0x80, 0x00,
  0x00, 0x04, 0xFB, 0x00, 0x00,
  0x00, 0x0D, 0xF3, 0x00, 0x00,
  0x00, 0x7F, 0x90, 0x00, 0x00,
  0x00, 0xDF, 0x30, 0x00, 0x00,
  0x05, 0xFD, 0x00, 0x00, 0x00,
  0x09, 0xF9, 0x00, 0x00, 0x00,
  0x0C, 0xF7, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x04, 0x41, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0038[ 90] = { /* code 0038, DIGIT EIGHT */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x02, 0xAF, 0xFC, 0x40, 0x00,
  0x0D, 0xFD, 0xCF, 0xF2, 0x00,
  0x4F, 0xF2, 0x0D, 0xF7, 0x00,
  0x3F, 0xF1, 0x0C, 0xF7, 0x00,
  0x09, 0xFA, 0x8F, 0xC1, 0x00,
  0x03, 0xEF, 0xFF, 0x60, 0x00,
  0x1E, 0xF7, 0x5E, 0xF5, 0x00,
  0x7F, 0xC0, 0x08, 0xFA, 0x00,
  0x7F, 0xC0, 0x08, 0xFB, 0x00,
  0x3F, 0xF7, 0x5E, 0xF7, 0x00,
  0x08, 0xFF, 0xFF, 0xC1, 0x00,
  0x00, 0x37, 0x75, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0039[ 90] = { /* code 0039, DIGIT NINE */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x18, 0xEF, 0xB3, 0x00, 0x00,
  0x8F, 0xFF, 0xFE, 0x20, 0x00,
  0xBF, 0x51, 0xAF, 0x80, 0x00,
  0xBF, 0x00, 0x4F, 0xC0, 0x00,
  0xBF, 0x30, 0x7F, 0xF0, 0x00,
  0xAF, 0xEB, 0xFF, 0xF0, 0x00,
  0x3D, 0xFF, 0xBF, 0xF0, 0x00,
  0x00, 0x43, 0x4F, 0xD0, 0x00,
  0x6B, 0x40, 0x7F, 0xA0, 0x00,
  0xAF, 0xC8, 0xEF, 0x40, 0x00,
  0x3E, 0xFF, 0xF8, 0x00, 0x00,
  0x02, 0x77, 0x30, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_003A[ 54] = { /* code 003A, COLON */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x04, 0x41, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x04, 0x41, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_003B[ 54] = { /* code 003B, SEMICOLON */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x04, 0x41, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x04, 0xD4, 0x00,
  0x17, 0xD0, 0x00,
  0x08, 0x20, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_003C[ 90] = { /* code 003C, LESS-THAN SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x04, 0x00,
  0x00, 0x00, 0x06, 0xDF, 0x00,
  0x00, 0x17, 0xEF, 0xFA, 0x00,
  0x29, 0xFF, 0xE7, 0x20, 0x00,
  0x7F, 0xE6, 0x00, 0x00, 0x00,
  0x6F, 0xFD, 0x71, 0x00, 0x00,
  0x02, 0x8E, 0xFF, 0x93, 0x00,
  0x00, 0x01, 0x7D, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x6B, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_003D[ 90] = { /* code 003D, EQUALS SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0xBF, 0xFF, 0xFF, 0xFF, 0x00,
  0xBF, 0xFF, 0xFF, 0xFF, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x67, 0x77, 0x77, 0x77, 0x00,
  0xBF, 0xFF, 0xFF, 0xFF, 0x00,
  0x67, 0x77, 0x77, 0x77, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_003E[ 90] = { /* code 003E, GREATER-THAN SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x10, 0x00, 0x00, 0x00, 0x00,
  0xBB, 0x40, 0x00, 0x00, 0x00,
  0x9F, 0xFD, 0x60, 0x00, 0x00,
  0x04, 0x9F, 0xFE, 0x71, 0x00,
  0x00, 0x01, 0x8F, 0xF4, 0x00,
  0x00, 0x29, 0xEF, 0xE3, 0x00,
  0x4B, 0xFF, 0xD7, 0x10, 0x00,
  0xBF, 0xB6, 0x00, 0x00, 0x00,
  0x74, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_003F[ 90] = { /* code 003F, QUESTION MARK */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x04, 0x42, 0x00, 0x00,
  0x06, 0xEF, 0xFF, 0xB1, 0x00,
  0x4F, 0xFB, 0x7D, 0xFC, 0x00,
  0xAF, 0xB0, 0x01, 0xFF, 0x30,
  0x03, 0x20, 0x03, 0xFF, 0x30,
  0x00, 0x00, 0x3E, 0xFB, 0x00,
  0x00, 0x03, 0xEF, 0xC1, 0x00,
  0x00, 0x0C, 0xFC, 0x10, 0x00,
  0x00, 0x0F, 0xF4, 0x00, 0x00,
  0x00, 0x04, 0x41, 0x00, 0x00,
  0x00, 0x0F, 0xF4, 0x00, 0x00,
  0x00, 0x0F, 0xF4, 0x00, 0x00,
  0x00, 0x04, 0x41, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0040[144] = { /* code 0040, COMMERCIAL AT */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x44, 0x40, 0x00, 0x00, 0x00,
  0x00, 0x03, 0x9F, 0xFF, 0xFF, 0xA3, 0x00, 0x00,
  0x00, 0x6F, 0xFC, 0x87, 0x7C, 0xFF, 0x60, 0x00,
  0x05, 0xFE, 0x40, 0x42, 0x00, 0x4E, 0xF2, 0x00,
  0x1E, 0xE3, 0x3E, 0xFE, 0x7F, 0xB6, 0xF9, 0x00,
  0x6F, 0x71, 0xEF, 0xCD, 0xFF, 0x70, 0xDD, 0x00,
  0xBF, 0x27, 0xFA, 0x02, 0xFF, 0x60, 0xBF, 0x00,
  0xBD, 0x0C, 0xF3, 0x00, 0xFF, 0x30, 0xCF, 0x00,
  0xBB, 0x0F, 0xF0, 0x03, 0xFF, 0x02, 0xFA, 0x00,
  0xBB, 0x0F, 0xF2, 0x0A, 0xFC, 0x0A, 0xF4, 0x00,
  0xBF, 0x0A, 0xFD, 0xCF, 0xFD, 0xAF, 0x80, 0x00,
  0x8F, 0x63, 0xEF, 0xE9, 0xFF, 0xE7, 0x00, 0x00,
  0x2F, 0xE3, 0x14, 0x10, 0x34, 0x00, 0x9B, 0x40,
  0x07, 0xFE, 0x61, 0x00, 0x00, 0x4C, 0xFB, 0x00,
  0x00, 0x7F, 0xFF, 0xCB, 0xBE, 0xFF, 0xA1, 0x00,
  0x00, 0x02, 0x7B, 0xFF, 0xFD, 0x94, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0041[108] = { /* code 0041, LATIN CAPITAL LETTER A */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0xEF, 0xE0, 0x00, 0x00,
  0x00, 0x06, 0xFF, 0xF5, 0x00, 0x00,
  0x00, 0x0A, 0xFE, 0xF9, 0x00, 0x00,
  0x00, 0x2F, 0xF7, 0xFF, 0x10, 0x00,
  0x00, 0x7F, 0xC1, 0xEF, 0x60, 0x00,
  0x00, 0xDF, 0x60, 0x9F, 0xA0, 0x00,
  0x03, 0xFF, 0x54, 0x7F, 0xF1, 0x00,
  0x09, 0xFF, 0xFF, 0xFF, 0xF7, 0x00,
  0x0E, 0xFC, 0xBB, 0xBD, 0xFC, 0x00,
  0x6F, 0xE1, 0x00, 0x04, 0xFF, 0x20,
  0xAF, 0x90, 0x00, 0x00, 0xDF, 0x70,
  0x34, 0x20, 0x00, 0x00, 0x34, 0x30,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0042[108] = { /* code 0042, LATIN CAPITAL LETTER B */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFD, 0x70, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xF6, 0x00,
  0x0F, 0xF4, 0x00, 0x1B, 0xFB, 0x00,
  0x0F, 0xF4, 0x00, 0x08, 0xFA, 0x00,
  0x0F, 0xF9, 0x77, 0x8E, 0xF4, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0x91, 0x00,
  0x0F, 0xF9, 0x77, 0x7D, 0xFC, 0x00,
  0x0F, 0xF4, 0x00, 0x01, 0xFF, 0x30,
  0x0F, 0xF4, 0x00, 0x03, 0xFF, 0x40,
  0x0F, 0xFC, 0xBB, 0xBF, 0xFD, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xD3, 0x00,
  0x04, 0x44, 0x44, 0x43, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0043[108] = { /* code 0043, LATIN CAPITAL LETTER C */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0x41, 0x00, 0x00,
  0x00, 0x1A, 0xFF, 0xFF, 0x91, 0x00,
  0x01, 0xEF, 0xFB, 0xCF, 0xFC, 0x00,
  0x09, 0xFC, 0x20, 0x06, 0xFF, 0x60,
  0x0F, 0xF5, 0x00, 0x00, 0x54, 0x00,
  0x4F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x4F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x4F, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF5, 0x00, 0x00, 0xC9, 0x30,
  0x09, 0xFC, 0x10, 0x07, 0xFF, 0x40,
  0x01, 0xEF, 0xFB, 0xDF, 0xFA, 0x00,
  0x00, 0x2B, 0xFF, 0xFF, 0x81, 0x00,
  0x00, 0x00, 0x14, 0x41, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0044[108] = { /* code 0044, LATIN CAPITAL LETTER D */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xE9, 0x20, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xE2, 0x00,
  0x0F, 0xF4, 0x00, 0x4D, 0xF9, 0x00,
  0x0F, 0xF4, 0x00, 0x05, 0xFF, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0xFF, 0x40,
  0x0F, 0xF4, 0x00, 0x00, 0xFF, 0x40,
  0x0F, 0xF4, 0x00, 0x00, 0xFF, 0x40,
  0x0F, 0xF4, 0x00, 0x03, 0xFF, 0x10,
  0x0F, 0xF4, 0x00, 0x0A, 0xFB, 0x00,
  0x0F, 0xFC, 0xBB, 0xEF, 0xF4, 0x00,
  0x0F, 0xFF, 0xFF, 0xFD, 0x50, 0x00,
  0x04, 0x44, 0x44, 0x30, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0045[108] = { /* code 0045, LATIN CAPITAL LETTER E */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xF0, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF9, 0x77, 0x77, 0x40, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0x70, 0x00,
  0x0F, 0xF9, 0x77, 0x77, 0x40, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFC, 0xBB, 0xBB, 0xB3, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xF4, 0x00,
  0x04, 0x44, 0x44, 0x44, 0x41, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0046[ 90] = { /* code 0046, LATIN CAPITAL LETTER F */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0x70,
  0x0F, 0xFF, 0xFF, 0xFF, 0x70,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF9, 0x77, 0x76, 0x00,
  0x0F, 0xFF, 0xFF, 0xFB, 0x00,
  0x0F, 0xF9, 0x77, 0x76, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x04, 0x41, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0047[108] = { /* code 0047, LATIN CAPITAL LETTER G */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x04, 0x43, 0x00, 0x00,
  0x00, 0x19, 0xFF, 0xFF, 0xD6, 0x00,
  0x01, 0xCF, 0xFC, 0xBE, 0xFF, 0x50,
  0x07, 0xFE, 0x30, 0x01, 0xCF, 0xD0,
  0x0E, 0xF6, 0x00, 0x00, 0x35, 0x20,
  0x3F, 0xF1, 0x00, 0x00, 0x00, 0x00,
  0x4F, 0xF0, 0x00, 0x8B, 0xBB, 0xB0,
  0x4F, 0xF1, 0x00, 0xBF, 0xFF, 0xF0,
  0x0F, 0xF5, 0x00, 0x34, 0x7F, 0xF0,
  0x09, 0xFC, 0x10, 0x00, 0x6F, 0xF0,
  0x02, 0xEF, 0xE8, 0x7C, 0xFF, 0xE0,
  0x00, 0x3D, 0xFF, 0xFF, 0xFB, 0x30,
  0x00, 0x00, 0x47, 0x76, 0x20, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0048[108] = { /* code 0048, LATIN CAPITAL LETTER H */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0B, 0xF7, 0x00, 0x04, 0xFF, 0x00,
  0x0B, 0xF7, 0x00, 0x04, 0xFF, 0x00,
  0x0B, 0xF7, 0x00, 0x04, 0xFF, 0x00,
  0x0B, 0xF7, 0x00, 0x04, 0xFF, 0x00,
  0x0B, 0xFB, 0x77, 0x79, 0xFF, 0x00,
  0x0B, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
  0x0B, 0xFB, 0x77, 0x79, 0xFF, 0x00,
  0x0B, 0xF7, 0x00, 0x04, 0xFF, 0x00,
  0x0B, 0xF7, 0x00, 0x04, 0xFF, 0x00,
  0x0B, 0xF7, 0x00, 0x04, 0xFF, 0x00,
  0x0B, 0xF7, 0x00, 0x04, 0xFF, 0x00,
  0x03, 0x42, 0x00, 0x01, 0x44, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0049[ 54] = { /* code 0049, LATIN CAPITAL LETTER I */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x04, 0x41, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_004A[ 90] = { /* code 004A, LATIN CAPITAL LETTER J */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x4F, 0xF0, 0x00,
  0x00, 0x00, 0x4F, 0xF0, 0x00,
  0x00, 0x00, 0x4F, 0xF0, 0x00,
  0x00, 0x00, 0x4F, 0xF0, 0x00,
  0x00, 0x00, 0x4F, 0xF0, 0x00,
  0x00, 0x00, 0x4F, 0xF0, 0x00,
  0x00, 0x00, 0x4F, 0xF0, 0x00,
  0x37, 0x20, 0x4F, 0xF0, 0x00,
  0xBF, 0x60, 0x5F, 0xE0, 0x00,
  0xAF, 0xE7, 0xDF, 0xA0, 0x00,
  0x3E, 0xFF, 0xFE, 0x20, 0x00,
  0x01, 0x77, 0x61, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_004B[108] = { /* code 004B, LATIN CAPITAL LETTER K */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x1C, 0xFE, 0x30,
  0x0F, 0xF4, 0x01, 0xCF, 0xE3, 0x00,
  0x0F, 0xF4, 0x09, 0xFF, 0x60, 0x00,
  0x0F, 0xF4, 0x9F, 0xF6, 0x00, 0x00,
  0x0F, 0xFC, 0xFF, 0xA0, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xF4, 0x00, 0x00,
  0x0F, 0xFF, 0x9B, 0xFC, 0x00, 0x00,
  0x0F, 0xF9, 0x02, 0xFF, 0x70, 0x00,
  0x0F, 0xF4, 0x00, 0x7F, 0xF2, 0x00,
  0x0F, 0xF4, 0x00, 0x0C, 0xFB, 0x00,
  0x0F, 0xF4, 0x00, 0x04, 0xFF, 0x70,
  0x04, 0x41, 0x00, 0x00, 0x34, 0x30,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_004C[ 90] = { /* code 004C, LATIN CAPITAL LETTER L */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xFC, 0xBB, 0xBB, 0x80,
  0x0F, 0xFF, 0xFF, 0xFF, 0xB0,
  0x04, 0x44, 0x44, 0x44, 0x30,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_004D[126] = { /* code 004D, LATIN CAPITAL LETTER M */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xD0, 0x00, 0x9F, 0xFF, 0x40,
  0x0F, 0xFF, 0xF2, 0x00, 0xDF, 0xFF, 0x40,
  0x0F, 0xFD, 0xF6, 0x02, 0xFD, 0xFF, 0x40,
  0x0F, 0xF9, 0xF9, 0x06, 0xF9, 0xFF, 0x40,
  0x0F, 0xF6, 0xFD, 0x09, 0xF6, 0xFF, 0x40,
  0x0F, 0xF4, 0xEF, 0x2D, 0xF3, 0xFF, 0x40,
  0x0F, 0xF4, 0xAF, 0x6F, 0xE0, 0xFF, 0x40,
  0x0F, 0xF4, 0x7F, 0xCF, 0xB0, 0xFF, 0x40,
  0x0F, 0xF4, 0x4F, 0xFF, 0x70, 0xFF, 0x40,
  0x0F, 0xF4, 0x0F, 0xFF, 0x40, 0xFF, 0x40,
  0x0F, 0xF4, 0x0B, 0xFF, 0x00, 0xFF, 0x40,
  0x04, 0x41, 0x03, 0x44, 0x00, 0x44, 0x10,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_004E[108] = { /* code 004E, LATIN CAPITAL LETTER N */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0B, 0xFD, 0x00, 0x04, 0xFF, 0x00,
  0x0B, 0xFF, 0x70, 0x04, 0xFF, 0x00,
  0x0B, 0xFF, 0xE2, 0x04, 0xFF, 0x00,
  0x0B, 0xFF, 0xFA, 0x04, 0xFF, 0x00,
  0x0B, 0xFD, 0xFF, 0x44, 0xFF, 0x00,
  0x0B, 0xF7, 0xCF, 0xD4, 0xFF, 0x00,
  0x0B, 0xF7, 0x4F, 0xFB, 0xFF, 0x00,
  0x0B, 0xF7, 0x09, 0xFF, 0xFF, 0x00,
  0x0B, 0xF7, 0x01, 0xEF, 0xFF, 0x00,
  0x0B, 0xF7, 0x00, 0x7F, 0xFF, 0x00,
  0x0B, 0xF7, 0x00, 0x0D, 0xFF, 0x00,
  0x03, 0x42, 0x00, 0x02, 0x44, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_004F[108] = { /* code 004F, LATIN CAPITAL LETTER O */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0x41, 0x00, 0x00,
  0x00, 0x2B, 0xFF, 0xFF, 0xA1, 0x00,
  0x01, 0xEF, 0xFB, 0xBF, 0xFE, 0x10,
  0x09, 0xFE, 0x30, 0x03, 0xEF, 0x90,
  0x0F, 0xF6, 0x00, 0x00, 0x6F, 0xF0,
  0x4F, 0xF1, 0x00, 0x00, 0x1F, 0xF4,
  0x4F, 0xF0, 0x00, 0x00, 0x0F, 0xF4,
  0x4F, 0xF0, 0x00, 0x00, 0x0F, 0xF4,
  0x1F, 0xF5, 0x00, 0x00, 0x5F, 0xF1,
  0x0B, 0xFC, 0x10, 0x01, 0xCF, 0xB0,
  0x03, 0xFF, 0xD8, 0x7D, 0xFF, 0x30,
  0x00, 0x5E, 0xFF, 0xFF, 0xE5, 0x00,
  0x00, 0x00, 0x57, 0x75, 0x10, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0050[108] = { /* code 0050, LATIN CAPITAL LETTER P */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xF9, 0x10, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x0F, 0xF4, 0x00, 0x7F, 0xF3, 0x00,
  0x0F, 0xF4, 0x00, 0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00, 0x7F, 0xF2, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xB0, 0x00,
  0x0F, 0xFF, 0xFF, 0xE9, 0x10, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00, 0x00,
  0x04, 0x41, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0051[108] = { /* code 0051, LATIN CAPITAL LETTER Q */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0x41, 0x00, 0x00,
  0x00, 0x2B, 0xFF, 0xFF, 0xB2, 0x00,
  0x01, 0xEF, 0xFB, 0xBF, 0xFE, 0x10,
  0x09, 0xFE, 0x30, 0x03, 0xEF, 0x90,
  0x0F, 0xF6, 0x00, 0x00, 0x6F, 0xF0,
  0x4F, 0xF1, 0x00, 0x00, 0x1F, 0xF4,
  0x4F, 0xF0, 0x00, 0x00, 0x0F, 0xF4,
  0x4F, 0xF0, 0x00, 0x00, 0x0F, 0xF4,
  0x1F, 0xF5, 0x00, 0x60, 0x5F, 0xF1,
  0x0B, 0xFC, 0x15, 0xFD, 0xCF, 0xB0,
  0x03, 0xFF, 0xD7, 0xAF, 0xFF, 0x30,
  0x00, 0x5E, 0xFF, 0xFF, 0xFF, 0xD5,
  0x00, 0x00, 0x57, 0x76, 0x2B, 0xF6,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x60,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0052[108] = { /* code 0052, LATIN CAPITAL LETTER R */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFD, 0x81, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xF8, 0x00,
  0x0F, 0xF4, 0x00, 0x08, 0xFE, 0x00,
  0x0F, 0xF4, 0x00, 0x05, 0xFF, 0x00,
  0x0F, 0xF9, 0x77, 0x7E, 0xFA, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xC2, 0x00,
  0x0F, 0xF9, 0x7E, 0xFB, 0x10, 0x00,
  0x0F, 0xF4, 0x02, 0xEF, 0xA0, 0x00,
  0x0F, 0xF4, 0x00, 0x5F, 0xF5, 0x00,
  0x0F, 0xF4, 0x00, 0x0A, 0xFD, 0x10,
  0x0F, 0xF4, 0x00, 0x02, 0xEF, 0x70,
  0x04, 0x41, 0x00, 0x00, 0x34, 0x40,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0053[108] = { /* code 0053, LATIN CAPITAL LETTER S */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x02, 0x44, 0x00, 0x00, 0x00,
  0x03, 0xCF, 0xFF, 0xE6, 0x00, 0x00,
  0x0D, 0xFE, 0xBD, 0xFF, 0x40, 0x00,
  0x4F, 0xF1, 0x00, 0xBF, 0xA0, 0x00,
  0x3F, 0xF7, 0x10, 0x24, 0x30, 0x00,
  0x0C, 0xFF, 0xFB, 0x71, 0x00, 0x00,
  0x02, 0xBF, 0xFF, 0xFE, 0x50, 0x00,
  0x00, 0x03, 0x7C, 0xFF, 0xE0, 0x00,
  0x37, 0x40, 0x00, 0x3F, 0xF4, 0x00,
  0x9F, 0xD1, 0x00, 0x2F, 0xF4, 0x00,
  0x4F, 0xFD, 0x78, 0xDF, 0xD0, 0x00,
  0x06, 0xFF, 0xFF, 0xFE, 0x30, 0x00,
  0x00, 0x26, 0x77, 0x51, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0054[ 90] = { /* code 0054, LATIN CAPITAL LETTER T */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x7F, 0xFF, 0xFF, 0xFF, 0xF4,
  0x7F, 0xFF, 0xFF, 0xFF, 0xF4,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x04, 0xFF, 0x00, 0x00,
  0x00, 0x01, 0x44, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0055[108] = { /* code 0055, LATIN CAPITAL LETTER U */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x4F, 0xF0, 0x00, 0x0B, 0xF7, 0x00,
  0x4F, 0xF0, 0x00, 0x0B, 0xF7, 0x00,
  0x4F, 0xF0, 0x00, 0x0B, 0xF7, 0x00,
  0x4F, 0xF0, 0x00, 0x0B, 0xF7, 0x00,
  0x4F, 0xF0, 0x00, 0x0B, 0xF7, 0x00,
  0x4F, 0xF0, 0x00, 0x0B, 0xF7, 0x00,
  0x4F, 0xF0, 0x00, 0x0B, 0xF7, 0x00,
  0x4F, 0xF0, 0x00, 0x0B, 0xF7, 0x00,
  0x1F, 0xF4, 0x00, 0x1E, 0xF6, 0x00,
  0x0C, 0xFE, 0x87, 0xDF, 0xF2, 0x00,
  0x03, 0xDF, 0xFF, 0xFF, 0x60, 0x00,
  0x00, 0x15, 0x77, 0x72, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0056[108] = { /* code 0056, LATIN CAPITAL LETTER V */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xBF, 0x10, 0x00, 0x05, 0xFB, 0x00,
  0xBF, 0x60, 0x00, 0x0A, 0xF9, 0x00,
  0x9F, 0xC0, 0x00, 0x1F, 0xF5, 0x00,
  0x3F, 0xF2, 0x00, 0x6F, 0xD0, 0x00,
  0x0D, 0xF7, 0x00, 0xCF, 0x70, 0x00,
  0x07, 0xFD, 0x02, 0xFF, 0x20, 0x00,
  0x02, 0xFF, 0x37, 0xFB, 0x00, 0x00,
  0x00, 0xCF, 0x9D, 0xF6, 0x00, 0x00,
  0x00, 0x6F, 0xEF, 0xE0, 0x00, 0x00,
  0x00, 0x1F, 0xFF, 0x90, 0x00, 0x00,
  0x00, 0x0A, 0xFF, 0x30, 0x00, 0x00,
  0x00, 0x02, 0x44, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0057[144] = { /* code 0057, LATIN CAPITAL LETTER W */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x7F, 0xD0, 0x04, 0xFF, 0xF1, 0x00, 0xEF, 0x60,
  0x5F, 0xD0, 0x07, 0xFF, 0xF4, 0x02, 0xFF, 0x30,
  0x1D, 0xF1, 0x0B, 0xFE, 0xF7, 0x05, 0xFE, 0x00,
  0x0B, 0xF4, 0x0E, 0xFB, 0xFA, 0x07, 0xFB, 0x00,
  0x0B, 0xF7, 0x3F, 0xF4, 0xFE, 0x0B, 0xF7, 0x00,
  0x09, 0xFA, 0x6F, 0xB1, 0xFF, 0x2E, 0xF4, 0x00,
  0x07, 0xFD, 0x9F, 0x80, 0xCF, 0x7F, 0xF1, 0x00,
  0x04, 0xFF, 0xCF, 0x60, 0x9F, 0xCF, 0xC0, 0x00,
  0x00, 0xFF, 0xFF, 0x20, 0x7F, 0xFF, 0x90, 0x00,
  0x00, 0xCF, 0xFE, 0x00, 0x4F, 0xFF, 0x60, 0x00,
  0x00, 0x9F, 0xFA, 0x00, 0x0F, 0xFF, 0x30, 0x00,
  0x00, 0x24, 0x42, 0x00, 0x03, 0x44, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0058[108] = { /* code 0058, LATIN CAPITAL LETTER X */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x8F, 0xE1, 0x00, 0xBF, 0xC0, 0x00,
  0x1E, 0xF9, 0x06, 0xFF, 0x40, 0x00,
  0x05, 0xFF, 0x5E, 0xF8, 0x00, 0x00,
  0x00, 0xBF, 0xFF, 0xE1, 0x00, 0x00,
  0x00, 0x2F, 0xFF, 0x60, 0x00, 0x00,
  0x00, 0x0D, 0xFF, 0x20, 0x00, 0x00,
  0x00, 0x7F, 0xFF, 0xB0, 0x00, 0x00,
  0x02, 0xEF, 0xAF, 0xF5, 0x00, 0x00,
  0x0A, 0xFD, 0x1A, 0xFD, 0x10, 0x00,
  0x5F, 0xF4, 0x01, 0xEF, 0x80, 0x00,
  0xBF, 0xA0, 0x00, 0x7F, 0xF3, 0x00,
  0x34, 0x10, 0x00, 0x04, 0x42, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0059[108] = { /* code 0059, LATIN CAPITAL LETTER Y */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xAF, 0xB0, 0x00, 0x07, 0xFE, 0x20,
  0x3F, 0xF6, 0x00, 0x2F, 0xF7, 0x00,
  0x07, 0xFD, 0x10, 0xAF, 0xC0, 0x00,
  0x01, 0xDF, 0x74, 0xFF, 0x30, 0x00,
  0x00, 0x4F, 0xEC, 0xF7, 0x00, 0x00,
  0x00, 0x0A, 0xFF, 0xD1, 0x00, 0x00,
  0x00, 0x01, 0xFF, 0x50, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0x40, 0x00, 0x00,
  0x00, 0x00, 0x44, 0x10, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_005A[ 90] = { /* code 005A, LATIN CAPITAL LETTER Z */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xF0,
  0x0F, 0xFF, 0xFF, 0xFF, 0xF0,
  0x00, 0x00, 0x03, 0xFF, 0x90,
  0x00, 0x00, 0x2E, 0xFB, 0x00,
  0x00, 0x01, 0xCF, 0xD1, 0x00,
  0x00, 0x09, 0xFE, 0x30, 0x00,
  0x00, 0x7F, 0xF5, 0x00, 0x00,
  0x05, 0xFF, 0x70, 0x00, 0x00,
  0x3E, 0xF9, 0x00, 0x00, 0x00,
  0xBF, 0xFC, 0xBB, 0xBB, 0xB3,
  0xBF, 0xFF, 0xFF, 0xFF, 0xF4,
  0x34, 0x44, 0x44, 0x44, 0x41,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_005B[ 54] = { /* code 005B, LEFT SQUARE BRACKET */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xFF, 0xF0,
  0x0F, 0xFF, 0xF0,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xFC, 0xB0,
  0x0F, 0xFF, 0xF0,
  0x04, 0x44, 0x40
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_005C[ 54] = { /* code 005C, REVERSE SOLIDUS */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0xBD, 0x00, 0x00,
  0xAF, 0x10, 0x00,
  0x7F, 0x50, 0x00,
  0x4F, 0x70, 0x00,
  0x0F, 0xB0, 0x00,
  0x0C, 0xF0, 0x00,
  0x08, 0xF3, 0x00,
  0x06, 0xF7, 0x00,
  0x02, 0xF9, 0x00,
  0x00, 0xED, 0x00,
  0x00, 0xAF, 0x10,
  0x00, 0x24, 0x10,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_005D[ 54] = { /* code 005D, RIGHT SQUARE BRACKET */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0xBF, 0xFF, 0x00,
  0xBF, 0xFF, 0x00,
  0x04, 0xFF, 0x00,
  0x04, 0xFF, 0x00,
  0x04, 0xFF, 0x00,
  0x04, 0xFF, 0x00,
  0x04, 0xFF, 0x00,
  0x04, 0xFF, 0x00,
  0x04, 0xFF, 0x00,
  0x04, 0xFF, 0x00,
  0x04, 0xFF, 0x00,
  0x04, 0xFF, 0x00,
  0x8C, 0xFF, 0x00,
  0xBF, 0xFF, 0x00,
  0x34, 0x44, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_005E[ 90] = { /* code 005E, CIRCUMFLEX ACCENT */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x09, 0xF9, 0x00, 0x00,
  0x00, 0x1F, 0xFF, 0x20, 0x00,
  0x00, 0x7F, 0xDF, 0x90, 0x00,
  0x01, 0xEE, 0x2E, 0xF1, 0x00,
  0x07, 0xF9, 0x09, 0xF7, 0x00,
  0x1E, 0xF3, 0x03, 0xFE, 0x10,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_005F[ 90] = { /* code 005F, LOW LINE */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x67, 0x77, 0x77, 0x77, 0x00,
  0xBF, 0xFF, 0xFF, 0xFF, 0x00,
  0x34, 0x44, 0x44, 0x44, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0060[ 54] = { /* code 0060, GRAVE ACCENT */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0xAF, 0x70, 0x00,
  0x1C, 0xD0, 0x00,
  0x01, 0x41, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0061[ 90] = { /* code 0061, LATIN SMALL LETTER A */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x24, 0x40, 0x00, 0x00,
  0x1B, 0xFF, 0xFE, 0x60, 0x00,
  0x7F, 0xC7, 0xCF, 0xD0, 0x00,
  0x37, 0x30, 0x5F, 0xF0, 0x00,
  0x05, 0x9D, 0xFF, 0xF0, 0x00,
  0x8F, 0xFC, 0xAF, 0xF0, 0x00,
  0xBF, 0x50, 0x4F, 0xF0, 0x00,
  0xBF, 0x95, 0xCF, 0xF0, 0x00,
  0x8F, 0xFF, 0xAE, 0xF3, 0x00,
  0x05, 0x76, 0x03, 0x42, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0062[ 90] = { /* code 0062, LATIN SMALL LETTER B */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x14, 0x20, 0x00,
  0x0F, 0xF9, 0xFF, 0xF6, 0x00,
  0x0F, 0xFF, 0x8A, 0xFF, 0x40,
  0x0F, 0xF7, 0x00, 0xCF, 0x80,
  0x0F, 0xF4, 0x00, 0x7F, 0xB0,
  0x0F, 0xF4, 0x00, 0x7F, 0xB0,
  0x0F, 0xF7, 0x00, 0x9F, 0x90,
  0x0F, 0xFE, 0x57, 0xFF, 0x60,
  0x0F, 0xF9, 0xFF, 0xF9, 0x00,
  0x04, 0x41, 0x47, 0x60, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0063[ 90] = { /* code 0063, LATIN SMALL LETTER C */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x03, 0x42, 0x00, 0x00,
  0x01, 0xBF, 0xFF, 0x90, 0x00,
  0x09, 0xFC, 0x7E, 0xF6, 0x00,
  0x1F, 0xF3, 0x07, 0xA6, 0x00,
  0x4F, 0xF0, 0x00, 0x00, 0x00,
  0x4F, 0xF0, 0x00, 0x00, 0x00,
  0x2F, 0xF2, 0x04, 0xB7, 0x00,
  0x0B, 0xFB, 0x4C, 0xFA, 0x00,
  0x03, 0xEF, 0xFF, 0xE2, 0x00,
  0x00, 0x16, 0x76, 0x10, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0064[ 90] = { /* code 0064, LATIN SMALL LETTER D */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x04, 0xFF, 0x00,
  0x00, 0x00, 0x04, 0xFF, 0x00,
  0x00, 0x24, 0x14, 0xFF, 0x00,
  0x06, 0xFF, 0xF9, 0xFF, 0x00,
  0x4F, 0xFA, 0x8F, 0xFF, 0x00,
  0x8F, 0xB0, 0x08, 0xFF, 0x00,
  0xBF, 0x70, 0x04, 0xFF, 0x00,
  0xBF, 0x70, 0x04, 0xFF, 0x00,
  0x9F, 0xA0, 0x07, 0xFF, 0x00,
  0x5F, 0xF7, 0x5E, 0xFF, 0x00,
  0x09, 0xFF, 0xF9, 0xFF, 0x00,
  0x00, 0x67, 0x41, 0x44, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0065[ 90] = { /* code 0065, LATIN SMALL LETTER E */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x24, 0x20, 0x00, 0x00,
  0x1A, 0xFF, 0xFA, 0x10, 0x00,
  0x8F, 0xD7, 0xDF, 0x90, 0x00,
  0xBF, 0x40, 0x2F, 0xF0, 0x00,
  0xBF, 0x77, 0x7F, 0xF4, 0x00,
  0xBF, 0xBB, 0xBB, 0xB3, 0x00,
  0xBF, 0x20, 0x14, 0x00, 0x00,
  0xAF, 0xB4, 0xBF, 0xB0, 0x00,
  0x3E, 0xFF, 0xFE, 0x30, 0x00,
  0x01, 0x67, 0x71, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0066[ 54] = { /* code 0066, LATIN SMALL LETTER F */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x24, 0x30,
  0x07, 0xFF, 0xF0,
  0x0E, 0xFA, 0x70,
  0x0F, 0xF4, 0x00,
  0xBF, 0xFF, 0xB0,
  0x8F, 0xFC, 0x80,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x04, 0x41, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0067[ 90] = { /* code 0067, LATIN SMALL LETTER G */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x14, 0x20, 0x00, 0x00,
  0x03, 0xEF, 0xF6, 0xFF, 0x40,
  0x1E, 0xFC, 0x7E, 0xFF, 0x40,
  0x5F, 0xE1, 0x05, 0xFF, 0x40,
  0x7F, 0xB0, 0x00, 0xFF, 0x40,
  0x7F, 0xB0, 0x00, 0xFF, 0x40,
  0x5F, 0xE1, 0x05, 0xFF, 0x40,
  0x1E, 0xFC, 0x7E, 0xFF, 0x40,
  0x04, 0xEF, 0xF6, 0xFF, 0x40,
  0x14, 0x14, 0x20, 0xFF, 0x40,
  0x3F, 0xF7, 0x48, 0xFF, 0x00,
  0x09, 0xFF, 0xFF, 0xF6, 0x00,
  0x00, 0x37, 0x77, 0x20, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0068[ 90] = { /* code 0068, LATIN SMALL LETTER H */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x14, 0x20, 0x00,
  0x0F, 0xFA, 0xFF, 0xF7, 0x00,
  0x0F, 0xFE, 0x8A, 0xFF, 0x10,
  0x0F, 0xF7, 0x01, 0xFF, 0x40,
  0x0F, 0xF4, 0x00, 0xFF, 0x40,
  0x0F, 0xF4, 0x00, 0xFF, 0x40,
  0x0F, 0xF4, 0x00, 0xFF, 0x40,
  0x0F, 0xF4, 0x00, 0xFF, 0x40,
  0x0F, 0xF4, 0x00, 0xFF, 0x40,
  0x04, 0x41, 0x00, 0x44, 0x10,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0069[ 54] = { /* code 0069, LATIN SMALL LETTER I */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x04, 0x41, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_006A[ 54] = { /* code 006A, LATIN SMALL LETTER J */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x7F, 0xF3, 0x00,
  0xBF, 0xC0, 0x00,
  0x67, 0x10, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_006B[ 90] = { /* code 006B, LATIN SMALL LETTER K */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x1E, 0xF7, 0x00,
  0x0F, 0xF4, 0xBF, 0x90, 0x00,
  0x0F, 0xFA, 0xFC, 0x00, 0x00,
  0x0F, 0xFF, 0xF7, 0x00, 0x00,
  0x0F, 0xFE, 0xFF, 0x20, 0x00,
  0x0F, 0xF7, 0x9F, 0x90, 0x00,
  0x0F, 0xF4, 0x1E, 0xF3, 0x00,
  0x0F, 0xF4, 0x07, 0xFB, 0x00,
  0x04, 0x41, 0x01, 0x44, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_006C[ 54] = { /* code 006C, LATIN SMALL LETTER L */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x04, 0x41, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_006D[126] = { /* code 006D, LATIN SMALL LETTER M */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x04, 0x20, 0x01, 0x42, 0x00,
  0x0F, 0xF7, 0xEF, 0xF7, 0x6F, 0xFF, 0x70,
  0x0F, 0xFE, 0x8A, 0xFF, 0xF8, 0xAF, 0xF2,
  0x0F, 0xF7, 0x01, 0xFF, 0x70, 0x1F, 0xF4,
  0x0F, 0xF4, 0x00, 0xFF, 0x40, 0x0F, 0xF4,
  0x0F, 0xF4, 0x00, 0xFF, 0x40, 0x0F, 0xF4,
  0x0F, 0xF4, 0x00, 0xFF, 0x40, 0x0F, 0xF4,
  0x0F, 0xF4, 0x00, 0xFF, 0x40, 0x0F, 0xF4,
  0x0F, 0xF4, 0x00, 0xFF, 0x40, 0x0F, 0xF4,
  0x04, 0x41, 0x00, 0x44, 0x10, 0x04, 0x41,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_006E[ 90] = { /* code 006E, LATIN SMALL LETTER N */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x04, 0x20, 0x00,
  0x0F, 0xF7, 0xEF, 0xF8, 0x00,
  0x0F, 0xFE, 0x8B, 0xFF, 0x20,
  0x0F, 0xF7, 0x01, 0xFF, 0x40,
  0x0F, 0xF4, 0x00, 0xFF, 0x40,
  0x0F, 0xF4, 0x00, 0xFF, 0x40,
  0x0F, 0xF4, 0x00, 0xFF, 0x40,
  0x0F, 0xF4, 0x00, 0xFF, 0x40,
  0x0F, 0xF4, 0x00, 0xFF, 0x40,
  0x04, 0x41, 0x00, 0x44, 0x10,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_006F[ 90] = { /* code 006F, LATIN SMALL LETTER O */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x01, 0x44, 0x00, 0x00,
  0x00, 0x8F, 0xFF, 0xE5, 0x00,
  0x07, 0xFE, 0x89, 0xFF, 0x40,
  0x0E, 0xF6, 0x00, 0x9F, 0xA0,
  0x4F, 0xF0, 0x00, 0x4F, 0xF0,
  0x4F, 0xF0, 0x00, 0x4F, 0xF0,
  0x1F, 0xF4, 0x00, 0x7F, 0xC0,
  0x0B, 0xFC, 0x56, 0xEF, 0x60,
  0x01, 0xCF, 0xFF, 0xF8, 0x00,
  0x00, 0x05, 0x77, 0x30, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0070[ 90] = { /* code 0070, LATIN SMALL LETTER P */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0x20, 0x00,
  0x0F, 0xF7, 0xEF, 0xF6, 0x00,
  0x0F, 0xFF, 0x8A, 0xFF, 0x40,
  0x0F, 0xF7, 0x00, 0xCF, 0x80,
  0x0F, 0xF4, 0x00, 0x7F, 0xB0,
  0x0F, 0xF4, 0x00, 0x7F, 0xB0,
  0x0F, 0xF7, 0x00, 0xAF, 0x90,
  0x0F, 0xFE, 0x57, 0xFF, 0x40,
  0x0F, 0xFC, 0xFF, 0xF9, 0x00,
  0x0F, 0xF4, 0x47, 0x50, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x0F, 0xF4, 0x00, 0x00, 0x00,
  0x04, 0x41, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0071[ 90] = { /* code 0071, LATIN SMALL LETTER Q */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x24, 0x10, 0x00, 0x00,
  0x06, 0xFF, 0xE7, 0xFF, 0x00,
  0x4F, 0xFA, 0x8F, 0xFF, 0x00,
  0x8F, 0xC0, 0x07, 0xFF, 0x00,
  0xBF, 0x70, 0x04, 0xFF, 0x00,
  0xBF, 0x70, 0x04, 0xFF, 0x00,
  0x9F, 0x90, 0x07, 0xFF, 0x00,
  0x4F, 0xF7, 0x6E, 0xFF, 0x00,
  0x09, 0xFF, 0xFC, 0xFF, 0x00,
  0x00, 0x67, 0x44, 0xFF, 0x00,
  0x00, 0x00, 0x04, 0xFF, 0x00,
  0x00, 0x00, 0x04, 0xFF, 0x00,
  0x00, 0x00, 0x01, 0x44, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0072[ 54] = { /* code 0072, LATIN SMALL LETTER R */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x32,
  0x0F, 0xF8, 0xFB,
  0x0F, 0xFF, 0xF9,
  0x0F, 0xFA, 0x02,
  0x0F, 0xF5, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x0F, 0xF4, 0x00,
  0x04, 0x41, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0073[ 90] = { /* code 0073, LATIN SMALL LETTER S */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x24, 0x40, 0x00, 0x00,
  0x1B, 0xFF, 0xFE, 0x60, 0x00,
  0x9F, 0xD7, 0xAF, 0xE1, 0x00,
  0xBF, 0xA2, 0x17, 0x51, 0x00,
  0x6F, 0xFF, 0xD9, 0x30, 0x00,
  0x06, 0xAF, 0xFF, 0xF2, 0x00,
  0x37, 0x20, 0x4D, 0xF7, 0x00,
  0xAF, 0xC4, 0x5E, 0xF6, 0x00,
  0x3D, 0xFF, 0xFF, 0xB0, 0x00,
  0x01, 0x67, 0x74, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0074[ 54] = { /* code 0074, LATIN SMALL LETTER T */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x01, 0x70, 0x00,
  0x2D, 0xF0, 0x00,
  0x4F, 0xF0, 0x00,
  0xBF, 0xFF, 0x70,
  0x9F, 0xFB, 0x60,
  0x4F, 0xF0, 0x00,
  0x4F, 0xF0, 0x00,
  0x4F, 0xF0, 0x00,
  0x4F, 0xF0, 0x00,
  0x4F, 0xF5, 0x50,
  0x1E, 0xFF, 0xB0,
  0x02, 0x77, 0x40,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0075[ 90] = { /* code 0075, LATIN SMALL LETTER U */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x4F, 0xF0, 0x04, 0xFF, 0x00,
  0x4F, 0xF0, 0x04, 0xFF, 0x00,
  0x4F, 0xF0, 0x04, 0xFF, 0x00,
  0x4F, 0xF0, 0x04, 0xFF, 0x00,
  0x4F, 0xF0, 0x04, 0xFF, 0x00,
  0x4F, 0xF0, 0x05, 0xFF, 0x00,
  0x2F, 0xF8, 0x5C, 0xFF, 0x00,
  0x0B, 0xFF, 0xF9, 0xFF, 0x00,
  0x00, 0x67, 0x21, 0x44, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0076[ 90] = { /* code 0076, LATIN SMALL LETTER V */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0xBF, 0x10, 0x0C, 0xF7, 0x00,
  0xBF, 0x60, 0x2F, 0xF1, 0x00,
  0x7F, 0xA0, 0x7F, 0xA0, 0x00,
  0x1F, 0xF0, 0xBF, 0x50, 0x00,
  0x0A, 0xF6, 0xFE, 0x00, 0x00,
  0x05, 0xFD, 0xF9, 0x00, 0x00,
  0x00, 0xEF, 0xF3, 0x00, 0x00,
  0x00, 0x8F, 0xD0, 0x00, 0x00,
  0x00, 0x14, 0x20, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0077[126] = { /* code 0077, LATIN SMALL LETTER W */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xBF, 0x40, 0x1F, 0xF6, 0x00, 0xFF, 0x20,
  0x8F, 0x80, 0x5F, 0xF9, 0x04, 0xFC, 0x00,
  0x3F, 0xC0, 0x9F, 0xFD, 0x08, 0xF7, 0x00,
  0x0D, 0xF1, 0xDF, 0xAF, 0x2C, 0xF2, 0x00,
  0x09, 0xF7, 0xFA, 0x7F, 0x7F, 0xD0, 0x00,
  0x05, 0xFD, 0xF7, 0x3F, 0xDF, 0x80, 0x00,
  0x00, 0xEF, 0xF3, 0x0D, 0xFF, 0x30, 0x00,
  0x00, 0x9F, 0xD0, 0x09, 0xFD, 0x00, 0x00,
  0x00, 0x24, 0x30, 0x02, 0x43, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0078[ 90] = { /* code 0078, LATIN SMALL LETTER X */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0xAF, 0xB0, 0x5F, 0xF4, 0x00,
  0x3F, 0xF4, 0xDF, 0x80, 0x00,
  0x07, 0xFE, 0xFD, 0x10, 0x00,
  0x00, 0xCF, 0xF4, 0x00, 0x00,
  0x00, 0xCF, 0xF5, 0x00, 0x00,
  0x07, 0xFE, 0xFE, 0x10, 0x00,
  0x3F, 0xF4, 0xCF, 0xA0, 0x00,
  0xAF, 0xA0, 0x4F, 0xF5, 0x00,
  0x34, 0x10, 0x03, 0x43, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_0079[ 90] = { /* code 0079, LATIN SMALL LETTER Y */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0xB9, 0x00, 0x0D, 0xF5, 0x00,
  0xBE, 0x00, 0x3F, 0xE0, 0x00,
  0xBF, 0x50, 0x8F, 0x90, 0x00,
  0x7F, 0x90, 0xDF, 0x30, 0x00,
  0x2F, 0xE3, 0xFD, 0x00, 0x00,
  0x0B, 0xFC, 0xF7, 0x00, 0x00,
  0x06, 0xFF, 0xF2, 0x00, 0x00,
  0x01, 0xFF, 0xC0, 0x00, 0x00,
  0x00, 0xCF, 0x60, 0x00, 0x00,
  0x38, 0xFE, 0x10, 0x00, 0x00,
  0xBF, 0xF7, 0x00, 0x00, 0x00,
  0x67, 0x40, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_007A[ 72] = { /* code 007A, LATIN SMALL LETTER Z */
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0xBF, 0xFF, 0xFF, 0xF0,
  0x8B, 0xBB, 0xEF, 0xE0,
  0x00, 0x06, 0xFE, 0x30,
  0x00, 0x5F, 0xF6, 0x00,
  0x03, 0xEF, 0x70, 0x00,
  0x1D, 0xF9, 0x00, 0x00,
  0xAF, 0xE7, 0x77, 0x72,
  0xBF, 0xFF, 0xFF, 0xF4,
  0x34, 0x44, 0x44, 0x41,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_007B[ 54] = { /* code 007B, LEFT CURLY BRACKET */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x01, 0x42,
  0x00, 0x6F, 0xF7,
  0x00, 0xDF, 0xD6,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x07, 0xFD, 0x00,
  0x7F, 0xE4, 0x00,
  0x7F, 0xE3, 0x00,
  0x07, 0xFC, 0x00,
  0x01, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xEF, 0xA4,
  0x00, 0x8F, 0xF7,
  0x00, 0x05, 0x74
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_007C[ 54] = { /* code 007C, VERTICAL LINE */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x0B, 0xF0, 0x00,
  0x0B, 0xF0, 0x00,
  0x0B, 0xF0, 0x00,
  0x0B, 0xF0, 0x00,
  0x0B, 0xF0, 0x00,
  0x0B, 0xF0, 0x00,
  0x0B, 0xF0, 0x00,
  0x0B, 0xF0, 0x00,
  0x0B, 0xF0, 0x00,
  0x0B, 0xF0, 0x00,
  0x0B, 0xF0, 0x00,
  0x0B, 0xF0, 0x00,
  0x0B, 0xF0, 0x00,
  0x0B, 0xF0, 0x00,
  0x06, 0x70, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_007D[ 54] = { /* code 007D, RIGHT CURLY BRACKET */
  0x00, 0x00, 0x00,
  0x00, 0x00, 0x00,
  0x24, 0x10, 0x00,
  0x7F, 0xF6, 0x00,
  0x6C, 0xFD, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xCF, 0x70,
  0x00, 0x3E, 0xF7,
  0x00, 0x3E, 0xF7,
  0x00, 0xCF, 0x70,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x00, 0xFF, 0x00,
  0x4A, 0xFE, 0x00,
  0x7F, 0xF8, 0x00,
  0x47, 0x50, 0x00
};

static GUI_CONST_STORAGE unsigned char _acGUI_Font18B_007E[ 90] = { /* code 007E, TILDE */
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x3A, 0xB8, 0x30, 0x06, 0x00,
  0xBF, 0xFF, 0xFC, 0xDF, 0x00,
  0x85, 0x59, 0xEF, 0xF9, 0x00,
  0x00, 0x00, 0x04, 0x20, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00
};

static GUI_CONST_STORAGE GUI_CHARINFO _aGUI_Font18B_CharInfo[95] = {
   {   5,   5,  3, _acGUI_Font18B_0020 } /* code 0020 */
  ,{   5,   5,  3, _acGUI_Font18B_0021 } /* code 0021 */
  ,{   8,   8,  4, _acGUI_Font18B_0022 } /* code 0022 */
  ,{   9,   9,  5, _acGUI_Font18B_0023 } /* code 0023 */
  ,{   9,   9,  5, _acGUI_Font18B_0024 } /* code 0024 */
  ,{  14,  14,  7, _acGUI_Font18B_0025 } /* code 0025 */
  ,{  12,  12,  6, _acGUI_Font18B_0026 } /* code 0026 */
  ,{   4,   4,  2, _acGUI_Font18B_0027 } /* code 0027 */
  ,{   6,   6,  3, _acGUI_Font18B_0028 } /* code 0028 */
  ,{   6,   6,  3, _acGUI_Font18B_0029 } /* code 0029 */
  ,{   6,   6,  3, _acGUI_Font18B_002A } /* code 002A */
  ,{   9,   9,  5, _acGUI_Font18B_002B } /* code 002B */
  ,{   5,   5,  3, _acGUI_Font18B_002C } /* code 002C */
  ,{   6,   6,  3, _acGUI_Font18B_002D } /* code 002D */
  ,{   5,   5,  3, _acGUI_Font18B_002E } /* code 002E */
  ,{   5,   5,  3, _acGUI_Font18B_002F } /* code 002F */
  ,{   9,   9,  5, _acGUI_Font18B_0030 } /* code 0030 */
  ,{   9,   9,  5, _acGUI_Font18B_0031 } /* code 0031 */
  ,{   9,   9,  5, _acGUI_Font18B_0032 } /* code 0032 */
  ,{   9,   9,  5, _acGUI_Font18B_0033 } /* code 0033 */
  ,{   9,   9,  5, _acGUI_Font18B_0034 } /* code 0034 */
  ,{   9,   9,  5, _acGUI_Font18B_0035 } /* code 0035 */
  ,{   9,   9,  5, _acGUI_Font18B_0036 } /* code 0036 */
  ,{   9,   9,  5, _acGUI_Font18B_0037 } /* code 0037 */
  ,{   9,   9,  5, _acGUI_Font18B_0038 } /* code 0038 */
  ,{   9,   9,  5, _acGUI_Font18B_0039 } /* code 0039 */
  ,{   6,   6,  3, _acGUI_Font18B_003A } /* code 003A */
  ,{   6,   6,  3, _acGUI_Font18B_003B } /* code 003B */
  ,{   9,   9,  5, _acGUI_Font18B_003C } /* code 003C */
  ,{   9,   9,  5, _acGUI_Font18B_003D } /* code 003D */
  ,{   9,   9,  5, _acGUI_Font18B_003E } /* code 003E */
  ,{  10,  10,  5, _acGUI_Font18B_003F } /* code 003F */
  ,{  15,  15,  8, _acGUI_Font18B_0040 } /* code 0040 */
  ,{  11,  11,  6, _acGUI_Font18B_0041 } /* code 0041 */
  ,{  12,  12,  6, _acGUI_Font18B_0042 } /* code 0042 */
  ,{  12,  12,  6, _acGUI_Font18B_0043 } /* code 0043 */
  ,{  12,  12,  6, _acGUI_Font18B_0044 } /* code 0044 */
  ,{  11,  11,  6, _acGUI_Font18B_0045 } /* code 0045 */
  ,{  10,  10,  5, _acGUI_Font18B_0046 } /* code 0046 */
  ,{  12,  12,  6, _acGUI_Font18B_0047 } /* code 0047 */
  ,{  12,  12,  6, _acGUI_Font18B_0048 } /* code 0048 */
  ,{   5,   5,  3, _acGUI_Font18B_0049 } /* code 0049 */
  ,{   9,   9,  5, _acGUI_Font18B_004A } /* code 004A */
  ,{  12,  12,  6, _acGUI_Font18B_004B } /* code 004B */
  ,{  10,  10,  5, _acGUI_Font18B_004C } /* code 004C */
  ,{  14,  14,  7, _acGUI_Font18B_004D } /* code 004D */
  ,{  12,  12,  6, _acGUI_Font18B_004E } /* code 004E */
  ,{  12,  12,  6, _acGUI_Font18B_004F } /* code 004F */
  ,{  11,  11,  6, _acGUI_Font18B_0050 } /* code 0050 */
  ,{  12,  12,  6, _acGUI_Font18B_0051 } /* code 0051 */
  ,{  12,  12,  6, _acGUI_Font18B_0052 } /* code 0052 */
  ,{  11,  11,  6, _acGUI_Font18B_0053 } /* code 0053 */
  ,{  10,  10,  5, _acGUI_Font18B_0054 } /* code 0054 */
  ,{  12,  12,  6, _acGUI_Font18B_0055 } /* code 0055 */
  ,{  11,  11,  6, _acGUI_Font18B_0056 } /* code 0056 */
  ,{  15,  15,  8, _acGUI_Font18B_0057 } /* code 0057 */
  ,{  11,  11,  6, _acGUI_Font18B_0058 } /* code 0058 */
  ,{  11,  11,  6, _acGUI_Font18B_0059 } /* code 0059 */
  ,{  10,  10,  5, _acGUI_Font18B_005A } /* code 005A */
  ,{   6,   6,  3, _acGUI_Font18B_005B } /* code 005B */
  ,{   5,   5,  3, _acGUI_Font18B_005C } /* code 005C */
  ,{   6,   6,  3, _acGUI_Font18B_005D } /* code 005D */
  ,{   9,   9,  5, _acGUI_Font18B_005E } /* code 005E */
  ,{   9,   9,  5, _acGUI_Font18B_005F } /* code 005F */
  ,{   6,   6,  3, _acGUI_Font18B_0060 } /* code 0060 */
  ,{   9,   9,  5, _acGUI_Font18B_0061 } /* code 0061 */
  ,{  10,  10,  5, _acGUI_Font18B_0062 } /* code 0062 */
  ,{   9,   9,  5, _acGUI_Font18B_0063 } /* code 0063 */
  ,{  10,  10,  5, _acGUI_Font18B_0064 } /* code 0064 */
  ,{   9,   9,  5, _acGUI_Font18B_0065 } /* code 0065 */
  ,{   6,   6,  3, _acGUI_Font18B_0066 } /* code 0066 */
  ,{  10,  10,  5, _acGUI_Font18B_0067 } /* code 0067 */
  ,{  10,  10,  5, _acGUI_Font18B_0068 } /* code 0068 */
  ,{   5,   5,  3, _acGUI_Font18B_0069 } /* code 0069 */
  ,{   5,   5,  3, _acGUI_Font18B_006A } /* code 006A */
  ,{   9,   9,  5, _acGUI_Font18B_006B } /* code 006B */
  ,{   5,   5,  3, _acGUI_Font18B_006C } /* code 006C */
  ,{  14,  14,  7, _acGUI_Font18B_006D } /* code 006D */
  ,{  10,  10,  5, _acGUI_Font18B_006E } /* code 006E */
  ,{  10,  10,  5, _acGUI_Font18B_006F } /* code 006F */
  ,{  10,  10,  5, _acGUI_Font18B_0070 } /* code 0070 */
  ,{  10,  10,  5, _acGUI_Font18B_0071 } /* code 0071 */
  ,{   6,   6,  3, _acGUI_Font18B_0072 } /* code 0072 */
  ,{   9,   9,  5, _acGUI_Font18B_0073 } /* code 0073 */
  ,{   6,   6,  3, _acGUI_Font18B_0074 } /* code 0074 */
  ,{  10,  10,  5, _acGUI_Font18B_0075 } /* code 0075 */
  ,{   9,   9,  5, _acGUI_Font18B_0076 } /* code 0076 */
  ,{  13,  13,  7, _acGUI_Font18B_0077 } /* code 0077 */
  ,{   9,   9,  5, _acGUI_Font18B_0078 } /* code 0078 */
  ,{   9,   9,  5, _acGUI_Font18B_0079 } /* code 0079 */
  ,{   8,   8,  4, _acGUI_Font18B_007A } /* code 007A */
  ,{   6,   6,  3, _acGUI_Font18B_007B } /* code 007B */
  ,{   5,   5,  3, _acGUI_Font18B_007C } /* code 007C */
  ,{   6,   6,  3, _acGUI_Font18B_007D } /* code 007D */
  ,{   9,   9,  5, _acGUI_Font18B_007E } /* code 007E */
};

static GUI_CONST_STORAGE GUI_FONT_PROP _GUI_Font18B_Prop1 = {
   0x0020 /* first character */
  ,0x007E /* last character  */
  ,&_aGUI_Font18B_CharInfo[  0] /* address of first character */
  ,(GUI_CONST_STORAGE GUI_FONT_PROP *)0 /* pointer to next GUI_FONT_PROP */
};

static GUI_CONST_STORAGE GUI_FONT _GUI_Font18B = {
   GUI_FONTTYPE_PROP_AA4 /* type of font    */
  ,18 /* height of font  */
  ,18 /* space of font y */
  ,1 /* magnification x */
  ,1 /* magnification y */
  ,{&_GUI_Font18B_Prop1}
  ,15 /* Baseline */
  ,10 /* Height of lowercase characters */
  ,12 /* Height of capital characters */
};

/*********************************************************************
*
*       Bitmaps
*
**********************************************************************
*/
/*********************************************************************
*
*       _bmSubTop
*/
static GUI_CONST_STORAGE unsigned long _acSubTop[] = {
  0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xE2FFE2E2, 0x43FF4343, 0x43FF4343, 0xE2FFE2E2, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
  0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xA4FFA4A4, 0x16FF1616, 0x00FF0000, 0x00FF0000, 0x16FF1616, 0xA4FFA4A4, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
  0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xF3FFF3F3, 0x5AFF5A5A, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x5AFF5A5A, 0xF3FFF3F3, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
  0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xBFFFBFBF, 0x1BFF1B1B, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1BFF1B1B, 0xBFFFBFBF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
  0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xF8FFF8F8, 0x71FF7171, 0x05FF0505, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x05FF0505,
        0x71FF7171, 0xF8FFF8F8, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
  0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xD3FFD3D3, 0x2EFF2E2E, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x2EFF2E2E, 0xD3FFD3D3, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
  0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFAFFFAFA, 0x92FF9292, 0x08FF0808, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x08FF0808, 0x92FF9292, 0xFAFFFAFA, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
  0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xE5FFE5E5, 0x43FF4343, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x43FF4343, 0xE5FFE5E5, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
  0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xA9FFA9A9, 0x0EFF0E0E, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x0EFF0E0E, 0xA9FFA9A9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF,
  0xFFFFFFFF, 0xFFFFFFFF, 0xEBFFEBEB, 0xABFFABAB, 0x72FF7272, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555,
        0x42FF4242, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x42FF4242, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555,
        0x55FF5555, 0x55FF5555, 0x55FF5555, 0x55FF5555, 0x72FF7272, 0xABFFABAB, 0xEBFFEBEB, 0xFFFFFFFF, 0xFFFFFFFF,
  0xFFFFFFFF, 0xACFFACAC, 0x16FF1616, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x16FF1616, 0xACFFACAC, 0xFFFFFFFF,
  0xC7FFC7C7, 0x01FF0101, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x01FF0101, 0xC7FFC7C7,
  0x43FF4343, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x43FF4343,
  0x03FF0303, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x03FF0303
};

static GUI_CONST_STORAGE GUI_BITMAP _bmSubTop = {
  70, /* XSize */
  14, /* YSize */
  280, /* BytesPerLine */
  32, /* BitsPerPixel */
  (unsigned char *)_acSubTop,  /* Pointer to picture data */
  NULL  /* Pointer to palette */
 ,GUI_DRAW_BMP8888
};

/*********************************************************************
*
*       _bmSubButtom
*/
static GUI_CONST_STORAGE unsigned long _acSubBottom[] = {
  0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
  0x3DFF3D3D, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x3DFF3D3D,
  0xADFFADAD, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0xADFFADAD,
  0xFFFFFFFF, 0x70FF7070, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x70FF7070, 0xFFFFFFFF,
  0xFFFFFFFF, 0xFFFFFFFF, 0xB8FFB8B8, 0x5CFF5C5C, 0x1FFF1F1F, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1FFF1F1F, 0x5CFF5C5C, 0xB8FFB8B8, 0xFFFFFFFF, 0xFFFFFFFF
};

static GUI_CONST_STORAGE GUI_BITMAP _bmSubBottom = {
  70, /* XSize */
  5, /* YSize */
  280, /* BytesPerLine */
  32, /* BitsPerPixel */
  (unsigned char *)_acSubBottom,  /* Pointer to picture data */
  NULL  /* Pointer to palette */
 ,GUI_DRAW_BMP8888
};

/*********************************************************************
*
*       _bmBlueCircle
*/
static GUI_CONST_STORAGE unsigned long _acBlueCircle[] = {
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xAD520000, 0x52AD0000, 0x33CC0000, 0x00FF0000, 0x00FF0000, 0x33CC0000, 0x52AD0000, 0xAD520000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xAD520000, 0x29D60000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x29D60000, 0xAD520000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0x7A850000, 0x00FF0000, 0x00FF0000, 0x00FF0A0A, 0x00FF5252, 0x00FF9999, 0x00FFCCCC, 0x00FFCCCC, 0x00FF9999, 0x00FF5252, 0x00FF0A0A, 0x00FF0000, 0x00FF0000, 0x7A850000, 0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0x7A850000, 0x00FF0000, 0x00FF0000, 0x00FF5C5C, 0x00FFEBEB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFEBEB, 0x00FF5C5C, 0x00FF0000, 0x00FF0000, 0x7A850000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xAD520000, 0x00FF0000, 0x00FF0000, 0x00FF8585, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FF8585, 0x00FF0000, 0x00FF0000, 0xAD520000, 0xFF000000,
  0xFF000000, 0x29D60000, 0x00FF0000, 0x00FF5C5C, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FF5C5C, 0x00FF0000, 0x29D60000, 0xFF000000,
  0xAD520000, 0x00FF0000, 0x00FF0A0A, 0x00FFEBEB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFEBEB, 0x00FF0A0A, 0x00FF0000, 0xAD520000,
  0x52AD0000, 0x00FF0000, 0x00FF5252, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FF5252, 0x00FF0000, 0x52AD0000,
  0x33CC0000, 0x00FF0000, 0x00FF9999, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FF9999, 0x00FF0000, 0x33CC0000,
  0x00FF0000, 0x00FF0000, 0x00FFCCCC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFCCCC, 0x00FF0000, 0x00FF0000,
  0x00FF0000, 0x00FF0000, 0x00FFCCCC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFCCCC, 0x00FF0000, 0x00FF0000,
  0x33CC0000, 0x00FF0000, 0x00FF9999, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FF9999, 0x00FF0000, 0x33CC0000,
  0x52AD0000, 0x00FF0000, 0x00FF5252, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FF5252, 0x00FF0000, 0x52AD0000,
  0xAD520000, 0x00FF0000, 0x00FF0A0A, 0x00FFEBEB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFEBEB, 0x00FF0A0A, 0x00FF0000, 0xAD520000,
  0xFF000000, 0x29D60000, 0x00FF0000, 0x00FF5C5C, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FF5C5C, 0x00FF0000, 0x29D60000, 0xFF000000,
  0xFF000000, 0xAD520000, 0x00FF0000, 0x00FF0000, 0x00FF8585, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FF8585, 0x00FF0000, 0x00FF0000, 0xAD520000, 0xFF000000,
  0xFF000000, 0xFF000000, 0x7A850000, 0x00FF0000, 0x00FF0000, 0x00FF5C5C, 0x00FFEBEB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFEBEB, 0x00FF5C5C, 0x00FF0000, 0x00FF0000, 0x7A850000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0x7A850000, 0x00FF0000, 0x00FF0000, 0x00FF0A0A, 0x00FF5252, 0x00FF9999, 0x00FFCCCC, 0x00FFCCCC, 0x00FF9999, 0x00FF5252, 0x00FF0A0A, 0x00FF0000, 0x00FF0000, 0x7A850000, 0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xAD520000, 0x29D60000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x29D60000, 0xAD520000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xAD520000, 0x52AD0000, 0x33CC0000, 0x00FF0000, 0x00FF0000, 0x33CC0000, 0x52AD0000, 0xAD520000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000
};

static GUI_CONST_STORAGE GUI_BITMAP _bmBlueCircle = {
  20, /* XSize */
  20, /* YSize */
  80, /* BytesPerLine */
  32, /* BitsPerPixel */
  (unsigned char *)_acBlueCircle,  /* Pointer to picture data */
  NULL  /* Pointer to palette */
 ,GUI_DRAW_BMP8888
};

/*********************************************************************
*
*       _bmCheckMark
*/
static GUI_CONST_STORAGE unsigned long _acCheckMark[] = {
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0x99660000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x00FF0000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0x99660000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x00FF0000, 0x1FE00000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0x99660000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x00FF0000, 0x1FE00000, 0xE01F0000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0x99660000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000,
        0x1FE00000, 0xE01F0000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0x99660000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1FE00000,
        0xE01F0000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0x99660000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1FE00000, 0xE01F0000,
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0x99660000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1FE00000, 0xE01F0000, 0xFF000000,
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0x99660000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1FE00000, 0xE01F0000, 0xFF000000, 0xFF000000,
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0x99660000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1FE00000, 0xE01F0000, 0xFF000000, 0xFF000000, 0xFF000000,
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0x99660000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1FE00000, 0xE01F0000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000,
        0xFF000000, 0xFF000000, 0xFF000000,
  0x99660000, 0x99660000, 0x99660000, 0xB8470000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0x99660000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1FE00000, 0xE01F0000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000,
        0xFF000000, 0xFF000000, 0xFF000000,
  0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x99660000, 0xFF000000, 0xFF000000, 0xFF000000, 0x99660000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1FE00000, 0xE01F0000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000,
        0xFF000000, 0xFF000000, 0xFF000000,
  0x1FE00000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x99660000, 0xFF000000, 0x99660000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1FE00000, 0xE01F0000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000,
        0xFF000000, 0xFF000000, 0xFF000000,
  0xE01F0000, 0x1FE00000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x5CA30000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1FE00000, 0xE01F0000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000,
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xE01F0000, 0x1FE00000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1FE00000, 0xE01F0000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000,
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xE01F0000, 0x1FE00000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1FE00000, 0xE01F0000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000,
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xE01F0000, 0x1FE00000, 0x00FF0000, 0x00FF0000, 0x00FF0000, 0x1FE00000, 0xE01F0000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000,
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xE01F0000, 0x1FE00000, 0x00FF0000, 0x1FE00000, 0xE01F0000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000,
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xE01F0000, 0x3DC20000, 0xE01F0000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000,
        0xFF000000, 0xFF000000, 0xFF000000
};

static GUI_CONST_STORAGE GUI_BITMAP _bmCheckMark = {
  24, /* XSize */
  19, /* YSize */
  96, /* BytesPerLine */
  32, /* BitsPerPixel */
  (unsigned char *)_acCheckMark,  /* Pointer to picture data */
  NULL  /* Pointer to palette */
 ,GUI_DRAW_BMP8888
};

/*********************************************************************
*
*       Logo
*/
static GUI_CONST_STORAGE GUI_COLOR _aColorsSeggerLogo206[] = {
     0xFFFFFF,0xFEFEFE,0x201F23,0xA02020
    ,0xF4F4F4,0xF2E0E0,0xB55252,0xE9E9EA
    ,0xE1E1E1,0xD49A9A,0x818082,0xF2F2F2
    ,0x000000,0x2A292D,0xDEDDDE,0x212024
    ,0x3E3D41,0xFEFCFC,0x8D8C8E,0x252428
    ,0xA12222,0xBCBBBD,0xC1C1C2,0xE8E8E8
    ,0x68676A,0xF9F9F9,0xFCFCFC,0xFCF8F8
    ,0x464549,0x242327,0x505053,0xEDEDED
    ,0xA22424,0xAA3939,0x363538,0xAE4242
    ,0x89888A,0x323135,0xA83535,0xB85959
    ,0xBA5E5E,0xF4E6E6,0xF0F0F0,0xF6F6F6
    ,0xFDFAFA,0x313132,0xAC3D3D,0xB14949
    ,0x9E9EA0,0xE4C1C1,0xF3E2E2,0xF8EEEE
    ,0x1E1D20,0x2D2D30,0xA42828,0xA62E2E
    ,0xCE8D8D,0xD09191,0xCCCCCD,0xD5D5D5
    ,0xE6C6C6,0xE6E6E6,0xF6EAEA,0xFBF6F6
    ,0x5E5D60,0xA32626,0xC8C8C9,0xF1DEDE
    ,0xEAEAEA,0xF7ECEC,0xF8F0F0,0x040404
    ,0x070708,0x414044,0x6E6E70,0x717072
    ,0x747476,0xA42A2A,0xA83232,0xC87E7E
    ,0x858486,0xA5A5A6,0xBDBDBE,0xDCAEAE
    ,0xC5C5C6,0xE8C9C9,0xEACDCD,0xEDD5D5
    ,0xF0DCDC,0x343336,0x3A393D,0x454447
    ,0x4E4E51,0xC47474,0x828284,0x9A9A9A
    ,0xA1A0A2,0xB1B0B2,0xB9B9BA,0xD69E9E
    ,0xD7A1A1,0xD8A5A5,0xDBAAAA,0xD2D2D2
    ,0xEED8D8,0xE4E4E4,0xFCF7F7,0x09090A
    ,0x151417,0x171619,0x19181B,0x1C1B1F
    ,0x1F1E22,0x302F32,0x49494C,0x504F52
    ,0x727274,0x767578,0x7A7A7C,0xA52C2C
    ,0xA73030,0xB04646,0xBC6363,0xBD6565
    ,0xBF6868,0xC27171,0xC67878,0x8A8A8C
    ,0x8E8E90,0xADACAE,0xAFAEB0,0xB0AFB1
    ,0xC98080,0xD29595,0xD39898,0xDEB2B2
    ,0xE2BABA,0xE2BCBC,0xD0D0D1,0xD9D9DA
    ,0xEBD0D0,0xEFDADA,0xF6E9E9,0xFAF3F3
    ,0xFAF4F4,0x3C3C3F,0x4C4B4E,0x4C4C4F
    ,0x525154,0x545356,0x605F62,0x626164
    ,0x6B6A6C,0x706F72,0x767678,0x787779
    ,0xAE4040,0xAF4444,0xB34C4C,0xC06C6C
    ,0xC26F6F,0x7E7E80,0x848385,0x888789
    ,0x929294,0x969698,0x989799,0x98989A
    ,0xA9A9AA,0xB3B3B4,0xB5B5B6,0xC3C3C4
    ,0xECD2D2,0xF9F2F2,0x131215,0x1B1A1D
    ,0x28272B,0x2C2B2F,0x38373B,0x3A393A
    ,0x49484B,0x545457,0x59585B,0x5A595C
    ,0x616063,0x78787A,0x7D7C7F,0xA32828
    ,0xA62D2D,0xB34E4E,0xB44F4F,0xB65454
    ,0xC47373,0xC77A7A,0xC77C7C,0x868587
    ,0x868688,0x929193,0x959496,0x969697
    ,0x9E9D9F,0xA2A2A4,0xA4A3A5,0xB7B7B8
    ,0xBBBBBC,0xCB8585,0xCC8686,0xCD8A8A
    ,0xD7A2A2,0xDEB1B1,0xDFB4B4,0xE0B6B6
    ,0xE1B9B9,0xD3D3D4,0xF0DBDB,0xDFDFE0
    ,0xE7E7E8,0xEFEFF0,0xF5F5F6,0x212023
    ,0x28282B,0x2C2C2F,0x353437,0x3C3B3E
    ,0x403F42,0x414043,0x444347,0x565659
    ,0x58575A,0x5D5C5F,0x646366,0x656568
    ,0x68686A,0x6E6D6F,0x747376,0xAC3B3B
    ,0xC16E6E,0x807F82,0x8C8B8E,0x969597
    ,0x9A999B,0x9C9B9D,0xABAAAC,0xD8A3A3
    ,0xDAA9A9,0xE4BFBF,0xC4C3C4,0xCFCFD0
    ,0xD7D7D8,0xE0DFE0,0xE5E5E6,0xEAE9EA
    ,0xF3E4E4,0xF2F1F2,0xF7F7F8,0xFBFBFC
};

static GUI_CONST_STORAGE GUI_LOGPALETTE _PalSeggerLogo206 = {
  256,	/* number of entries */
  1, 	/* Has transparency */
  &_aColorsSeggerLogo206[0]
};

static GUI_CONST_STORAGE unsigned char _acSeggerLogo206[] = {
  /* RLE: 005 Pixels @ 000,000*/ 5, 0x00,
  /* ABS: 003 Pixels @ 005,000*/ 0, 3, 0x6B, 0x6C, 0x6F,
  /* RLE: 190 Pixels @ 008,000*/ 190, 0x02,
  /* ABS: 003 Pixels @ 198,000*/ 0, 3, 0x6F, 0x6C, 0x6B,
  /* RLE: 008 Pixels @ 201,000*/ 8, 0x00,
  /* ABS: 002 Pixels @ 003,001*/ 0, 2, 0x47, 0x6E,
  /* RLE: 196 Pixels @ 005,001*/ 196, 0x02,
  /* ABS: 002 Pixels @ 201,001*/ 0, 2, 0x6E, 0xC7,
  /* RLE: 005 Pixels @ 203,001*/ 5, 0x00,
  /* ABS: 002 Pixels @ 002,002*/ 0, 2, 0x48, 0x34,
  /* RLE: 198 Pixels @ 004,002*/ 198, 0x02,
  /* ABS: 007 Pixels @ 202,002*/ 0, 7, 0x34, 0x48, 0x00, 0x00, 0x00, 0x47, 0x34,
  /* RLE: 200 Pixels @ 003,003*/ 200, 0x02,
  /* ABS: 005 Pixels @ 203,003*/ 0, 5, 0x34, 0x47, 0x00, 0x00, 0x6D,
  /* RLE: 202 Pixels @ 002,004*/ 202, 0x02,
  /* ABS: 003 Pixels @ 204,004*/ 0, 3, 0x6D, 0x00, 0x48,
  /* RLE: 204 Pixels @ 001,005*/ 204, 0x02,
  /* ABS: 002 Pixels @ 205,005*/ 0, 2, 0x48, 0xAE,
  /* RLE: 006 Pixels @ 001,006*/ 6, 0x02,
  /* ABS: 002 Pixels @ 007,006*/ 0, 2, 0xA2, 0x3D,
  /* RLE: 188 Pixels @ 009,006*/ 188, 0xDA,
  /* ABS: 002 Pixels @ 197,006*/ 0, 2, 0xD8, 0x50,
  /* RLE: 006 Pixels @ 199,006*/ 6, 0x02,
  /* ABS: 002 Pixels @ 205,006*/ 0, 2, 0xAE, 0xAF,
  /* RLE: 005 Pixels @ 001,007*/ 5, 0x02,
  /* RLE: 001 Pixels @ 006,007*/ 1, 0x75,
  /* RLE: 192 Pixels @ 007,007*/ 192, 0x01,
  /* RLE: 001 Pixels @ 199,007*/ 1, 0x9A,
  /* RLE: 005 Pixels @ 200,007*/ 5, 0x02,
  /* ABS: 002 Pixels @ 205,007*/ 0, 2, 0xAF, 0x70,
  /* RLE: 005 Pixels @ 001,008*/ 5, 0x02,
  /* RLE: 001 Pixels @ 006,008*/ 1, 0x67,
  /* RLE: 192 Pixels @ 007,008*/ 192, 0x01,
  /* RLE: 001 Pixels @ 199,008*/ 1, 0x67,
  /* RLE: 005 Pixels @ 200,008*/ 5, 0x02,
  /* RLE: 001 Pixels @ 205,008*/ 1, 0x70,
  /* RLE: 006 Pixels @ 000,009*/ 6, 0x02,
  /* RLE: 001 Pixels @ 006,009*/ 1, 0x07,
  /* RLE: 192 Pixels @ 007,009*/ 192, 0x01,
  /* RLE: 001 Pixels @ 199,009*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,009*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,010*/ 1, 0x07,
  /* RLE: 192 Pixels @ 007,010*/ 192, 0x01,
  /* RLE: 001 Pixels @ 199,010*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,010*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,011*/ 1, 0x07,
  /* RLE: 192 Pixels @ 007,011*/ 192, 0x01,
  /* RLE: 001 Pixels @ 199,011*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,011*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,012*/ 1, 0x07,
  /* RLE: 192 Pixels @ 007,012*/ 192, 0x01,
  /* RLE: 001 Pixels @ 199,012*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,012*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,013*/ 1, 0x07,
  /* RLE: 192 Pixels @ 007,013*/ 192, 0x01,
  /* RLE: 001 Pixels @ 199,013*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,013*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,014*/ 1, 0x07,
  /* RLE: 006 Pixels @ 007,014*/ 6, 0x01,
  /* ABS: 003 Pixels @ 013,014*/ 0, 3, 0x6A, 0x8D, 0x3F,
  /* RLE: 016 Pixels @ 016,014*/ 16, 0x01,
  /* ABS: 002 Pixels @ 032,014*/ 0, 2, 0x43, 0x3E,
  /* RLE: 165 Pixels @ 034,014*/ 165, 0x01,
  /* RLE: 001 Pixels @ 199,014*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,014*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,015*/ 1, 0x07,
  /* RLE: 005 Pixels @ 007,015*/ 5, 0x01,
  /* ABS: 005 Pixels @ 012,015*/ 0, 5, 0x53, 0xBC, 0x03, 0x36, 0xD0,
  /* RLE: 013 Pixels @ 017,015*/ 13, 0x01,
  /* ABS: 006 Pixels @ 030,015*/ 0, 6, 0x8D, 0x9D, 0x03, 0x03, 0xA0, 0x1B,
  /* RLE: 163 Pixels @ 036,015*/ 163, 0x01,
  /* RLE: 001 Pixels @ 199,015*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,015*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,016*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,016*/ 4, 0x01,
  /* ABS: 002 Pixels @ 011,016*/ 0, 2, 0x43, 0x20,
  /* RLE: 004 Pixels @ 013,016*/ 4, 0x03,
  /* RLE: 001 Pixels @ 017,016*/ 1, 0xD4,
  /* RLE: 012 Pixels @ 018,016*/ 12, 0x01,
  /* RLE: 001 Pixels @ 030,016*/ 1, 0x9D,
  /* RLE: 004 Pixels @ 031,016*/ 4, 0x03,
  /* RLE: 001 Pixels @ 035,016*/ 1, 0x7E,
  /* RLE: 163 Pixels @ 036,016*/ 163, 0x01,
  /* RLE: 001 Pixels @ 199,016*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,016*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,017*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,017*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,017*/ 1, 0x64,
  /* RLE: 005 Pixels @ 012,017*/ 5, 0x03,
  /* ABS: 002 Pixels @ 017,017*/ 0, 2, 0x37, 0x32,
  /* RLE: 010 Pixels @ 019,017*/ 10, 0x01,
  /* RLE: 001 Pixels @ 029,017*/ 1, 0x32,
  /* RLE: 006 Pixels @ 030,017*/ 6, 0x03,
  /* RLE: 001 Pixels @ 036,017*/ 1, 0x66,
  /* RLE: 162 Pixels @ 037,017*/ 162, 0x01,
  /* RLE: 001 Pixels @ 199,017*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,017*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,018*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,018*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,018*/ 1, 0xD2,
  /* RLE: 006 Pixels @ 012,018*/ 6, 0x03,
  /* ABS: 002 Pixels @ 018,018*/ 0, 2, 0xBD, 0x2C,
  /* RLE: 009 Pixels @ 020,018*/ 9, 0x01,
  /* ABS: 002 Pixels @ 029,018*/ 0, 2, 0xAD, 0x14,
  /* RLE: 005 Pixels @ 031,018*/ 5, 0x03,
  /* ABS: 002 Pixels @ 036,018*/ 0, 2, 0xBB, 0x57,
  /* RLE: 161 Pixels @ 038,018*/ 161, 0x01,
  /* RLE: 001 Pixels @ 199,018*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,018*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,019*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,019*/ 4, 0x01,
  /* ABS: 002 Pixels @ 011,019*/ 0, 2, 0x1B, 0x9D,
  /* RLE: 006 Pixels @ 013,019*/ 6, 0x03,
  /* RLE: 001 Pixels @ 019,019*/ 1, 0x4F,
  /* RLE: 010 Pixels @ 020,019*/ 10, 0x01,
  /* RLE: 001 Pixels @ 030,019*/ 1, 0x4F,
  /* RLE: 006 Pixels @ 031,019*/ 6, 0x03,
  /* ABS: 002 Pixels @ 037,019*/ 0, 2, 0x2E, 0x46,
  /* RLE: 160 Pixels @ 039,019*/ 160, 0x01,
  /* RLE: 001 Pixels @ 199,019*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,019*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,020*/ 1, 0x07,
  /* RLE: 005 Pixels @ 007,020*/ 5, 0x01,
  /* ABS: 002 Pixels @ 012,020*/ 0, 2, 0x68, 0x36,
  /* RLE: 006 Pixels @ 014,020*/ 6, 0x03,
  /* RLE: 001 Pixels @ 020,020*/ 1, 0xD2,
  /* RLE: 009 Pixels @ 021,020*/ 9, 0x01,
  /* ABS: 002 Pixels @ 030,020*/ 0, 2, 0x1B, 0x9E,
  /* RLE: 006 Pixels @ 032,020*/ 6, 0x03,
  /* RLE: 001 Pixels @ 038,020*/ 1, 0x7A,
  /* RLE: 160 Pixels @ 039,020*/ 160, 0x01,
  /* RLE: 001 Pixels @ 199,020*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,020*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,021*/ 1, 0x07,
  /* RLE: 006 Pixels @ 007,021*/ 6, 0x01,
  /* RLE: 001 Pixels @ 013,021*/ 1, 0x66,
  /* RLE: 006 Pixels @ 014,021*/ 6, 0x03,
  /* ABS: 002 Pixels @ 020,021*/ 0, 2, 0x77, 0x43,
  /* RLE: 009 Pixels @ 022,021*/ 9, 0x01,
  /* ABS: 002 Pixels @ 031,021*/ 0, 2, 0x32, 0x78,
  /* RLE: 006 Pixels @ 033,021*/ 6, 0x03,
  /* RLE: 001 Pixels @ 039,021*/ 1, 0x39,
  /* RLE: 159 Pixels @ 040,021*/ 159, 0x01,
  /* RLE: 001 Pixels @ 199,021*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,021*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,022*/ 1, 0x07,
  /* RLE: 007 Pixels @ 007,022*/ 7, 0x01,
  /* RLE: 001 Pixels @ 014,022*/ 1, 0x5D,
  /* RLE: 006 Pixels @ 015,022*/ 6, 0x03,
  /* ABS: 002 Pixels @ 021,022*/ 0, 2, 0x2F, 0x1B,
  /* RLE: 009 Pixels @ 023,022*/ 9, 0x01,
  /* ABS: 002 Pixels @ 032,022*/ 0, 2, 0xF5, 0x14,
  /* RLE: 005 Pixels @ 034,022*/ 5, 0x03,
  /* ABS: 002 Pixels @ 039,022*/ 0, 2, 0x14, 0x31,
  /* RLE: 158 Pixels @ 041,022*/ 158, 0x01,
  /* RLE: 001 Pixels @ 199,022*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,022*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,023*/ 1, 0x07,
  /* RLE: 007 Pixels @ 007,023*/ 7, 0x01,
  /* ABS: 002 Pixels @ 014,023*/ 0, 2, 0x3F, 0x79,
  /* RLE: 006 Pixels @ 016,023*/ 6, 0x03,
  /* RLE: 001 Pixels @ 022,023*/ 1, 0x7E,
  /* RLE: 010 Pixels @ 023,023*/ 10, 0x01,
  /* RLE: 001 Pixels @ 033,023*/ 1, 0x39,
  /* RLE: 006 Pixels @ 034,023*/ 6, 0x03,
  /* ABS: 002 Pixels @ 040,023*/ 0, 2, 0x4E, 0x29,
  /* RLE: 157 Pixels @ 042,023*/ 157, 0x01,
  /* RLE: 001 Pixels @ 199,023*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,023*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,024*/ 1, 0x07,
  /* RLE: 008 Pixels @ 007,024*/ 8, 0x01,
  /* ABS: 002 Pixels @ 015,024*/ 0, 2, 0x58, 0x77,
  /* RLE: 006 Pixels @ 017,024*/ 6, 0x03,
  /* RLE: 001 Pixels @ 023,024*/ 1, 0x53,
  /* RLE: 010 Pixels @ 024,024*/ 10, 0x01,
  /* RLE: 001 Pixels @ 034,024*/ 1, 0x28,
  /* RLE: 006 Pixels @ 035,024*/ 6, 0x03,
  /* ABS: 002 Pixels @ 041,024*/ 0, 2, 0xBE, 0x2C,
  /* RLE: 156 Pixels @ 043,024*/ 156, 0x01,
  /* RLE: 001 Pixels @ 199,024*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,024*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,025*/ 1, 0x07,
  /* RLE: 009 Pixels @ 007,025*/ 9, 0x01,
  /* RLE: 001 Pixels @ 016,025*/ 1, 0xD1,
  /* RLE: 006 Pixels @ 017,025*/ 6, 0x03,
  /* ABS: 002 Pixels @ 023,025*/ 0, 2, 0x4D, 0xD6,
  /* RLE: 009 Pixels @ 025,025*/ 9, 0x01,
  /* ABS: 002 Pixels @ 034,025*/ 0, 2, 0x33, 0x2E,
  /* RLE: 006 Pixels @ 036,025*/ 6, 0x03,
  /* RLE: 001 Pixels @ 042,025*/ 1, 0xC2,
  /* RLE: 156 Pixels @ 043,025*/ 156, 0x01,
  /* RLE: 001 Pixels @ 199,025*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,025*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,026*/ 1, 0x07,
  /* RLE: 010 Pixels @ 007,026*/ 10, 0x01,
  /* RLE: 001 Pixels @ 017,026*/ 1, 0xC1,
  /* RLE: 006 Pixels @ 018,026*/ 6, 0x03,
  /* ABS: 002 Pixels @ 024,026*/ 0, 2, 0x79, 0x3F,
  /* RLE: 009 Pixels @ 026,026*/ 9, 0x01,
  /* ABS: 002 Pixels @ 035,026*/ 0, 2, 0xAC, 0x41,
  /* RLE: 006 Pixels @ 037,026*/ 6, 0x03,
  /* RLE: 001 Pixels @ 043,026*/ 1, 0x53,
  /* RLE: 155 Pixels @ 044,026*/ 155, 0x01,
  /* RLE: 001 Pixels @ 199,026*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,026*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,027*/ 1, 0x07,
  /* RLE: 010 Pixels @ 007,027*/ 10, 0x01,
  /* ABS: 002 Pixels @ 017,027*/ 0, 2, 0x1B, 0x9E,
  /* RLE: 006 Pixels @ 019,027*/ 6, 0x03,
  /* RLE: 001 Pixels @ 025,027*/ 1, 0xC0,
  /* RLE: 010 Pixels @ 026,027*/ 10, 0x01,
  /* RLE: 001 Pixels @ 036,027*/ 1, 0x65,
  /* RLE: 006 Pixels @ 037,027*/ 6, 0x03,
  /* ABS: 002 Pixels @ 043,027*/ 0, 2, 0x36, 0x68,
  /* RLE: 154 Pixels @ 045,027*/ 154, 0x01,
  /* RLE: 001 Pixels @ 199,027*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,027*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,028*/ 1, 0x07,
  /* RLE: 011 Pixels @ 007,028*/ 11, 0x01,
  /* ABS: 002 Pixels @ 018,028*/ 0, 2, 0x05, 0xBC,
  /* RLE: 006 Pixels @ 020,028*/ 6, 0x03,
  /* RLE: 001 Pixels @ 026,028*/ 1, 0x66,
  /* RLE: 010 Pixels @ 027,028*/ 10, 0x01,
  /* RLE: 001 Pixels @ 037,028*/ 1, 0x5D,
  /* RLE: 006 Pixels @ 038,028*/ 6, 0x03,
  /* ABS: 002 Pixels @ 044,028*/ 0, 2, 0x9C, 0xAD,
  /* RLE: 153 Pixels @ 046,028*/ 153, 0x01,
  /* RLE: 001 Pixels @ 199,028*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,028*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,029*/ 1, 0x07,
  /* RLE: 012 Pixels @ 007,029*/ 12, 0x01,
  /* RLE: 001 Pixels @ 019,029*/ 1, 0xD3,
  /* RLE: 006 Pixels @ 020,029*/ 6, 0x03,
  /* ABS: 002 Pixels @ 026,029*/ 0, 2, 0x36, 0x68,
  /* RLE: 009 Pixels @ 028,029*/ 9, 0x01,
  /* ABS: 002 Pixels @ 037,029*/ 0, 2, 0x6A, 0x9E,
  /* RLE: 006 Pixels @ 039,029*/ 6, 0x03,
  /* RLE: 001 Pixels @ 045,029*/ 1, 0x7B,
  /* RLE: 153 Pixels @ 046,029*/ 153, 0x01,
  /* RLE: 001 Pixels @ 199,029*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,029*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,030*/ 1, 0x07,
  /* RLE: 013 Pixels @ 007,030*/ 13, 0x01,
  /* RLE: 001 Pixels @ 020,030*/ 1, 0x84,
  /* RLE: 006 Pixels @ 021,030*/ 6, 0x03,
  /* ABS: 002 Pixels @ 027,030*/ 0, 2, 0x9D, 0x90,
  /* RLE: 009 Pixels @ 029,030*/ 9, 0x01,
  /* ABS: 002 Pixels @ 038,030*/ 0, 2, 0x05, 0x37,
  /* RLE: 006 Pixels @ 040,030*/ 6, 0x03,
  /* RLE: 001 Pixels @ 046,030*/ 1, 0x86,
  /* RLE: 152 Pixels @ 047,030*/ 152, 0x01,
  /* RLE: 001 Pixels @ 199,030*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,030*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,031*/ 1, 0x07,
  /* RLE: 013 Pixels @ 007,031*/ 13, 0x01,
  /* ABS: 002 Pixels @ 020,031*/ 0, 2, 0x2C, 0xBE,
  /* RLE: 006 Pixels @ 022,031*/ 6, 0x03,
  /* RLE: 001 Pixels @ 028,031*/ 1, 0xEC,
  /* RLE: 010 Pixels @ 029,031*/ 10, 0x01,
  /* ABS: 002 Pixels @ 039,031*/ 0, 2, 0x89, 0x14,
  /* RLE: 005 Pixels @ 041,031*/ 5, 0x03,
  /* ABS: 002 Pixels @ 046,031*/ 0, 2, 0x14, 0x3C,
  /* RLE: 151 Pixels @ 048,031*/ 151, 0x01,
  /* RLE: 001 Pixels @ 199,031*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,031*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,032*/ 1, 0x07,
  /* RLE: 014 Pixels @ 007,032*/ 14, 0x01,
  /* ABS: 002 Pixels @ 021,032*/ 0, 2, 0x32, 0x78,
  /* RLE: 006 Pixels @ 023,032*/ 6, 0x03,
  /* RLE: 001 Pixels @ 029,032*/ 1, 0x65,
  /* RLE: 010 Pixels @ 030,032*/ 10, 0x01,
  /* RLE: 001 Pixels @ 040,032*/ 1, 0x38,
  /* RLE: 006 Pixels @ 041,032*/ 6, 0x03,
  /* ABS: 002 Pixels @ 047,032*/ 0, 2, 0x26, 0x29,
  /* RLE: 150 Pixels @ 049,032*/ 150, 0x01,
  /* RLE: 001 Pixels @ 199,032*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,032*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,033*/ 1, 0x07,
  /* RLE: 015 Pixels @ 007,033*/ 15, 0x01,
  /* RLE: 001 Pixels @ 022,033*/ 1, 0x89,
  /* RLE: 006 Pixels @ 023,033*/ 6, 0x03,
  /* ABS: 002 Pixels @ 029,033*/ 0, 2, 0x41, 0x57,
  /* RLE: 010 Pixels @ 031,033*/ 10, 0x01,
  /* RLE: 001 Pixels @ 041,033*/ 1, 0x28,
  /* RLE: 006 Pixels @ 042,033*/ 6, 0x03,
  /* ABS: 002 Pixels @ 048,033*/ 0, 2, 0xBF, 0x2C,
  /* RLE: 149 Pixels @ 050,033*/ 149, 0x01,
  /* RLE: 001 Pixels @ 199,033*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,033*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,034*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,034*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,034*/ 1, 0x8F,
  /* RLE: 011 Pixels @ 012,034*/ 11, 0x01,
  /* RLE: 001 Pixels @ 023,034*/ 1, 0xCE,
  /* RLE: 006 Pixels @ 024,034*/ 6, 0x03,
  /* ABS: 002 Pixels @ 030,034*/ 0, 2, 0x9C, 0xAD,
  /* RLE: 009 Pixels @ 032,034*/ 9, 0x01,
  /* ABS: 002 Pixels @ 041,034*/ 0, 2, 0x33, 0x21,
  /* RLE: 006 Pixels @ 043,034*/ 6, 0x03,
  /* RLE: 001 Pixels @ 049,034*/ 1, 0x84,
  /* RLE: 149 Pixels @ 050,034*/ 149, 0x01,
  /* RLE: 001 Pixels @ 199,034*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,034*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,035*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,035*/ 4, 0x01,
  /* ABS: 002 Pixels @ 011,035*/ 0, 2, 0x63, 0x55,
  /* RLE: 010 Pixels @ 013,035*/ 10, 0x01,
  /* ABS: 002 Pixels @ 023,035*/ 0, 2, 0x2C, 0xBF,
  /* RLE: 006 Pixels @ 025,035*/ 6, 0x03,
  /* RLE: 001 Pixels @ 031,035*/ 1, 0x7C,
  /* RLE: 010 Pixels @ 032,035*/ 10, 0x01,
  /* ABS: 002 Pixels @ 042,035*/ 0, 2, 0x8C, 0x41,
  /* RLE: 006 Pixels @ 044,035*/ 6, 0x03,
  /* RLE: 001 Pixels @ 050,035*/ 1, 0x87,
  /* RLE: 148 Pixels @ 051,035*/ 148, 0x01,
  /* RLE: 001 Pixels @ 199,035*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,035*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,036*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,036*/ 4, 0x01,
  /* ABS: 003 Pixels @ 011,036*/ 0, 3, 0x09, 0x21, 0x45,
  /* RLE: 010 Pixels @ 014,036*/ 10, 0x01,
  /* ABS: 002 Pixels @ 024,036*/ 0, 2, 0x29, 0x4E,
  /* RLE: 006 Pixels @ 026,036*/ 6, 0x03,
  /* RLE: 001 Pixels @ 032,036*/ 1, 0x63,
  /* RLE: 010 Pixels @ 033,036*/ 10, 0x01,
  /* RLE: 001 Pixels @ 043,036*/ 1, 0x65,
  /* RLE: 006 Pixels @ 044,036*/ 6, 0x03,
  /* ABS: 002 Pixels @ 050,036*/ 0, 2, 0x4D, 0x8D,
  /* RLE: 147 Pixels @ 052,036*/ 147, 0x01,
  /* RLE: 001 Pixels @ 199,036*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,036*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,037*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,037*/ 4, 0x01,
  /* ABS: 003 Pixels @ 011,037*/ 0, 3, 0x09, 0x03, 0x28,
  /* RLE: 011 Pixels @ 014,037*/ 11, 0x01,
  /* ABS: 002 Pixels @ 025,037*/ 0, 2, 0x31, 0x14,
  /* RLE: 005 Pixels @ 027,037*/ 5, 0x03,
  /* ABS: 002 Pixels @ 032,037*/ 0, 2, 0x20, 0x8C,
  /* RLE: 010 Pixels @ 034,037*/ 10, 0x01,
  /* RLE: 001 Pixels @ 044,037*/ 1, 0x7D,
  /* RLE: 006 Pixels @ 045,037*/ 6, 0x03,
  /* ABS: 002 Pixels @ 051,037*/ 0, 2, 0x9D, 0x8F,
  /* RLE: 146 Pixels @ 053,037*/ 146, 0x01,
  /* RLE: 001 Pixels @ 199,037*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,037*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,038*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,038*/ 4, 0x01,
  /* ABS: 004 Pixels @ 011,038*/ 0, 4, 0x09, 0x03, 0x03, 0x39,
  /* RLE: 011 Pixels @ 015,038*/ 11, 0x01,
  /* RLE: 001 Pixels @ 026,038*/ 1, 0x38,
  /* RLE: 006 Pixels @ 027,038*/ 6, 0x03,
  /* ABS: 002 Pixels @ 033,038*/ 0, 2, 0x2E, 0x46,
  /* RLE: 009 Pixels @ 035,038*/ 9, 0x01,
  /* ABS: 002 Pixels @ 044,038*/ 0, 2, 0x3F, 0x2F,
  /* RLE: 006 Pixels @ 046,038*/ 6, 0x03,
  /* RLE: 001 Pixels @ 052,038*/ 1, 0x7C,
  /* RLE: 146 Pixels @ 053,038*/ 146, 0x01,
  /* RLE: 001 Pixels @ 199,038*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,038*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,039*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,039*/ 4, 0x01,
  /* ABS: 005 Pixels @ 011,039*/ 0, 5, 0x09, 0x03, 0x03, 0x14, 0x3C,
  /* RLE: 010 Pixels @ 016,039*/ 10, 0x01,
  /* ABS: 002 Pixels @ 026,039*/ 0, 2, 0x11, 0x27,
  /* RLE: 006 Pixels @ 028,039*/ 6, 0x03,
  /* RLE: 001 Pixels @ 034,039*/ 1, 0x7B,
  /* RLE: 010 Pixels @ 035,039*/ 10, 0x01,
  /* ABS: 002 Pixels @ 045,039*/ 0, 2, 0x05, 0x37,
  /* RLE: 006 Pixels @ 047,039*/ 6, 0x03,
  /* RLE: 001 Pixels @ 053,039*/ 1, 0x09,
  /* RLE: 145 Pixels @ 054,039*/ 145, 0x01,
  /* RLE: 001 Pixels @ 199,039*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,039*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,040*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,040*/ 4, 0x01,
  /* ABS: 006 Pixels @ 011,040*/ 0, 6, 0x09, 0x03, 0x03, 0x03, 0x26, 0x8E,
  /* RLE: 010 Pixels @ 017,040*/ 10, 0x01,
  /* ABS: 002 Pixels @ 027,040*/ 0, 2, 0x3E, 0x26,
  /* RLE: 006 Pixels @ 029,040*/ 6, 0x03,
  /* RLE: 001 Pixels @ 035,040*/ 1, 0x09,
  /* RLE: 010 Pixels @ 036,040*/ 10, 0x01,
  /* RLE: 001 Pixels @ 046,040*/ 1, 0x88,
  /* RLE: 006 Pixels @ 047,040*/ 6, 0x03,
  /* ABS: 002 Pixels @ 053,040*/ 0, 2, 0x20, 0x55,
  /* RLE: 144 Pixels @ 055,040*/ 144, 0x01,
  /* RLE: 001 Pixels @ 199,040*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,040*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,041*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,041*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,041*/ 1, 0x09,
  /* RLE: 004 Pixels @ 012,041*/ 4, 0x03,
  /* ABS: 002 Pixels @ 016,041*/ 0, 2, 0x27, 0x11,
  /* RLE: 010 Pixels @ 018,041*/ 10, 0x01,
  /* ABS: 002 Pixels @ 028,041*/ 0, 2, 0x3C, 0x14,
  /* RLE: 005 Pixels @ 030,041*/ 5, 0x03,
  /* ABS: 002 Pixels @ 035,041*/ 0, 2, 0x20, 0x56,
  /* RLE: 010 Pixels @ 037,041*/ 10, 0x01,
  /* RLE: 001 Pixels @ 047,041*/ 1, 0xCF,
  /* RLE: 006 Pixels @ 048,041*/ 6, 0x03,
  /* ABS: 002 Pixels @ 054,041*/ 0, 2, 0x26, 0x8E,
  /* RLE: 143 Pixels @ 056,041*/ 143, 0x01,
  /* RLE: 001 Pixels @ 199,041*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,041*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,042*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,042*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,042*/ 1, 0x09,
  /* RLE: 005 Pixels @ 012,042*/ 5, 0x03,
  /* RLE: 001 Pixels @ 017,042*/ 1, 0x38,
  /* RLE: 011 Pixels @ 018,042*/ 11, 0x01,
  /* RLE: 001 Pixels @ 029,042*/ 1, 0x39,
  /* RLE: 006 Pixels @ 030,042*/ 6, 0x03,
  /* ABS: 002 Pixels @ 036,042*/ 0, 2, 0x21, 0x45,
  /* RLE: 009 Pixels @ 038,042*/ 9, 0x01,
  /* ABS: 002 Pixels @ 047,042*/ 0, 2, 0x11, 0x27,
  /* RLE: 006 Pixels @ 049,042*/ 6, 0x03,
  /* RLE: 001 Pixels @ 055,042*/ 1, 0xEB,
  /* RLE: 134 Pixels @ 056,042*/ 134, 0xBF,
  /* ABS: 003 Pixels @ 190,042*/ 0, 3, 0x27, 0x86, 0x2C,
  /* RLE: 006 Pixels @ 193,042*/ 6, 0x01,
  /* RLE: 001 Pixels @ 199,042*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,042*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,043*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,043*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,043*/ 1, 0x09,
  /* RLE: 005 Pixels @ 012,043*/ 5, 0x03,
  /* ABS: 002 Pixels @ 017,043*/ 0, 2, 0x14, 0x31,
  /* RLE: 011 Pixels @ 019,043*/ 11, 0x01,
  /* RLE: 001 Pixels @ 030,043*/ 1, 0x28,
  /* RLE: 006 Pixels @ 031,043*/ 6, 0x03,
  /* RLE: 001 Pixels @ 037,043*/ 1, 0x28,
  /* RLE: 010 Pixels @ 038,043*/ 10, 0x01,
  /* ABS: 002 Pixels @ 048,043*/ 0, 2, 0x45, 0x21,
  /* RLE: 142 Pixels @ 050,043*/ 142, 0x03,
  /* RLE: 001 Pixels @ 192,043*/ 1, 0x5D,
  /* RLE: 006 Pixels @ 193,043*/ 6, 0x01,
  /* RLE: 001 Pixels @ 199,043*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,043*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,044*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,044*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,044*/ 1, 0x09,
  /* RLE: 006 Pixels @ 012,044*/ 6, 0x03,
  /* ABS: 002 Pixels @ 018,044*/ 0, 2, 0x4E, 0x29,
  /* RLE: 010 Pixels @ 020,044*/ 10, 0x01,
  /* ABS: 002 Pixels @ 030,044*/ 0, 2, 0x45, 0x21,
  /* RLE: 006 Pixels @ 032,044*/ 6, 0x03,
  /* RLE: 001 Pixels @ 038,044*/ 1, 0x85,
  /* RLE: 010 Pixels @ 039,044*/ 10, 0x01,
  /* ABS: 002 Pixels @ 049,044*/ 0, 2, 0x56, 0x20,
  /* RLE: 141 Pixels @ 051,044*/ 141, 0x03,
  /* ABS: 002 Pixels @ 192,044*/ 0, 2, 0x14, 0x3E,
  /* RLE: 005 Pixels @ 194,044*/ 5, 0x01,
  /* RLE: 001 Pixels @ 199,044*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,044*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,045*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,045*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,045*/ 1, 0x09,
  /* RLE: 007 Pixels @ 012,045*/ 7, 0x03,
  /* ABS: 002 Pixels @ 019,045*/ 0, 2, 0xBF, 0x2C,
  /* RLE: 010 Pixels @ 021,045*/ 10, 0x01,
  /* ABS: 002 Pixels @ 031,045*/ 0, 2, 0x55, 0x20,
  /* RLE: 005 Pixels @ 033,045*/ 5, 0x03,
  /* ABS: 002 Pixels @ 038,045*/ 0, 2, 0x14, 0x3C,
  /* RLE: 010 Pixels @ 040,045*/ 10, 0x01,
  /* RLE: 001 Pixels @ 050,045*/ 1, 0x64,
  /* RLE: 142 Pixels @ 051,045*/ 142, 0x03,
  /* RLE: 001 Pixels @ 193,045*/ 1, 0x43,
  /* RLE: 005 Pixels @ 194,045*/ 5, 0x01,
  /* RLE: 001 Pixels @ 199,045*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,045*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,046*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,046*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,046*/ 1, 0x09,
  /* RLE: 008 Pixels @ 012,046*/ 8, 0x03,
  /* RLE: 001 Pixels @ 020,046*/ 1, 0xCD,
  /* RLE: 011 Pixels @ 021,046*/ 11, 0x01,
  /* RLE: 001 Pixels @ 032,046*/ 1, 0x86,
  /* RLE: 006 Pixels @ 033,046*/ 6, 0x03,
  /* ABS: 002 Pixels @ 039,046*/ 0, 2, 0x26, 0x3E,
  /* RLE: 010 Pixels @ 041,046*/ 10, 0x01,
  /* RLE: 001 Pixels @ 051,046*/ 1, 0xA0,
  /* RLE: 140 Pixels @ 052,046*/ 140, 0x03,
  /* RLE: 001 Pixels @ 192,046*/ 1, 0x9D,
  /* RLE: 006 Pixels @ 193,046*/ 6, 0x01,
  /* RLE: 001 Pixels @ 199,046*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,046*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,047*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,047*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,047*/ 1, 0x09,
  /* RLE: 009 Pixels @ 012,047*/ 9, 0x03,
  /* RLE: 001 Pixels @ 021,047*/ 1, 0x88,
  /* RLE: 011 Pixels @ 022,047*/ 11, 0x01,
  /* RLE: 001 Pixels @ 033,047*/ 1, 0x7A,
  /* RLE: 006 Pixels @ 034,047*/ 6, 0x03,
  /* RLE: 001 Pixels @ 040,047*/ 1, 0x27,
  /* RLE: 010 Pixels @ 041,047*/ 10, 0x01,
  /* ABS: 003 Pixels @ 051,047*/ 0, 3, 0x3F, 0x9F, 0x14,
  /* RLE: 137 Pixels @ 054,047*/ 137, 0x03,
  /* ABS: 002 Pixels @ 191,047*/ 0, 2, 0x2F, 0x58,
  /* RLE: 006 Pixels @ 193,047*/ 6, 0x01,
  /* RLE: 001 Pixels @ 199,047*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,047*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,048*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,048*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,048*/ 1, 0x09,
  /* RLE: 009 Pixels @ 012,048*/ 9, 0x03,
  /* ABS: 002 Pixels @ 021,048*/ 0, 2, 0x37, 0x32,
  /* RLE: 010 Pixels @ 023,048*/ 10, 0x01,
  /* ABS: 002 Pixels @ 033,048*/ 0, 2, 0x33, 0x2E,
  /* RLE: 006 Pixels @ 035,048*/ 6, 0x03,
  /* RLE: 001 Pixels @ 041,048*/ 1, 0x38,
  /* RLE: 011 Pixels @ 042,048*/ 11, 0x01,
  /* RLE: 001 Pixels @ 053,048*/ 1, 0x33,
  /* RLE: 136 Pixels @ 054,048*/ 136, 0x05,
  /* RLE: 001 Pixels @ 190,048*/ 1, 0x29,
  /* RLE: 008 Pixels @ 191,048*/ 8, 0x01,
  /* RLE: 001 Pixels @ 199,048*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,048*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,049*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,049*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,049*/ 1, 0x09,
  /* RLE: 010 Pixels @ 012,049*/ 10, 0x03,
  /* ABS: 002 Pixels @ 022,049*/ 0, 2, 0xBE, 0x2C,
  /* RLE: 010 Pixels @ 024,049*/ 10, 0x01,
  /* ABS: 002 Pixels @ 034,049*/ 0, 2, 0x8C, 0x20,
  /* RLE: 005 Pixels @ 036,049*/ 5, 0x03,
  /* ABS: 002 Pixels @ 041,049*/ 0, 2, 0x14, 0x31,
  /* RLE: 156 Pixels @ 043,049*/ 156, 0x01,
  /* RLE: 001 Pixels @ 199,049*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,049*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,050*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,050*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,050*/ 1, 0x09,
  /* RLE: 011 Pixels @ 012,050*/ 11, 0x03,
  /* RLE: 001 Pixels @ 023,050*/ 1, 0x84,
  /* RLE: 011 Pixels @ 024,050*/ 11, 0x01,
  /* RLE: 001 Pixels @ 035,050*/ 1, 0x63,
  /* RLE: 006 Pixels @ 036,050*/ 6, 0x03,
  /* RLE: 001 Pixels @ 042,050*/ 1, 0x23,
  /* RLE: 156 Pixels @ 043,050*/ 156, 0x01,
  /* RLE: 001 Pixels @ 199,050*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,050*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,051*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,051*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,051*/ 1, 0x09,
  /* RLE: 012 Pixels @ 012,051*/ 12, 0x03,
  /* RLE: 001 Pixels @ 024,051*/ 1, 0x43,
  /* RLE: 011 Pixels @ 025,051*/ 11, 0x01,
  /* RLE: 001 Pixels @ 036,051*/ 1, 0x9C,
  /* RLE: 006 Pixels @ 037,051*/ 6, 0x03,
  /* RLE: 001 Pixels @ 043,051*/ 1, 0x1B,
  /* RLE: 155 Pixels @ 044,051*/ 155, 0x01,
  /* RLE: 001 Pixels @ 199,051*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,051*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,052*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,052*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,052*/ 1, 0x09,
  /* RLE: 011 Pixels @ 012,052*/ 11, 0x03,
  /* RLE: 001 Pixels @ 023,052*/ 1, 0x84,
  /* RLE: 011 Pixels @ 024,052*/ 11, 0x01,
  /* RLE: 001 Pixels @ 035,052*/ 1, 0x64,
  /* RLE: 006 Pixels @ 036,052*/ 6, 0x03,
  /* RLE: 001 Pixels @ 042,052*/ 1, 0x23,
  /* RLE: 156 Pixels @ 043,052*/ 156, 0x01,
  /* RLE: 001 Pixels @ 199,052*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,052*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,053*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,053*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,053*/ 1, 0x09,
  /* RLE: 010 Pixels @ 012,053*/ 10, 0x03,
  /* ABS: 002 Pixels @ 022,053*/ 0, 2, 0xBE, 0x2C,
  /* RLE: 010 Pixels @ 024,053*/ 10, 0x01,
  /* ABS: 002 Pixels @ 034,053*/ 0, 2, 0x8C, 0x41,
  /* RLE: 005 Pixels @ 036,053*/ 5, 0x03,
  /* ABS: 002 Pixels @ 041,053*/ 0, 2, 0x14, 0x31,
  /* RLE: 156 Pixels @ 043,053*/ 156, 0x01,
  /* RLE: 001 Pixels @ 199,053*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,053*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,054*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,054*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,054*/ 1, 0x09,
  /* RLE: 009 Pixels @ 012,054*/ 9, 0x03,
  /* ABS: 002 Pixels @ 021,054*/ 0, 2, 0x37, 0x32,
  /* RLE: 010 Pixels @ 023,054*/ 10, 0x01,
  /* ABS: 002 Pixels @ 033,054*/ 0, 2, 0x46, 0x2E,
  /* RLE: 006 Pixels @ 035,054*/ 6, 0x03,
  /* RLE: 001 Pixels @ 041,054*/ 1, 0x38,
  /* RLE: 011 Pixels @ 042,054*/ 11, 0x01,
  /* RLE: 001 Pixels @ 053,054*/ 1, 0x33,
  /* RLE: 136 Pixels @ 054,054*/ 136, 0x05,
  /* RLE: 001 Pixels @ 190,054*/ 1, 0x29,
  /* RLE: 008 Pixels @ 191,054*/ 8, 0x01,
  /* RLE: 001 Pixels @ 199,054*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,054*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,055*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,055*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,055*/ 1, 0x09,
  /* RLE: 009 Pixels @ 012,055*/ 9, 0x03,
  /* RLE: 001 Pixels @ 021,055*/ 1, 0x88,
  /* RLE: 011 Pixels @ 022,055*/ 11, 0x01,
  /* RLE: 001 Pixels @ 033,055*/ 1, 0x7B,
  /* RLE: 006 Pixels @ 034,055*/ 6, 0x03,
  /* ABS: 002 Pixels @ 040,055*/ 0, 2, 0x27, 0x11,
  /* RLE: 009 Pixels @ 042,055*/ 9, 0x01,
  /* ABS: 003 Pixels @ 051,055*/ 0, 3, 0x3F, 0x9F, 0x14,
  /* RLE: 137 Pixels @ 054,055*/ 137, 0x03,
  /* ABS: 002 Pixels @ 191,055*/ 0, 2, 0x2F, 0x58,
  /* RLE: 006 Pixels @ 193,055*/ 6, 0x01,
  /* RLE: 001 Pixels @ 199,055*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,055*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,056*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,056*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,056*/ 1, 0x09,
  /* RLE: 008 Pixels @ 012,056*/ 8, 0x03,
  /* RLE: 001 Pixels @ 020,056*/ 1, 0xCD,
  /* RLE: 011 Pixels @ 021,056*/ 11, 0x01,
  /* RLE: 001 Pixels @ 032,056*/ 1, 0x09,
  /* RLE: 006 Pixels @ 033,056*/ 6, 0x03,
  /* ABS: 002 Pixels @ 039,056*/ 0, 2, 0x26, 0x3E,
  /* RLE: 010 Pixels @ 041,056*/ 10, 0x01,
  /* RLE: 001 Pixels @ 051,056*/ 1, 0xA0,
  /* RLE: 140 Pixels @ 052,056*/ 140, 0x03,
  /* RLE: 001 Pixels @ 192,056*/ 1, 0x9D,
  /* RLE: 006 Pixels @ 193,056*/ 6, 0x01,
  /* RLE: 001 Pixels @ 199,056*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,056*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,057*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,057*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,057*/ 1, 0x09,
  /* RLE: 007 Pixels @ 012,057*/ 7, 0x03,
  /* ABS: 002 Pixels @ 019,057*/ 0, 2, 0xBF, 0x2C,
  /* RLE: 010 Pixels @ 021,057*/ 10, 0x01,
  /* ABS: 002 Pixels @ 031,057*/ 0, 2, 0x56, 0x20,
  /* RLE: 005 Pixels @ 033,057*/ 5, 0x03,
  /* ABS: 002 Pixels @ 038,057*/ 0, 2, 0x14, 0x3C,
  /* RLE: 010 Pixels @ 040,057*/ 10, 0x01,
  /* RLE: 001 Pixels @ 050,057*/ 1, 0x64,
  /* RLE: 142 Pixels @ 051,057*/ 142, 0x03,
  /* RLE: 001 Pixels @ 193,057*/ 1, 0x43,
  /* RLE: 005 Pixels @ 194,057*/ 5, 0x01,
  /* RLE: 001 Pixels @ 199,057*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,057*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,058*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,058*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,058*/ 1, 0x09,
  /* RLE: 006 Pixels @ 012,058*/ 6, 0x03,
  /* ABS: 002 Pixels @ 018,058*/ 0, 2, 0x4E, 0x29,
  /* RLE: 010 Pixels @ 020,058*/ 10, 0x01,
  /* ABS: 002 Pixels @ 030,058*/ 0, 2, 0x33, 0x21,
  /* RLE: 006 Pixels @ 032,058*/ 6, 0x03,
  /* RLE: 001 Pixels @ 038,058*/ 1, 0x39,
  /* RLE: 010 Pixels @ 039,058*/ 10, 0x01,
  /* ABS: 002 Pixels @ 049,058*/ 0, 2, 0x56, 0x20,
  /* RLE: 141 Pixels @ 051,058*/ 141, 0x03,
  /* ABS: 002 Pixels @ 192,058*/ 0, 2, 0x14, 0x3E,
  /* RLE: 005 Pixels @ 194,058*/ 5, 0x01,
  /* RLE: 001 Pixels @ 199,058*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,058*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,059*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,059*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,059*/ 1, 0x09,
  /* RLE: 005 Pixels @ 012,059*/ 5, 0x03,
  /* ABS: 002 Pixels @ 017,059*/ 0, 2, 0x14, 0x31,
  /* RLE: 011 Pixels @ 019,059*/ 11, 0x01,
  /* RLE: 001 Pixels @ 030,059*/ 1, 0x28,
  /* RLE: 006 Pixels @ 031,059*/ 6, 0x03,
  /* RLE: 001 Pixels @ 037,059*/ 1, 0x28,
  /* RLE: 010 Pixels @ 038,059*/ 10, 0x01,
  /* ABS: 002 Pixels @ 048,059*/ 0, 2, 0x45, 0x21,
  /* RLE: 142 Pixels @ 050,059*/ 142, 0x03,
  /* RLE: 001 Pixels @ 192,059*/ 1, 0xC0,
  /* RLE: 006 Pixels @ 193,059*/ 6, 0x01,
  /* RLE: 001 Pixels @ 199,059*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,059*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,060*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,060*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,060*/ 1, 0x09,
  /* RLE: 005 Pixels @ 012,060*/ 5, 0x03,
  /* RLE: 001 Pixels @ 017,060*/ 1, 0x38,
  /* RLE: 011 Pixels @ 018,060*/ 11, 0x01,
  /* RLE: 001 Pixels @ 029,060*/ 1, 0x85,
  /* RLE: 006 Pixels @ 030,060*/ 6, 0x03,
  /* ABS: 002 Pixels @ 036,060*/ 0, 2, 0x21, 0x45,
  /* RLE: 009 Pixels @ 038,060*/ 9, 0x01,
  /* ABS: 002 Pixels @ 047,060*/ 0, 2, 0x11, 0x27,
  /* RLE: 006 Pixels @ 049,060*/ 6, 0x03,
  /* RLE: 001 Pixels @ 055,060*/ 1, 0xEB,
  /* RLE: 134 Pixels @ 056,060*/ 134, 0xBF,
  /* ABS: 003 Pixels @ 190,060*/ 0, 3, 0x27, 0x86, 0x2C,
  /* RLE: 006 Pixels @ 193,060*/ 6, 0x01,
  /* RLE: 001 Pixels @ 199,060*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,060*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,061*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,061*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,061*/ 1, 0x09,
  /* RLE: 004 Pixels @ 012,061*/ 4, 0x03,
  /* ABS: 002 Pixels @ 016,061*/ 0, 2, 0x27, 0x11,
  /* RLE: 010 Pixels @ 018,061*/ 10, 0x01,
  /* ABS: 002 Pixels @ 028,061*/ 0, 2, 0x3C, 0x14,
  /* RLE: 005 Pixels @ 030,061*/ 5, 0x03,
  /* ABS: 002 Pixels @ 035,061*/ 0, 2, 0x20, 0x55,
  /* RLE: 010 Pixels @ 037,061*/ 10, 0x01,
  /* RLE: 001 Pixels @ 047,061*/ 1, 0xCF,
  /* RLE: 006 Pixels @ 048,061*/ 6, 0x03,
  /* ABS: 002 Pixels @ 054,061*/ 0, 2, 0x26, 0x8E,
  /* RLE: 143 Pixels @ 056,061*/ 143, 0x01,
  /* RLE: 001 Pixels @ 199,061*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,061*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,062*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,062*/ 4, 0x01,
  /* ABS: 006 Pixels @ 011,062*/ 0, 6, 0x09, 0x03, 0x03, 0x03, 0x26, 0x8E,
  /* RLE: 010 Pixels @ 017,062*/ 10, 0x01,
  /* ABS: 002 Pixels @ 027,062*/ 0, 2, 0x3E, 0x26,
  /* RLE: 006 Pixels @ 029,062*/ 6, 0x03,
  /* RLE: 001 Pixels @ 035,062*/ 1, 0x86,
  /* RLE: 010 Pixels @ 036,062*/ 10, 0x01,
  /* RLE: 001 Pixels @ 046,062*/ 1, 0x88,
  /* RLE: 006 Pixels @ 047,062*/ 6, 0x03,
  /* ABS: 002 Pixels @ 053,062*/ 0, 2, 0x20, 0x55,
  /* RLE: 144 Pixels @ 055,062*/ 144, 0x01,
  /* RLE: 001 Pixels @ 199,062*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,062*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,063*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,063*/ 4, 0x01,
  /* ABS: 005 Pixels @ 011,063*/ 0, 5, 0x09, 0x03, 0x03, 0x14, 0x3C,
  /* RLE: 011 Pixels @ 016,063*/ 11, 0x01,
  /* RLE: 001 Pixels @ 027,063*/ 1, 0x27,
  /* RLE: 006 Pixels @ 028,063*/ 6, 0x03,
  /* RLE: 001 Pixels @ 034,063*/ 1, 0x7A,
  /* RLE: 010 Pixels @ 035,063*/ 10, 0x01,
  /* ABS: 002 Pixels @ 045,063*/ 0, 2, 0x05, 0x37,
  /* RLE: 006 Pixels @ 047,063*/ 6, 0x03,
  /* RLE: 001 Pixels @ 053,063*/ 1, 0x09,
  /* RLE: 145 Pixels @ 054,063*/ 145, 0x01,
  /* RLE: 001 Pixels @ 199,063*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,063*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,064*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,064*/ 4, 0x01,
  /* ABS: 004 Pixels @ 011,064*/ 0, 4, 0x09, 0x03, 0x03, 0x39,
  /* RLE: 011 Pixels @ 015,064*/ 11, 0x01,
  /* RLE: 001 Pixels @ 026,064*/ 1, 0x38,
  /* RLE: 006 Pixels @ 027,064*/ 6, 0x03,
  /* ABS: 002 Pixels @ 033,064*/ 0, 2, 0xEB, 0x33,
  /* RLE: 009 Pixels @ 035,064*/ 9, 0x01,
  /* ABS: 002 Pixels @ 044,064*/ 0, 2, 0x3F, 0x2F,
  /* RLE: 006 Pixels @ 046,064*/ 6, 0x03,
  /* RLE: 001 Pixels @ 052,064*/ 1, 0x7C,
  /* RLE: 146 Pixels @ 053,064*/ 146, 0x01,
  /* RLE: 001 Pixels @ 199,064*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,064*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,065*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,065*/ 4, 0x01,
  /* ABS: 003 Pixels @ 011,065*/ 0, 3, 0x09, 0x03, 0x28,
  /* RLE: 011 Pixels @ 014,065*/ 11, 0x01,
  /* ABS: 002 Pixels @ 025,065*/ 0, 2, 0x31, 0x14,
  /* RLE: 005 Pixels @ 027,065*/ 5, 0x03,
  /* ABS: 002 Pixels @ 032,065*/ 0, 2, 0x20, 0x8C,
  /* RLE: 010 Pixels @ 034,065*/ 10, 0x01,
  /* RLE: 001 Pixels @ 044,065*/ 1, 0x7D,
  /* RLE: 006 Pixels @ 045,065*/ 6, 0x03,
  /* ABS: 002 Pixels @ 051,065*/ 0, 2, 0x9D, 0x8F,
  /* RLE: 146 Pixels @ 053,065*/ 146, 0x01,
  /* RLE: 001 Pixels @ 199,065*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,065*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,066*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,066*/ 4, 0x01,
  /* ABS: 003 Pixels @ 011,066*/ 0, 3, 0x09, 0x21, 0x45,
  /* RLE: 010 Pixels @ 014,066*/ 10, 0x01,
  /* ABS: 002 Pixels @ 024,066*/ 0, 2, 0x29, 0x4E,
  /* RLE: 006 Pixels @ 026,066*/ 6, 0x03,
  /* RLE: 001 Pixels @ 032,066*/ 1, 0x63,
  /* RLE: 010 Pixels @ 033,066*/ 10, 0x01,
  /* RLE: 001 Pixels @ 043,066*/ 1, 0x65,
  /* RLE: 006 Pixels @ 044,066*/ 6, 0x03,
  /* ABS: 002 Pixels @ 050,066*/ 0, 2, 0x4D, 0x8D,
  /* RLE: 147 Pixels @ 052,066*/ 147, 0x01,
  /* RLE: 001 Pixels @ 199,066*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,066*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,067*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,067*/ 4, 0x01,
  /* ABS: 002 Pixels @ 011,067*/ 0, 2, 0x63, 0x55,
  /* RLE: 010 Pixels @ 013,067*/ 10, 0x01,
  /* ABS: 002 Pixels @ 023,067*/ 0, 2, 0x2C, 0xBF,
  /* RLE: 006 Pixels @ 025,067*/ 6, 0x03,
  /* RLE: 001 Pixels @ 031,067*/ 1, 0x7C,
  /* RLE: 010 Pixels @ 032,067*/ 10, 0x01,
  /* ABS: 002 Pixels @ 042,067*/ 0, 2, 0x8C, 0x41,
  /* RLE: 006 Pixels @ 044,067*/ 6, 0x03,
  /* RLE: 001 Pixels @ 050,067*/ 1, 0x87,
  /* RLE: 148 Pixels @ 051,067*/ 148, 0x01,
  /* RLE: 001 Pixels @ 199,067*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,067*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,068*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,068*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,068*/ 1, 0x8F,
  /* RLE: 011 Pixels @ 012,068*/ 11, 0x01,
  /* RLE: 001 Pixels @ 023,068*/ 1, 0xCE,
  /* RLE: 006 Pixels @ 024,068*/ 6, 0x03,
  /* ABS: 002 Pixels @ 030,068*/ 0, 2, 0x2E, 0xAD,
  /* RLE: 009 Pixels @ 032,068*/ 9, 0x01,
  /* ABS: 002 Pixels @ 041,068*/ 0, 2, 0x33, 0x21,
  /* RLE: 006 Pixels @ 043,068*/ 6, 0x03,
  /* RLE: 001 Pixels @ 049,068*/ 1, 0x84,
  /* RLE: 010 Pixels @ 050,068*/ 10, 0x01,
  /* ABS: 009 Pixels @ 060,068*/ 0, 9, 0xF9, 0x81, 0x7F, 0x9B, 0x4B, 0x4C, 0x50, 0xCA, 0x3B,
  /* RLE: 011 Pixels @ 069,068*/ 11, 0x01,
  /* RLE: 001 Pixels @ 080,068*/ 1, 0x07,
  /* RLE: 012 Pixels @ 081,068*/ 12, 0x08,
  /* RLE: 001 Pixels @ 093,068*/ 1, 0x07,
  /* RLE: 011 Pixels @ 094,068*/ 11, 0x01,
  /* ABS: 009 Pixels @ 105,068*/ 0, 9, 0x44, 0xA9, 0x80, 0x9B, 0x4B, 0x75, 0xA3, 0x51, 0x3B,
  /* RLE: 016 Pixels @ 114,068*/ 16, 0x01,
  /* ABS: 010 Pixels @ 130,068*/ 0, 10, 0x2B, 0x16, 0xA5, 0xBA, 0x74, 0x74, 0x0A, 0xF1, 0x54, 0xFE,
  /* RLE: 012 Pixels @ 140,068*/ 12, 0x01,
  /* RLE: 001 Pixels @ 152,068*/ 1, 0x3D,
  /* RLE: 012 Pixels @ 153,068*/ 12, 0x08,
  /* RLE: 001 Pixels @ 165,068*/ 1, 0x1F,
  /* RLE: 007 Pixels @ 166,068*/ 7, 0x01,
  /* RLE: 001 Pixels @ 173,068*/ 1, 0x44,
  /* RLE: 009 Pixels @ 174,068*/ 9, 0x08,
  /* ABS: 002 Pixels @ 183,068*/ 0, 2, 0xFA, 0xDA,
  /* RLE: 014 Pixels @ 185,068*/ 14, 0x01,
  /* RLE: 001 Pixels @ 199,068*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,068*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,069*/ 1, 0x07,
  /* RLE: 015 Pixels @ 007,069*/ 15, 0x01,
  /* RLE: 001 Pixels @ 022,069*/ 1, 0x89,
  /* RLE: 006 Pixels @ 023,069*/ 6, 0x03,
  /* ABS: 002 Pixels @ 029,069*/ 0, 2, 0x41, 0xAC,
  /* RLE: 010 Pixels @ 031,069*/ 10, 0x01,
  /* RLE: 001 Pixels @ 041,069*/ 1, 0x28,
  /* RLE: 006 Pixels @ 042,069*/ 6, 0x03,
  /* ABS: 002 Pixels @ 048,069*/ 0, 2, 0xBF, 0x2C,
  /* RLE: 008 Pixels @ 050,069*/ 8, 0x01,
  /* ABS: 002 Pixels @ 058,069*/ 0, 2, 0x62, 0x92,
  /* RLE: 009 Pixels @ 060,069*/ 9, 0x02,
  /* ABS: 003 Pixels @ 069,069*/ 0, 3, 0xE0, 0xC9, 0xFF,
  /* RLE: 006 Pixels @ 072,069*/ 6, 0x01,
  /* ABS: 002 Pixels @ 078,069*/ 0, 2, 0x8B, 0x10,
  /* RLE: 014 Pixels @ 080,069*/ 14, 0x02,
  /* ABS: 002 Pixels @ 094,069*/ 0, 2, 0x49, 0xD7,
  /* RLE: 007 Pixels @ 096,069*/ 7, 0x01,
  /* ABS: 003 Pixels @ 103,069*/ 0, 3, 0xAB, 0xB7, 0x0F,
  /* RLE: 008 Pixels @ 106,069*/ 8, 0x02,
  /* ABS: 003 Pixels @ 114,069*/ 0, 3, 0x22, 0xEE, 0x1F,
  /* RLE: 011 Pixels @ 117,069*/ 11, 0x01,
  /* ABS: 003 Pixels @ 128,069*/ 0, 3, 0x08, 0x75, 0x0D,
  /* RLE: 008 Pixels @ 131,069*/ 8, 0x02,
  /* ABS: 003 Pixels @ 139,069*/ 0, 3, 0xDC, 0x99, 0xF8,
  /* RLE: 008 Pixels @ 142,069*/ 8, 0x01,
  /* ABS: 002 Pixels @ 150,069*/ 0, 2, 0x16, 0x25,
  /* RLE: 014 Pixels @ 152,069*/ 14, 0x02,
  /* ABS: 007 Pixels @ 166,069*/ 0, 7, 0x95, 0x0B, 0x01, 0x01, 0x01, 0xFA, 0x1C,
  /* RLE: 012 Pixels @ 173,069*/ 12, 0x02,
  /* ABS: 003 Pixels @ 185,069*/ 0, 3, 0xB2, 0x99, 0x54,
  /* RLE: 011 Pixels @ 188,069*/ 11, 0x01,
  /* RLE: 001 Pixels @ 199,069*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,069*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,070*/ 1, 0x07,
  /* RLE: 014 Pixels @ 007,070*/ 14, 0x01,
  /* ABS: 002 Pixels @ 021,070*/ 0, 2, 0xFC, 0x78,
  /* RLE: 006 Pixels @ 023,070*/ 6, 0x03,
  /* RLE: 001 Pixels @ 029,070*/ 1, 0xF3,
  /* RLE: 010 Pixels @ 030,070*/ 10, 0x01,
  /* RLE: 001 Pixels @ 040,070*/ 1, 0x38,
  /* RLE: 006 Pixels @ 041,070*/ 6, 0x03,
  /* ABS: 002 Pixels @ 047,070*/ 0, 2, 0x26, 0x29,
  /* RLE: 008 Pixels @ 049,070*/ 8, 0x01,
  /* RLE: 001 Pixels @ 057,070*/ 1, 0xB9,
  /* RLE: 013 Pixels @ 058,070*/ 13, 0x02,
  /* ABS: 002 Pixels @ 071,070*/ 0, 2, 0x73, 0x1F,
  /* RLE: 005 Pixels @ 073,070*/ 5, 0x01,
  /* RLE: 001 Pixels @ 078,070*/ 1, 0x4C,
  /* RLE: 016 Pixels @ 079,070*/ 16, 0x02,
  /* RLE: 001 Pixels @ 095,070*/ 1, 0xA4,
  /* RLE: 005 Pixels @ 096,070*/ 5, 0x01,
  /* ABS: 002 Pixels @ 101,070*/ 0, 2, 0x04, 0x4A,
  /* RLE: 013 Pixels @ 103,070*/ 13, 0x02,
  /* ABS: 002 Pixels @ 116,070*/ 0, 2, 0x71, 0xA9,
  /* RLE: 009 Pixels @ 118,070*/ 9, 0x01,
  /* ABS: 002 Pixels @ 127,070*/ 0, 2, 0x30, 0xB0,
  /* RLE: 012 Pixels @ 129,070*/ 12, 0x02,
  /* ABS: 003 Pixels @ 141,070*/ 0, 3, 0x0F, 0xA2, 0xFF,
  /* RLE: 006 Pixels @ 144,070*/ 6, 0x01,
  /* RLE: 001 Pixels @ 150,070*/ 1, 0x73,
  /* RLE: 016 Pixels @ 151,070*/ 16, 0x02,
  /* ABS: 005 Pixels @ 167,070*/ 0, 5, 0xCB, 0x01, 0x01, 0x01, 0x24,
  /* RLE: 016 Pixels @ 172,070*/ 16, 0x02,
  /* RLE: 001 Pixels @ 188,070*/ 1, 0x75,
  /* RLE: 010 Pixels @ 189,070*/ 10, 0x01,
  /* RLE: 001 Pixels @ 199,070*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,070*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,071*/ 1, 0x07,
  /* RLE: 013 Pixels @ 007,071*/ 13, 0x01,
  /* ABS: 002 Pixels @ 020,071*/ 0, 2, 0x2C, 0xBE,
  /* RLE: 006 Pixels @ 022,071*/ 6, 0x03,
  /* RLE: 001 Pixels @ 028,071*/ 1, 0xEC,
  /* RLE: 010 Pixels @ 029,071*/ 10, 0x01,
  /* ABS: 002 Pixels @ 039,071*/ 0, 2, 0x89, 0x14,
  /* RLE: 005 Pixels @ 041,071*/ 5, 0x03,
  /* ABS: 002 Pixels @ 046,071*/ 0, 2, 0x14, 0x3C,
  /* RLE: 008 Pixels @ 048,071*/ 8, 0x01,
  /* RLE: 001 Pixels @ 056,071*/ 1, 0xF0,
  /* RLE: 005 Pixels @ 057,071*/ 5, 0x02,
  /* ABS: 005 Pixels @ 062,071*/ 0, 5, 0x10, 0xE7, 0x4A, 0x96, 0x59,
  /* RLE: 005 Pixels @ 067,071*/ 5, 0x02,
  /* RLE: 001 Pixels @ 072,071*/ 1, 0xE4,
  /* RLE: 005 Pixels @ 073,071*/ 5, 0x01,
  /* RLE: 001 Pixels @ 078,071*/ 1, 0xB5,
  /* RLE: 015 Pixels @ 079,071*/ 15, 0x02,
  /* ABS: 002 Pixels @ 094,071*/ 0, 2, 0x0D, 0x3A,
  /* RLE: 004 Pixels @ 096,071*/ 4, 0x01,
  /* ABS: 002 Pixels @ 100,071*/ 0, 2, 0x0B, 0x5C,
  /* RLE: 006 Pixels @ 102,071*/ 6, 0x02,
  /* ABS: 004 Pixels @ 108,071*/ 0, 4, 0x35, 0x49, 0xDF, 0x1D,
  /* RLE: 005 Pixels @ 112,071*/ 5, 0x02,
  /* ABS: 002 Pixels @ 117,071*/ 0, 2, 0x0F, 0x61,
  /* RLE: 007 Pixels @ 119,071*/ 7, 0x01,
  /* RLE: 001 Pixels @ 126,071*/ 1, 0xA2,
  /* RLE: 006 Pixels @ 127,071*/ 6, 0x02,
  /* ABS: 004 Pixels @ 133,071*/ 0, 4, 0x13, 0x10, 0xE0, 0xDC,
  /* RLE: 006 Pixels @ 137,071*/ 6, 0x02,
  /* RLE: 001 Pixels @ 143,071*/ 1, 0x4B,
  /* RLE: 006 Pixels @ 144,071*/ 6, 0x01,
  /* RLE: 001 Pixels @ 150,071*/ 1, 0x71,
  /* RLE: 015 Pixels @ 151,071*/ 15, 0x02,
  /* ABS: 006 Pixels @ 166,071*/ 0, 6, 0xDE, 0x3D, 0x01, 0x01, 0x01, 0x98,
  /* RLE: 017 Pixels @ 172,071*/ 17, 0x02,
  /* RLE: 001 Pixels @ 189,071*/ 1, 0xA5,
  /* RLE: 009 Pixels @ 190,071*/ 9, 0x01,
  /* RLE: 001 Pixels @ 199,071*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,071*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,072*/ 1, 0x07,
  /* RLE: 013 Pixels @ 007,072*/ 13, 0x01,
  /* RLE: 001 Pixels @ 020,072*/ 1, 0x84,
  /* RLE: 006 Pixels @ 021,072*/ 6, 0x03,
  /* ABS: 002 Pixels @ 027,072*/ 0, 2, 0x23, 0x90,
  /* RLE: 009 Pixels @ 029,072*/ 9, 0x01,
  /* ABS: 002 Pixels @ 038,072*/ 0, 2, 0x05, 0x37,
  /* RLE: 006 Pixels @ 040,072*/ 6, 0x03,
  /* RLE: 001 Pixels @ 046,072*/ 1, 0x86,
  /* RLE: 008 Pixels @ 047,072*/ 8, 0x01,
  /* ABS: 007 Pixels @ 055,072*/ 0, 7, 0x1A, 0x25, 0x02, 0x02, 0x02, 0xB1, 0x16,
  /* RLE: 005 Pixels @ 062,072*/ 5, 0x01,
  /* ABS: 002 Pixels @ 067,072*/ 0, 2, 0x83, 0x0D,
  /* RLE: 004 Pixels @ 069,072*/ 4, 0x02,
  /* RLE: 001 Pixels @ 073,072*/ 1, 0xF8,
  /* RLE: 004 Pixels @ 074,072*/ 4, 0x01,
  /* ABS: 005 Pixels @ 078,072*/ 0, 5, 0x1E, 0x02, 0x02, 0x02, 0x1D,
  /* RLE: 010 Pixels @ 083,072*/ 10, 0x15,
  /* ABS: 002 Pixels @ 093,072*/ 0, 2, 0xF6, 0xD9,
  /* RLE: 005 Pixels @ 095,072*/ 5, 0x01,
  /* RLE: 001 Pixels @ 100,072*/ 1, 0x97,
  /* RLE: 004 Pixels @ 101,072*/ 4, 0x02,
  /* ABS: 009 Pixels @ 105,072*/ 0, 9, 0x0F, 0x74, 0x3B, 0x01, 0x01, 0x01, 0x0B, 0x60, 0x35,
  /* RLE: 004 Pixels @ 114,072*/ 4, 0x02,
  /* RLE: 001 Pixels @ 118,072*/ 1, 0x5A,
  /* RLE: 006 Pixels @ 119,072*/ 6, 0x01,
  /* RLE: 001 Pixels @ 125,072*/ 1, 0xCA,
  /* RLE: 005 Pixels @ 126,072*/ 5, 0x02,
  /* ABS: 008 Pixels @ 131,072*/ 0, 8, 0x5C, 0x52, 0x19, 0x01, 0x01, 0xFF, 0x52, 0x1C,
  /* RLE: 005 Pixels @ 139,072*/ 5, 0x02,
  /* RLE: 001 Pixels @ 144,072*/ 1, 0x3B,
  /* RLE: 005 Pixels @ 145,072*/ 5, 0x01,
  /* ABS: 005 Pixels @ 150,072*/ 0, 5, 0x0D, 0x02, 0x02, 0x02, 0xDF,
  /* RLE: 010 Pixels @ 155,072*/ 10, 0x15,
  /* ABS: 002 Pixels @ 165,072*/ 0, 2, 0x42, 0x2B,
  /* RLE: 004 Pixels @ 167,072*/ 4, 0x01,
  /* RLE: 001 Pixels @ 171,072*/ 1, 0x18,
  /* RLE: 004 Pixels @ 172,072*/ 4, 0x02,
  /* RLE: 001 Pixels @ 176,072*/ 1, 0xF2,
  /* RLE: 005 Pixels @ 177,072*/ 5, 0x16,
  /* ABS: 003 Pixels @ 182,072*/ 0, 3, 0x15, 0xA7, 0xDF,
  /* RLE: 004 Pixels @ 185,072*/ 4, 0x02,
  /* RLE: 001 Pixels @ 189,072*/ 1, 0xDE,
  /* RLE: 009 Pixels @ 190,072*/ 9, 0x01,
  /* RLE: 001 Pixels @ 199,072*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,072*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,073*/ 1, 0x07,
  /* RLE: 012 Pixels @ 007,073*/ 12, 0x01,
  /* RLE: 001 Pixels @ 019,073*/ 1, 0xD3,
  /* RLE: 006 Pixels @ 020,073*/ 6, 0x03,
  /* ABS: 002 Pixels @ 026,073*/ 0, 2, 0x36, 0x68,
  /* RLE: 009 Pixels @ 028,073*/ 9, 0x01,
  /* ABS: 002 Pixels @ 037,073*/ 0, 2, 0x6A, 0x9E,
  /* RLE: 006 Pixels @ 039,073*/ 6, 0x03,
  /* RLE: 001 Pixels @ 045,073*/ 1, 0x7B,
  /* RLE: 009 Pixels @ 046,073*/ 9, 0x01,
  /* RLE: 001 Pixels @ 055,073*/ 1, 0x8B,
  /* RLE: 004 Pixels @ 056,073*/ 4, 0x02,
  /* RLE: 001 Pixels @ 060,073*/ 1, 0x24,
  /* RLE: 007 Pixels @ 061,073*/ 7, 0x01,
  /* ABS: 006 Pixels @ 068,073*/ 0, 6, 0x54, 0x0D, 0x02, 0x02, 0x1D, 0x69,
  /* RLE: 004 Pixels @ 074,073*/ 4, 0x01,
  /* ABS: 005 Pixels @ 078,073*/ 0, 5, 0x1E, 0x02, 0x02, 0x02, 0x1D,
  /* RLE: 016 Pixels @ 083,073*/ 16, 0x01,
  /* RLE: 001 Pixels @ 099,073*/ 1, 0xAA,
  /* RLE: 004 Pixels @ 100,073*/ 4, 0x02,
  /* ABS: 002 Pixels @ 104,073*/ 0, 2, 0x0F, 0x82,
  /* RLE: 007 Pixels @ 106,073*/ 7, 0x01,
  /* ABS: 006 Pixels @ 113,073*/ 0, 6, 0x0E, 0x22, 0x02, 0x02, 0x02, 0x35,
  /* RLE: 005 Pixels @ 119,073*/ 5, 0x01,
  /* ABS: 002 Pixels @ 124,073*/ 0, 2, 0x44, 0x0D,
  /* RLE: 004 Pixels @ 126,073*/ 4, 0x02,
  /* ABS: 002 Pixels @ 130,073*/ 0, 2, 0x74, 0xFF,
  /* RLE: 006 Pixels @ 132,073*/ 6, 0x01,
  /* ABS: 002 Pixels @ 138,073*/ 0, 2, 0x2B, 0x40,
  /* RLE: 004 Pixels @ 140,073*/ 4, 0x02,
  /* RLE: 001 Pixels @ 144,073*/ 1, 0x42,
  /* RLE: 005 Pixels @ 145,073*/ 5, 0x01,
  /* ABS: 005 Pixels @ 150,073*/ 0, 5, 0x0D, 0x02, 0x02, 0x02, 0x1C,
  /* RLE: 016 Pixels @ 155,073*/ 16, 0x01,
  /* RLE: 001 Pixels @ 171,073*/ 1, 0x18,
  /* RLE: 004 Pixels @ 172,073*/ 4, 0x02,
  /* RLE: 001 Pixels @ 176,073*/ 1, 0xD7,
  /* RLE: 007 Pixels @ 177,073*/ 7, 0x01,
  /* ABS: 002 Pixels @ 184,073*/ 0, 2, 0x1F, 0x2D,
  /* RLE: 004 Pixels @ 186,073*/ 4, 0x02,
  /* RLE: 001 Pixels @ 190,073*/ 1, 0x08,
  /* RLE: 008 Pixels @ 191,073*/ 8, 0x01,
  /* RLE: 001 Pixels @ 199,073*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,073*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,074*/ 1, 0x07,
  /* RLE: 011 Pixels @ 007,074*/ 11, 0x01,
  /* ABS: 002 Pixels @ 018,074*/ 0, 2, 0x05, 0xBC,
  /* RLE: 006 Pixels @ 020,074*/ 6, 0x03,
  /* RLE: 001 Pixels @ 026,074*/ 1, 0xF4,
  /* RLE: 010 Pixels @ 027,074*/ 10, 0x01,
  /* RLE: 001 Pixels @ 037,074*/ 1, 0x5D,
  /* RLE: 006 Pixels @ 038,074*/ 6, 0x03,
  /* ABS: 002 Pixels @ 044,074*/ 0, 2, 0x9C, 0xAD,
  /* RLE: 009 Pixels @ 046,074*/ 9, 0x01,
  /* RLE: 001 Pixels @ 055,074*/ 1, 0x8A,
  /* RLE: 004 Pixels @ 056,074*/ 4, 0x02,
  /* RLE: 001 Pixels @ 060,074*/ 1, 0x76,
  /* RLE: 008 Pixels @ 061,074*/ 8, 0x01,
  /* ABS: 004 Pixels @ 069,074*/ 0, 4, 0x0E, 0xED, 0x4C, 0xF6,
  /* RLE: 005 Pixels @ 073,074*/ 5, 0x01,
  /* ABS: 005 Pixels @ 078,074*/ 0, 5, 0x1E, 0x02, 0x02, 0x02, 0x1D,
  /* RLE: 016 Pixels @ 083,074*/ 16, 0x01,
  /* RLE: 001 Pixels @ 099,074*/ 1, 0x93,
  /* RLE: 004 Pixels @ 100,074*/ 4, 0x02,
  /* RLE: 001 Pixels @ 104,074*/ 1, 0xA3,
  /* RLE: 009 Pixels @ 105,074*/ 9, 0x01,
  /* ABS: 005 Pixels @ 114,074*/ 0, 5, 0x08, 0x94, 0x02, 0xB0, 0xA8,
  /* RLE: 005 Pixels @ 119,074*/ 5, 0x01,
  /* RLE: 001 Pixels @ 124,074*/ 1, 0x12,
  /* RLE: 004 Pixels @ 125,074*/ 4, 0x02,
  /* ABS: 002 Pixels @ 129,074*/ 0, 2, 0x72, 0x19,
  /* RLE: 008 Pixels @ 131,074*/ 8, 0x01,
  /* ABS: 005 Pixels @ 139,074*/ 0, 5, 0xFE, 0x9B, 0x1D, 0x0F, 0x99,
  /* RLE: 006 Pixels @ 144,074*/ 6, 0x01,
  /* ABS: 005 Pixels @ 150,074*/ 0, 5, 0x0D, 0x02, 0x02, 0x02, 0x1C,
  /* RLE: 016 Pixels @ 155,074*/ 16, 0x01,
  /* RLE: 001 Pixels @ 171,074*/ 1, 0x18,
  /* RLE: 004 Pixels @ 172,074*/ 4, 0x02,
  /* RLE: 001 Pixels @ 176,074*/ 1, 0xD7,
  /* RLE: 008 Pixels @ 177,074*/ 8, 0x01,
  /* RLE: 001 Pixels @ 185,074*/ 1, 0x98,
  /* RLE: 004 Pixels @ 186,074*/ 4, 0x02,
  /* RLE: 001 Pixels @ 190,074*/ 1, 0x3B,
  /* RLE: 008 Pixels @ 191,074*/ 8, 0x01,
  /* RLE: 001 Pixels @ 199,074*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,074*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,075*/ 1, 0x07,
  /* RLE: 010 Pixels @ 007,075*/ 10, 0x01,
  /* ABS: 002 Pixels @ 017,075*/ 0, 2, 0x1B, 0x9E,
  /* RLE: 006 Pixels @ 019,075*/ 6, 0x03,
  /* RLE: 001 Pixels @ 025,075*/ 1, 0xC0,
  /* RLE: 010 Pixels @ 026,075*/ 10, 0x01,
  /* RLE: 001 Pixels @ 036,075*/ 1, 0x65,
  /* RLE: 006 Pixels @ 037,075*/ 6, 0x03,
  /* ABS: 002 Pixels @ 043,075*/ 0, 2, 0x36, 0x68,
  /* RLE: 010 Pixels @ 045,075*/ 10, 0x01,
  /* RLE: 001 Pixels @ 055,075*/ 1, 0x07,
  /* RLE: 004 Pixels @ 056,075*/ 4, 0x02,
  /* ABS: 003 Pixels @ 060,075*/ 0, 3, 0x0F, 0xB9, 0x0E,
  /* RLE: 015 Pixels @ 063,075*/ 15, 0x01,
  /* ABS: 005 Pixels @ 078,075*/ 0, 5, 0x1E, 0x02, 0x02, 0x02, 0x1D,
  /* RLE: 015 Pixels @ 083,075*/ 15, 0x01,
  /* RLE: 001 Pixels @ 098,075*/ 1, 0x08,
  /* RLE: 004 Pixels @ 099,075*/ 4, 0x02,
  /* ABS: 002 Pixels @ 103,075*/ 0, 2, 0xDC, 0xFD,
  /* RLE: 011 Pixels @ 105,075*/ 11, 0x01,
  /* ABS: 002 Pixels @ 116,075*/ 0, 2, 0xFD, 0xFE,
  /* RLE: 006 Pixels @ 118,075*/ 6, 0x01,
  /* RLE: 001 Pixels @ 124,075*/ 1, 0xE2,
  /* RLE: 004 Pixels @ 125,075*/ 4, 0x02,
  /* RLE: 001 Pixels @ 129,075*/ 1, 0xCB,
  /* RLE: 011 Pixels @ 130,075*/ 11, 0x01,
  /* ABS: 002 Pixels @ 141,075*/ 0, 2, 0xFE, 0x0B,
  /* RLE: 007 Pixels @ 143,075*/ 7, 0x01,
  /* ABS: 005 Pixels @ 150,075*/ 0, 5, 0x0D, 0x02, 0x02, 0x02, 0x1C,
  /* RLE: 016 Pixels @ 155,075*/ 16, 0x01,
  /* RLE: 001 Pixels @ 171,075*/ 1, 0x18,
  /* RLE: 004 Pixels @ 172,075*/ 4, 0x02,
  /* RLE: 001 Pixels @ 176,075*/ 1, 0xD7,
  /* RLE: 008 Pixels @ 177,075*/ 8, 0x01,
  /* RLE: 001 Pixels @ 185,075*/ 1, 0x97,
  /* RLE: 004 Pixels @ 186,075*/ 4, 0x02,
  /* RLE: 001 Pixels @ 190,075*/ 1, 0xD8,
  /* RLE: 008 Pixels @ 191,075*/ 8, 0x01,
  /* RLE: 001 Pixels @ 199,075*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,075*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,076*/ 1, 0x07,
  /* RLE: 010 Pixels @ 007,076*/ 10, 0x01,
  /* RLE: 001 Pixels @ 017,076*/ 1, 0xC1,
  /* RLE: 006 Pixels @ 018,076*/ 6, 0x03,
  /* ABS: 002 Pixels @ 024,076*/ 0, 2, 0x79, 0x3F,
  /* RLE: 009 Pixels @ 026,076*/ 9, 0x01,
  /* ABS: 002 Pixels @ 035,076*/ 0, 2, 0xAC, 0x41,
  /* RLE: 006 Pixels @ 037,076*/ 6, 0x03,
  /* RLE: 001 Pixels @ 043,076*/ 1, 0x53,
  /* RLE: 012 Pixels @ 044,076*/ 12, 0x01,
  /* RLE: 001 Pixels @ 056,076*/ 1, 0x5C,
  /* RLE: 006 Pixels @ 057,076*/ 6, 0x02,
  /* ABS: 005 Pixels @ 063,076*/ 0, 5, 0xE1, 0xEA, 0x60, 0xF7, 0x19,
  /* RLE: 010 Pixels @ 068,076*/ 10, 0x01,
  /* ABS: 005 Pixels @ 078,076*/ 0, 5, 0x1E, 0x02, 0x02, 0x02, 0x0F,
  /* RLE: 009 Pixels @ 083,076*/ 9, 0x12,
  /* ABS: 002 Pixels @ 092,076*/ 0, 2, 0xEF, 0x42,
  /* RLE: 004 Pixels @ 094,076*/ 4, 0x01,
  /* RLE: 001 Pixels @ 098,076*/ 1, 0x83,
  /* RLE: 004 Pixels @ 099,076*/ 4, 0x02,
  /* RLE: 001 Pixels @ 103,076*/ 1, 0xB8,
  /* RLE: 019 Pixels @ 104,076*/ 19, 0x01,
  /* RLE: 001 Pixels @ 123,076*/ 1, 0xD9,
  /* RLE: 004 Pixels @ 124,076*/ 4, 0x02,
  /* ABS: 002 Pixels @ 128,076*/ 0, 2, 0x13, 0xFE,
  /* RLE: 020 Pixels @ 130,076*/ 20, 0x01,
  /* ABS: 005 Pixels @ 150,076*/ 0, 5, 0x0D, 0x02, 0x02, 0x02, 0x59,
  /* RLE: 009 Pixels @ 155,076*/ 9, 0x12,
  /* ABS: 002 Pixels @ 164,076*/ 0, 2, 0xF0, 0xF8,
  /* RLE: 005 Pixels @ 166,076*/ 5, 0x01,
  /* RLE: 001 Pixels @ 171,076*/ 1, 0x18,
  /* RLE: 004 Pixels @ 172,076*/ 4, 0x02,
  /* RLE: 001 Pixels @ 176,076*/ 1, 0xD7,
  /* RLE: 007 Pixels @ 177,076*/ 7, 0x01,
  /* ABS: 006 Pixels @ 184,076*/ 0, 6, 0xF7, 0x13, 0x02, 0x02, 0x02, 0x1C,
  /* RLE: 009 Pixels @ 190,076*/ 9, 0x01,
  /* RLE: 001 Pixels @ 199,076*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,076*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,077*/ 1, 0x07,
  /* RLE: 009 Pixels @ 007,077*/ 9, 0x01,
  /* RLE: 001 Pixels @ 016,077*/ 1, 0xD1,
  /* RLE: 006 Pixels @ 017,077*/ 6, 0x03,
  /* ABS: 002 Pixels @ 023,077*/ 0, 2, 0x4D, 0xD6,
  /* RLE: 009 Pixels @ 025,077*/ 9, 0x01,
  /* ABS: 002 Pixels @ 034,077*/ 0, 2, 0x33, 0x2E,
  /* RLE: 006 Pixels @ 036,077*/ 6, 0x03,
  /* RLE: 001 Pixels @ 042,077*/ 1, 0xC2,
  /* RLE: 013 Pixels @ 043,077*/ 13, 0x01,
  /* ABS: 002 Pixels @ 056,077*/ 0, 2, 0x8A, 0x0D,
  /* RLE: 009 Pixels @ 058,077*/ 9, 0x02,
  /* ABS: 004 Pixels @ 067,077*/ 0, 4, 0xB0, 0x95, 0xEE, 0x8A,
  /* RLE: 007 Pixels @ 071,077*/ 7, 0x01,
  /* RLE: 001 Pixels @ 078,077*/ 1, 0x1E,
  /* RLE: 015 Pixels @ 079,077*/ 15, 0x02,
  /* ABS: 005 Pixels @ 094,077*/ 0, 5, 0x62, 0x01, 0x01, 0x01, 0xA4,
  /* RLE: 004 Pixels @ 099,077*/ 4, 0x02,
  /* RLE: 001 Pixels @ 103,077*/ 1, 0xA3,
  /* RLE: 007 Pixels @ 104,077*/ 7, 0x01,
  /* RLE: 001 Pixels @ 111,077*/ 1, 0x2B,
  /* RLE: 005 Pixels @ 112,077*/ 5, 0x17,
  /* ABS: 002 Pixels @ 117,077*/ 0, 2, 0xFB, 0x19,
  /* RLE: 004 Pixels @ 119,077*/ 4, 0x01,
  /* RLE: 001 Pixels @ 123,077*/ 1, 0xD5,
  /* RLE: 004 Pixels @ 124,077*/ 4, 0x02,
  /* RLE: 001 Pixels @ 128,077*/ 1, 0x5B,
  /* RLE: 007 Pixels @ 129,077*/ 7, 0x01,
  /* ABS: 002 Pixels @ 136,077*/ 0, 2, 0xFF, 0x07,
  /* RLE: 005 Pixels @ 138,077*/ 5, 0x17,
  /* RLE: 001 Pixels @ 143,077*/ 1, 0x04,
  /* RLE: 006 Pixels @ 144,077*/ 6, 0x01,
  /* RLE: 001 Pixels @ 150,077*/ 1, 0x0D,
  /* RLE: 014 Pixels @ 151,077*/ 14, 0x02,
  /* ABS: 002 Pixels @ 165,077*/ 0, 2, 0x1D, 0x0E,
  /* RLE: 004 Pixels @ 167,077*/ 4, 0x01,
  /* RLE: 001 Pixels @ 171,077*/ 1, 0x18,
  /* RLE: 004 Pixels @ 172,077*/ 4, 0x02,
  /* RLE: 001 Pixels @ 176,077*/ 1, 0x76,
  /* RLE: 005 Pixels @ 177,077*/ 5, 0x7F,
  /* ABS: 008 Pixels @ 182,077*/ 0, 8, 0xA2, 0x40, 0x1D, 0x02, 0x02, 0x02, 0x1D, 0x16,
  /* RLE: 009 Pixels @ 190,077*/ 9, 0x01,
  /* RLE: 001 Pixels @ 199,077*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,077*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,078*/ 1, 0x07,
  /* RLE: 008 Pixels @ 007,078*/ 8, 0x01,
  /* ABS: 002 Pixels @ 015,078*/ 0, 2, 0x58, 0x77,
  /* RLE: 006 Pixels @ 017,078*/ 6, 0x03,
  /* RLE: 001 Pixels @ 023,078*/ 1, 0x53,
  /* RLE: 010 Pixels @ 024,078*/ 10, 0x01,
  /* RLE: 001 Pixels @ 034,078*/ 1, 0x28,
  /* RLE: 006 Pixels @ 035,078*/ 6, 0x03,
  /* ABS: 002 Pixels @ 041,078*/ 0, 2, 0xBE, 0x2C,
  /* RLE: 014 Pixels @ 043,078*/ 14, 0x01,
  /* ABS: 003 Pixels @ 057,078*/ 0, 3, 0x8B, 0xE5, 0x0F,
  /* RLE: 011 Pixels @ 060,078*/ 11, 0x02,
  /* ABS: 002 Pixels @ 071,078*/ 0, 2, 0x72, 0x54,
  /* RLE: 005 Pixels @ 073,078*/ 5, 0x01,
  /* RLE: 001 Pixels @ 078,078*/ 1, 0x1E,
  /* RLE: 015 Pixels @ 079,078*/ 15, 0x02,
  /* ABS: 005 Pixels @ 094,078*/ 0, 5, 0x60, 0x01, 0x01, 0x01, 0xA3,
  /* RLE: 004 Pixels @ 099,078*/ 4, 0x02,
  /* RLE: 001 Pixels @ 103,078*/ 1, 0xEF,
  /* RLE: 006 Pixels @ 104,078*/ 6, 0x01,
  /* ABS: 002 Pixels @ 110,078*/ 0, 2, 0xA6, 0x1D,
  /* RLE: 006 Pixels @ 112,078*/ 6, 0x02,
  /* ABS: 006 Pixels @ 118,078*/ 0, 6, 0x1D, 0x4A, 0x01, 0x01, 0x01, 0x42,
  /* RLE: 004 Pixels @ 124,078*/ 4, 0x02,
  /* RLE: 001 Pixels @ 128,078*/ 1, 0x94,
  /* RLE: 006 Pixels @ 129,078*/ 6, 0x01,
  /* ABS: 002 Pixels @ 135,078*/ 0, 2, 0x3A, 0x25,
  /* RLE: 007 Pixels @ 137,078*/ 7, 0x02,
  /* ABS: 002 Pixels @ 144,078*/ 0, 2, 0x1C, 0x17,
  /* RLE: 004 Pixels @ 146,078*/ 4, 0x01,
  /* RLE: 001 Pixels @ 150,078*/ 1, 0x0D,
  /* RLE: 015 Pixels @ 151,078*/ 15, 0x02,
  /* RLE: 001 Pixels @ 166,078*/ 1, 0x54,
  /* RLE: 004 Pixels @ 167,078*/ 4, 0x01,
  /* RLE: 001 Pixels @ 171,078*/ 1, 0x18,
  /* RLE: 015 Pixels @ 172,078*/ 15, 0x02,
  /* ABS: 002 Pixels @ 187,078*/ 0, 2, 0xE2, 0xAB,
  /* RLE: 010 Pixels @ 189,078*/ 10, 0x01,
  /* RLE: 001 Pixels @ 199,078*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,078*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,079*/ 1, 0x07,
  /* RLE: 007 Pixels @ 007,079*/ 7, 0x01,
  /* ABS: 002 Pixels @ 014,079*/ 0, 2, 0x3F, 0x79,
  /* RLE: 006 Pixels @ 016,079*/ 6, 0x03,
  /* RLE: 001 Pixels @ 022,079*/ 1, 0x7E,
  /* RLE: 010 Pixels @ 023,079*/ 10, 0x01,
  /* RLE: 001 Pixels @ 033,079*/ 1, 0x39,
  /* RLE: 006 Pixels @ 034,079*/ 6, 0x03,
  /* ABS: 002 Pixels @ 040,079*/ 0, 2, 0x4E, 0x29,
  /* RLE: 017 Pixels @ 042,079*/ 17, 0x01,
  /* ABS: 004 Pixels @ 059,079*/ 0, 4, 0x0E, 0xC5, 0x95, 0x13,
  /* RLE: 009 Pixels @ 063,079*/ 9, 0x02,
  /* ABS: 002 Pixels @ 072,079*/ 0, 2, 0x0F, 0x81,
  /* RLE: 004 Pixels @ 074,079*/ 4, 0x01,
  /* ABS: 005 Pixels @ 078,079*/ 0, 5, 0x1E, 0x02, 0x02, 0x02, 0x0F,
  /* RLE: 009 Pixels @ 083,079*/ 9, 0xE0,
  /* ABS: 007 Pixels @ 092,079*/ 0, 7, 0x1C, 0xA1, 0xDA, 0x01, 0x01, 0x01, 0x12,
  /* RLE: 004 Pixels @ 099,079*/ 4, 0x02,
  /* RLE: 001 Pixels @ 103,079*/ 1, 0x80,
  /* RLE: 006 Pixels @ 104,079*/ 6, 0x01,
  /* RLE: 001 Pixels @ 110,079*/ 1, 0xDF,
  /* RLE: 009 Pixels @ 111,079*/ 9, 0x02,
  /* ABS: 004 Pixels @ 120,079*/ 0, 4, 0x69, 0x01, 0x01, 0x3A,
  /* RLE: 004 Pixels @ 124,079*/ 4, 0x02,
  /* RLE: 001 Pixels @ 128,079*/ 1, 0x93,
  /* RLE: 006 Pixels @ 129,079*/ 6, 0x01,
  /* RLE: 001 Pixels @ 135,079*/ 1, 0xBA,
  /* RLE: 009 Pixels @ 136,079*/ 9, 0x02,
  /* RLE: 001 Pixels @ 145,079*/ 1, 0xCA,
  /* RLE: 004 Pixels @ 146,079*/ 4, 0x01,
  /* ABS: 005 Pixels @ 150,079*/ 0, 5, 0x0D, 0x02, 0x02, 0x02, 0x13,
  /* RLE: 009 Pixels @ 155,079*/ 9, 0xE0,
  /* ABS: 002 Pixels @ 164,079*/ 0, 2, 0x92, 0xA4,
  /* RLE: 005 Pixels @ 166,079*/ 5, 0x01,
  /* RLE: 001 Pixels @ 171,079*/ 1, 0x18,
  /* RLE: 014 Pixels @ 172,079*/ 14, 0x02,
  /* ABS: 003 Pixels @ 186,079*/ 0, 3, 0x13, 0x76, 0x1F,
  /* RLE: 010 Pixels @ 189,079*/ 10, 0x01,
  /* RLE: 001 Pixels @ 199,079*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,079*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,080*/ 1, 0x07,
  /* RLE: 007 Pixels @ 007,080*/ 7, 0x01,
  /* RLE: 001 Pixels @ 014,080*/ 1, 0x5D,
  /* RLE: 006 Pixels @ 015,080*/ 6, 0x03,
  /* ABS: 002 Pixels @ 021,080*/ 0, 2, 0x2F, 0x6A,
  /* RLE: 009 Pixels @ 023,080*/ 9, 0x01,
  /* ABS: 002 Pixels @ 032,080*/ 0, 2, 0x31, 0x14,
  /* RLE: 005 Pixels @ 034,080*/ 5, 0x03,
  /* ABS: 002 Pixels @ 039,080*/ 0, 2, 0x14, 0x31,
  /* RLE: 021 Pixels @ 041,080*/ 21, 0x01,
  /* ABS: 005 Pixels @ 062,080*/ 0, 5, 0x19, 0x8A, 0xCA, 0x4B, 0x22,
  /* RLE: 006 Pixels @ 067,080*/ 6, 0x02,
  /* ABS: 010 Pixels @ 073,080*/ 0, 10, 0x0D, 0xD9, 0x01, 0x01, 0x01, 0x1E, 0x02, 0x02, 0x02, 0x1D,
  /* RLE: 015 Pixels @ 083,080*/ 15, 0x01,
  /* RLE: 001 Pixels @ 098,080*/ 1, 0xC9,
  /* RLE: 004 Pixels @ 099,080*/ 4, 0x02,
  /* RLE: 001 Pixels @ 103,080*/ 1, 0x4B,
  /* RLE: 006 Pixels @ 104,080*/ 6, 0x01,
  /* RLE: 001 Pixels @ 110,080*/ 1, 0xA2,
  /* RLE: 009 Pixels @ 111,080*/ 9, 0x02,
  /* ABS: 004 Pixels @ 120,080*/ 0, 4, 0x0E, 0x01, 0x01, 0x08,
  /* RLE: 004 Pixels @ 124,080*/ 4, 0x02,
  /* RLE: 001 Pixels @ 128,080*/ 1, 0x71,
  /* RLE: 006 Pixels @ 129,080*/ 6, 0x01,
  /* ABS: 002 Pixels @ 135,080*/ 0, 2, 0x16, 0x13,
  /* RLE: 008 Pixels @ 137,080*/ 8, 0x02,
  /* RLE: 001 Pixels @ 145,080*/ 1, 0x30,
  /* RLE: 004 Pixels @ 146,080*/ 4, 0x01,
  /* ABS: 005 Pixels @ 150,080*/ 0, 5, 0x0D, 0x02, 0x02, 0x02, 0x1C,
  /* RLE: 016 Pixels @ 155,080*/ 16, 0x01,
  /* RLE: 001 Pixels @ 171,080*/ 1, 0x18,
  /* RLE: 004 Pixels @ 172,080*/ 4, 0x02,
  /* RLE: 001 Pixels @ 176,080*/ 1, 0x59,
  /* RLE: 004 Pixels @ 177,080*/ 4, 0x22,
  /* ABS: 002 Pixels @ 181,080*/ 0, 2, 0x59, 0x13,
  /* RLE: 005 Pixels @ 183,080*/ 5, 0x02,
  /* ABS: 002 Pixels @ 188,080*/ 0, 2, 0x1C, 0xFE,
  /* RLE: 009 Pixels @ 190,080*/ 9, 0x01,
  /* RLE: 001 Pixels @ 199,080*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,080*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,081*/ 1, 0x07,
  /* RLE: 006 Pixels @ 007,081*/ 6, 0x01,
  /* RLE: 001 Pixels @ 013,081*/ 1, 0x66,
  /* RLE: 006 Pixels @ 014,081*/ 6, 0x03,
  /* ABS: 002 Pixels @ 020,081*/ 0, 2, 0x77, 0x43,
  /* RLE: 009 Pixels @ 022,081*/ 9, 0x01,
  /* ABS: 002 Pixels @ 031,081*/ 0, 2, 0x32, 0x78,
  /* RLE: 006 Pixels @ 033,081*/ 6, 0x03,
  /* RLE: 001 Pixels @ 039,081*/ 1, 0x39,
  /* RLE: 027 Pixels @ 040,081*/ 27, 0x01,
  /* ABS: 002 Pixels @ 067,081*/ 0, 2, 0x42, 0xE6,
  /* RLE: 005 Pixels @ 069,081*/ 5, 0x02,
  /* ABS: 009 Pixels @ 074,081*/ 0, 9, 0x83, 0x01, 0x01, 0x01, 0x1E, 0x02, 0x02, 0x02, 0x1D,
  /* RLE: 015 Pixels @ 083,081*/ 15, 0x01,
  /* RLE: 001 Pixels @ 098,081*/ 1, 0x3A,
  /* RLE: 004 Pixels @ 099,081*/ 4, 0x02,
  /* RLE: 001 Pixels @ 103,081*/ 1, 0xB2,
  /* RLE: 007 Pixels @ 104,081*/ 7, 0x01,
  /* ABS: 005 Pixels @ 111,081*/ 0, 5, 0x3B, 0x16, 0x16, 0x16, 0x7F,
  /* RLE: 004 Pixels @ 116,081*/ 4, 0x02,
  /* ABS: 005 Pixels @ 120,081*/ 0, 5, 0x0E, 0x01, 0x01, 0x01, 0x35,
  /* RLE: 004 Pixels @ 125,081*/ 4, 0x02,
  /* RLE: 001 Pixels @ 129,081*/ 1, 0x67,
  /* RLE: 006 Pixels @ 130,081*/ 6, 0x01,
  /* ABS: 010 Pixels @ 136,081*/ 0, 10, 0x3D, 0x16, 0x16, 0x16, 0x62, 0x0F, 0x02, 0x02, 0x02, 0x30,
  /* RLE: 004 Pixels @ 146,081*/ 4, 0x01,
  /* ABS: 005 Pixels @ 150,081*/ 0, 5, 0x0D, 0x02, 0x02, 0x02, 0x1C,
  /* RLE: 016 Pixels @ 155,081*/ 16, 0x01,
  /* RLE: 001 Pixels @ 171,081*/ 1, 0x18,
  /* RLE: 004 Pixels @ 172,081*/ 4, 0x02,
  /* RLE: 001 Pixels @ 176,081*/ 1, 0xD7,
  /* RLE: 005 Pixels @ 177,081*/ 5, 0x01,
  /* ABS: 003 Pixels @ 182,081*/ 0, 3, 0xFF, 0x62, 0xDC,
  /* RLE: 004 Pixels @ 185,081*/ 4, 0x02,
  /* RLE: 001 Pixels @ 189,081*/ 1, 0x83,
  /* RLE: 009 Pixels @ 190,081*/ 9, 0x01,
  /* RLE: 001 Pixels @ 199,081*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,081*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,082*/ 1, 0x07,
  /* RLE: 005 Pixels @ 007,082*/ 5, 0x01,
  /* ABS: 002 Pixels @ 012,082*/ 0, 2, 0x68, 0x36,
  /* RLE: 006 Pixels @ 014,082*/ 6, 0x03,
  /* RLE: 001 Pixels @ 020,082*/ 1, 0xD2,
  /* RLE: 009 Pixels @ 021,082*/ 9, 0x01,
  /* ABS: 002 Pixels @ 030,082*/ 0, 2, 0x1B, 0x9E,
  /* RLE: 006 Pixels @ 032,082*/ 6, 0x03,
  /* RLE: 001 Pixels @ 038,082*/ 1, 0x7A,
  /* RLE: 017 Pixels @ 039,082*/ 17, 0x01,
  /* ABS: 004 Pixels @ 056,082*/ 0, 4, 0x61, 0x5B, 0x5B, 0xF2,
  /* RLE: 009 Pixels @ 060,082*/ 9, 0x01,
  /* RLE: 001 Pixels @ 069,082*/ 1, 0x24,
  /* RLE: 004 Pixels @ 070,082*/ 4, 0x02,
  /* ABS: 009 Pixels @ 074,082*/ 0, 9, 0xC6, 0x01, 0x01, 0x01, 0x1E, 0x02, 0x02, 0x02, 0x1D,
  /* RLE: 015 Pixels @ 083,082*/ 15, 0x01,
  /* ABS: 002 Pixels @ 098,082*/ 0, 2, 0xFF, 0x25,
  /* RLE: 004 Pixels @ 100,082*/ 4, 0x02,
  /* RLE: 001 Pixels @ 104,082*/ 1, 0x83,
  /* RLE: 010 Pixels @ 105,082*/ 10, 0x01,
  /* RLE: 001 Pixels @ 115,082*/ 1, 0x99,
  /* RLE: 004 Pixels @ 116,082*/ 4, 0x02,
  /* ABS: 005 Pixels @ 120,082*/ 0, 5, 0x0E, 0x01, 0x01, 0x01, 0xE9,
  /* RLE: 004 Pixels @ 125,082*/ 4, 0x02,
  /* RLE: 001 Pixels @ 129,082*/ 1, 0x4A,
  /* RLE: 010 Pixels @ 130,082*/ 10, 0x01,
  /* RLE: 001 Pixels @ 140,082*/ 1, 0x61,
  /* RLE: 004 Pixels @ 141,082*/ 4, 0x02,
  /* RLE: 001 Pixels @ 145,082*/ 1, 0x30,
  /* RLE: 004 Pixels @ 146,082*/ 4, 0x01,
  /* ABS: 005 Pixels @ 150,082*/ 0, 5, 0x0D, 0x02, 0x02, 0x02, 0x1C,
  /* RLE: 016 Pixels @ 155,082*/ 16, 0x01,
  /* RLE: 001 Pixels @ 171,082*/ 1, 0x18,
  /* RLE: 004 Pixels @ 172,082*/ 4, 0x02,
  /* RLE: 001 Pixels @ 176,082*/ 1, 0xD7,
  /* RLE: 007 Pixels @ 177,082*/ 7, 0x01,
  /* RLE: 001 Pixels @ 184,082*/ 1, 0x9A,
  /* RLE: 004 Pixels @ 185,082*/ 4, 0x02,
  /* RLE: 001 Pixels @ 189,082*/ 1, 0x50,
  /* RLE: 009 Pixels @ 190,082*/ 9, 0x01,
  /* RLE: 001 Pixels @ 199,082*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,082*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,083*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,083*/ 4, 0x01,
  /* ABS: 002 Pixels @ 011,083*/ 0, 2, 0x1B, 0x9D,
  /* RLE: 006 Pixels @ 013,083*/ 6, 0x03,
  /* RLE: 001 Pixels @ 019,083*/ 1, 0x4F,
  /* RLE: 010 Pixels @ 020,083*/ 10, 0x01,
  /* RLE: 001 Pixels @ 030,083*/ 1, 0x4F,
  /* RLE: 006 Pixels @ 031,083*/ 6, 0x03,
  /* ABS: 002 Pixels @ 037,083*/ 0, 2, 0x2E, 0x46,
  /* RLE: 016 Pixels @ 039,083*/ 16, 0x01,
  /* ABS: 006 Pixels @ 055,083*/ 0, 6, 0x2A, 0x13, 0x02, 0x02, 0x02, 0x51,
  /* RLE: 008 Pixels @ 061,083*/ 8, 0x01,
  /* RLE: 001 Pixels @ 069,083*/ 1, 0x52,
  /* RLE: 004 Pixels @ 070,083*/ 4, 0x02,
  /* ABS: 009 Pixels @ 074,083*/ 0, 9, 0xC8, 0x01, 0x01, 0x01, 0x1E, 0x02, 0x02, 0x02, 0x1D,
  /* RLE: 016 Pixels @ 083,083*/ 16, 0x01,
  /* RLE: 001 Pixels @ 099,083*/ 1, 0x24,
  /* RLE: 004 Pixels @ 100,083*/ 4, 0x02,
  /* ABS: 002 Pixels @ 104,083*/ 0, 2, 0x25, 0xD7,
  /* RLE: 008 Pixels @ 106,083*/ 8, 0x01,
  /* ABS: 002 Pixels @ 114,083*/ 0, 2, 0xAB, 0x0F,
  /* RLE: 004 Pixels @ 116,083*/ 4, 0x02,
  /* ABS: 005 Pixels @ 120,083*/ 0, 5, 0x0E, 0x01, 0x01, 0x01, 0x42,
  /* RLE: 004 Pixels @ 125,083*/ 4, 0x02,
  /* ABS: 002 Pixels @ 129,083*/ 0, 2, 0xDB, 0x83,
  /* RLE: 008 Pixels @ 131,083*/ 8, 0x01,
  /* ABS: 002 Pixels @ 139,083*/ 0, 2, 0x1F, 0x5A,
  /* RLE: 004 Pixels @ 141,083*/ 4, 0x02,
  /* RLE: 001 Pixels @ 145,083*/ 1, 0x30,
  /* RLE: 004 Pixels @ 146,083*/ 4, 0x01,
  /* ABS: 005 Pixels @ 150,083*/ 0, 5, 0x0D, 0x02, 0x02, 0x02, 0x1C,
  /* RLE: 016 Pixels @ 155,083*/ 16, 0x01,
  /* RLE: 001 Pixels @ 171,083*/ 1, 0x18,
  /* RLE: 004 Pixels @ 172,083*/ 4, 0x02,
  /* RLE: 001 Pixels @ 176,083*/ 1, 0xD7,
  /* RLE: 007 Pixels @ 177,083*/ 7, 0x01,
  /* RLE: 001 Pixels @ 184,083*/ 1, 0xA8,
  /* RLE: 004 Pixels @ 185,083*/ 4, 0x02,
  /* RLE: 001 Pixels @ 189,083*/ 1, 0x4C,
  /* RLE: 009 Pixels @ 190,083*/ 9, 0x01,
  /* RLE: 001 Pixels @ 199,083*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,083*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,084*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,084*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,084*/ 1, 0xD2,
  /* RLE: 006 Pixels @ 012,084*/ 6, 0x03,
  /* ABS: 002 Pixels @ 018,084*/ 0, 2, 0xBD, 0x1B,
  /* RLE: 009 Pixels @ 020,084*/ 9, 0x01,
  /* ABS: 002 Pixels @ 029,084*/ 0, 2, 0xAD, 0x14,
  /* RLE: 005 Pixels @ 031,084*/ 5, 0x03,
  /* ABS: 002 Pixels @ 036,084*/ 0, 2, 0xBB, 0x57,
  /* RLE: 017 Pixels @ 038,084*/ 17, 0x01,
  /* RLE: 001 Pixels @ 055,084*/ 1, 0x44,
  /* RLE: 004 Pixels @ 056,084*/ 4, 0x02,
  /* ABS: 002 Pixels @ 060,084*/ 0, 2, 0x13, 0xA9,
  /* RLE: 006 Pixels @ 062,084*/ 6, 0x01,
  /* ABS: 002 Pixels @ 068,084*/ 0, 2, 0x19, 0x40,
  /* RLE: 004 Pixels @ 070,084*/ 4, 0x02,
  /* ABS: 009 Pixels @ 074,084*/ 0, 9, 0x3A, 0x01, 0x01, 0x01, 0x1E, 0x02, 0x02, 0x02, 0x1D,
  /* RLE: 011 Pixels @ 083,084*/ 11, 0x04,
  /* RLE: 005 Pixels @ 094,084*/ 5, 0x01,
  /* ABS: 002 Pixels @ 099,084*/ 0, 2, 0x2A, 0x22,
  /* RLE: 004 Pixels @ 101,084*/ 4, 0x02,
  /* ABS: 002 Pixels @ 105,084*/ 0, 2, 0x59, 0xAA,
  /* RLE: 005 Pixels @ 107,084*/ 5, 0x01,
  /* ABS: 003 Pixels @ 112,084*/ 0, 3, 0x1A, 0x51, 0xDC,
  /* RLE: 005 Pixels @ 115,084*/ 5, 0x02,
  /* RLE: 001 Pixels @ 120,084*/ 1, 0x0E,
  /* RLE: 004 Pixels @ 121,084*/ 4, 0x01,
  /* RLE: 001 Pixels @ 125,084*/ 1, 0xE8,
  /* RLE: 004 Pixels @ 126,084*/ 4, 0x02,
  /* ABS: 003 Pixels @ 130,084*/ 0, 3, 0x1D, 0x80, 0xDA,
  /* RLE: 005 Pixels @ 133,084*/ 5, 0x01,
  /* ABS: 002 Pixels @ 138,084*/ 0, 2, 0x3A, 0x49,
  /* RLE: 005 Pixels @ 140,084*/ 5, 0x02,
  /* RLE: 001 Pixels @ 145,084*/ 1, 0x30,
  /* RLE: 004 Pixels @ 146,084*/ 4, 0x01,
  /* ABS: 005 Pixels @ 150,084*/ 0, 5, 0x0D, 0x02, 0x02, 0x02, 0x5B,
  /* RLE: 011 Pixels @ 155,084*/ 11, 0x04,
  /* RLE: 005 Pixels @ 166,084*/ 5, 0x01,
  /* RLE: 001 Pixels @ 171,084*/ 1, 0x18,
  /* RLE: 004 Pixels @ 172,084*/ 4, 0x02,
  /* RLE: 001 Pixels @ 176,084*/ 1, 0xD7,
  /* RLE: 007 Pixels @ 177,084*/ 7, 0x01,
  /* RLE: 001 Pixels @ 184,084*/ 1, 0x16,
  /* RLE: 004 Pixels @ 185,084*/ 4, 0x02,
  /* RLE: 001 Pixels @ 189,084*/ 1, 0x18,
  /* RLE: 009 Pixels @ 190,084*/ 9, 0x01,
  /* RLE: 001 Pixels @ 199,084*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,084*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,085*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,085*/ 4, 0x01,
  /* RLE: 001 Pixels @ 011,085*/ 1, 0x64,
  /* RLE: 005 Pixels @ 012,085*/ 5, 0x03,
  /* ABS: 002 Pixels @ 017,085*/ 0, 2, 0x37, 0x32,
  /* RLE: 010 Pixels @ 019,085*/ 10, 0x01,
  /* RLE: 001 Pixels @ 029,085*/ 1, 0x32,
  /* RLE: 006 Pixels @ 030,085*/ 6, 0x03,
  /* RLE: 001 Pixels @ 036,085*/ 1, 0x66,
  /* RLE: 019 Pixels @ 037,085*/ 19, 0x01,
  /* RLE: 001 Pixels @ 056,085*/ 1, 0x96,
  /* RLE: 005 Pixels @ 057,085*/ 5, 0x02,
  /* ABS: 007 Pixels @ 062,085*/ 0, 7, 0xB5, 0xA6, 0xAA, 0xCC, 0x82, 0x24, 0x91,
  /* RLE: 004 Pixels @ 069,085*/ 4, 0x02,
  /* RLE: 001 Pixels @ 073,085*/ 1, 0x73,
  /* RLE: 004 Pixels @ 074,085*/ 4, 0x01,
  /* RLE: 001 Pixels @ 078,085*/ 1, 0x1E,
  /* RLE: 015 Pixels @ 079,085*/ 15, 0x02,
  /* ABS: 002 Pixels @ 094,085*/ 0, 2, 0xDC, 0xC3,
  /* RLE: 004 Pixels @ 096,085*/ 4, 0x01,
  /* ABS: 002 Pixels @ 100,085*/ 0, 2, 0x42, 0x13,
  /* RLE: 005 Pixels @ 102,085*/ 5, 0x02,
  /* ABS: 006 Pixels @ 107,085*/ 0, 6, 0x91, 0x75, 0x80, 0x80, 0xEA, 0xB2,
  /* RLE: 007 Pixels @ 113,085*/ 7, 0x02,
  /* RLE: 001 Pixels @ 120,085*/ 1, 0x0E,
  /* RLE: 004 Pixels @ 121,085*/ 4, 0x01,
  /* ABS: 002 Pixels @ 125,085*/ 0, 2, 0xD9, 0x49,
  /* RLE: 005 Pixels @ 127,085*/ 5, 0x02,
  /* ABS: 006 Pixels @ 132,085*/ 0, 6, 0x35, 0x18, 0x7F, 0xC5, 0xED, 0x92,
  /* RLE: 007 Pixels @ 138,085*/ 7, 0x02,
  /* RLE: 001 Pixels @ 145,085*/ 1, 0x30,
  /* RLE: 004 Pixels @ 146,085*/ 4, 0x01,
  /* RLE: 001 Pixels @ 150,085*/ 1, 0xB1,
  /* RLE: 015 Pixels @ 151,085*/ 15, 0x02,
  /* ABS: 006 Pixels @ 166,085*/ 0, 6, 0x71, 0x51, 0x01, 0x01, 0x01, 0x18,
  /* RLE: 004 Pixels @ 172,085*/ 4, 0x02,
  /* RLE: 001 Pixels @ 176,085*/ 1, 0xD7,
  /* RLE: 007 Pixels @ 177,085*/ 7, 0x01,
  /* RLE: 001 Pixels @ 184,085*/ 1, 0x8B,
  /* RLE: 004 Pixels @ 185,085*/ 4, 0x02,
  /* RLE: 001 Pixels @ 189,085*/ 1, 0x49,
  /* RLE: 009 Pixels @ 190,085*/ 9, 0x01,
  /* RLE: 001 Pixels @ 199,085*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,085*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,086*/ 1, 0x07,
  /* RLE: 004 Pixels @ 007,086*/ 4, 0x01,
  /* ABS: 002 Pixels @ 011,086*/ 0, 2, 0x43, 0x20,
  /* RLE: 004 Pixels @ 013,086*/ 4, 0x03,
  /* RLE: 001 Pixels @ 017,086*/ 1, 0xD4,
  /* RLE: 012 Pixels @ 018,086*/ 12, 0x01,
  /* RLE: 001 Pixels @ 030,086*/ 1, 0x9D,
  /* RLE: 004 Pixels @ 031,086*/ 4, 0x03,
  /* RLE: 001 Pixels @ 035,086*/ 1, 0x7E,
  /* RLE: 020 Pixels @ 036,086*/ 20, 0x01,
  /* ABS: 002 Pixels @ 056,086*/ 0, 2, 0x44, 0x5B,
  /* RLE: 014 Pixels @ 058,086*/ 14, 0x02,
  /* ABS: 002 Pixels @ 072,086*/ 0, 2, 0x22, 0xD7,
  /* RLE: 004 Pixels @ 074,086*/ 4, 0x01,
  /* RLE: 001 Pixels @ 078,086*/ 1, 0xB8,
  /* RLE: 017 Pixels @ 079,086*/ 17, 0x02,
  /* RLE: 001 Pixels @ 096,086*/ 1, 0x17,
  /* RLE: 004 Pixels @ 097,086*/ 4, 0x01,
  /* ABS: 002 Pixels @ 101,086*/ 0, 2, 0x16, 0xDD,
  /* RLE: 012 Pixels @ 103,086*/ 12, 0x02,
  /* ABS: 006 Pixels @ 115,086*/ 0, 6, 0x59, 0xB7, 0x02, 0x02, 0x02, 0x0E,
  /* RLE: 005 Pixels @ 121,086*/ 5, 0x01,
  /* ABS: 002 Pixels @ 126,086*/ 0, 2, 0xD8, 0xB4,
  /* RLE: 012 Pixels @ 128,086*/ 12, 0x02,
  /* ABS: 006 Pixels @ 140,086*/ 0, 6, 0x0F, 0x98, 0x02, 0x02, 0x02, 0x30,
  /* RLE: 004 Pixels @ 146,086*/ 4, 0x01,
  /* RLE: 001 Pixels @ 150,086*/ 1, 0x91,
  /* RLE: 016 Pixels @ 151,086*/ 16, 0x02,
  /* ABS: 005 Pixels @ 167,086*/ 0, 5, 0x71, 0x01, 0x01, 0x01, 0x18,
  /* RLE: 004 Pixels @ 172,086*/ 4, 0x02,
  /* RLE: 001 Pixels @ 176,086*/ 1, 0xD7,
  /* RLE: 007 Pixels @ 177,086*/ 7, 0x01,
  /* ABS: 007 Pixels @ 184,086*/ 0, 7, 0xFE, 0x13, 0x02, 0x02, 0x02, 0x0F, 0x1F,
  /* RLE: 008 Pixels @ 191,086*/ 8, 0x01,
  /* RLE: 001 Pixels @ 199,086*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,086*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,087*/ 1, 0x07,
  /* RLE: 005 Pixels @ 007,087*/ 5, 0x01,
  /* ABS: 005 Pixels @ 012,087*/ 0, 5, 0x53, 0xBC, 0x03, 0x36, 0xD0,
  /* RLE: 013 Pixels @ 017,087*/ 13, 0x01,
  /* ABS: 006 Pixels @ 030,087*/ 0, 6, 0x8D, 0x9D, 0x03, 0x03, 0x7D, 0x1B,
  /* RLE: 021 Pixels @ 036,087*/ 21, 0x01,
  /* ABS: 003 Pixels @ 057,087*/ 0, 3, 0x04, 0xC3, 0xB0,
  /* RLE: 011 Pixels @ 060,087*/ 11, 0x02,
  /* ABS: 002 Pixels @ 071,087*/ 0, 2, 0x40, 0x3D,
  /* RLE: 005 Pixels @ 073,087*/ 5, 0x01,
  /* RLE: 001 Pixels @ 078,087*/ 1, 0x51,
  /* RLE: 016 Pixels @ 079,087*/ 16, 0x02,
  /* ABS: 002 Pixels @ 095,087*/ 0, 2, 0x59, 0xFE,
  /* RLE: 005 Pixels @ 097,087*/ 5, 0x01,
  /* ABS: 002 Pixels @ 102,087*/ 0, 2, 0x08, 0x96,
  /* RLE: 010 Pixels @ 104,087*/ 10, 0x02,
  /* ABS: 007 Pixels @ 114,087*/ 0, 7, 0x5C, 0x08, 0x81, 0x02, 0x02, 0x02, 0x08,
  /* RLE: 006 Pixels @ 121,087*/ 6, 0x01,
  /* ABS: 003 Pixels @ 127,087*/ 0, 3, 0xFE, 0xC4, 0xB0,
  /* RLE: 009 Pixels @ 130,087*/ 9, 0x02,
  /* ABS: 007 Pixels @ 139,087*/ 0, 7, 0x25, 0xCC, 0x1F, 0x0F, 0x02, 0x02, 0xC9,
  /* RLE: 004 Pixels @ 146,087*/ 4, 0x01,
  /* RLE: 001 Pixels @ 150,087*/ 1, 0x5E,
  /* RLE: 016 Pixels @ 151,087*/ 16, 0x02,
  /* ABS: 010 Pixels @ 167,087*/ 0, 10, 0x94, 0x01, 0x01, 0x01, 0xC3, 0x02, 0x02, 0x02, 0xDC, 0xDA,
  /* RLE: 008 Pixels @ 177,087*/ 8, 0x01,
  /* ABS: 006 Pixels @ 185,087*/ 0, 6, 0x40, 0x02, 0x02, 0x02, 0x1D, 0x1F,
  /* RLE: 008 Pixels @ 191,087*/ 8, 0x01,
  /* RLE: 001 Pixels @ 199,087*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,087*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,088*/ 1, 0x07,
  /* RLE: 006 Pixels @ 007,088*/ 6, 0x01,
  /* ABS: 003 Pixels @ 013,088*/ 0, 3, 0x6A, 0x8D, 0x3F,
  /* RLE: 016 Pixels @ 016,088*/ 16, 0x01,
  /* ABS: 002 Pixels @ 032,088*/ 0, 2, 0x43, 0x3E,
  /* RLE: 025 Pixels @ 034,088*/ 25, 0x01,
  /* ABS: 004 Pixels @ 059,088*/ 0, 4, 0x1F, 0xC8, 0x40, 0x25,
  /* RLE: 004 Pixels @ 063,088*/ 4, 0x02,
  /* ABS: 004 Pixels @ 067,088*/ 0, 4, 0xB0, 0xB4, 0xED, 0xF7,
  /* RLE: 008 Pixels @ 071,088*/ 8, 0x01,
  /* ABS: 002 Pixels @ 079,088*/ 0, 2, 0x52, 0x24,
  /* RLE: 012 Pixels @ 081,088*/ 12, 0x0A,
  /* ABS: 003 Pixels @ 093,088*/ 0, 3, 0x5E, 0xA5, 0xFA,
  /* RLE: 008 Pixels @ 096,088*/ 8, 0x01,
  /* ABS: 016 Pixels @ 104,088*/ 0, 16, 0xD5, 0xA2, 0x72, 0x13, 0x02, 0x02, 0x02, 0x71, 0x97, 0xA9, 0x01, 0x01, 0x04, 0x93, 0x02, 0xE3,
  /* RLE: 009 Pixels @ 120,088*/ 9, 0x01,
  /* ABS: 017 Pixels @ 129,088*/ 0, 17, 0x44, 0xA7, 0xB6, 0x35, 0x02, 0x02, 0x02, 0x13, 0x73, 0xA6, 0xFD, 0x01, 0x01, 0x0A, 0x0F, 0x59, 0xD7,
  /* RLE: 004 Pixels @ 146,088*/ 4, 0x01,
  /* ABS: 003 Pixels @ 150,088*/ 0, 3, 0xFF, 0x82, 0xC3,
  /* RLE: 012 Pixels @ 153,088*/ 12, 0x0A,
  /* ABS: 011 Pixels @ 165,088*/ 0, 11, 0x5E, 0x30, 0xFD, 0x01, 0x01, 0x01, 0xFD, 0x76, 0x73, 0x40, 0x16,
  /* RLE: 009 Pixels @ 176,088*/ 9, 0x01,
  /* ABS: 005 Pixels @ 185,088*/ 0, 5, 0x69, 0x99, 0x72, 0xB6, 0x62,
  /* RLE: 009 Pixels @ 190,088*/ 9, 0x01,
  /* RLE: 001 Pixels @ 199,088*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,088*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,089*/ 1, 0x07,
  /* RLE: 056 Pixels @ 007,089*/ 56, 0x01,
  /* ABS: 004 Pixels @ 063,089*/ 0, 4, 0xFE, 0x44, 0x17, 0x2A,
  /* RLE: 041 Pixels @ 067,089*/ 41, 0x01,
  /* ABS: 003 Pixels @ 108,089*/ 0, 3, 0x1F, 0x17, 0xFD,
  /* RLE: 007 Pixels @ 111,089*/ 7, 0x01,
  /* RLE: 001 Pixels @ 118,089*/ 1, 0xDA,
  /* RLE: 014 Pixels @ 119,089*/ 14, 0x01,
  /* ABS: 003 Pixels @ 133,089*/ 0, 3, 0x04, 0x07, 0x1F,
  /* RLE: 007 Pixels @ 136,089*/ 7, 0x01,
  /* RLE: 001 Pixels @ 143,089*/ 1, 0xFE,
  /* RLE: 055 Pixels @ 144,089*/ 55, 0x01,
  /* RLE: 001 Pixels @ 199,089*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,089*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,090*/ 1, 0x07,
  /* RLE: 192 Pixels @ 007,090*/ 192, 0x01,
  /* RLE: 001 Pixels @ 199,090*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,090*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,091*/ 1, 0x07,
  /* RLE: 192 Pixels @ 007,091*/ 192, 0x01,
  /* RLE: 001 Pixels @ 199,091*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,091*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,092*/ 1, 0x07,
  /* RLE: 192 Pixels @ 007,092*/ 192, 0x01,
  /* RLE: 001 Pixels @ 199,092*/ 1, 0x07,
  /* RLE: 012 Pixels @ 200,092*/ 12, 0x02,
  /* RLE: 001 Pixels @ 006,093*/ 1, 0x07,
  /* RLE: 192 Pixels @ 007,093*/ 192, 0x01,
  /* RLE: 001 Pixels @ 199,093*/ 1, 0x07,
  /* RLE: 006 Pixels @ 200,093*/ 6, 0x02,
  /* RLE: 001 Pixels @ 000,094*/ 1, 0x70,
  /* RLE: 005 Pixels @ 001,094*/ 5, 0x02,
  /* RLE: 001 Pixels @ 006,094*/ 1, 0x67,
  /* RLE: 192 Pixels @ 007,094*/ 192, 0x01,
  /* RLE: 001 Pixels @ 199,094*/ 1, 0x67,
  /* RLE: 005 Pixels @ 200,094*/ 5, 0x02,
  /* ABS: 002 Pixels @ 205,094*/ 0, 2, 0x70, 0xB0,
  /* RLE: 005 Pixels @ 001,095*/ 5, 0x02,
  /* RLE: 001 Pixels @ 006,095*/ 1, 0x75,
  /* RLE: 192 Pixels @ 007,095*/ 192, 0x01,
  /* RLE: 001 Pixels @ 199,095*/ 1, 0x9A,
  /* RLE: 005 Pixels @ 200,095*/ 5, 0x02,
  /* ABS: 002 Pixels @ 205,095*/ 0, 2, 0xB0, 0x5B,
  /* RLE: 006 Pixels @ 001,096*/ 6, 0x02,
  /* ABS: 002 Pixels @ 007,096*/ 0, 2, 0xA2, 0x3D,
  /* RLE: 188 Pixels @ 009,096*/ 188, 0xDA,
  /* ABS: 002 Pixels @ 197,096*/ 0, 2, 0xD8, 0x50,
  /* RLE: 006 Pixels @ 199,096*/ 6, 0x02,
  /* ABS: 002 Pixels @ 205,096*/ 0, 2, 0x5B, 0xB3,
  /* RLE: 204 Pixels @ 001,097*/ 204, 0x02,
  /* ABS: 003 Pixels @ 205,097*/ 0, 3, 0xB3, 0x00, 0x6D,
  /* RLE: 202 Pixels @ 002,098*/ 202, 0x02,
  /* ABS: 005 Pixels @ 204,098*/ 0, 5, 0x6D, 0x00, 0x00, 0x47, 0x34,
  /* RLE: 200 Pixels @ 003,099*/ 200, 0x02,
  /* ABS: 007 Pixels @ 203,099*/ 0, 7, 0x34, 0x47, 0x00, 0x00, 0x00, 0x48, 0x34,
  /* RLE: 198 Pixels @ 004,100*/ 198, 0x02,
  /* ABS: 002 Pixels @ 202,100*/ 0, 2, 0x34, 0x48,
  /* RLE: 005 Pixels @ 204,100*/ 5, 0x00,
  /* ABS: 002 Pixels @ 003,101*/ 0, 2, 0x47, 0x6E,
  /* RLE: 196 Pixels @ 005,101*/ 196, 0x02,
  /* ABS: 002 Pixels @ 201,101*/ 0, 2, 0x6E, 0xC7,
  /* RLE: 008 Pixels @ 203,101*/ 8, 0x00,
  /* ABS: 003 Pixels @ 005,102*/ 0, 3, 0x6B, 0x6C, 0x6F,
  /* RLE: 190 Pixels @ 008,102*/ 190, 0x02,
  /* ABS: 003 Pixels @ 198,102*/ 0, 3, 0x6F, 0x6C, 0x6B,
  /* RLE: 005 Pixels @ 201,102*/ 5, 0x00,


  0};  /* 4483 bytes for 21218 pixels */

static GUI_CONST_STORAGE GUI_BITMAP _bmSeggerLogo206 = {
  206, /* XSize */
  103, /* YSize */
  206, /* BytesPerLine */
  GUI_COMPRESS_RLE8, /* BitsPerPixel */
  _acSeggerLogo206,  /* Pointer to picture data (indices) */
  &_PalSeggerLogo206  /* Pointer to palette */
 ,GUI_DRAW_RLE8
};

/*********************************************************************
*
*       Dolphin(s)
*
*   All dolphins uses the same palette, so the palette and color information exists only once.
*/
/* Colors of dolphins */
static GUI_CONST_STORAGE GUI_COLOR _aColorsDolphin[] = {
     0x0000FF,0x330000,0x333333,0x660000
    ,0x663333,0x666666,0x993333,0xCC3333
    ,0xCC3434,0x996633,0xCC6633,0x996666
    ,0x9A6666,0xCC6666,0xFF6666,0xCC9966
    ,0xFF9966,0x000000,0x999999,0xCC9999
    ,0xFF9999,0xFF9A9A,0xFFCC99,0xCCCCCC
    ,0xFFCBCB,0xFFCCCC,0xFFFFFF
};

/* Palette of dolphins */
static GUI_CONST_STORAGE GUI_LOGPALETTE _PalDolphin = {
  27,	/* number of entries */
  1, 	/* Has transparency */
  &_aColorsDolphin[0]
};

/* Pixeldata of acDolphin_00 */
static GUI_CONST_STORAGE unsigned char _acDolphin_00[] = {
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02,
        0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0B, 0x14,
        0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x14, 0x16, 0x14,
        0x0D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x19, 0x19, 0x19, 0x14,
        0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x19, 0x16, 0x19, 0x19, 0x14,
        0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x0B, 0x04, 0x13, 0x05, 0x0B, 0x0B, 0x0B, 0x02, 0x02, 0x02, 0x02, 0x12, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x19, 0x19, 0x14, 0x19, 0x19, 0x14,
        0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x04, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x16, 0x16, 0x16, 0x16, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x14, 0x16, 0x14, 0x14, 0x19, 0x16, 0x14,
        0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x16, 0x16, 0x14, 0x14, 0x13, 0x05, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x14,
        0x02, 0x00, 0x00, 0x00, 0x00, 0x02, 0x05, 0x0D, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x14, 0x0B, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x14, 0x0B,
        0x00, 0x00, 0x00, 0x05, 0x04, 0x13, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x16, 0x14, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x02,
        0x00, 0x05, 0x04, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x05, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x04,
        0x02, 0x13, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x05, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x05,
        0x0B, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x05, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x04, 0x13,
        0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x06, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x05, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x04, 0x0B, 0x14, 0x14,
        0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x06, 0x05, 0x06, 0x06, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x02,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x0B, 0x14, 0x14, 0x14, 0x14,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x04, 0x00, 0x00, 0x0B, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D,
        0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x0B, 0x14, 0x14, 0x14, 0x0D, 0x0B, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19,
        0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0B, 0x00, 0x00, 0x00, 0x0B, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x19, 0x19, 0x14,
        0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x05, 0x02, 0x02, 0x02, 0x05, 0x0B, 0x0B, 0x0B, 0x04, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19,
        0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x04, 0x00, 0x00, 0x00, 0x00, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x19, 0x16,
        0x13, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x05, 0x0B, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x19,
        0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x05, 0x05, 0x04, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x19,
        0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x0B, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x19,
        0x19, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x04, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14,
        0x19, 0x0F, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0B, 0x14, 0x14, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x07, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x07, 0x0E, 0x0E, 0x0E, 0x14, 0x14,
        0x19, 0x0F, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0D, 0x0E, 0x0E, 0x0E, 0x14,
        0x19, 0x13, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x13, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x04, 0x05, 0x05, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0D, 0x0E, 0x0E, 0x14,
        0x16, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x02, 0x17, 0x19, 0x19, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0E, 0x0E, 0x0E,
        0x16, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x13, 0x05, 0x19, 0x19, 0x19, 0x19, 0x12, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x15, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x06, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x0E, 0x0E,
        0x14, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x04, 0x12, 0x17, 0x19, 0x19, 0x19, 0x12, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x15, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E,
        0x14, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x17, 0x19, 0x02, 0x17, 0x19, 0x19, 0x05, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06,
        0x14, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x04, 0x0B, 0x02, 0x02, 0x12, 0x05, 0x12, 0x12, 0x05, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x05, 0x19, 0x05, 0x05, 0x02, 0x17, 0x19, 0x05, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02,
        0x0D, 0x0D, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x04, 0x0E, 0x14, 0x14, 0x14, 0x0B, 0x0B, 0x0B, 0x0B, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x05, 0x12, 0x12, 0x0B, 0x02, 0x12, 0x05, 0x19, 0x05, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x06, 0x10, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x02, 0x19, 0x04, 0x01, 0x17, 0x17, 0x05, 0x19, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x0B, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x13, 0x05, 0x19, 0x02, 0x05, 0x12, 0x12, 0x05, 0x12, 0x05, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x12, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x0B, 0x02, 0x02, 0x02, 0x0B, 0x04, 0x04, 0x04, 0x05, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x04, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x14, 0x0B, 0x14, 0x14, 0x14, 0x16, 0x16, 0x16, 0x16, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x06, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x05, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x0E, 0x0E, 0x0E, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x04, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x0E, 0x06, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x06, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x04, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x06, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14,
        0x14, 0x0B, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x02, 0x0B, 0x0E, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19,
        0x14, 0x14, 0x0B, 0x02, 0x02, 0x02, 0x0B, 0x0B, 0x14, 0x14, 0x14, 0x0E, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11, 0x04, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x01, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x07, 0x04, 0x02, 0x01, 0x01, 0x02, 0x06, 0x0B, 0x0D, 0x02, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11, 0x0D, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x06, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x06, 0x06, 0x05, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E,
        0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0D, 0x0B, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x01, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x07, 0x06, 0x02, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x04, 0x07, 0x0E, 0x0E, 0x0E, 0x0E,
        0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x04, 0x05, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x01, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x01, 0x06, 0x06,
        0x06, 0x01, 0x01, 0x02, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* Pixeldata of acDolphin_01 */
static GUI_CONST_STORAGE unsigned char _acDolphin_01[] = {
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x12, 0x02, 0x05, 0x05, 0x02, 0x02, 0x02, 0x01, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0D, 0x0D, 0x0D, 0x0D, 0x0D, 0x0D, 0x04, 0x04, 0x0B, 0x05, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x02, 0x0B, 0x0B, 0x04,
        0x0D, 0x0D, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x05, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x05, 0x0B, 0x14, 0x14, 0x14, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x0B, 0x05, 0x12, 0x12, 0x04, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19,
        0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x05, 0x0D, 0x14, 0x19, 0x19, 0x19, 0x14, 0x14, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x16,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12,
        0x0B, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x13, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x13,
        0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x13, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x0E, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x0B, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x0E, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0B, 0x0B, 0x0B, 0x0B, 0x0B, 0x0B, 0x02, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x04, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x0E, 0x0E, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x16, 0x0D, 0x02, 0x02, 0x12, 0x00, 0x12, 0x05, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x16, 0x14, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E,
        0x0E, 0x06, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x04, 0x02, 0x04, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E,
        0x04, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x13, 0x0B, 0x0B, 0x14, 0x14, 0x19, 0x18, 0x19, 0x14, 0x0D, 0x04, 0x04, 0x0B, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x06, 0x02,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x13, 0x02, 0x05, 0x19, 0x12, 0x0B, 0x14, 0x14, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x0B, 0x04, 0x0B, 0x13,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0B, 0x04, 0x0B, 0x0B, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x06, 0x02, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x04, 0x14, 0x14, 0x0B, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x05, 0x05, 0x17, 0x19, 0x19, 0x19, 0x02, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x13, 0x0B,
        0x04, 0x0B, 0x0D, 0x14, 0x14, 0x04, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x05, 0x05, 0x02, 0x0B, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x04, 0x05, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x13, 0x0B, 0x02, 0x02, 0x05, 0x04, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x05, 0x12, 0x12, 0x19, 0x19, 0x19, 0x19, 0x05, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x13, 0x0B, 0x04, 0x04, 0x11, 0x02, 0x02, 0x02, 0x02, 0x05, 0x05, 0x05, 0x04, 0x0B, 0x0D, 0x0D, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x07, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x0B, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x05, 0x12, 0x12, 0x02, 0x17, 0x19, 0x19, 0x19, 0x04, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x13, 0x13, 0x13, 0x13, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0D, 0x0B, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x05, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x04, 0x17, 0x13, 0x05, 0x12, 0x17, 0x05, 0x19, 0x19, 0x05, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19,
        0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x07, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x04, 0x12, 0x17, 0x02, 0x05, 0x1A, 0x1A, 0x05, 0x19, 0x19, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x18, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x04, 0x02, 0x02, 0x02, 0x05, 0x02, 0x12, 0x05, 0x19, 0x12, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x0B, 0x02, 0x05, 0x04, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x06, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x07, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x14, 0x14, 0x0B, 0x05, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x14, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x15, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x04, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x01, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x04, 0x04, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x06, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x06, 0x01, 0x02, 0x06, 0x06, 0x02, 0x04, 0x04, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x10, 0x0E, 0x0E, 0x07, 0x04, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x13, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x06, 0x05, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x04, 0x12, 0x17, 0x17, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x06, 0x02, 0x05, 0x05, 0x19, 0x19, 0x05, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x07, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x06, 0x06, 0x04, 0x05, 0x12, 0x19, 0x19, 0x19, 0x13, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x14,
        0x14, 0x14, 0x0D, 0x04, 0x04, 0x05, 0x05, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x12, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x04, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14,
        0x14, 0x05, 0x12, 0x17, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x12, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x03, 0x07, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19,
        0x14, 0x02, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x12, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x11, 0x01, 0x06, 0x06, 0x06, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x06, 0x06, 0x01, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19,
        0x19, 0x0D, 0x05, 0x19, 0x19, 0x19, 0x12, 0x05, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x05, 0x02, 0x11, 0x0B, 0x0B, 0x05, 0x12, 0x19, 0x17, 0x04, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19,
        0x19, 0x14, 0x04, 0x11, 0x11, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x05, 0x05, 0x02, 0x0E, 0x0E, 0x14, 0x14, 0x16,
        0x19, 0x19, 0x14, 0x0B, 0x02, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x0E, 0x14,
        0x14, 0x14, 0x16, 0x16, 0x14, 0x13, 0x0D, 0x04, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x06, 0x0E, 0x0E,
        0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x07,
        0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x04, 0x04, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x02, 0x0B, 0x0B, 0x0B, 0x0B, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* Pixeldata of acDolphin_02 */
static GUI_CONST_STORAGE unsigned char _acDolphin_02[] = {
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0x0D, 0x0B, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0x14, 0x14, 0x14, 0x02, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x02, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x0D, 0x05, 0x02, 0x05, 0x05, 0x05, 0x12, 0x05, 0x05, 0x04, 0x0B, 0x0B, 0x0B, 0x0B, 0x0B, 0x0B, 0x0B, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x16, 0x14, 0x13, 0x0D, 0x0D, 0x0D, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x13, 0x0B, 0x02, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x04, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x12, 0x12, 0x12, 0x12, 0x12, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x14, 0x0B, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x0B, 0x0B, 0x04, 0x14, 0x14, 0x14, 0x14, 0x14, 0x02, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x16, 0x14, 0x05, 0x00,
        0x00, 0x02, 0x04, 0x0D, 0x14, 0x14, 0x14, 0x16, 0x16, 0x16, 0x16, 0x16, 0x14, 0x14, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x0D, 0x0D, 0x0D, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x11,
        0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x0B, 0x05, 0x0B, 0x0B, 0x02, 0x17, 0x05, 0x02, 0x05, 0x14, 0x14, 0x16, 0x19, 0x19, 0x14, 0x0B,
        0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x02, 0x05, 0x19, 0x05, 0x05, 0x05, 0x05, 0x19, 0x19, 0x19, 0x13, 0x0D, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14,
        0x0B, 0x04, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x0E, 0x0E, 0x0E, 0x07, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x05, 0x03, 0x12, 0x1A, 0x02, 0x17, 0x19, 0x19, 0x17, 0x0D, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14,
        0x14, 0x0B, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x13, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x01, 0x0E, 0x0E, 0x07, 0x06, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x14, 0x0B, 0x11, 0x02, 0x1A, 0x1A, 0x05, 0x19, 0x19, 0x19, 0x12, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19,
        0x14, 0x14, 0x04, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x19, 0x13, 0x04, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x0E, 0x02, 0x06, 0x0E, 0x04, 0x0E, 0x0E, 0x14, 0x14, 0x16, 0x19, 0x14, 0x0B, 0x12, 0x1A, 0x12, 0x12, 0x19, 0x19, 0x0B, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x19, 0x18, 0x19,
        0x19, 0x14, 0x14, 0x02, 0x04, 0x14, 0x14, 0x19, 0x13, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x0B, 0x02, 0x11, 0x07, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x04, 0x12, 0x05, 0x19, 0x19, 0x05, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19,
        0x19, 0x14, 0x14, 0x14, 0x04, 0x04, 0x14, 0x14, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0x0E, 0x14, 0x14, 0x0B, 0x06, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x0D, 0x02, 0x19, 0x17, 0x02, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19,
        0x19, 0x19, 0x14, 0x14, 0x14, 0x0B, 0x04, 0x14, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0E, 0x14, 0x14, 0x14, 0x06, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x04, 0x02, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19,
        0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x0B, 0x0B, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x0E, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x13, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19,
        0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x0B, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0E, 0x0E, 0x14, 0x14, 0x0E, 0x0E, 0x14, 0x14, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x0B, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x14, 0x15, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x0B, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x13, 0x0B, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x04, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x14, 0x0B, 0x0B, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x0B, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x14, 0x19, 0x19, 0x19, 0x13, 0x0D, 0x05, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x04, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x0D, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x13, 0x04, 0x02, 0x00, 0x00, 0x00, 0x00, 0x05, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x05, 0x12, 0x12, 0x05, 0x02, 0x02, 0x02, 0x02, 0x02, 0x05, 0x0B, 0x0B, 0x0C, 0x0B, 0x04,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x0B, 0x02, 0x05, 0x12, 0x11, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00,
        0x04, 0x0B, 0x0B, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x17, 0x04, 0x08, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x0D, 0x04, 0x04, 0x0B, 0x04, 0x0D, 0x0D, 0x14, 0x19, 0x19, 0x19, 0x14, 0x0D, 0x02, 0x02, 0x0D,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x0B,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x19, 0x13, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x13, 0x0D, 0x0D, 0x0B, 0x14, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x14,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x04,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x19, 0x12, 0x09, 0x07, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x16, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19,
        0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x14, 0x14, 0x14, 0x06, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x19, 0x02, 0x04, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x06, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x17, 0x12, 0x07, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x06, 0x05, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x04, 0x0E, 0x0E, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x02, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x01, 0x0E, 0x0E, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0E, 0x0E, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x0E,
        0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x10, 0x10, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x10, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E,
        0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x06, 0x04, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x14, 0x19, 0x19, 0x19, 0x19, 0x0D, 0x05,
        0x02, 0x04, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x04, 0x06, 0x06, 0x04, 0x02, 0x11, 0x11, 0x02, 0x00, 0x00, 0x05, 0x04, 0x04, 0x04, 0x04, 0x04,
        0x04, 0x06, 0x06, 0x02, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0E, 0x0E, 0x14, 0x14, 0x19, 0x19, 0x14, 0x05, 0x19,
        0x19, 0x17, 0x12, 0x02, 0x02, 0x05, 0x0B, 0x04, 0x01, 0x06, 0x07, 0x07, 0x07, 0x07, 0x07, 0x06, 0x01, 0x01, 0x0B, 0x0B, 0x05, 0x02, 0x05, 0x12, 0x12, 0x12, 0x17, 0x12, 0x02, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x14, 0x14, 0x19, 0x19, 0x14, 0x05, 0x19,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x17, 0x17, 0x17, 0x17, 0x17, 0x17, 0x17, 0x17, 0x17, 0x17, 0x17, 0x19, 0x19, 0x19, 0x19, 0x19, 0x17, 0x05, 0x02, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0D, 0x0E, 0x14, 0x19, 0x19, 0x0F, 0x11, 0x02,
        0x05, 0x17, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x12, 0x05, 0x05, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x14, 0x14, 0x19, 0x14, 0x05, 0x17,
        0x12, 0x05, 0x02, 0x02, 0x05, 0x05, 0x05, 0x05, 0x05, 0x05, 0x05, 0x05, 0x12, 0x05, 0x05, 0x05, 0x05, 0x02, 0x12, 0x12, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0A, 0x0E, 0x14, 0x19, 0x14, 0x05, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x12, 0x12, 0x12, 0x12, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x14, 0x14, 0x04, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x07, 0x0E, 0x14, 0x14, 0x0B, 0x12,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0E, 0x0E, 0x14, 0x14, 0x05,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x07, 0x0E, 0x0E, 0x05,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x04, 0x07, 0x05,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* Pixeldata of acDolphin_03 */
static GUI_CONST_STORAGE unsigned char _acDolphin_03[] = {
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x05, 0x04, 0x13, 0x14, 0x14, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x12, 0x05, 0x13, 0x19, 0x19, 0x16, 0x0D, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x02, 0x0B, 0x14, 0x16, 0x19, 0x19, 0x19, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x0D,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x0B, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x0D, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x0D, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x0B, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x12, 0x12, 0x12, 0x12, 0x12, 0x12, 0x12, 0x12, 0x12, 0x00, 0x00, 0x12, 0x0B, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x0B, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x02, 0x0B, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x05, 0x0B, 0x02, 0x11, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x13, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x04, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x13, 0x02, 0x04, 0x0B, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x0B, 0x02, 0x0B,
        0x0B, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x13, 0x0B, 0x04, 0x0B, 0x13, 0x14, 0x14, 0x14, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x04, 0x04, 0x13, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x0B, 0x02, 0x04, 0x0D, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x02, 0x12, 0x19, 0x19, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x11, 0x05, 0x19, 0x19, 0x19, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19,
        0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x05, 0x12, 0x02, 0x02, 0x12, 0x19, 0x19, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19,
        0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x14, 0x13, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x05, 0x19, 0x05, 0x12, 0x17, 0x05, 0x19, 0x19, 0x05, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x04, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x05, 0x14, 0x19, 0x19, 0x14, 0x14, 0x14, 0x0D, 0x05, 0x19, 0x19, 0x05, 0x12, 0x1A, 0x12, 0x17, 0x19, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x13, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0B, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x0B, 0x02, 0x05, 0x05, 0x02, 0x05, 0x12, 0x12, 0x17, 0x05, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x04, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x02, 0x0B, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x13, 0x0B, 0x02, 0x05, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x05, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x0B, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x0B, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x10, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x04, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x12, 0x06, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x04, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x05, 0x04, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x04, 0x02, 0x02, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x11, 0x11, 0x11, 0x11, 0x01, 0x11, 0x11, 0x0B, 0x0B, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x07, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x15, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x16, 0x14, 0x14, 0x0D, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x07, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x10, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x16, 0x14, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x16, 0x14, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x04, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x01, 0x06, 0x06, 0x04, 0x06, 0x06, 0x06, 0x04, 0x06, 0x06, 0x06, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x05, 0x05, 0x11, 0x02, 0x05, 0x05, 0x05, 0x05, 0x03, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x14, 0x0E, 0x0E,
        0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x16, 0x13, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x06, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x04, 0x04, 0x07,
        0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x02, 0x12, 0x17,
        0x05, 0x0B, 0x05, 0x06, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x19, 0x19, 0x02, 0x17, 0x19,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x0B, 0x06, 0x06, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x01, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x19, 0x13, 0x02, 0x19,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x17, 0x05, 0x04, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x04, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x16, 0x04, 0x11,
        0x02, 0x05, 0x05, 0x05, 0x05, 0x17, 0x19, 0x19, 0x19, 0x19, 0x19, 0x12, 0x0B, 0x04, 0x0A, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x06, 0x0E, 0x14, 0x14, 0x14, 0x16, 0x14, 0x02,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x05, 0x12, 0x17, 0x19, 0x19, 0x19, 0x17, 0x05, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x14, 0x0E, 0x14, 0x14, 0x14, 0x14,
        0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x05, 0x05, 0x19, 0x19, 0x19, 0x19, 0x17, 0x0B, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x06, 0x0E, 0x14, 0x14, 0x14,
        0x0B, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x02, 0x02, 0x17, 0x19, 0x19, 0x05, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x06, 0x13, 0x14,
        0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x02, 0x02, 0x17, 0x12, 0x04, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05,
        0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x12, 0x04, 0x07, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x02, 0x07, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x11, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x01, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x06, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x04, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x13, 0x11, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x04, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x13, 0x0D, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x10, 0x14, 0x14, 0x14, 0x0D, 0x02, 0x05, 0x12, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x05, 0x05, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x0D, 0x02,
        0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14,
        0x0D, 0x04, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14,
        0x19, 0x14, 0x0B, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E,
        0x0E, 0x0E, 0x14, 0x14, 0x02, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0A, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E,
        0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x0B, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x06, 0x05, 0x05, 0x02, 0x03, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E,
        0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x0B, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x06, 0x04, 0x05, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x06, 0x06, 0x07, 0x0E, 0x0E, 0x0E, 0x0E,
        0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x16, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x04, 0x0E, 0x0E, 0x0E, 0x06, 0x06, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x05, 0x02, 0x02, 0x06, 0x06, 0x0E,
        0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x13, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02,
        0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x05, 0x04, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x0B, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x05, 0x02, 0x06, 0x0E, 0x0E, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x05, 0x04, 0x0E, 0x0E, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0E, 0x13, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

/* Pixeldata of acDolphin_04 */
static GUI_CONST_STORAGE unsigned char _acDolphin_04[] = {
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0D, 0x12, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x14, 0x14, 0x12, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x14, 0x14, 0x14, 0x12, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x16, 0x19, 0x19, 0x14, 0x02, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x19, 0x19, 0x19, 0x19, 0x19, 0x05, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x16, 0x19, 0x19, 0x19, 0x19, 0x19, 0x0D, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0x19, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x02, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x0B, 0x05, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x0B, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x14, 0x05,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x14, 0x13, 0x12,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x13, 0x02, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x0B, 0x04, 0x04, 0x05, 0x05,
        0x02, 0x04, 0x0B, 0x0B, 0x0B, 0x05, 0x05, 0x05, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x0B, 0x02, 0x04, 0x04, 0x0D, 0x0D, 0x13, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x0B, 0x05, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0x0D, 0x0B, 0x02, 0x04, 0x04, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x13, 0x13, 0x05, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x11, 0x0B, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x0D, 0x0B, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x04, 0x0B, 0x0D, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19,
        0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x05, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x04, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x0B, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x0B, 0x05, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x13, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x15, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x04, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x13, 0x14, 0x16, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x16, 0x16, 0x16, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x13, 0x0B, 0x05, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x05, 0x19, 0x17, 0x02, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x12, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x19, 0x19, 0x19, 0x19, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x12, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x17, 0x19, 0x19, 0x19, 0x19, 0x05, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x0B, 0x12, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x02, 0x12, 0x19, 0x19, 0x19, 0x19, 0x19, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x06, 0x04, 0x04, 0x04, 0x04, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x04, 0x12,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0B, 0x05, 0x05, 0x05, 0x12, 0x19, 0x19, 0x19, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x07, 0x07, 0x04, 0x06, 0x02, 0x02, 0x02, 0x02, 0x02, 0x02, 0x02, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x06, 0x04, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x13,
        0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x05, 0x12, 0x12, 0x1A, 0x05, 0x17, 0x19, 0x13, 0x02, 0x0D, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x04, 0x04, 0x05, 0x12, 0x05, 0x05, 0x05, 0x05, 0x00, 0x00, 0x00, 0x02, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x19,
        0x14, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x05, 0x12, 0x12, 0x1A, 0x17, 0x02, 0x02, 0x04, 0x0B, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x07, 0x04, 0x05, 0x17, 0x12, 0x05, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14,
        0x19, 0x19, 0x0D, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x12, 0x12, 0x01, 0x11, 0x02, 0x13, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14,
        0x0E, 0x0E, 0x0E, 0x0E, 0x06, 0x02, 0x12, 0x19, 0x12, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14,
        0x14, 0x14, 0x19, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x12, 0x13, 0x02, 0x0D, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x0D,
        0x0E, 0x0E, 0x06, 0x05, 0x17, 0x19, 0x12, 0x05, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E,
        0x14, 0x14, 0x14, 0x14, 0x19, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x14, 0x05, 0x04, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19, 0x19, 0x02,
        0x11, 0x12, 0x19, 0x19, 0x12, 0x02, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E,
        0x0E, 0x14, 0x14, 0x14, 0x16, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x14, 0x0D, 0x04, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19, 0x19, 0x19,
        0x0D, 0x05, 0x02, 0x05, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x01, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E,
        0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x14, 0x14, 0x14, 0x0B, 0x0B, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x19, 0x19,
        0x19, 0x14, 0x14, 0x0D, 0x05, 0x05, 0x02, 0x12, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x02, 0x00, 0x12, 0x06, 0x06, 0x07, 0x0E, 0x0E, 0x0E, 0x0E,
        0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x16, 0x16, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x07, 0x02, 0x07, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x14, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x0E, 0x0E, 0x07, 0x04, 0x04, 0x04, 0x06, 0x02, 0x02, 0x12, 0x12, 0x12, 0x12, 0x12, 0x00, 0x00, 0x00, 0x12, 0x12, 0x12, 0x02, 0x06, 0x0E, 0x0E,
        0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x13, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x0D, 0x04, 0x01, 0x01, 0x0B, 0x0D, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x0E, 0x04, 0x12, 0x12, 0x05, 0x04, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x16, 0x19, 0x19, 0x16, 0x14, 0x14, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x02, 0x12, 0x12, 0x12, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x02, 0x06,
        0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x19, 0x19, 0x19, 0x19, 0x19, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x02, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x07, 0x04, 0x12, 0x05, 0x00, 0x00, 0x00, 0x04, 0x07, 0x0E, 0x0E, 0x0E, 0x14, 0x14,
        0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x04, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x19, 0x19, 0x19, 0x16, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x06, 0x06, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x04, 0x05, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x04, 0x06, 0x0E, 0x0E, 0x0E,
        0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0D, 0x04, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x05, 0x01, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x04, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x07, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x04, 0x02, 0x02, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x06,
        0x04, 0x04, 0x06, 0x06, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x02, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x04, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x13, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x0E, 0x07, 0x04, 0x0E, 0x0E, 0x0E, 0x0E, 0x04, 0x02, 0x02, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x07, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0D, 0x12, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x07, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x06, 0x04, 0x0E, 0x07, 0x07, 0x04, 0x11, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0x0E, 0x0E, 0x0E, 0x12, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x05, 0x0E, 0x0E, 0x0E, 0x14, 0x14, 0x14, 0x14, 0x14, 0x0E, 0x0E, 0x04, 0x02, 0x05, 0x0B, 0x0B, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x07, 0x0E, 0x0E, 0x02, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x06, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x07, 0x06, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x04, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x05, 0x02, 0x04, 0x04, 0x06, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

/*********************************************************************
*
*       Dolphin bitmap structures
*/
static GUI_CONST_STORAGE GUI_BITMAP _bmDolphin_0 = {
  100, /* XSize */
  66, /* YSize */
  100, /* BytesPerLine */
  8, /* BitsPerPixel */
  _acDolphin_00,  /* Pointer to picture data (indices) */
  &_PalDolphin  /* Pointer to palette */
};

static GUI_CONST_STORAGE GUI_BITMAP _bmDolphin_1 = {
  100, /* XSize */
  66, /* YSize */
  100, /* BytesPerLine */
  8, /* BitsPerPixel */
  _acDolphin_01,  /* Pointer to picture data (indices) */
  &_PalDolphin  /* Pointer to palette */
};

static GUI_CONST_STORAGE GUI_BITMAP _bmDolphin_2 = {
  100, /* XSize */
  66, /* YSize */
  100, /* BytesPerLine */
  8, /* BitsPerPixel */
  _acDolphin_02,  /* Pointer to picture data (indices) */
  &_PalDolphin  /* Pointer to palette */
};

static GUI_CONST_STORAGE GUI_BITMAP _bmDolphin_3 = {
  100, /* XSize */
  66, /* YSize */
  100, /* BytesPerLine */
  8, /* BitsPerPixel */
  _acDolphin_03,  /* Pointer to picture data (indices) */
  &_PalDolphin  /* Pointer to palette */
};

static GUI_CONST_STORAGE GUI_BITMAP _bmDolphin_4 = {
  100, /* XSize */
  66, /* YSize */
  100, /* BytesPerLine */
  8, /* BitsPerPixel */
  _acDolphin_04,  /* Pointer to picture data (indices) */
  &_PalDolphin  /* Pointer to palette */
};

/*********************************************************************
*
*       Types
*
**********************************************************************
*/
typedef struct {
  int           NumItems;
  const char ** pData;
} SUB_ITEMS;

typedef struct {
  int           Delay;
  int           Cmd;
  int           Param;
} ACTION_ITEM;

typedef struct {
  int           Index;
  int           State;
} EXEC_MACHINE_CONTEXT;

/*********************************************************************
*
*       Defines
*
**********************************************************************
*/
#define STATUS_CHECK_CHECKED 1

#define MENU_Y0              41
#define MENU_Y1              75

#define SUB_X0               4
#define SUB_Y0               14
#define SUB_X1               65
#define SUB_YD               25

#define CMD_KEY              1
#define CMD_EXEC             2

#define EXEC_START           1
#define EXEC_WAIT            2

#define STATE_READY          1
#define STATE_DELAY          2
#define STATE_WASHING        3

#define INIT_BUTTON          (WM_USER + 0)

/*********************************************************************
*
*       Static Data
*
**********************************************************************
*/
/*********************************************************************
*
*       Bitmaps
*/
static GUI_CONST_STORAGE GUI_BITMAP * _apBitmaps[] = {
  &_bmDolphin_0,
  &_bmDolphin_1,
  &_bmDolphin_2,
  &_bmDolphin_3,
  &_bmDolphin_4,
};

/*********************************************************************
*
*       Text
*/
static const char * _pacText[] = {
  "Pre",
  "Wash",
  "Rinse",
  "Spin",
  "Soil",
};

static const char * _pacTextPre[] = {
  "Off",
  "On"
};

static const char * _pacTextWash[] = {
  "Warm",
  "Cold"
};

static const char * _pacTextRinse[] = {
  "Warm",
  "Cold"
};

static const char * _pacTextSpin[] = {
  "High",
  "Low"
};

static const char * _pacTextSoil[] = {
  "Heavy",
  "Normal",
  "Light",
};

/*********************************************************************
*
*       Animation items
*/
static const ACTION_ITEM _aActionItem[] = {
  {1000, CMD_EXEC, EXEC_WAIT      },
  {300,  CMD_KEY,  GUI_KEY_RIGHT  },
  {300,  CMD_KEY,  GUI_KEY_RIGHT  },
  {300,  CMD_KEY,  GUI_KEY_DOWN   },
  {300,  CMD_KEY,  GUI_KEY_DOWN   },
  {300,  CMD_KEY,  GUI_KEY_ESCAPE },
  {300,  CMD_KEY,  GUI_KEY_LEFT   },
  {300,  CMD_KEY,  GUI_KEY_DOWN   },
  {300,  CMD_KEY,  GUI_KEY_UP     },
  {300,  CMD_KEY,  GUI_KEY_ESCAPE },
  {300,  CMD_KEY,  GUI_KEY_LEFT   },
  {300,  CMD_KEY,  GUI_KEY_DOWN   },
  {300,  CMD_KEY,  GUI_KEY_UP     },
  {300,  CMD_KEY,  GUI_KEY_ESCAPE },
  {300,  CMD_KEY,  GUI_KEY_LEFT   },
  {300,  CMD_KEY,  GUI_KEY_DOWN   },
  {300,  CMD_KEY,  GUI_KEY_DOWN   },
  {300,  CMD_KEY,  GUI_KEY_ESCAPE },
  {9000, CMD_EXEC, EXEC_START     }
};

/*********************************************************************
*
*       Separators for status bar
*/
static int _aStatusSep[5] = { 3, 30, 130, 184, 217 };

/*********************************************************************
*
*       Misc
*/
static const int _aSeparator[] = { 20, 55, 110, 170, 220, 280 };
static const int _aSubPosX[]   = { 5,  55, 115, 165, 225 };
static const int _axPos[]      = { 20, 58, 118, 180, 235 };
static SUB_ITEMS _SubItems;
static WM_HWIN   _hStatus;
static int       _aSelection[] = { 1, 0, 1, 1, 0 };
static int       _Time         = 90 << 3;
static int       _State;
static int       _NoMemory;
static U32       _Selection    = 2;

/*********************************************************************
*
*       Static code
*
**********************************************************************
*/
/*********************************************************************
*
*       _DrawGradientRoundBar
*
*  Function description
*    Draws a vertical gradient in form of a rounded bar
*/
static void _DrawGradientRoundBar(int x0, int y0_, int x1, int y1_, GUI_COLOR Color0, GUI_COLOR Color1) {
  GUI_COLOR Color;
  double    rd;
  double    rr;
  double    x;
  double    y;
  int       Temp;
  int       Add;
  int       r0;
  int       g0;
  int       b0;
  int       r1;
  int       g1;
  int       b1;
  int       d;
  int       i;
  U32       r;
  U32       g;
  U32       b;

  if (y0_ > y1_) {
    Temp = y0_;
    y0_   = y1_;
    y1_   = Temp;
  }
  if (x0 > x1) {
    Temp = x0;
    x0   = x1;
    x1   = Temp;
  }
  r0  = (Color0 >>  0) & 0x000000ff;
  g0  = (Color0 >>  8) & 0x000000ff;
  b0  = (Color0 >> 16) & 0x000000ff;
  r1  = (Color1 >>  0) & 0x000000ff;
  g1  = (Color1 >>  8) & 0x000000ff;
  b1  = (Color1 >> 16) & 0x000000ff;
  Add = -1;
  d   = y1_ - y0_ + 1;
  rd  = (double)(y1_ - y0_) / 2;
  rr  = rd * rd;
  y   = rd;
  for (i = y0_; i <= y1_; i++) {
    x = sqrt(rr - y * y);
    r = r0 + (r1 - r0) * (i - y0_) / d;
    g = g0 + (g1 - g0) * (i - y0_) / d;
    b = b0 + (b1 - b0) * (i - y0_) / d;
    Color = r | (g << 8) | (b << 16);
    GUI_SetColor(Color);
    GUI_DrawHLine(i, (int)(x0 + rd - x), (int)(x0 + rd));
    GUI_DrawHLine(i, (int)(x0 + rd),     (int)(x1 - rd));
    GUI_DrawHLine(i, (int)(x1 - rd),     (int)(x1 - rd + x));
    y += Add;
    if (y < 0) {
      Add = -Add;
      y = -y;
    }
  }
}

/*********************************************************************
*
*       _OnPaintSub
*
* Purpose:
*   Draws the vertical menu
*/
static void _OnPaintSub(WM_HWIN hWin) {
  int ySize;
  int i;

  ySize = WM_GetWindowSizeY(hWin);
  GUI_DrawBitmap(&_bmSubTop,    0, 0);
  GUI_DrawBitmap(&_bmSubBottom, 0, ySize - _bmSubBottom.YSize - 1);
  GUI_SetColor(0xff0000);
  GUI_FillRect(0, _bmSubTop.YSize, 69, ySize - _bmSubBottom.YSize);
  GUI_SetTextMode(GUI_TM_TRANS);
  GUI_SetFont(&_GUI_Font18B);
  for (i = 0; i < _SubItems.NumItems; i++) {
    if (_aSelection[_Selection] == i) {
      GUI_SetColor(GUI_WHITE);
      GUI_FillRect(SUB_X0, SUB_Y0 + i * SUB_YD, SUB_X1, SUB_Y0 + i * SUB_YD + 19);
      GUI_SetColor(0xff0000);
    } else {
      GUI_SetColor(GUI_WHITE);
    }
    GUI_DispStringHCenterAt(_SubItems.pData[i], 35, SUB_Y0 + 1 + i * SUB_YD);
  }
}

/*********************************************************************
*
*       _OnKeySub
*
* Purpose:
*   Handles the keyboard input of the vertical menu
*/
static int _OnKeySub(WM_HWIN hWin, int Key) {
  WM_HWIN hParent;

  hParent = WM_GetParent(hWin);
  switch (Key) {
  case GUI_KEY_DOWN:
    if (_aSelection[_Selection] < (_SubItems.NumItems - 1)) {
      _aSelection[_Selection]++;
      WM_InvalidateWindow(hWin);
      WM_InvalidateWindow(hParent);
    }
    break;
  case GUI_KEY_UP:
    if (_aSelection[_Selection] > 0) {
      _aSelection[_Selection]--;
      WM_InvalidateWindow(hWin);
      WM_InvalidateWindow(hParent);
    }
    break;
  case GUI_KEY_ESCAPE:
    WM_SetFocus(WM_GetParent(hWin));
    WM_DeleteWindow(hWin);
    return 0;
  case GUI_KEY_LEFT:
  case GUI_KEY_RIGHT:
    WM_SetFocus(WM_GetParent(hWin));
    WM_DeleteWindow(hWin);
    return 1;
  }
  return 0;
}

/*********************************************************************
*
*       _OnPIDStateChangeSub
*
* Purpose:
*   Handles the PID input of the vertical menu
*/
static void _OnPIDStateChangeSub(WM_HWIN hWin, const WM_PID_STATE_CHANGED_INFO * pInfo) {
  WM_HWIN hParent;

  if ((pInfo->State == 0) || (pInfo->y < SUB_Y0) || (pInfo->y > (SUB_Y0 + SUB_YD * _SubItems.NumItems))) {
    return;
  }
  if ((pInfo->x < SUB_X0) || (pInfo->x > SUB_X1)) {
    return;
  }
  _aSelection[_Selection] = (pInfo->y - SUB_Y0) / SUB_YD;
  hParent = WM_GetParent(hWin);
  WM_InvalidateWindow(hParent);
  WM_SetFocus(hParent);
  WM_DeleteWindow(hWin);
}

/*********************************************************************
*
*       _cbSubMenu
*
* Purpose:
*   Callback routine of the vertical menu
*/
static void _cbSubMenu(WM_MESSAGE * pMsg) {
  WM_HWIN hWin;

  hWin = pMsg->hWin;
  switch (pMsg->MsgId) {
  case WM_PID_STATE_CHANGED:
    _OnPIDStateChangeSub(pMsg->hWin, (const WM_PID_STATE_CHANGED_INFO *)pMsg->Data.p);
    return;
  case WM_KEY:
    if (((const WM_KEY_INFO*)(pMsg->Data.p))->PressedCnt > 0) {
      WM_HWIN hParent;
      int Key = ((const WM_KEY_INFO*)(pMsg->Data.p))->Key;
      hParent = WM_GetParent(hWin);
      if (_OnKeySub(hWin, Key)) {
        WM_SendMessage(hParent, pMsg);
      };
    }
    return;
  case WM_PAINT:
    _OnPaintSub(pMsg->hWin);
    break;
  }
  WM_DefaultProc(pMsg);
}

/*********************************************************************
*
*       _OpenSubMenu
*
* Purpose:
*   Opens a vertical menu
*/
static void _OpenSubMenu(WM_HWIN hParent) {
  WM_HWIN hWin;

  switch (_Selection) {
  case 0:
    _SubItems.pData    = _pacTextPre;
    _SubItems.NumItems = GUI_COUNTOF(_pacTextPre);
    break;
  case 1:
    _SubItems.pData    = _pacTextWash;
    _SubItems.NumItems = GUI_COUNTOF(_pacTextWash);
    break;
  case 2:
    _SubItems.pData    = _pacTextRinse;
    _SubItems.NumItems = GUI_COUNTOF(_pacTextRinse);
    break;
  case 3:
    _SubItems.pData    = _pacTextSpin;
    _SubItems.NumItems = GUI_COUNTOF(_pacTextSpin);
    break;
  case 4:
    _SubItems.pData    = _pacTextSoil;
    _SubItems.NumItems = GUI_COUNTOF(_pacTextSoil);
    break;
  }
  hWin = WM_CreateWindowAsChild(_aSubPosX[_Selection], 80, 70, _SubItems.NumItems * 25 + 20, hParent, WM_CF_SHOW | WM_CF_HASTRANS, _cbSubMenu, 0);
  WM_SetUserData(hParent, &hWin, sizeof(hWin));
  WM_SetFocus(hWin);
}

/*********************************************************************
*
*       _CreateBitmap
*
* Purpose:
*   Creates the background image in form of a rounded horizontal bar
*   with a surrounding frame and a grey gradient within the bar
*/
static GUI_MEMDEV_Handle _CreateBitmap(WM_HWIN hWin, int x0, int y0_, int x1, int y1_) {
  GUI_MEMDEV_Handle hMem, hOld;
  int               xPos, yPos, r;

  r = (y1_ - y0_ + 1) / 2;
  xPos  = WM_GetWindowOrgX(hWin);
  yPos  = WM_GetWindowOrgY(hWin);
  hMem = GUI_MEMDEV_Create(xPos + x0, yPos + y0_, x1 - x0 + 1, y1_ - y0_ + 1);
  if (hMem) {
    WM_SelectWindow(hWin);
    hOld = GUI_MEMDEV_Select(hMem);
    GUI_DrawGradientV(5, 40, 314, 76, 0xffffff, 0xffebeb);
    _DrawGradientRoundBar(x0 + 2, y0_ + 2, x1 - 2, y1_ - 2, 0xEEEEEE, 0x737373);
    GUI_SetColor(0xff0000);
    GUI_SetPenSize(3);
    GUI_AA_DrawArc(x0 + r, y0_ + r, r - 2, r - 2,  90, 270);
    GUI_AA_DrawArc(x1 - r, y0_ + r, r - 2, r - 2, 270, 450);
    GUI_AA_DrawLine(x0 + r, y0_ + 2, x1 - r, y0_ + 2);
    GUI_AA_DrawLine(x0 + r, y1_ - 2, x1 - r, y1_ - 2);
    GUI_MEMDEV_Select(hOld);
  } else {
    _NoMemory = 1;
  }
  return hMem;
}

/*********************************************************************
*
*       _OnPaintMain
*
* Purpose:
*   Paints the main window
*/
static void _OnPaintMain(WM_HWIN hWin, GUI_MEMDEV_Handle * phBitmap) {
  static int xSize;
  U32        i;

  if (xSize == 0) {
    xSize = WM_GetWindowSizeX(hWin);
  }
  //
  // Draw background
  //
  GUI_MEMDEV_Write(*phBitmap);
  //
  // Draw menu line
  //
  GUI_SetTextMode(GUI_TM_TRANS);
  for (i = 0; i < GUI_COUNTOF(_pacText); i++) {
    if (i == 0) {
      if (_aSelection[0]) {
        GUI_SetFont(&_GUI_Font18B);
      } else {
        GUI_SetFont(&_GUI_Font18);
      }
    } else {
      GUI_SetFont(&_GUI_Font18);
    }
    if (_Selection == i) {
      GUI_SetColor(GUI_BLACK);
    } else {
      GUI_SetColor(0x9D9FA1);
    }
    GUI_DispStringAt(_pacText[i], _axPos[i], 10);
  }
  //
  // Draw selected options
  //
  GUI_DrawBitmap(&_bmBlueCircle, 19, 48);
  if (_aSelection[0] == STATUS_CHECK_CHECKED) {
    GUI_DrawBitmap(&_bmCheckMark, 23, 46);
  }
  if (_Selection) {
    GUI_SetColor(0xff0000);
    GUI_FillRect(_aSeparator[_Selection], MENU_Y0, _aSeparator[_Selection + 1], MENU_Y1);
  }
  GUI_SetColor(GUI_WHITE);
  GUI_SetFont(&_GUI_Font18B);
  GUI_DispStringHCenterAt(_pacTextWash [_aSelection[1]], (_aSeparator[1] + _aSeparator[2]) / 2, 48);
  GUI_DispStringHCenterAt(_pacTextRinse[_aSelection[2]], (_aSeparator[2] + _aSeparator[3]) / 2, 48);
  GUI_DispStringHCenterAt(_pacTextSpin [_aSelection[3]], (_aSeparator[3] + _aSeparator[4]) / 2, 48);
  GUI_DispStringHCenterAt(_pacTextSoil [_aSelection[4]], (_aSeparator[4] + _aSeparator[5]) / 2, 48);
  if (_State == STATE_WASHING) {
    //
    // Show remaining time it is washing
    //
    GUI_SetColor(0xff0000);
    GUI_SetFont(&_GUI_Font60BD);
    GUI_DispDecAt(_Time / 8, 115, 140, 2);
    GUI_SetFont(&_GUI_Font60min);
    GUI_DispString("min");
  } else {
    //
    // Show logo if it is not washing
    //
    GUI_DrawBitmap(&_bmSeggerLogo206, 85, 90);
  }
}

/*********************************************************************
*
*       _OnKeyMain
*
* Purpose:
*   Key managing of the horizontal menu bar
*/
static void _OnKeyMain(WM_HWIN hWin, int Key) {
  if (_State == STATE_WASHING) {
    return;
  }
  switch (Key) {
  case GUI_KEY_LEFT:
    if (_Selection) {
      _Selection--;
      WM_InvalidateWindow(hWin);
    }
    break;
  case GUI_KEY_RIGHT:
    if (_Selection < (GUI_COUNTOF(_pacText) - 1)) {
      _Selection++;
      WM_InvalidateWindow(hWin);
    }
    break;
  case GUI_KEY_DOWN:
    _OpenSubMenu(hWin);
    break;
  }
}

/*********************************************************************
*
*       _cbStatus
*/
static void _cbStatus(WM_MESSAGE * pMsg) {
  static GUI_MEMDEV_Handle hBitmap;
  static int xSize, ySize;
  int xPos, yPos;
  U32 i;
  const GUI_PID_STATE * pState;
  GUI_MEMDEV_Handle hOld;
  WM_HWIN hWin;

  hWin = pMsg->hWin;
  switch (pMsg->MsgId) {
  case WM_TOUCH:
    pState = (const GUI_PID_STATE *)pMsg->Data.p;
    if (pState) {
      if (pState->Pressed) {
        int NewTime;
        NewTime = (90 << 3) - ((pState->x - 3) * (90 << 3)) / (xSize - 6);
        if (NewTime < 0) {
          NewTime = 0;
        }
        if (NewTime < _Time) {
          _Time = NewTime;
        }
      }
    }
    break;
  case WM_PAINT:
    GUI_MEMDEV_Write(hBitmap);
    xPos = 3 + (((90 << 3) - _Time) * (xSize - 6)) / (90 << 3);
    GUI_SetAlpha(0xA0);
    GUI_SetColor(GUI_RED);
    GUI_FillRect(3, 3, xPos, ySize - 4);
    GUI_SetAlpha(0);
    break;
  case WM_CREATE:
    WM_SelectWindow(hWin);
    xSize = WM_GetWindowSizeX(hWin);
    ySize = WM_GetWindowSizeY(hWin);
    xPos = WM_GetWindowOrgX(hWin);
    yPos = WM_GetWindowOrgY(hWin);
    hBitmap = GUI_MEMDEV_CreateEx(xPos, yPos, xSize, ySize, GUI_MEMDEV_NOTRANS);
    if (hBitmap) {
      hOld = GUI_MEMDEV_Select(hBitmap);
      GUI_DrawGradientV(3, 3, xSize - 4, ySize - 4, 0xEEEEEE, 0x737373);
      GUI_SetColor(GUI_BLACK);
      for (i = 1; i < 4; i++) {
        GUI_DrawVLine(_aStatusSep[i], 0, 24);
      }
      GUI_SetColor(0xff0000);
      GUI_DrawRect(0, 0, xSize - 1, ySize - 1);
      GUI_DrawRect(1, 1, xSize - 2, ySize - 2);
      GUI_DrawRect(2, 2, xSize - 3, ySize - 3);
      GUI_SetTextMode(GUI_TM_TRANS);
      GUI_SetFont(&_GUI_Font18);
      GUI_SetColor(GUI_WHITE);
      for (i = 0; i < 4; i++) {
        GUI_DispStringHCenterAt(_pacText[i], (_aStatusSep[i + 1] + _aStatusSep[i]) / 2, 3);
      }
      GUI_MEMDEV_Select(hOld);
    } else {
      _NoMemory = 1;
    }
    break;
  case WM_DELETE:
    GUI_MEMDEV_Delete(hBitmap);
    hBitmap = 0;
    break;
  default:
    WM_DefaultProc(pMsg);
  }
}

/*********************************************************************
*
*       _cbMain
*
* Purpose:
*   Callback function of main window
*/
static void _cbMain(WM_MESSAGE * pMsg) {
  static GUI_MEMDEV_Handle hBitmap;
  WM_HWIN hWin, hSub;
  int NCode, xSizeStatus;
  U32 i;

  hWin = pMsg->hWin;
  switch (pMsg->MsgId) {
  case WM_KEY:
    if (((const WM_KEY_INFO*)(pMsg->Data.p))->PressedCnt > 0) {
      int Key = ((const WM_KEY_INFO*)(pMsg->Data.p))->Key;
      _OnKeyMain(pMsg->hWin, Key);
    }
    break;
  case WM_PAINT:
    _OnPaintMain(pMsg->hWin, &hBitmap);
    break;
  case WM_CREATE:
    hBitmap = _CreateBitmap(hWin, 10, 40, WM_GetWindowSizeX(hWin) - 10, 76);
    break;
  case WM_DELETE:
    GUI_MEMDEV_Delete(hBitmap);
    hBitmap = 0;
    if (_hStatus) {
      WM_DeleteWindow(_hStatus);
      _hStatus = 0;
    }
    break;
  case WM_NOTIFY_PARENT:
    NCode = pMsg->Data.v;
    switch (NCode) {
    case WM_NOTIFICATION_RELEASED:
      if (_State == STATE_WASHING) {
        int Pos;
        xSizeStatus = WM_GetWindowSizeX(_hStatus) - 6;
        for (i = 0; i < GUI_COUNTOF(_aStatusSep); i++) {
          Pos = 3 + (((90 << 3) - _Time) * xSizeStatus) / (90 << 3);
          if (_aStatusSep[i] > Pos) {
            _Time = (90 << 3) - ((_aStatusSep[i] - 3) * (90 << 3)) / xSizeStatus;
            break;
          }
        }
      } else {
        WM_GetUserData(hWin, &hSub, sizeof(hSub));
        if (hSub) {
          WM_DeleteWindow(hSub);
          hSub = 0;
          WM_SetUserData(hWin, &hSub, sizeof(hSub));
          WM_SetFocus(hWin);
        }
        _State = STATE_WASHING;
        if (_hStatus == 0) {
          _hStatus = WM_CreateWindowAsChild(80, 108, 220, 24, hWin, WM_CF_SHOW, _cbStatus, 0);
        }
      }
      break;
    }
    break;
  }
  WM_DefaultProc(pMsg);
}

/*********************************************************************
*
*       _DrawBackground
*/
static void _DrawBackground(void) {
  int xSize;
  int ySize;

  xSize = LCD_GetXSize();
  ySize = LCD_GetYSize();
  if (xSize > 320) {
    GUI_SetColor(GUI_WHITE);
    GUI_FillRect(320, 0, xSize, ySize);
  }
  GUI_DrawGradientV(  0,  0, 319,  39, 0xff0000, 0xff3131);
  GUI_DrawGradientV(  0, 40,   4, 199, 0xff3131, 0xffffff);
  GUI_DrawGradientV(315, 40, 319, 199, 0xff3131, 0xffffff);
  GUI_SetColor(GUI_WHITE);
  GUI_FillRect(  0, 200,   4, 239);
  GUI_FillRect(315, 200, 319, 239);
  GUI_FillRect(  5,  40, 314,  79);
  GUI_DrawGradientV(5, 80, 314, 239, 0xffffff, 0xffa0a0);
  GUI_SetFont(&_GUI_Font24);
  GUI_SetTextMode(GUI_TM_TRANS);
  GUI_SetColor(GUI_WHITE);
  GUI_DispStringHCenterAt("emWin Washing Machine Demo", 160, 10);
  if (ySize > 240) {
    GUI_SetColor(GUI_WHITE);
    GUI_FillRect(  0, 240,   4, ySize);
    GUI_FillRect(315, 240, 319, ySize);
    GUI_SetColor(0xffa0a0);
    GUI_FillRect(  5, 240, 314, ySize);
  }
}

/*********************************************************************
*
*       _cbBkWin
*
* Purpose:
*   Callback function of desktop window
*/
static void _cbBkWin(WM_MESSAGE * pMsg) {
  switch (pMsg->MsgId) {
  case WM_PAINT:
    _DrawBackground();
    break;
  }
  WM_DefaultProc(pMsg);
}

#if GUIDEMO_SHOW_SPRITES
/*********************************************************************
*
*       _ExecSpriteAnimation
*
* Purpose:
*   Does the swimming dolphin animation
*/
static void _ExecSpriteAnimation(GUI_HSPRITE hSprite, int * pTimeNext) {
  int TimeCurrent;
  static int xPos, yPos, yAdd = 4, Index, ySize;

  TimeCurrent = GUIDEMO_GetTime();
  if (*pTimeNext == 0) {
    Index = 0;
    xPos = 300;
    *pTimeNext = TimeCurrent;
    ySize = LCD_GetYSize();
  }
  if (TimeCurrent >= *pTimeNext) {
    *pTimeNext += 120;
    Index++;
    if (Index == GUI_COUNTOF(_apBitmaps)) {
      Index = 0;
    }
    xPos -= 12;
    if (xPos < -80) {
      xPos = 300;
    }
    yPos += yAdd;
    if ((yPos == 0) || (yPos >= (ySize - 60))) {
      yAdd = -yAdd;
    }
    GUI_SPRITE_SetBitmapAndPosition(hSprite, _apBitmaps[Index], xPos, yPos);
  }
}
#endif // GUIDEMO_SHOW_SPRITES

/*********************************************************************
*
*       _CreateButton
*/
static GUI_MEMDEV_Handle _CreateButton(WM_HWIN hWin, int x0, int y0_, int xSize, int ySize, GUI_COLOR Color0, GUI_COLOR Color1, GUI_COLOR Gradient0, GUI_COLOR Gradient1) {
  int xPos, yPos, r;
  GUI_MEMDEV_Handle hMem, hOld;
  r = xSize / 2;
  WM_SelectWindow(hWin);
  xPos  = WM_GetWindowOrgX(hWin);
  yPos  = WM_GetWindowOrgY(hWin);
  hMem = GUI_MEMDEV_Create(xPos + x0, yPos + y0_, xSize, ySize);
  if (hMem) {
    hOld = GUI_MEMDEV_Select(hMem);
    GUI_DrawGradientV(x0, y0_, x0 + xSize, y0_ + ySize, Gradient0, Gradient1);
    _DrawGradientRoundBar(x0 + 2, y0_ + 2, x0 + xSize - 2, y0_ + ySize - 2, Color0, Color1);
    GUI_SetColor(0xff0000);
    GUI_SetPenSize(3);
    GUI_AA_DrawArc(x0 + r, y0_ + r, r - 2, r - 2,  0, 360);
    GUI_MEMDEV_Select(hOld);
  } else {
    _NoMemory = 1;
  }
  return hMem;
}

/*********************************************************************
*
*       _cbButton
*/
static void _cbButton(WM_MESSAGE * pMsg) {
  static GUI_MEMDEV_Handle hButton00, hButton01, hButton10, hButton11;
  GUI_MEMDEV_Handle hShow;
  int IsPressed;
  char * s;
  WM_HWIN hWin;
  hWin = pMsg->hWin;
  switch (pMsg->MsgId) {
  case WM_PAINT:
    GUI_SetColor(0xFFFFFF);
    GUI_SetFont(&_GUI_Font18B);
    GUI_SetTextMode(GUI_TM_TRANS);
    IsPressed = BUTTON_IsPressed(hWin);
    hShow = (_State == STATE_WASHING) ? (IsPressed ? hButton11 : hButton10) : (IsPressed ? hButton01 : hButton00);
    s = (_State == STATE_WASHING) ? "Skip" : "Start";
    GUI_MEMDEV_Write(hShow);
    GUI_DispStringHCenterAt(s, 30, 21);
    return;
  case INIT_BUTTON:
    hButton00 = _CreateButton(hWin, 0, 0, 60, 60, 0x00aa00, 0xEEEEEE, 0xffe0e0, 0xffc0c0);
    hButton01 = _CreateButton(hWin, 0, 0, 60, 60, 0xEEEEEE, 0x00aa00, 0xffe0e0, 0xffc0c0);
    hButton10 = _CreateButton(hWin, 0, 0, 60, 60, 0x4040ff, 0xEEEEEE, 0xffe0e0, 0xffc0c0);
    hButton11 = _CreateButton(hWin, 0, 0, 60, 60, 0xEEEEEE, 0x4040ff, 0xffe0e0, 0xffc0c0);
    return;
  case WM_DELETE:
    GUI_MEMDEV_Delete(hButton00);
    GUI_MEMDEV_Delete(hButton01);
    GUI_MEMDEV_Delete(hButton10);
    GUI_MEMDEV_Delete(hButton11);
    hButton00 = 0;
    hButton01 = 0;
    hButton10 = 0;
    hButton11 = 0;
    return;
  }
  BUTTON_Callback(pMsg);
}

/*********************************************************************
*
*       _ExecMachine
*/
static int _ExecMachine(WM_HWIN hButton, int * pTimeNext, EXEC_MACHINE_CONTEXT * pContext) {
  int TimeCurrent;
  TimeCurrent = GUIDEMO_GetTime();
  if (*pTimeNext == 0) {
    pContext->Index = 0;
    *pTimeNext = TimeCurrent;
    pContext->State = STATE_READY;
  }
  if (TimeCurrent >= *pTimeNext) {
    switch (pContext->State) {
    case STATE_READY:
      switch (_aActionItem[pContext->Index].Cmd) {
      case CMD_KEY:
        GUI_StoreKeyMsg(_aActionItem[pContext->Index].Param, 1);
        break;
      case CMD_EXEC:
        switch (_aActionItem[pContext->Index].Param) {
        case EXEC_WAIT:
          break;
        case EXEC_START:
          WM_SetFocus(hButton);
          GUI_StoreKeyMsg(13, 1);
          break;
        }
        break;
      }
      pContext->State = STATE_DELAY;
      break;
    case STATE_DELAY:
      if (TimeCurrent >= *pTimeNext + _aActionItem[pContext->Index].Delay) {
        *pTimeNext = *pTimeNext + _aActionItem[pContext->Index].Delay;
        pContext->Index++;
        pContext->State = STATE_READY;
      }
      break;
    }
  }
  return (pContext->Index < (int)GUI_COUNTOF(_aActionItem)) ? 0 : 1;
}

/*********************************************************************
*
*       _DemoWashingMachine
*/
static void _DemoWashingMachine(void) {
  EXEC_MACHINE_CONTEXT   ExecMachineContext = {0};
  GUI_PID_STATE          State;
  GUI_HSPRITE            hSprite;
  BUTTON_Handle          hButton;
  WM_HWIN                hWin;
  WM_CALLBACK          * pcbPrev;
  int                    TimeNextSprite;
  int                    TimeNextAction;

  _NoMemory      = 0;
  TimeNextSprite = 0;
  TimeNextAction = 0;
  //
  // Set callback of desktop and create main window
  //
  pcbPrev = WM_SetCallback(WM_HBKWIN, _cbBkWin);
  hWin    = WM_CreateWindowAsChild(5, 40, 310, 200, WM_HBKWIN, WM_CF_SHOW | WM_CF_HASTRANS, _cbMain, sizeof(WM_HWIN));
  WM_SetFocus(hWin);
  //
  // Create start button
  //
  hButton = BUTTON_CreateEx(10, 90, 60, 60, hWin, WM_CF_SHOW, 0, GUI_ID_BUTTON0);
  WM_SetCallback(hButton, _cbButton);
  WM_SendMessageNoPara(hButton, INIT_BUTTON);
  //
  // Create sprite
  //
  #if GUIDEMO_SHOW_SPRITES
    if (GUIDEMO_GetConfFlag(GUIDEMO_CF_SHOW_SPRITES)) {
      hSprite = GUI_SPRITE_Create(_apBitmaps[0], 2000, 2000);
    } else
  #endif
  {
    hSprite = 1;
  }
  if (hSprite && (_NoMemory == 0)) {
    do {
      GUI_Delay(10);
      #if GUIDEMO_SHOW_SPRITES
        if (GUIDEMO_GetConfFlag(GUIDEMO_CF_SHOW_SPRITES)) {
          _ExecSpriteAnimation(hSprite, &TimeNextSprite);
        }
      #endif
      if (_ExecMachine(hButton, &TimeNextAction, &ExecMachineContext)) {
        break;
      }
      if (_State == STATE_WASHING) {
        if (_Time) {
          if (_Time >= 3) {
            _Time -= 3;
          } else {
            _Time = 0;
          }
        } else {
          _Time  = 90 << 3;
          _State = STATE_READY;
          if (_hStatus) {
            WM_DeleteWindow(_hStatus);
            WM_InvalidateWindow(hWin);
            _hStatus = 0;
          }
        }
        if (_hStatus) {
          WM_InvalidateWindow(_hStatus);
          WM_InvalidateWindow(hWin);
        }
      }
      GUI_PID_GetState(&State);
    } while (State.Pressed == 0);

  }
  //
  // Restore old callback
  //
  WM_SetCallback(WM_HBKWIN, pcbPrev);
  //
  // Tidy up memory
  //
  #if GUIDEMO_SHOW_SPRITES
    if (GUIDEMO_GetConfFlag(GUIDEMO_CF_SHOW_SPRITES)) {
      GUI_SPRITE_Delete(hSprite);
    }
  #endif
  WM_DeleteWindow(hButton);
  WM_DeleteWindow(hWin);
  _Selection = 2;
  _Time      = 90 << 3;
  _State     = 0;
  _NoMemory  = 0;
  //
  // Wait until PID is released
  //
  do {
    GUI_PID_GetState(&State);
  } while (State.Pressed);
}

/*********************************************************************
*
*       Public code
*
**********************************************************************
*/
/*********************************************************************
*
*       GUIDEMO_WashingMachine
*/
void GUIDEMO_WashingMachine(void) {
  GUIDEMO_ShowIntro("Washing machine",
                    "Washing machine sample with\n"
                    "some sprites moving above");
  GUIDEMO_HideControlWin();
  _DemoWashingMachine();
}

#else

void GUIDEMO_WashingMachine_C(void);
void GUIDEMO_WashingMachine_C(void) {}

#endif

/*************************** End of file ****************************/
